# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "12"/>
#<program4xi program = "zap2verb4xi.py">
#<abstract4xi abstract = "zaps scope-reason-xml files"/>
#<refer4xi reference = "test_zap2verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'command2verb4zap', 'zap2verb4xi', 'sense_zap2verb4xi',   'reason_zap2verb4xi', 'ace_zap2verb4xi', 'Zap2Verb4Xi' ]   
 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import itertools
from decimal import *
from math import pi
from math import sin
from math import cos 
from math import fabs
import os
import signal
import sys
import string
from time import localtime, strftime
import threading
import _thread
import _winapi

import weakref
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>
 
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from verb4xi import ClusterColor4Xi
from verb4xi import SuperClusterColor4Xi

from current_process4xi import get_current_process4xi            
from current_process4xi import get_identity_current_process4xi
from current_process4xi import get_name_current_process4xi

from dummyprocess4xi import DummyProcess4Xi

from pipe4xi import Pipe4Xi 

from print4xi import print4xi
from process4xi import Process4Xi

from queue4xi  import Queue4Xi

from sleep4xi import omega2sleep4xi

from time4xi import time4xi

from zap0000one4xi   import zap0000one4xi
from zap0000two4xi   import zap0000two4xi
from zap0000three4xi import zap0000three4xi
from zap0000four4xi  import zap0000four4xi
from zap0000five4xi  import zap0000five4xi
from zap0000six4xi   import zap0000six4xi
from zap0000seven4xi import zap0000seven4xi
from zap0000eight4xi import zap0000eight4xi

# -------------------------------------------------------------------------------------------------
# DragonXi Globals                            
# -------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
                                                                                            
# -------------------------------------------------------------------------------------------------
# ZAP KnowledgeBase
# -------------------------------------------------------------------------------------------------   
global ColorKB2Layer4Xi
ColorKB2Layer4Xi = {
         0: '#AF8F8F',                   
         1: '#848484',        
         2: '#D7D0CA',        
         3: '#C3BDB7',       
         4: '#AFAAA5',        
         5: '#A29E9A',        
         6: '#9A9591',        
         7: '#8B8783',        
         8: '#EE8712'}
         


# ----------------------------------------------------------------------------------------------------
# ZAP KnowledgeBase to eight (8) direction with 33 distances (2, 100,200 ... 3300)
# ----------------------------------------------------------------------------------------------------   

# ====================================================================================================
# [0] (0,0,0) ORIGIN - LAYER KEY 1 - AREA2ANYLAYER = (4*pi*r**2)/8(direction) 
# ====================================================================================================
global Zap0KB4Xi                                                               # SENSE IT!
Zap0KB4Xi = {'0x0y0z': {'2xi':  {1:  0,                                        # DIRECTION                                                
                                 2:  1,                                        # DISTANCE
                                 3:  {1: 4*pi, 2: '#AF8F8F', 3: 1, 4: 4*pi},   # LAYER: AREA2LAYER(4*PI*R**2), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                 4:  'dragon0x0y0z',                           # IDENTITY 
                                 5:  '#E8DCD1',                                # COLOR
                                 6:  0,                                        # FIRE
                                 7:  20,                                       # CLUSTER
                                 8:  1,                                        # RAY
                                 9:  0.4226973081,                             # DEVIATION
                                 10: 6,                                        # SUPER
                                 11: '{started' + '; sense-of-Origin4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                 12: 'sense',                                  # ACTOR
                                 13: 2},                                       # TYPE METHOD
                        '4xi':  {},                                            # REASON IT!
                        '8xi':  {}}                                            # ACE IT!
            }
                       
global keys2zap0kb4xi 
keys2zap0kb4xi = Zap0KB4Xi.keys() 
           

# ===================
# [1] (X + ,Y + ,Z + )
# ===================
global Zap1KB4Xi                                                               # SENSE IT! 
Zap1KB4Xi = {'1x1y1z':    {'2xi': {1: 1,                                       # DIRECTION 
                                   2: 2,                                       # DISTANCE
                                   3: {1: 2*pi, 2: '#848484', 3: 1, 4: 2*pi},  # LAYER: AREA2LAYER(4*PI*R**2/8), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                   4: 'dragon1x1y1z',                          # IDENTITY 
                                   5: '#6F4A20',                               # COLOR
                                   6: 1,                                       # FIRE
                                   7: 33,                                      # CLUSTER   
                                   8: 1.7325080757,                            # RAY 
                                   9: 0.267949192431,                          # DEVIATION 
                                  10: 8,                                       # SUPER  
                                  11: '{started' + '; sense-of-1Skeleton4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                  12: 'sense',                                 # ACTOR
                                  13: 2},                                      # TYPE METHOD
                           '4xi': {},                                          # REASON IT! 
                           '8xi': {}}}                                         # ACE IT!

global keys2zap1kb4xi 
keys2zap1kb4xi = Zap1KB4Xi.keys() 
           

             
# ===================
# [2] (X + ,Y - ,Z - )
# ===================                   
global Zap2KB4Xi                                                               # SENSE IT!
Zap2KB4Xi = {'1x-1y-1z':  {'2xi':  {1 :2,                                      # DIRECTION 
                                    2: 2,                                      # DISTANCE
                                    3: {1: 2*pi, 2: '#D7D0CA', 3: 1, 4: 2*pi}, # LAYER: AREA2LAYER(4*PI*R**2/8), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                    4: 'dragon1x-1y-1z',                       # IDENTITY 
                                    5: '#7F5321',                              # COLOR
                                    6: 2,                                      # FIRE
                                    7: 33,                                     # CLUSTER   
                                    8: 1.7325080757,                           # RAY 
                                    9: 0.267949192431,                         # DEVIATION 
                                   10: 8,                                      # SUPER  
                                   11: '{started' + '; sense-of-2Skeleton4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                  12: 'sense',                                 # ACTOR
                                  13: 2},                                      # TYPE METHOD
                           '4xi': {},                                          # REASON IT! 
                           '8xi': {}}}                                         # ACE IT!

global keys2zap2kb4xi 
keys2zap2kb4xi = Zap2KB4Xi.keys() 

             
# ===================
# [3] (X + ,Y + ,Z - )
# ===================             
global Zap3KB4Xi                                                               # SENSE IT!
Zap3KB4Xi = {'1x1y-1z':   {'2xi':  {1:3,                                       # DIRECTION 
                                    2: 2,                                      # DISTANCE
                                    3: {1: 2*pi, 2: '#C3BDB7', 3: 1, 4: 2*pi}, # LAYER: AREA2LAYER(4*PI*R**2/8), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                    4: 'dragon1x1y-1z',                        # IDENTITY 
                                    5: '#95652E',                              # COLOR
                                    6: 3,                                      # FIRE
                                    7: 33,                                     # CLUSTER
                                    8: 1.7325080757,                           # RAY
                                    9: 0.267949192431,                         # DEVIATION
                                   10: 8,                                      # SUPER
                                   11: '{started' + '; sense-of-3Skeleton4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                  12: 'sense',                                 # ACTOR
                                  13: 2},                                      # TYPE METHOD
                            '4xi': {},                                         # REASON IT!
                            '8xi': {}}}                                        # ACE IT!
 
global keys2zap3kb4xi 
keys2zap3kb4xi = Zap3KB4Xi.keys() 

                          
# ===================
# [4] (X + ,Y - ,Z + )
# ===================             
global Zap4KB4Xi                                                               # SENSE IT!
Zap4KB4Xi = {'1x-1y1z':   {'2xi':  {1:4,                                       # DIRECTION
                                    2: 2,                                      # DISTANCE 
                                    3: {1: 2*pi, 2: '#AFAAA5', 3: 1,  4: 2*pi},# LAYER: AREA2LAYER(4*PI*R**2/8), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                    4: 'dragon1x-1y1z',                        # IDENTITY  
                                    5: '#AB712F',                              # COLOR 
                                    6: 4,                                      # FIRE 
                                    7: 33,                                     # CLUSTER   
                                    8: 1.7325080757,                           # RAY 
                                    9: 0.267949192431,                         # DEVIATION 
                                   10: 8,                                      # SUPER
                                   11: '{started' + '; sense-of-4Skeleton4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                  12: 'sense',                                 # ACTOR
                                  13: 2},                                      # TYPE METHOD
                            '4xi': {},                                         # REASON IT!
                            '8xi': {}}}                                        # ACE IT!
     
global keys2zap4kb4xi 
keys2zap4kb4xi = Zap4KB4Xi.keys() 

                                      
# ===================
# [5] (X - ,Y + ,Z + )
# ===================
global Zap5KB4Xi                                                               # SENSE IT!
Zap5KB4Xi = {'-1x1y1z':   {'2xi':  {1:5,                                       # DIRECTION 
                                    2: 2,                                      # DISTANCE
                                    3: {1: 2*pi, 2: '#A29E9A', 3: 1, 4: 2*pi}, # LAYER: AREA2LAYER(4*PI*R**2/8), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                    4: 'dragon-1x1y1z',                        # IDENTITY 
                                    5: '#BA7525',                              # COLOR 
                                    6: 5,                                      # FIRE 
                                    7: 33,                                     # CLUSTER   
                                    8: 1.7325080757,                           # RAY 
                                    9: 0.267949192431,                         # DEVIATION 
                                   10: 8,                                      # SUPER  
                                   11: '{started' + '; sense-of-5Skeleton4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                  12: 'sense',                                 # ACTOR
                                  13: 2},                                      # TYPE METHOD
                           '4xi': {},                                          # REASON IT!
                           '8xi': {}}}                                         # ACE IT!
    
global keys2zap5kb4xi 
keys2zap5kb4xi = Zap5KB4Xi.keys() 

                          
# ===================
# [6] (X - ,Y + ,Z - )
# ===================             
global Zap6KB4Xi                                                               # SENSE IT!
Zap6KB4Xi = {'-1x1y-1z':  {'2xi':  {1:6,                                       # DIRECTION 
                                    2: 2,                                      # DISTANCE
                                    3: {1: 2*pi, 2: '#9A9591', 3: 1, 4: 2*pi}, # LAYER: AREA2LAYER(4*PI*R**2/8), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                    4: 'dragon-1x1y-1z',                       # IDENTITY 
                                    5: '#CB7C21',                              # COLOR
                                    6: 6,                                      # FIRE 
                                    7: 33,                                     # CLUSTER
                                    8: 1.7325080757,                           # RAY
                                    9: 0.267949192431,                         # DEVIATION
                                   10: 8,                                      # SUPER
                                   11: '{started' + '; sense-of-6Skeleton4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                  12: 'sense',                                 # ACTOR
                                  13: 2},                                      # TYPE METHOD
                           '4xi': {},                                          # REASON IT!
                           '8xi': {}}}                                         # ACE IT!
 
global keys2zap6kb4xi 
keys2zap6kb4xi = Zap6KB4Xi.keys() 

                          
# ===================
# [7] (X - ,Y - ,Z + )
# ===================             
global Zap7KB4Xi                                                               # SENSE IT!
Zap7KB4Xi = {'-1x-1y1z':  {'2xi':  {1:7,                                       # DIRECTION 
                                    2: 2,                                      # DISTANCE
                                    3: {1: 2*pi, 2: '#8B8783', 3: 1, 4: 2*pi}, # LAYER: AREA2LAYER(4*PI*R**2/8), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                    4: 'dragon-1x-1y1z',                       # IDENTITY 
                                    5: '#DF841B',                              # COLOR 
                                    6: 7,                                      # FIRE 
                                    7: 33,                                     # CLUSTER
                                    8: 1.7325080757,                           # RAY 
                                    9: 0.267949192431,                         # DEVIATION
                                   10: 8,                                      # SUPER
                                   11: '{started' + '; sense-of-7Skeleton4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                  12: 'sense',                                 # ACTOR
                                  13: 2},                                      # TYPE METHOD
                             '4xi': {},                                        # REASON IT!
                             '8xi': {}}}                                       # ACE IT!
    
global keys2zap7kb4xi 
keys2zap7kb4xi = Zap7KB4Xi.keys() 

             
# ====================
# [8] (X - ,Y - ,Z - )
# ====================             
global Zap8KB4Xi                                                               # SENSE IT!
Zap8KB4Xi = {'-1x-1y-1z': {'2xi':  {1:8,                                       # DIRECTION
                                    2: 2,                                      # DISTANCE 
                                    3: {1: 2*pi, 2: '#7D7A77', 3: 1, 4: 2*pi}, # LAYER: AREA2LAYER(4*PI*R**2/8), COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                    4: 'dragon-1x-1y-1z',                      # IDENTITY 
                                    5: '#EE8712',                              # COLOR 
                                    6: 8,                                      # FIRE 
                                    7: 33,                                     # CLUSTER   
                                    8: 1.7325080757,                           # RAY 
                                    9: 0.267949192431,                         # DEVIATION 
                                   10: 8,                                      # SUPER
                                   11: '{started' + '; sense-of-8Skeleton4Xi-started: ' + time4xi() + '}',  # MESSAGE
                                  12: 'sense',                                 # ACTOR
                                  13: 2},                                      # TYPE METHOD
                            '4xi': {},                                         # REASON IT!
                            '8xi': {}}}                                        # ACE IT!
  
global keys2zap8kb4xi 
keys2zap8kb4xi = Zap8KB4Xi.keys() 

                                                                                            
# -------------------------------------------------------------------------------------------------
# ZAP KnowledgeBase
# -------------------------------------------------------------------------------------------------   
global ZapKB4Xi
ZapKB4Xi = {
         0: Zap0KB4Xi,                   
         1: Zap1KB4Xi,        
         2: Zap2KB4Xi,        
         3: Zap3KB4Xi,       
         4: Zap4KB4Xi,        
         5: Zap5KB4Xi,        
         6: Zap6KB4Xi,        
         7: Zap7KB4Xi,        
         8: Zap8KB4Xi}
                 
global keys2zapkb4xi 
keys2zapkb4xi = ZapKB4Xi.keys() 
       
                                                                                            
# -------------------------------------------------------------------------------------------------
# Dragon KnowledgeBase
# -------------------------------------------------------------------------------------------------   
global Dragon0000One
global Dragon0010One
global Dragon0100One
global Dragon0100One
global Dragon0200One
global Dragon0300One
global Dragon0400One
global Dragon0500One
global Dragon0600One
global Dragon0700One
global Dragon0800One
global Dragon0900One
global Dragon1000One
global Dragon1100One
global Dragon1200One
global Dragon1300One
global Dragon1400One
global Dragon1500One
global Dragon1600One
global Dragon1700One
global Dragon1800One
global Dragon1900One
global Dragon2000One
global Dragon2100One
global Dragon2200One
global Dragon2300One
global Dragon2400One
global Dragon2500One
global Dragon2600One
global Dragon2700One
global Dragon2800One
global Dragon2900One
global Dragon3000One
global Dragon3100One
global Dragon3200One
global Dragon3300One

global Dragon0000Two
global Dragon0010Two
global Dragon0100Two
global Dragon0100Two
global Dragon0200Two
global Dragon0300Two
global Dragon0400Two
global Dragon0500Two
global Dragon0600Two
global Dragon0700Two
global Dragon0800Two
global Dragon0900Two
global Dragon1000Two
global Dragon1100Two
global Dragon1200Two
global Dragon1300Two
global Dragon1400Two
global Dragon1500Two
global Dragon1600Two
global Dragon1700Two
global Dragon1800Two
global Dragon1900Two
global Dragon2000Two
global Dragon2100Two
global Dragon2200Two
global Dragon2300Two
global Dragon2400Two
global Dragon2500Two
global Dragon2600Two
global Dragon2700Two
global Dragon2800Two
global Dragon2900Two
global Dragon3000Two
global Dragon3100Two
global Dragon3200Two
global Dragon3300Two

global Dragon0000Three
global Dragon0010Three
global Dragon0100Three
global Dragon0100Three
global Dragon0200Three
global Dragon0300Three
global Dragon0400Three
global Dragon0500Three
global Dragon0600Three
global Dragon0700Three
global Dragon0800Three
global Dragon0900Three
global Dragon1000Three
global Dragon1100Three
global Dragon1200Three
global Dragon1300Three
global Dragon1400Three
global Dragon1500Three
global Dragon1600Three
global Dragon1700Three
global Dragon1800Three
global Dragon1900Three
global Dragon2000Three
global Dragon2100Three
global Dragon2200Three
global Dragon2300Three
global Dragon2400Three
global Dragon2500Three
global Dragon2600Three
global Dragon2700Three
global Dragon2800Three
global Dragon2900Three
global Dragon3000Three
global Dragon3100Three
global Dragon3200Three
global Dragon3300Three

global Dragon0000Four
global Dragon0010Four
global Dragon0100Four
global Dragon0100Four
global Dragon0200Four
global Dragon0300Four
global Dragon0400Four
global Dragon0500Four
global Dragon0600Four
global Dragon0700Four
global Dragon0800Four
global Dragon0900Four
global Dragon1000Four
global Dragon1100Four
global Dragon1200Four
global Dragon1300Four
global Dragon1400Four
global Dragon1500Four
global Dragon1600Four
global Dragon1700Four
global Dragon1800Four
global Dragon1900Four
global Dragon2000Four
global Dragon2100Four
global Dragon2200Four
global Dragon2300Four
global Dragon2400Four
global Dragon2500Four
global Dragon2600Four
global Dragon2700Four
global Dragon2800Four
global Dragon2900Four
global Dragon3000Four
global Dragon3100Four
global Dragon3200Four
global Dragon3300Four

global Dragon0000Five
global Dragon0010Five
global Dragon0100Five
global Dragon0100Five
global Dragon0200Five
global Dragon0300Five
global Dragon0400Five
global Dragon0500Five
global Dragon0600Five
global Dragon0700Five
global Dragon0800Five
global Dragon0900Five
global Dragon1000Five
global Dragon1100Five
global Dragon1200Five
global Dragon1300Five
global Dragon1400Five
global Dragon1500Five
global Dragon1600Five
global Dragon1700Five
global Dragon1800Five
global Dragon1900Five
global Dragon2000Five
global Dragon2100Five
global Dragon2200Five
global Dragon2300Five
global Dragon2400Five
global Dragon2500Five
global Dragon2600Five
global Dragon2700Five
global Dragon2800Five
global Dragon2900Five
global Dragon3000Five
global Dragon3100Five
global Dragon3200Five
global Dragon3300Five

global Dragon0000Six
global Dragon0010Six
global Dragon0100Six
global Dragon0100Six
global Dragon0200Six
global Dragon0300Six
global Dragon0400Six
global Dragon0500Six
global Dragon0600Six
global Dragon0700Six
global Dragon0800Six
global Dragon0900Six
global Dragon1000Six
global Dragon1100Six
global Dragon1200Six
global Dragon1300Six
global Dragon1400Six
global Dragon1500Six
global Dragon1600Six
global Dragon1700Six
global Dragon1800Six
global Dragon1900Six
global Dragon2000Six
global Dragon2100Six
global Dragon2200Six
global Dragon2300Six
global Dragon2400Six
global Dragon2500Six
global Dragon2600Six
global Dragon2700Six
global Dragon2800Six
global Dragon2900Six
global Dragon3000Six
global Dragon3100Six
global Dragon3200Six
global Dragon3300Six

global Dragon0000Seven
global Dragon0010Seven
global Dragon0100Seven
global Dragon0100Seven
global Dragon0200Seven
global Dragon0300Seven
global Dragon0400Seven
global Dragon0500Seven
global Dragon0600Seven
global Dragon0700Seven
global Dragon0800Seven
global Dragon0900Seven
global Dragon1000Seven
global Dragon1100Seven
global Dragon1200Seven
global Dragon1300Seven
global Dragon1400Seven
global Dragon1500Seven
global Dragon1600Seven
global Dragon1700Seven
global Dragon1800Seven
global Dragon1900Seven
global Dragon2000Seven
global Dragon2100Seven
global Dragon2200Seven
global Dragon2300Seven
global Dragon2400Seven
global Dragon2500Seven
global Dragon2600Seven
global Dragon2700Seven
global Dragon2800Seven
global Dragon2900Seven
global Dragon3000Seven
global Dragon3100Seven
global Dragon3200Seven
global Dragon3300Seven

global Dragon0000Eight
global Dragon0010Eight
global Dragon0100Eight
global Dragon0100Eight
global Dragon0200Eight
global Dragon0300Eight
global Dragon0400Eight
global Dragon0500Eight
global Dragon0600Eight
global Dragon0700Eight
global Dragon0800Eight
global Dragon0900Eight
global Dragon1000Eight
global Dragon1100Eight
global Dragon1200Eight
global Dragon1300Eight
global Dragon1400Eight
global Dragon1500Eight
global Dragon1600Eight
global Dragon1700Eight
global Dragon1800Eight
global Dragon1900Eight
global Dragon2000Eight
global Dragon2100Eight
global Dragon2200Eight
global Dragon2300Eight
global Dragon2400Eight
global Dragon2500Eight
global Dragon2600Eight
global Dragon2700Eight
global Dragon2800Eight
global Dragon2900Eight
global Dragon3000Eight
global Dragon3100Eight
global Dragon3200Eight
global Dragon3300Eight                                   
       

# -------------------------------------------------------------------------------------------------
# QUEUE, PIPE, PROCESS, START AND RUN STATES - ACK = OK - NACK = NOT OK
# -------------------------------------------------------------------------------------------------   
global ack4queues
global nack4queues

global ack4pipes
global nack4pipes

global ack2one4process
global nack2one4process

global ack2two4process
global nack2two4process

global ack2three4process
global nack2three4process

global ack2four4process
global nack2four4process

global ack2five4process
global nack2five4process

global ack2six4process
global nack2six4process

global ack2seven4process
global nack2seven4process

global ack2eight4process
global nack2eight4process

global ack2one4start
global nack2one4start

global ack2two4start
global nack2two4start

global ack2three4start
global nack2three4start

global ack2four4start
global nack2four4start

global ack2five4start
global nack2five4start

global ack2six4start
global nack2six4start

global ack2seven4start
global nack2seven4start

global ack2eight4start
global nack2eight4start

global ack2one4run
global nack2one4run

global ack2two4run
global nack2two4run

global ack2three4run
global nack2three4run

global ack2four4run
global nack2four4run

global ack2five4run
global nack2five4run

global ack2six4run
global nack2six4run

global ack2seven4run
global nack2seven4run

global ack2eight4run
global nack2eight4run


                    
# -------------------------------------------------------------------------------------------------
# Pipe Channels - consumer & publisher - pipe zero for main program -  pipe 1...8 for process 1...8                             
# -------------------------------------------------------------------------------------------------
global pipe2zero_consumer_channel
global pipe2zero_publisher_channel
global pipe2one_consumer_channel
global pipe2one_publisher_channel
global pipe2two_consumer_channel
global pipe2two_publisher_channel
global pipe2three_consumer_channel
global pipe2three_publisher_channel
global pipe2four_consumer_channel
global pipe2four_publisher_channel
global pipe2five_consumer_channel
global pipe2five_publisher_channel
global pipe2six_consumer_channel
global pipe2six_publisher_channel
global pipe2seven_consumer_channel
global pipe2seven_publisher_channel
global pipe2eight_consumer_channel
global pipe2eight_publisher_channel

                    
# -------------------------------------------------------------------------------------------------
# Processes - one for each direction 1 ... 8                             
# -------------------------------------------------------------------------------------------------
global p2one
global p2two 
global p2three
global p2four
global p2five
global p2six
global p2seven
global p2eight
                    
# -------------------------------------------------------------------------------------------------
# Queues - queue zero for main program -  queue 1...8 for process 1...8                             
# -------------------------------------------------------------------------------------------------
global queue2zero
global queue2one
global queue2two
global queue2three
global queue2four
global queue2five
global queue2six
global queue2seven
global queue2eight

   

#"
#/>
       
       
       
# -------------------------------------------------------------------------------------------------
# Settings - copied from load2one4xi.py results to access faster by verb4xi.py
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "

ack4queues = False
nack4queues = True

ack4pipes = False
nack4pipes = True

ack2one4process = False
nack2one4process = True

ack2two4process = False
nack2two4process = True

ack2three4process = False
nack2three4process = True

ack2four4process = False
nack2four4process = True

ack2five4process = False
nack2five4process = True

ack2six4process = False
nack2six4process = True

ack2seven4process = False
nack2seven4process = True

ack2eight4process = False
nack2eight4process = True


ack2one4run = False
nack2one4run = True

ack2two4run = False
nack2two4run = True

ack2three4run = False
nack2three4run = True

ack2four4run = False
nack2four4run = True

ack2five4run = False
nack2five4run = True

ack2six4run = False
nack2six4run = True

ack2seven4run = False
nack2seven4run = True

ack2eight4run = False
nack2eight4run = True

ack2one4start = False
nack2one4start = True

ack2two4start = False
nack2two4start = True

ack2three4start = False
nack2three4start = True

ack2four4start = False
nack2four4start = True

ack2five4start = False
nack2five4start = True

ack2six4start = False
nack2six4start = True

ack2seven4start = False
nack2seven4start = True

ack2eight4start = False
nack2eight4start = True



#"
#"/>



            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "command2verb4zap" usage = "to command for verbs">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def command2verb4zap():
    '''
    commands for verbs
    '''

    # ---------------------------------------------------------------------------------------------
    # QUEUE, PIPE, PROCESS, START AND RUN STATES - ACK = OK - NACK = NOT OK
    # ---------------------------------------------------------------------------------------------   
    global ack4queues
    global nack4queues
    
    global ack4pipes
    global nack4pipes
    
   
    global ack2one4process
    global nack2one4process
    
    global ack2two4process
    global nack2two4process
    
    global ack2three4process
    global nack2three4process
    
    global ack2four4process
    global nack2four4process
    
    global ack2five4process
    global nack2five4process
    
    global ack2six4process
    global nack2six4process
    
    global ack2seven4process
    global nack2seven4process
    
    global ack2eight4process
    global nack2eight4process
    
    
    global ack2one4start
    global nack2one4start
    
    global ack2two4start
    global nack2two4start
    
    global ack2three4start
    global nack2three4start
    
    global ack2four4start
    global nack2four4start
    
    global ack2five4start
    global nack2five4start
    
    global ack2six4start
    global nack2six4start
    
    global ack2seven4start
    global nack2seven4start
    
    global ack2eight4start
    global nack2eight4start
    
    
    global ack2one4run
    global nack2one4run
    
    global ack2two4run
    global nack2two4run
    
    global ack2three4run
    global nack2three4run
    
    global ack2four4run
    global nack2four4run
    
    global ack2five4run
    global nack2five4run
    
    global ack2six4run
    global nack2six4run
    
    global ack2seven4run
    global nack2seven4run
    
    global ack2eight4run
    global nack2eight4run
    
    # ---------------------------------------------------------------------------------------------
    # Colors for Layers 
    # ---------------------------------------------------------------------------------------------    
    global ColorKB2Layer4Xi 
                                                                                                                                                                                              
    # -------------------------------------------------------------------------------------------------
    # Pipe Channels - consumer & publisher - pipe zero for main program -  pipe 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    global pipe2zero_consumer_channel
    global pipe2zero_publisher_channel
    global pipe2one_consumer_channel
    global pipe2one_publisher_channel
    global pipe2two_consumer_channel
    global pipe2two_publisher_channel
    global pipe2three_consumer_channel
    global pipe2three_publisher_channel
    global pipe2four_consumer_channel
    global pipe2four_publisher_channel
    global pipe2five_consumer_channel
    global pipe2five_publisher_channel
    global pipe2six_consumer_channel
    global pipe2six_publisher_channel
    global pipe2seven_consumer_channel
    global pipe2seven_publisher_channel
    global pipe2eight_consumer_channel
    global pipe2eight_publisher_channel
    
                        
    # -------------------------------------------------------------------------------------------------
    # Processes - one for each direction 1 ... 8                             
    # -------------------------------------------------------------------------------------------------
    global p2one
    global p2two 
    global p2three
    global p2four
    global p2five
    global p2six
    global p2seven
    global p2eight
                        
    # -------------------------------------------------------------------------------------------------
    # Queues - queue zero for main program -  queue 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    global queue2zero
    global queue2one
    global queue2two
    global queue2three
    global queue2four
    global queue2five
    global queue2six
    global queue2seven
    global queue2eight
    
    # --------------------------------------------------------------------------------------------------------------------
    # ZAP KnowledgeBase to eight (8) directions with 34 layers: 2 (skeleton), 100,200 ... 3100, 3200(cluster) ,3300(super)
    # --------------------------------------------------------------------------------------------------------------------   
    global Zap0KB4Xi
    global Zap1KB4Xi
    global Zap2KB4Xi
    global Zap3KB4Xi
    global Zap4KB4Xi
    global Zap5KB4Xi
    global Zap6KB4Xi
    global Zap7KB4Xi
    global Zap8KB4Xi
    
    global ZapKB4Xi
    
    # --------------------------------------------------------------------------------------------------------------------
    # Keys to ZAP KnowledgeBase
    # --------------------------------------------------------------------------------------------------------------------
    global keys2zap0kb4xi      
    global keys2zap1kb4xi
    global keys2zap2kb4xi
    global keys2zap3kb4xi
    global keys2zap4kb4xi
    global keys2zap5kb4xi
    global keys2zap6kb4xi
    global keys2zap7kb4xi
    global keys2zap8kb4xi
    
    global keys2zapkb4xi    
            
        
    # -----------------------------------------------------------------------------------------
    # INITIALIZE 
    # -----------------------------------------------------------------------------------------      
    ack2debug = True                                                                                                # normal trace 
    ack2dragontrace = False                                                                                         # dragonized trace
    
    Statistics2Actors = {}
    
   
    count2key = 0
    count2passed = 0
    count2warnings = 0 
    count2ack = 0
    count2nack = 0
  
    
    # -----------------------------------------------------------------------------------------------------
    # PROCESS COMMUNICATION CREATING                           
    # -----------------------------------------------------------------------------------------------------    
  
    if ack2debug is True:
        print('=' *33)          
        print('\n (Step 1A1/800) OF COMMAND2VERB4ZAP - STARTING TO CREATE MECHANISMS FOR PROCESS COMMUNICATION - TIME: ', time4xi())  
        print('=' *33)                                                                                              #  

    class2print  = 'command2verb4zap'
    method2print = 'command2verb4zap'
       
    if ack2dragontrace is True:
        message2print = "{(Step 1A1/800) started" + "; command2verb4zap-started: " + str(command2verb4zap)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # 
        
          
                                                                                                                            
    try:
        # -----------------------------------------------------------------------------------------    
        # (Step 1A2/800)
        # -----------------------------------------------------------------------------------------     
        if ack2debug is True:
            print("\n (Step 1A2/800) OF COMMAND2VERB4ZAP - CREATING PIPES WITH CONSUMER AND PUBLISHER ENDS")
        if ack2dragontrace is True:
            message2print = "{(Step 1A2/800) trying" + "; pipes-with-consumer-and-publisher-ends-trying-by-command2verb4zap" + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)         
                    
        ack4pipes = False
        nack4pipes = True
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A20/800) ZERO PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2zero_consumer_channel, pipe2zero_publisher_channel = Pipe4Xi()
            if ack2debug is True:
                print("\n (Step 1A20a/800) OF COMMAND2VERB4ZAP - CREATED PIPE2ZERO_CONSUMER_CHANNEL")               # read-write PipeConnection, handle 168>  
                print(pipe2zero_consumer_channel)
                print("\n (Step 1A20b/800) OF COMMAND2VERB4ZAP - CREATED PIPE2ZERO_PUBLISHER_CHANNEL")  
                print(pipe2zero_publisher_channel)                                                                  # <read-write PipeConnection, handle 204>
                print("\n (Step 1A20c/33) : CREATED PIPE2ZERO WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A20a/800) created" + "; pipe2zero-consumer-channel-created-by-command2verb4zap: " + str(pipe2zero_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                  # pipe2zero-consumer-channel-created-by-command2verb4zap: <read-write PipeConnection, handle 168>   
                message2print = "{(Step 1A20b/800) created" + "; pipe2zero-publisher-channel-created-by-command2verb4zap: " + str(pipe2zero_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                  # pipe2zero-publisher-channel-created-by-command2verb4zap: <read-write PipeConnection, handle 204>          
                            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A20z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE PIPE2ZERO ***")
            if ack2dragontrace is True:
                message2print = "{(Step 1A20z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
        
                    
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A21/800) ONE PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2one_consumer_channel, pipe2one_publisher_channel = Pipe4Xi()
            if ack2debug is True:            
                print("\n (Step 1A21a/800) OF COMMAND2VERB4ZAP - CREATED PIPE2ONE_CONSUMER_CHANNEL")   
                print(pipe2one_consumer_channel)                                                                    # <read-write PipeConnection, handle 224>
                print("\n (Step 1A21b/800) OF COMMAND2VERB4ZAP - CREATED PIPE2ONE_PUBLISHER_CHANNEL")  
                print(pipe2one_publisher_channel)                                                                   # <read-write PipeConnection, handle 220>
                print("\n (Step 1A21c/800) OF COMMAND2VERB4ZAP - CREATED PIPE2ONE WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A21a/800) created" + "; pipe2one-consumer-channel-created-by-command2verb4zap: " + str(pipe2one_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
                message2print = "{(Step 1A21b/800) created" + "; pipe2one-publisher-channel-created-by-command2verb4zap: " + str(pipe2one_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
                                
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A21z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE PIPE2ONE ***")
            if ack2dragontrace is True:
                message2print = "{(Step 1A21z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)             
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A22/800) TWO PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2two_consumer_channel, pipe2two_publisher_channel = Pipe4Xi()
            if ack2debug is True:                
                print("\n (Step 1A22a/800) OF COMMAND2VERB4ZAP - CREATED PIPE2TWO_CONSUMER_CHANNEL")   
                print(pipe2two_consumer_channel)                                                                    # <read-write PipeConnection, handle 252>
                print("\n (Step 1A22b/800) OF COMMAND2VERB4ZAP - CREATED PIPE2TWO_PUBLISHER_CHANNEL")  
                print(pipe2two_publisher_channel)                                                                   # <read-write PipeConnection, handle 256>
                print("\n (Step 1A22c/800) OF COMMAND2VERB4ZAP - CREATED PIPE2TWO WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A22a/800) created" + "; pipe2two-consumer-channel-created-by-command2verb4zap: " + str(pipe2two_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
                message2print = "{(Step 1A22b/800) created" + "; pipe2two-publisher-channel-created-by-command2verb4zap: " + str(pipe2two_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                     
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A22z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE PIPE2TWO ***")
            if ack2dragontrace is True:
                message2print = "{(Step 1A22z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)               
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A23/800) THREE PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2three_consumer_channel, pipe2three_publisher_channel = Pipe4Xi()
            if ack2debug is True:              
                print("\n (Step 1A23a/800) OF COMMAND2VERB4ZAP - CREATED PIPE2THREE_CONSUMER_CHANNEL")   
                print(pipe2three_consumer_channel)                                                                 # <read-write PipeConnection, handle 260>
                print("\n (Step 1A23b/800) OF COMMAND2VERB4ZAP - CREATED PIPE2THREE_PUBLISHER_CHANNEL")  
                print(pipe2three_publisher_channel)                                                                # <read-write PipeConnection, handle 264>
                print("\n (Step 1A23c/800) OF COMMAND2VERB4ZAP - CREATED PIPE2THREE WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A23a/800) created" + "; pipe2three-consumer-channel-created-by-command2verb4zap: " + str(pipe2three_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
                message2print = "{(Step 1A23b/800) created" + "; pipe2three-publisher-channel-created-by-command2verb4zap: " + str(pipe2three_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                     
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A23z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE PIPE2THREE ***")
            if ack2dragontrace is True:
                message2print = "{(Step 1A23z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)              
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A24/800) FOUR PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2four_consumer_channel, pipe2four_publisher_channel = Pipe4Xi()
            if ack2debug is True:            
                print("\n (Step 1A24a/800) OF COMMAND2VERB4ZAP - CREATED PIPE2FOUR_CONSUMER_CHANNEL")   
                print(pipe2four_consumer_channel)                                                                 # <read-write PipeConnection, handle 268>
                print("\n (Step 1A24b/800) OF COMMAND2VERB4ZAP - CREATED PIPE2FOUR_PUBLISHER_CHANNEL")  
                print(pipe2four_publisher_channel)                                                                # <read-write PipeConnection, handle 272>
                print("\n (Step 1A24c/800) OF COMMAND2VERB4ZAP - CREATED PIPE2FOUR WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A24a/800) created" + "; pipe2four-consumer-channel-created-by-command2verb4zap: " + str(pipe2four_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
                message2print = "{(Step 1A24b/800) created" + "; pipe2four-publisher-channel-created-by-command2verb4zap: " + str(pipe2four_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                      
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A24az/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PIPE2FOUR ***")
            if ack2dragontrace is True:
                message2print = "{(Step 1A24z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)               
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A25/800) FIVE PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2five_consumer_channel, pipe2five_publisher_channel = Pipe4Xi()
            if ack2debug is True:              
                print("\n (Step 1A25a/800) OF COMMAND2VERB4ZAP - CREATED PIPE2FIVE_CONSUMER_CHANNEL")   
                print(pipe2five_consumer_channel)                                                                  # <read-write PipeConnection, handle 276>
                print("\n (Step 1A25b/800) OF COMMAND2VERB4ZAP - CREATED PIPE2FIVE_PUBLISHER_CHANNEL")  
                print(pipe2five_publisher_channel)                                                                 # <read-write PipeConnection, handle 280>
                print("\n (Step 1A25c/800) OF COMMAND2VERB4ZAP - CREATED PIPE2FIVE WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A25a/800) created" + "; pipe2five-consumer-channel-created-by-command2verb4zap: " + str(pipe2five_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
                message2print = "{(Step 1A25b/800) created" + "; pipe2five-publisher-channel-created-by-command2verb4zap: " + str(pipe2five_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                     
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A25z/800) OF COMMAND2VERB4ZAP -  *** FAILED TO CREATE PIPE2FIVE ***")
            message2print = "{(Step 1A25z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)              
            
            nack4pipes = True
            ack4pipes = False  
                                   
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A26/800) SIX PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2six_consumer_channel, pipe2six_publisher_channel = Pipe4Xi()
            if ack2debug is True:                   
                print("\n (Step 1A26a/800) OF COMMAND2VERB4ZAP -  CREATED PIPE2SIX_CONSUMER_CHANNEL")   
                print(pipe2six_consumer_channel)                                                                    # <read-write PipeConnection, handle 284>
                print("\n (Step 1A26b/800) OF COMMAND2VERB4ZAP -  CREATED PIPE2SIX_PUBLISHER_CHANNEL")  
                print(pipe2six_publisher_channel)                                                                   # <read-write PipeConnection, handle 288>
                print("\n (Step 1A26c/33)  OF ACTOR4XI -  CREATED PIPE2SIX WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A26a/800) created" + "; pipe2six-consumer-channel-created-by-command2verb4zap: " + str(pipe2six_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
                message2print = "{(Step 1A26b/800) created" + "; pipe2six-publisher-channel-created-by-command2verb4zap: " + str(pipe2six_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                     
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A26z/800) OF COMMAND2VERB4ZAP -  *** FAILED TO CREATE PIPE2SIX ***")
            message2print = "{(Step 1A26z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A27/800) SEVEN PIPE
            # -----------------------------------------------------------------------------------------     
            pipe2seven_consumer_channel, pipe2seven_publisher_channel = Pipe4Xi()
            if ack2debug is True:                     
                print("\n (Step 1A27a/800) OF COMMAND2VERB4ZAP -  CREATED PIPE2SEVEN_CONSUMER_CHANNEL")   
                print(pipe2seven_consumer_channel)                                                                  # <read-write PipeConnection, handle 292> 
                print("\n (Step 1A27b/800) OF COMMAND2VERB4ZAP -  CREATED PIPE2SEVEN_PUBLISHER_CHANNEL")  
                print(pipe2seven_publisher_channel)                                                                 # <read-write PipeConnection, handle 296>
                print("\n (Step 1A27c/800) OF COMMAND2VERB4ZAP -  CREATED PIPE2SEVEN WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A27a/800) created" + "; pipe2seven-consumer-channel-created-by-command2verb4zap: " + str(pipe2seven_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
                message2print = "{(Step 1A27b/800) created" + "; pipe2seven-publisher-channel-created-by-command2verb4zap: " + str(pipe2seven_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                     
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A27z/800) OF COMMAND2VERB4ZAP -  *** FAILED TO CREATE PIPE2SEVEN ***")
            message2print = "{(Step 1A27z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                 
            nack4pipes = True
            ack4pipes = False  
                                    
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 1A28/800) EIGHT PIPE
            # -----------------------------------------------------------------------------------------     
            pipe2eight_consumer_channel, pipe2eight_publisher_channel = Pipe4Xi()
            if ack2debug is True:                   
                print("\n (Step 1A28a/800) OF COMMAND2VERB4ZAP -  CREATED PIPE2EIGHT_CONSUMER_CHANNEL")   
                print(pipe2eight_consumer_channel)                                                                  # <read-write PipeConnection, handle 300>
                print("\n (Step 1A28b/800) OF COMMAND2VERB4ZAP -  CREATED PIPE2EIGHT_PUBLISHER_CHANNEL")  
                print(pipe2eight_publisher_channel)                                                                 # <read-write PipeConnection, handle 304>
                print("\n (Step 1A28c/800) OF COMMAND2VERB4ZAP -  CREATED PIPE2EIGHT WITH CONSUMER AND PUBLISHER ENDS")
            if ack2dragontrace is True:
                message2print = "{(Step 1A28a/800) created" + "; pipe2eight-consumer-channel-created-by-command2verb4zap: " + str(pipe2eight_consumer_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # pipe2eight-consumer-channel-created-by-command2verb4zap: <read-write PipeConnection, handle 300>         
                message2print = "{(Step 1A28b/800) created" + "; pipe2eight-publisher-channel-created-by-command2verb4zap: " + str(pipe2eight_publisher_channel) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # pipe2eight-publisher-channel-created-by-command2verb4zap: <read-write PipeConnection, handle 304>                      
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 1A28z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PIPE2EIGHT ***")
            message2print = "{(Step 1A26z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)               
            nack4pipes = True
            ack4pipes = False
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B20/800) ZERO QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                    
                print('=' *33)    
                print("\n (Step 2B20a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2ZERO")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B20a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)   
                         
            queue2zero = Queue4Xi()
            
            if ack2debug is True:               
                print('=' *33)    
                print("\n (Step 2B20b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2ZERO: ", queue2zero)                  # <queue4xi.Queue4Xi object at 0x055D9430> 
            if ack2dragontrace is True:
                message2print = "{(Step 2B20b/800) created" + "; queue2zero-created-by-command2verb4zap: " + str(queue2zero) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
               
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B20z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2ZERO ***")
            message2print = "{(Step 2B20z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            ack4queues = False
            nack4queues = True   
            
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B21/800) ONE QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:              
                print('=' *33)    
                print("\n (Step 2B21a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2ONE")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B21a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
                             
            queue2one = Queue4Xi()
            
            if ack2debug is True:              
                print('=' *33)    
                print("\n (Step 2B21b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2ONE: ", queue2one)                    # <queue4xi.Queue4Xi object at 0x055D9CD0>
            if ack2dragontrace is True:
                message2print = "{(Step 2B21b/800) created" + "; queue2one-created-by-command2verb4zap: " + str(queue2one) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B21z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2ONE ***")
            message2print = "{(Step 2B21z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B22/800) TWO QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (Step 2B22a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2TWO")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B22a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
                    
            queue2two = Queue4Xi()
            
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (Step 2B22b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2TWO: ", queue2two)                    # <queue4xi.Queue4Xi object at 0x056010B0> 
            if ack2dragontrace is True:
                message2print = "{(Step 2B22b/800) created" + "; queue2two-created-by-command2verb4zap: " + str(queue2two) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B22z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2TWO ***")
            message2print = "{(Step 2B22z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B23/800) THREE QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:              
                print('=' *33)    
                print("\n (Step 2B23a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2THREE")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B23a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
                    
            queue2three = Queue4Xi()
            
            if ack2debug is True:              
                print('=' *33)    
                print("\n (Step 2B23b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2THREE: ", queue2three)                # <queue4xi.Queue4Xi object at 0x05658610> 
            if ack2dragontrace is True:
                message2print = "{(Step 2B23b/800) created" + "; queue2three-created-by-command2verb4zap: " + str(queue2three) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B23z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2THREE ***")
            message2print = "{(Step 2B23z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B24/800) FOUR QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:             
                print('=' *33)    
                print("\n (Step 2B24a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2FOUR")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B24a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
                    
            queue2four = Queue4Xi()
            
            if ack2debug is True:             
                print('=' *33)    
                print("\n (Step 2B24b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2FOUR: ", queue2four)                  # <queue4xi.Queue4Xi object at 0x05677EF0>
            if ack2dragontrace is True:
                message2print = "{(Step 2B24b/800) created" + "; queue2four-created-by-command2verb4zap: " + str(queue2four) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B24z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2FOUR ***")
            message2print = "{(Step 2B24z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B25/800) FIVE QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:               
                print('=' *33)    
                print("\n (Step 2B25a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2FIVE")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B25a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
                    
            queue2five = Queue4Xi()
            
            if ack2debug is True:               
                print('=' *33)    
                print("\n (Step 2B25b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2FIVE: ", queue2five)                  # <queue4xi.Queue4Xi object at 0x0568D370> 
            if ack2dragontrace is True:
                message2print = "{(Step 2B25b/800) created" + "; queue2five-created-by-command2verb4zap: " + str(queue2five) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B25z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2FIVE ***")
            message2print = "{(Step 2B25z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B26/800) SIX QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                
                print('=' *33)    
                print("\n (Step 2B26a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2SIX")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B26a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
                    
            queue2six = Queue4Xi()
            
            if ack2debug is True:    
                print('=' *33)    
                print("\n (Step 2B26b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2SIX: ", queue2six)                    # <queue4xi.Queue4Xi object at 0x0570BD70> 
            if ack2dragontrace is True:
                message2print = "{(Step 2B26b/800) created" + "; queue2six-created-by-command2verb4zap: " + str(queue2six) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B26z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2SIX ***")
            message2print = "{(Step 2B26z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B27/800) SEVEN QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                  
                print('=' *33)    
                print("\n (Step 2B27a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2SEVEN")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B27a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
                    
            queue2seven = Queue4Xi()
            
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (Step 2B27b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2SEVEN: ", queue2seven)                # <queue4xi.Queue4Xi object at 0x057283F0> 
            if ack2dragontrace is True:
                message2print = "{(Step 2B27b/800) created" + "; queue2seven-created-by-command2verb4zap: " + str(queue2seven) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B27z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2SEVEN ***")
            message2print = "{(Step 2B27z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # (Step 2B28/800) EIGHT QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                  
                print('=' *33)    
                print("\n (Step 2B28a/800) OF COMMAND2VERB4ZAP - CREATING QUEUE2EIGHT")
                print('=' *33)           
            if ack2dragontrace is True:
                message2print = "{(Step 2B28a/800) trying" + "; Queue4Xi-trying-by-command2verb4zap: " + str(Queue4Xi)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
                    
            queue2eight = Queue4Xi()
            
            if ack2debug is True:     
                print('=' *33)    
                print("\n (Step 2B28b/800) OF COMMAND2VERB4ZAP - CREATED QUEUE2EIGHT: ", queue2eight)                # <queue4xi.Queue4Xi object at 0x0578DD50> 
            if ack2dragontrace is True:
                message2print = "{(Step 2B28b/800) created" + "; queue2eight-created-by-command2verb4zap: " + str(queue2eight) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (Step 2B28z/800) OF COMMAND2VERB4ZAP - *** FAILED TO CREATE QUEUE2EIGHT ***")
            message2print = "{(Step 2B28z/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
            ack4queues = False
            nack4queues = True 
                                                                                                                                                                                                                                                                                                                                                                                                                                       
    except:
        # ---------------------------------------------------------------------------------------------    
        #
        # ---------------------------------------------------------------------------------------------     
        print("\n (Step 2B28z2/800)/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE COMMUNICATION MECHANISMS ***")
        message2print = "{(Step 2B28zz/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                                                                                                                     
    # -------------------------------------------------------------------------------------------------    
    # (Step 2C/800)
    # -------------------------------------------------------------------------------------------------    
    if ((ack4queues is True) and (ack4pipes is True)):
        if ack2debug is True:
            print("\n (Step 2C1/800) OF COMMAND2VERB4ZAP - SUCCEEDED TO CREATE PIPE AND QUEUE COMMUNICATION MECHANISMS FOR PROCESSES ", time4xi())
                                                                                                                    # SUCCEEDED TO CREATE PIPE AND QUEUE COMMUNICATION MECHANISMS FOR PROCESSES  07:58:31 10/26/10 Pacific Daylight Time
        if ack2dragontrace is True:
            message2print = "{(Step 2C1/800) created" + "; Queue4Xi-created-by-command2verb4zap: " + str(Queue4Xi) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)         
                         
    else:
        print("\n (Step 2C3a/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PIPE AND QUEUE COMMUNICATION MECHANISMS FOR PROCESSES *** ", time4xi())               
        if ack2dragontrace is True:
            message2print = "{(Step 2C3a/800) hit" + "; Queue4Xi-hit-by-command2verb4zap: " + " *** " + str(Queue4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            message2print = "{(Step 2C3b/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)     
                  
    # =====================================================================================================
    # STEP 3 - COMMAND AND CONTROL MESSAGES PUT AND GET MANOEUVRES                         
    # =====================================================================================================              
    if ack2debug is True:
        print("\n (Step 3A/800) OF COMMAND2VERB4ZAP - TRYING TO PUT AND SEND COMMAND AND CONTROL MESSAGES ", time4xi()) 
        # 
    if ack2dragontrace is True:
        message2print = "{(Step 3A/800) trying" + "; Queue4Xi-trying-by-command2verb4zap " + str(Queue4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            
    ack2command = False 
    
    try:
        # -------------------------------------------------------------------------------------------------
        # PUT COMMAND AND CONTROL MESSAGES TO EIGHT QUEUES                         
        # ------------------------------------------------------------------------------------------------- 
        message2put4one = "<copy4xi>copy2one</copy4xi>"
        queue2one.put(message2put4one)
        if ack2debug is True:   
            print("\n (Step 3C1/800) OF COMMAND2VERB4ZAP - PUT TO QUEUE2ONE: ", queue2one, " MESSAGE2PUT4ONE: " , message2put4one)
                                                                                                                    # <copy4xi>copy2one</copy4xi> 
        if ack2dragontrace is True:
            message2print = "{(Step 3C1/800) put" + "; message2put4one-put-by-command2verb4zap: " + str(message2put4one)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
                                                                                                                            
        
        message2put4two = "<copy4xi>copy2two</copy4xi>"
        queue2two.put(message2put4two)
        if ack2debug is True:   
            print("\n (Step 3C2/800) OF COMMAND2VERB4ZAP - PUT TO QUEUE2TWO: ", queue2two, " MESSAGE2PUT4TWO: " , message2put4two)
        if ack2dragontrace is True:
            message2print = "{(Step 3C2/800) put" + "; message2put4two-put-by-command2verb4zap: " + str(message2put4two)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <copy4xi>copy2two</copy4xi>                 
        
        message2put4three = "<copy4xi>copy2three</copy4xi>"
        queue2three.put(message2put4three)
        if ack2debug is True:   
            print("\n (Step 3C3/800) OF COMMAND2VERB4ZAP - PUT TO QUEUE2THREE: ", queue2three, " MESSAGE2PUT4THREE: " , message2put4three)
        if ack2dragontrace is True:
            message2print = "{(Step 3C3/800) put" + "; message2put4three-put-by-command2verb4zap: " + str(message2put4three)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <copy4xi>copy2three</copy4xi>                 
        
        message2put4four = "<copy4xi>copy2four</copy4xi>"
        queue2four.put(message2put4four)
        if ack2debug is True:   
            print("\n (Step 3C4/800) OF COMMAND2VERB4ZAP - PUT TO QUEUE2FOUR: ", queue2four, " MESSAGE2PUT4FOUR: " , message2put4four)
        if ack2dragontrace is True:
            message2print = "{(Step 3C4/800) put" + "; message2put4four-put-by-command2verb4zap: " + str(message2put4four)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <copy4xi>copy2four</copy4xi>                 
        
        message2put4five = "<copy4xi>copy2five</copy4xi>"
        queue2five.put(message2put4five)
        if ack2debug is True:   
            print("\n (Step 3C5/800) OF COMMAND2VERB4ZAP - PUT TO QUEUE2FIVE: ", queue2five, " MESSAGE2PUT4FIVE: " , message2put4five)
        if ack2dragontrace is True:
            message2print = "{(Step 3C5/800) put" + "; message2put4five-put-by-command2verb4zap: " + str(message2put4five)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <copy4xi>copy2five</copy4xi>                 
        
        message2put4six = "<copy4xi>copy2six</copy4xi>"
        queue2six.put(message2put4six)
        if ack2debug is True:   
            print("\n (Step 3C6/800) OF COMMAND2VERB4ZAP - PUT TO QUEUE2SIX: ", queue2six, " MESSAGE2PUT4SIX: " , message2put4six)
        if ack2dragontrace is True:
            message2print = "{(Step 3C6/800) put" + "; message2put4six-put-by-command2verb4zap: " + str(message2put4six)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <copy4xi>copy2six</copy4xi>                 
        
        message2put4seven = "<copy4xi>copy2seven</copy4xi>"
        queue2seven.put(message2put4seven)
        if ack2debug is True:   
            print("\n (Step 3C7/800) OF COMMAND2VERB4ZAP - PUT TO QUEUE2SEVEN: ", queue2seven, " MESSAGE2PUT4SEVEN: " , message2put4seven)
        if ack2dragontrace is True:
            message2print = "{(Step 3C7/800) put" + "; message2put4seven-put-by-command2verb4zap: " + str(message2put4seven)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <copy4xi>copy2seven</copy4xi>                 
        
        message2put4eight = "<copy4xi>copy2eight</copy4xi>"
        queue2eight.put(message2put4eight)
        if ack2debug is True:   
            print("\n (Step 3C8/800) OF COMMAND2VERB4ZAP - PUT TO QUEUE2EIGHT: ", queue2eight, " MESSAGE2PUT4EIGHT: " , message2put4eight)
        if ack2dragontrace is True:
            message2print = "{(Step 3C8/800) put" + "; message2put4eight-put-by-command2verb4zap: " + str(message2put4eight)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # message2put4eight-put-by-command2verb4zap: <copy4xi>copy2eight</copy4xi>                 
                                                  
        # -------------------------------------------------------------------------------------------------
        # SEND COMMAND AND CONTROL MESSAGES TO EIGHT PIPES                          
        # -------------------------------------------------------------------------------------------------                 
        
        message2send4one = "<copy4xi>copy2one</copy4xi>"
        pipe2one_publisher_channel.send(message2send4one)
        if ack2debug is True:   
            print("\n (Step 3F1/800) OF COMMAND2VERB4ZAP - SEND TO PIPE2ONE_PUBLISHER_CHANNEL: ", pipe2one_publisher_channel, " MESSAGE2SEND4ONE: " , message2send4one)
                                                                                                                    # <read-write PipeConnection, handle 220>  MESSAGE2SEND4ONE:  <copy4xi>copy2one</copy4xi>
        if ack2dragontrace is True:
            message2print = "{(Step 3F1/800) sent" + "; message2send4one-sent-by-command2verb4zap: " + str(message2send4one)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)     
        
        message2send4two = "<copy4xi>copy2two</copy4xi>"
        pipe2two_publisher_channel.send(message2send4two)
        if ack2debug is True:   
            print("\n (Step 3F2/800) OF COMMAND2VERB4ZAP - SEND TO PIPE2TWO_PUBLISHER_CHANNEL: ", pipe2two_publisher_channel, " MESSAGE2SEND4TWO: " , message2send4two)
        if ack2dragontrace is True:
            message2print = "{(Step 3F2/800) sent" + "; message2send4two-sent-by-command2verb4zap: " + str(message2send4two)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                                                                                       # <read-write PipeConnection, handle 256>  MESSAGE2SEND4TWO:  <copy4xi>copy2two</copy4xi>
        
        message2send4three = "<copy4xi>copy2three</copy4xi>"
        pipe2three_publisher_channel.send(message2send4three)
        if ack2debug is True:   
            print("\n (Step 3F3/800) OF COMMAND2VERB4ZAP - SEND TO PIPE2THREE_PUBLISHER_CHANNEL: ", pipe2three_publisher_channel, " MESSAGE2SEND4THREE: " , message2send4three)
        if ack2dragontrace is True:
            message2print = "{(Step 3F3/800) sent" + "; message2send4three-sent-by-command2verb4zap: " + str(message2send4three)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                                                                                       # <read-write PipeConnection, handle 264>  MESSAGE2SEND4THREE:  <copy4xi>copy2three</copy4xi>
        
        message2send4four = "<copy4xi>copy2four</copy4xi>"
        pipe2four_publisher_channel.send(message2send4four)
        if ack2debug is True:   
            print("\n (Step 3F4/800) OF COMMAND2VERB4ZAP - SEND TO PIPE2FOUR_PUBLISHER_CHANNEL: ", pipe2four_publisher_channel, " MESSAGE2SEND4FOUR: " , message2send4four)
        if ack2dragontrace is True:
            message2print = "{(Step 3F4/800) sent" + "; message2send4four-sent-by-command2verb4zap: " + str(message2send4four)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                                                                                       #  <read-write PipeConnection, handle 272>  MESSAGE2SEND4FOUR:  <copy4xi>copy2four</copy4xi>         
        
        message2send4five = "<copy4xi>copy2five</copy4xi>"
        pipe2five_publisher_channel.send(message2send4five)
        if ack2debug is True:   
            print("\n (Step 3F5/800) OF COMMAND2VERB4ZAP - SEND TO PIPE2FIVE_PUBLISHER_CHANNEL: ", pipe2five_publisher_channel, " MESSAGE2SEND4FIVE: " , message2send4five)
        if ack2dragontrace is True:
            message2print = "{(Step 3F5/800) sent" + "; message2send4five-sent-by-command2verb4zap: " + str(message2send4five)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                                                                                       # <read-write PipeConnection, handle 280>  MESSAGE2SEND4FIVE:  <copy4xi>copy2five</copy4xi>
        
        message2send4six = "<copy4xi>copy2six</copy4xi>"
        pipe2six_publisher_channel.send(message2send4six)
        if ack2debug is True:   
            print("\n (Step 3F6/800) OF COMMAND2VERB4ZAP - SEND TO PIPE2SIX_PUBLISHER_CHANNEL: ", pipe2six_publisher_channel, " MESSAGE2SEND4SIX: " , message2send4six)
        if ack2dragontrace is True:
            message2print = "{(Step 3F6/800) sent" + "; message2send4six-sent-by-command2verb4zap: " + str(message2send4six)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                                                                                       # <read-write PipeConnection, handle 288>  MESSAGE2SEND4SIX:  <copy4xi>copy2six</copy4xi>
        
        message2send4seven = "<copy4xi>copy2seven</copy4xi>"
        pipe2seven_publisher_channel.send(message2send4seven)
        if ack2debug is True:   
            print("\n (Step 3F7/800) OF COMMAND2VERB4ZAP - SEND TO PIPE2SEVEN_PUBLISHER_CHANNEL: ", pipe2seven_publisher_channel, " MESSAGE2SEND4SEVEN: " , message2send4seven)
        if ack2dragontrace is True:
            message2print = "{(Step 3F7/800) sent" + "; message2send4seven-sent-by-command2verb4zap: " + str(message2send4seven)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                                                                                       #  <read-write PipeConnection, handle 296>  MESSAGE2SEND4SEVEN:  <copy4xi>copy2seven</copy4xi>
        
        message2send4eight = "<copy4xi>copy2eight</copy4xi>"
        pipe2eight_publisher_channel.send(message2send4eight)
        if ack2debug is True:   
            print("\n (Step 3F8/800) OF COMMAND2VERB4ZAP - SEND TO PIPE2EIGHT_PUBLISHER_CHANNEL: ", pipe2eight_publisher_channel, " MESSAGE2SEND4EIGHT: " , message2send4eight) #  <read-write PipeConnection, handle 304>  MESSAGE2SEND4EIGHT:  <copy4xi>copy2eight</copy4xi>                      
 
        if ack2dragontrace is True:
            message2print = "{(Step 3F8/800) sent" + "; message2send4eight-sent-by-command2verb4zap: " + str(message2send4eight)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # message2send4eight-sent-by-command2verb4zap: <copy4xi>copy2eight</copy4xi>                                                                                                                        
        ack2command = True
        
        if ack2debug is True:                 
            print("\n (Step 3F9/800) OF COMMAND2VERB4ZAP - SUCCEEDED TO SETUP COMMAND AND CONTROL WITH QUEUS AND PIPES ", time4xi()) 
                                                                                                                    # SUCCEEDED TO SETUP COMMAND AND CONTROL WITH QUEUS AND PIPES  03:43:37 12/06/10 Pacific Standard Time
              
    except:
        # ---------------------------------------------------------------------------------------------    
        #
        # ---------------------------------------------------------------------------------------------     
        print("\n (Step 3Z/800) OF COMMAND2VERB4ZAP *** FAILED TO SETUP COMMAND AND CONTROL ***")             
        message2print = "{(Step 3Z/800) hit" + "; Pipe4Xi-hit-by-command2verb4zap: " + " *** " + str(Pipe4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
        
    # =====================================================================================================
    # (Step 4/800) CREATE PROCESSES - ONE FOR EACH DIRECTION OF EIGHT 
    # =====================================================================================================        
     
    #========
    # ONE
    #======== 
    if ack2debug is True:
        print("\n (Step 4A/800) OF COMMAND2VERB4ZAP - TRYING TO CREATE PROCESS ONE") 
    if ack2dragontrace is True:
        message2print = "{(Step 4A/800) trying" + "; Process4Xi-trying-by-command2verb4zap: " + str(Process4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
                        
    try:                
        # -----------------------------------------------------------------------------------------    
        # 1 - CREATE PROCESS WITH TARGET FUNCTION, WHICH ACTIVATES 34 THREADS
        # -----------------------------------------------------------------------------------------                     
        # if ack2debug is True:
            # print("\n (Step 4B/800) OF COMMAND2VERB4ZAP - KB2ZAP: ", Zap1KB4Xi)                                  # 
                                                                                                                   # 
                                                                                                                   
        p2one = Process4Xi(target=zap0000one4xi, args=(queue2one, pipe2one_consumer_channel, pipe2one_publisher_channel, Zap1KB4Xi))
        if ack2debug is True:
            print("\n (Step 4C/800) OF COMMAND2VERB4ZAP - CREATED PROCESS OBJECT P2ONE: ", p2one)                  # <Process4Xi(Process4Xi-1, initial)>                     
        if ack2dragontrace is True:
            message2print = "{(Step 4C/800) created" + "; p2one-created-by-command2verb4zap: " + str(p2one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                     # p2one-created-by-command2verb4zap: <Process4Xi(Process4Xi-1, initial)>         
                     
        # -----------------------------------------------------------------------------------------    
        # 1 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2one = p2one.name
        if ack2debug is True:
            print("\n (Step 4D/800) OF COMMAND2VERB4ZAP - NAME2ONE: ", name2one)                                   # Process4Xi-1   
                 
        ack2one4process = True
        nack2one4process = False
    except:
        nack2one4process = True
        ack2one4process = False 
        print("\n (Step 4Z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PROCESS *** ")                           
        message2print = "{(Step 4Z/800) hit" + "; Process4Xi-hit-by-command2verb4zap: " + " *** " + str(Process4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
                
  
    #=========
    # TWO
    #=========
    if ack2debug is True:
        print("\n (Step 5A/800) OF COMMAND2VERB4ZAP - TRYING TO CREATE PROCESS TWO") 
    if ack2dragontrace is True:
        message2print = "{(Step 5A/800) trying" + "; Process4Xi-trying-by-command2verb4zap: " + str(Process4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
                                          
    try:                
        # -----------------------------------------------------------------------------------------    
        # 2 - CREATE PROCESS WITH TARGET FUNCTION, WHICH ACTIVATES 34 THREADS
        # -----------------------------------------------------------------------------------------                     
        # if ack2debug is True:
            # print("\n (Step 5B/800) OF COMMAND2VERB4ZAP - KB2ZAP: ", Zap2KB4Xi)                                  # 
            
                
        p2two = Process4Xi(target=zap0000two4xi, args=(queue2two, pipe2two_consumer_channel, pipe2two_publisher_channel, Zap2KB4Xi))
        if ack2debug is True:
            print("\n (Step 5C/800) OF COMMAND2VERB4ZAP - CREATED PROCESS OBJECT P2TWO: ", p2two)                  # <Process4Xi(Process4Xi-2, initial)>                   
        if ack2dragontrace is True:
            message2print = "{(Step 5C/800) created" + "; p2two-created-by-command2verb4zap: " + str(p2two) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)               
                    
        # -----------------------------------------------------------------------------------------    
        # 2 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2two = p2two.name
        if ack2debug is True:
            print("\n (Step 5B/800) OF COMMAND2VERB4ZAP - NAME2TWO: ", name2two) 
            # 
     
        ack2two4process = True
        nack2two4process = False
    except:
        nack2two4process = True
        ack2two4process = False 
        print("\n (Step 5Z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PROCESS *** ")                                        
        message2print = "{(Step 5Z/800) hit" + "; Process4Xi-hit-by-command2verb4zap: " + " *** " + str(Process4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
    #========
    # THREE 
    #======== 
    if ack2debug is True:
        print("\n (Step 6A/800) OF COMMAND2VERB4ZAP - TRYING TO CREATE PROCESS THREE")
    if ack2dragontrace is True:
        message2print = "{(Step 6A/800) trying" + "; Process4Xi-trying-by-command2verb4zap: " + str(Process4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
    try:                
        # -----------------------------------------------------------------------------------------    
        # 3 - CREATE PROCESS WITH TARGET FUNCTION, WHICH ACTIVATES 34 THREADS
        # -----------------------------------------------------------------------------------------                     
        # if ack2debug is True:
            # print("\n (Step 6B/800) OF COMMAND2VERB4ZAP - KB2ZAP: ", Zap3KB4Xi)                                  # 
                                                                                                                   #       
        p2three = Process4Xi(target=zap0000three4xi, args=(queue2three, pipe2three_consumer_channel, pipe2three_publisher_channel, Zap3KB4Xi))
        if ack2debug is True:
            print("\n (Step 6C/800) OF COMMAND2VERB4ZAP - CREATED PROCESS OBJECT P2THREE: ", p2three)              # <Process4Xi(Process4Xi-3, initial)>                   
        if ack2dragontrace is True:
            message2print = "{(Step 6C/800) created" + "; p2three-created-by-command2verb4zap: " + str(p2three) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)               
                    
        # -----------------------------------------------------------------------------------------    
        # 3 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2three = p2three.name
        if ack2debug is True:
            print("\n (Step 6B/800) OF COMMAND2VERB4ZAP - NAME2THREE: ", name2three)                               # Process4Xi-3 
            
     
        ack2three4process = True
        nack2three4process = False
    except:
        nack2three4process = True
        ack2three4process = False 
        print("\n (Step 6Z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PROCESS *** ")                                        
        message2print = "{(Step 6Z/800) hit" + "; Process4Xi-hit-by-command2verb4zap: " + " *** " + str(Process4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
    
    #===========
    # FOUR
    #=========== 
    if ack2debug is True:
        print("\n (Step 7A/800) OF COMMAND2VERB4ZAP - TRYING TO CREATE PROCESS FOUR")
    if ack2dragontrace is True:
        message2print = "{(Step 7A/800) trying" + "; Process4Xi-trying-by-command2verb4zap: " + str(Process4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
    try:                
        # -----------------------------------------------------------------------------------------    
        # 4 - CREATE PROCESS WITH TARGET FUNCTION, WHICH ACTIVATES 34 THREADS
        # -----------------------------------------------------------------------------------------                     
        # if ack2debug is True:
            # print("\n (Step 7B/800) OF COMMAND2VERB4ZAP - KB2ZAP: ", Zap4KB4Xi)                                  # 
                                                                                                                   #               
        p2four = Process4Xi(target=zap0000four4xi, args=(queue2four, pipe2four_consumer_channel, pipe2four_publisher_channel, Zap4KB4Xi))
        if ack2debug is True:
            print("\n (Step 7C/800) OF COMMAND2VERB4ZAP - CREATED PROCESS OBJECT P2FOUR: ", p2four)                # <Process4Xi(Process4Xi-4, initial)>                  
        if ack2dragontrace is True:
            message2print = "{(Step 7C/800) created" + "; p2four-created-by-command2verb4zap: " + str(p2four) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)               
                    
        # -----------------------------------------------------------------------------------------    
        # 4 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2four = p2four.name
        if ack2debug is True:
            print("\n (Step 7B/800) OF COMMAND2VERB4ZAP - NAME2FOUR: ", name2four) 
            # 
     
        ack2four4process = True
        nack2four4process = False
    except:
        nack2four4process = True
        ack2four4process = False 
        print("\n (Step 7Z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PROCESS *** ")                                        
        message2print = "{(Step 7Z/800) hit" + "; Process4Xi-hit-by-command2verb4zap: " + " *** " + str(Process4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
    
    #===========
    # FIVE
    #=========== 
    if ack2debug is True:
        print("\n (Step 8A/800) OF COMMAND2VERB4ZAP - TRYING TO CREATE PROCESS FIVE")
    if ack2dragontrace is True:
        message2print = "{(Step 8A/800) trying" + "; Process4Xi-trying-by-command2verb4zap: " + str(Process4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                    
    try:                
        # -----------------------------------------------------------------------------------------    
        # 5 - CREATE PROCESS WITH TARGET FUNCTION, WHICH ACTIVATES 34 THREADS
        # -----------------------------------------------------------------------------------------                     
        # if ack2debug is True:
            # print("\n (Step 8B/800) OF COMMAND2VERB4ZAP - KB2ZAP: ", Zap5KB4Xi)                                  # 
                                                                                                                   #                   
        p2five = Process4Xi(target=zap0000five4xi, args=(queue2five, pipe2five_consumer_channel, pipe2five_publisher_channel, Zap5KB4Xi))
        if ack2debug is True:
            print("\n (Step 8C/800) OF COMMAND2VERB4ZAP - CREATED PROCESS OBJECT P2FIVE: ", p2five)                # <Process4Xi(Process4Xi-5, initial)>                   
        if ack2dragontrace is True:
            message2print = "{(Step 8C/800) created" + "; p2five-created-by-command2verb4zap: " + str(p2five) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)               
                    
        # -----------------------------------------------------------------------------------------    
        # 5 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2five = p2five.name
        if ack2debug is True:
            print("\n (Step 8B/800) OF COMMAND2VERB4ZAP - NAME2FIVE: ", name2five)  
            # 
     
        ack2five4process = True
        nack2five4process = False
    except:
        nack2five4process = True
        ack2five4process = False 
        print("\n (Step 8Z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PROCESS *** ")                                        
        message2print = "{(Step 8Z/800) hit" + "; Process4Xi-hit-by-command2verb4zap: " + " *** " + str(Process4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
    
    #===========
    # SIX
    #===========         
    if ack2debug is True:
        print("\n (Step 9A/800) OF COMMAND2VERB4ZAP - TRYING TO CREATE PROCESS SIX")
    if ack2dragontrace is True:
        message2print = "{(Step 9A/800) trying" + "; Process4Xi-trying-by-command2verb4zap: " + str(Process4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
    try:                
        # -----------------------------------------------------------------------------------------    
        # 6 - CREATE PROCESS WITH TARGET FUNCTION, WHICH ACTIVATES 34 THREADS
        # -----------------------------------------------------------------------------------------                     
        # if ack2debug is True:
            # print("\n (Step 9B/800) OF COMMAND2VERB4ZAP - KB2ZAP: ", Zap6KB4Xi)                                  # 
                                                                                                                   #                      
        p2six = Process4Xi(target=zap0000six4xi, args=(queue2six, pipe2six_consumer_channel, pipe2six_publisher_channel, Zap6KB4Xi))
        if ack2debug is True:
            print("\n (Step 9C/800) OF COMMAND2VERB4ZAP - CREATED PROCESS OBJECT P2SIX: ", p2six)                  # <Process4Xi(Process4Xi-6, initial)>                    
        if ack2dragontrace is True:
            message2print = "{(Step 9C/800) created" + "; p2six-created-by-command2verb4zap: " + str(p2six) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)               
                    
        # -----------------------------------------------------------------------------------------    
        # 6 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2six = p2six.name
        if ack2debug is True:
            print("\n (Step 9B/800) OF COMMAND2VERB4ZAP - NAME2SIX: ", name2six) 
            # 
     
        ack2six4process = True
        nack2six4process = False
    except:
        nack2six4process = True
        ack2six4process = False 
        print("\n (Step 9Z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PROCESS *** ")                                        
        message2print = "{(Step 9Z/800) hit" + "; Process4Xi-hit-by-command2verb4zap: " + " *** " + str(Process4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
    
    #=============
    # SEVEN
    #=============               
 
    if ack2debug is True:
        print("\n (Step 10A/800) OF COMMAND2VERB4ZAP - TRYING TO CREATE PROCESS SEVEN")
    if ack2dragontrace is True:
        message2print = "{(Step 10A/800) trying" + "; Process4Xi-trying-by-command2verb4zap: " + str(Process4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
    try:                 
        # -----------------------------------------------------------------------------------------    
        # 7 - CREATE PROCESS WITH TARGET FUNCTION, WHICH ACTIVATES 34 THREADS
        # -----------------------------------------------------------------------------------------                     
        # if ack2debug is True:
            # print("\n (Step 10B/800) OF COMMAND2VERB4ZAP - KB2ZAP: ", Zap7KB4Xi)                                 # 
                                                                                                                   #                      
        p2seven = Process4Xi(target=zap0000seven4xi, args=(queue2seven, pipe2seven_consumer_channel, pipe2seven_publisher_channel, Zap7KB4Xi))
        if ack2debug is True:
            print("\n (Step 10C/800) OF COMMAND2VERB4ZAP - CREATED PROCESS OBJECT P2SEVEN: ", p2seven)             # <Process4Xi(Process4Xi-7, initial)>                  
        if ack2dragontrace is True:
            message2print = "{(Step 10C/800) created" + "; p2seven-created-by-command2verb4zap: " + str(p2seven) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)   
                    
        ack2seven4process = True
        nack2seven4process = False     
    except:
        nack2seven4process = True
        ack2seven4process = False 
        print("\n (Step 10Z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PROCESS *** ")
        message2print = "{(Step 10Z/800) hit" + "; Process4Xi-hit-by-command2verb4zap: " + " *** " + str(Process4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                    
    if ack2seven4process is True:                            
        # -----------------------------------------------------------------------------------------    
        # 7 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2seven = p2seven.name
        if ack2debug is True:
            print("\n (Step 10D/800) OF COMMAND2VERB4ZAP - NAME2SEVEN: ", name2seven)                              # 
        if ack2dragontrace is True:
            message2print = "{(Step 10D/800) got" + "; name2seven-got-by-command2verb4zap: " + str(name2seven)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)

        ack2seven4process = True
        nack2seven4process = False
    else:
        print("\n (Step 10B2/800) OF COMMAND2VERB4ZAP ** SKIPPED CHECKING NAME2SEVEN - PROCESS SEVEN DID NOT EXIST **") 
        print("\n (Step 10B3/800) OF COMMAND2VERB4ZAP ** QUEUE2SEVEN: ", queue2seven)     
        print("\n (Step 10B4/800) OF COMMAND2VERB4ZAP ** PIPE2SEVEN_CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)                             
        print("\n (Step 10B5/800) OF COMMAND2VERB4ZAP ** PIPE2SEVEN_PUBLISHER_CHANNEL: ", pipe2seven_publisher_channel)               
        print("\n (Step 10B6/800) OF COMMAND2VERB4ZAP ** CHARGE2SEVEN4XI: ", charge2seven4xi)
    
    #=============
    # EIGHT
    #=============              
    if ack2debug is True:
        print("\n (Step 11A/800) OF COMMAND2VERB4ZAP - TRYING TO CREATE PROCESS EIGHT")  
    if ack2dragontrace is True:
        message2print = "{(Step 11A/800) trying" + "; Process4Xi-trying-by-command2verb4zap: " + str(Process4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
    try:                
        # -----------------------------------------------------------------------------------------    
        # 8 - CREATE PROCESS WITH TARGET FUNCTION, WHICH ACTIVATES 34 THREADS 
        # -----------------------------------------------------------------------------------------                     
        # if ack2debug is True:
            # print("\n (Step 11B/800) OF COMMAND2VERB4ZAP - KB2ZAP: ", Zap8KB4Xi)                                 # 
                                                                                                                   #                 
        p2eight = Process4Xi(target=zap0000eight4xi, args=(queue2eight, pipe2eight_consumer_channel, pipe2eight_publisher_channel, Zap8KB4Xi))
        if ack2debug is True:
            print("\n (Step 11C/800) OF COMMAND2VERB4ZAP - CREATED PROCESS OBJECT P2EIGHT: ", p2eight)             # <Process4Xi(Process4Xi-8, initial)>                   
        if ack2dragontrace is True:
            message2print = "{(Step 11C/800) created" + "; p2eight-created-by-command2verb4zap: " + str(p2eight) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                     # p2eight-created-by-command2verb4zap: <Process4Xi(Process4Xi-8, initial)>            
                    
        # -----------------------------------------------------------------------------------------    
        # 8 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2eight = p2eight.name
        if ack2debug is True:
            print("\n (Step 11C/800) OF COMMAND2VERB4ZAP - NAME2EIGHT: ", name2eight)                              #  
        if ack2dragontrace is True:
            message2print = "{(Step 11D/800) got" + "; name2eight-got-by-command2verb4zap: " + str(name2eight)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)            
     
        ack2eight4process = True
        nack2eight4process = False
    except:
        nack2eight4process = True
        ack2eight4process = False 
        print("\n (Step 11Z/800) OF COMMAND2VERB4ZAP *** FAILED TO CREATE PROCESS *** ")
        message2print = "{(Step 11Z/800) hit" + "; Process4Xi-hit-by-command2verb4zap: " + " *** " + str(Process4Xi)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
         
    # =====================================================================================================
    # EOF CREATING PROCESSES - ONE FOR EACH DIRECTION OF EIGHT 
    # =====================================================================================================        
                                       

    # =====================================================================================================   
    # START PROCESSES - FOR DIRECTIONS ONE TO EIGHT 
    # =====================================================================================================      
    
    #========
    # ONE
    #========
    nack2one4start = True
    ack2one4start = False      
                                   
    if ack2one4process is True:
        # -----------------------------------------------------------------------------------------    
        # 1 - START PROCESS FOR DIRECTION DIRECTION 1
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (Step 12C1/800) OF COMMAND2VERB4ZAP - STARTING PROCESS NAME: ", name2one)                    # Process4Xi-1 

                    
        try:
            p2one.start()
            if ack2debug is True:
                print("\n (Step 12C2/800) OF COMMAND2VERB4ZAP - STARTED PROCESS NAME: ", name2one)                 # Process4Xi-1
            if ack2dragontrace is True:
                message2print = "{(Step 12C2/800) performed" + "; p2one-start-performed-by-command2verb4zap: " + str(p2one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                 # p2one-start-performed-by-command2verb4zap: <bound method Process4Xi.start of <Process4Xi(Process4Xi-1, stopped)>>    
                  
            ack2one4start = True
            nack2one4start = False 
        except:
            print("\n (Step 12C3/800) OF COMMAND2VERB4ZAP *** FAILED TO START PROCESS ONE") 
    else:
        print("\n (Step 12C4/800) OF COMMAND2VERB4ZAP ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS ONE")                          


    
    #=========
    # TWO
    #=========
    nack2two4start = True
    ack2two4start = False                                         
    
    if ack2two4process is True:
        # -----------------------------------------------------------------------------------------    
        # 2 - START PROCESS FOR DIRECTION DIRECTION 2
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (Step 13C1/800) OF COMMAND2VERB4ZAP - STARTING PROCESS NAME: ", name2two)                    # Process4Xi-2 
            
        try:
            p2two.start()
            if ack2debug is True:
                print("\n (Step 13C2/800) OF COMMAND2VERB4ZAP - STARTED PROCESS NAME: ", name2two)                 # Process4Xi-2
            if ack2dragontrace is True:
                message2print = "{(Step 13C2/800) performed" + "; p2two-start-performed-by-command2verb4zap: " + str(p2two.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                  
                        
            ack2two4start = True
            nack2two4start = False 
        except:
            print("\n (Step 13C3/800) OF COMMAND2VERB4ZAP *** FAILED TO START PROCESS TWO")   
    else:
        print("\n (Step 13C4/800) OF COMMAND2VERB4ZAP ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS TWO")                         


    #========
    # THREE 
    #======== 
    nack2three4start = True
    ack2three4start = False     
                                  
    if ack2three4process is True:
        # -----------------------------------------------------------------------------------------    
        # 3 - START PROCESS FOR DIRECTION DIRECTION 3
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (Step 14C1/800) OF COMMAND2VERB4ZAP - STARTING PROCESS NAME: ", name2three)                  # Process4Xi-3
            
        try:
            p2three.start()
            if ack2debug is True:
                print("\n (Step 14C2/800) OF COMMAND2VERB4ZAP - STARTED PROCESS NAME: ", name2three)               # Process4Xi-3
            if ack2dragontrace is True:
                message2print = "{(Step 14C2/800) performed" + "; p2three-start-performed-by-command2verb4zap: " + str(p2three.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                  
                        
            ack2three4start = True
            nack2three4start = False 
        except:
            print("\n (Step 14C3/800) OF COMMAND2VERB4ZAP *** FAILED TO START PROCESS THREE")  
            nack2three4start = True
            ack2three4start = False                            
    else:
        print("\n (Step 14C4/800) OF COMMAND2VERB4ZAP ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS THREE")   

    
    #===========
    # FOUR
    #=========== 
    nack2four4start = True
    ack2four4start = False   
                                   
    if ack2four4process is True:
        # -----------------------------------------------------------------------------------------    
        # 4 - START PROCESS FOR DIRECTION DIRECTION 4
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (Step 15C1/800) OF COMMAND2VERB4ZAP - STARTING PROCESS NAME: ", name2four)                   # Process4Xi-4
            
        try:
            p2four.start()
            if ack2debug is True:
                print("\n (Step 15C2/800) OF COMMAND2VERB4ZAP - STARTED PROCESS NAME: ", name2four)                # Process4Xi-4
            if ack2dragontrace is True:
                message2print = "{(Step 15C2/800) performed" + "; p2four-start-performed-by-command2verb4zap: " + str(p2four.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                  
                        
            ack2four4start = True
            nack2four4start = False 
        except:
            print("\n (Step 15C3/800) OF COMMAND2VERB4ZAP *** FAILED TO START PROCESS FOUR") 
    else:
        print("\n (Step 15C4/800) OF COMMAND2VERB4ZAP ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS FOUR")                            


    
    #===========
    # FIVE
    #=========== 
    nack2five4start = True
    ack2five4start = False 
                    
    if ack2five4process is True:
        # -----------------------------------------------------------------------------------------    
        # 5 - START PROCESS FOR DIRECTION DIRECTION 5
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (Step 16C1/800) OF COMMAND2VERB4ZAP - STARTING PROCESS NAME: ", name2five)                   # Process4Xi-5
            
        try:
            p2five.start()
            if ack2debug is True:
                print("\n (Step 16C2/800) OF COMMAND2VERB4ZAP - STARTED PROCESS NAME: ", name2five)                # Process4Xi-5
            if ack2dragontrace is True:
                message2print = "{(Step 16C2/800) performed" + "; p2five-start-performed-by-command2verb4zap: " + str(p2five.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                  
                        
            ack2five4start = True
            nack2five4start = False 
        except:
            print("\n (Step 16C3/800) OF COMMAND2VERB4ZAP *** FAILED TO START PROCESS FIVE") 
    else:
        print("\n (Step 16C4/800) OF COMMAND2VERB4ZAP ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS FIVE")                        


    
    #===========
    # SIX
    #===========         
    nack2six4start = True
    ack2six4start = False        
                                   
    if ack2six4process is True:
        # -----------------------------------------------------------------------------------------    
        # 6 - START PROCESS FOR DIRECTION DIRECTION 6
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (Step 17C1/800) OF COMMAND2VERB4ZAP - STARTING PROCESS NAME: ", name2six)                    # Process4Xi-6
            
        try:
            p2six.start()
            if ack2debug is True:
                print("\n (Step 17C2/800) OF COMMAND2VERB4ZAP - STARTED PROCESS NAME: ", name2six)                 # Process4Xi-6
            if ack2dragontrace is True:
                message2print = "{(Step 17C2/800) performed" + "; p2six-start-performed-by-command2verb4zap: " + str(p2six.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                  
                        
            ack2six4start = True
            nack2six4start = False 
        except:
            print("\n (Step 17C3/800) OF COMMAND2VERB4ZAP *** FAILED TO START PROCESS SIX")  
    else:
        print("\n (Step 17C4/800) OF COMMAND2VERB4ZAP ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS SIX")                       


    
    #=============
    # SEVEN
    #=============              
    nack2seven4start = True
    ack2seven4start = False         
                                   
    if ack2seven4process is True:
        # -----------------------------------------------------------------------------------------    
        # 7 - START PROCESS FOR DIRECTION DIRECTION 7
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (Step 18C1/800) OF COMMAND2VERB4ZAP - STARTING PROCESS NAME: ", name2seven)                  # Process4Xi-7
            
        try:
            p2seven.start()
            if ack2debug is True:
                print("\n (Step 18C2/800) OF COMMAND2VERB4ZAP - STARTED PROCESS NAME: ", name2seven)               # Process4Xi-7
            if ack2dragontrace is True:
                message2print = "{(Step 18C2/800) performed" + "; p2seven-start-performed-by-command2verb4zap: " + str(p2seven.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                  
                        
            ack2seven4start = True
            nack2seven4start = False 
        except:
            print("\n (Step 18C3/800) OF COMMAND2VERB4ZAP *** FAILED TO START PROCESS SEVEN")   
    else:
        print("\n (Step 18C4/800) OF COMMAND2VERB4ZAP ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS SEVEN")                      


    
    #=============
    # EIGHT
    #=============              
    nack2eight4start = True
    ack2eight4start = False                                        
    
    if ack2eight4process is True:
        # -----------------------------------------------------------------------------------------    
        # 8 - START PROCESS FOR DIRECTION DIRECTION 8
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (Step 19C1/800) OF COMMAND2VERB4ZAP - STARTING PROCESS NAME: ", name2eight)                  # Process4Xi-8
            
        try:
            p2eight.start()
            if ack2debug is True:
                print("\n (Step 19C2/800) OF COMMAND2VERB4ZAP - STARTED PROCESS NAME: ", name2eight)               # Process4Xi-8
            if ack2dragontrace is True:
                message2print = "{(Step 19C2/800) performed" + "; p2eight-start-performed-by-command2verb4zap: " + str(p2eight.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                 # p2eight-start-performed-by-command2verb4zap: <bound method Process4Xi.start of <Process4Xi(Process4Xi-8, stopped)>>                 
                        
            ack2eight4start = True
            nack2eight4start = False 
        except:
            print("\n (Step 19C3/800) OF COMMAND2VERB4ZAP *** FAILED TO START PROCESS EIGHT") 
    else:
        print("\n (Step 19C4/800) OF COMMAND2VERB4ZAP ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS EIGHT")                          


    # =====================================================================================================   
    # EOF STARTING PROCESSES - FOR DIRECTIONS ONE TO EIGHT 
    # =====================================================================================================      
   

    # =====================================================================================================   
    # RUN PROCESSES - FOR DIRECTIONS ONE TO EIGHT 
    # =====================================================================================================      
    
    #========
    # ONE
    #========
    nack2one4run = True
    ack2one4run = False  
                                                   
    if ack2one4process is True:

        if ack2one4start is True:
            # -----------------------------------------------------------------------------------------    
            # 1 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A1a/800) OF COMMAND2VERB4ZAP - TESTING WHETHER PROCESS NAME: ", name2one, " IS ALIVE")# Process4Xi-1  IS ALIVE 
                
            try:
                alive2one = p2one.is_alive()                    
                if ack2debug is True:
                    print("\n (Step 20A1b/800) OF COMMAND2VERB4ZAP - PROCESS STATUS: ", alive2one)                 # True 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A1b/800) analyzed" + "; alive2one-analyzed-by-command2verb4zap: " + str(alive2one) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                             # alive2one-analyzed-by-command2verb4zap: True
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 1 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A1c/800) OF COMMAND2VERB4ZAP - TRYING TO RUN PROCESS NAME: ", name2one)               
            if ack2dragontrace is True:
                message2print = "{(Step 20A1c/800) trying" + "; name2one-trying-by-command2verb4zap: " + str(name2one)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)         
                        
            try: 
                p2one.run()
                if ack2debug is True:
                    print("\n (Step 20A1d/800) OF COMMAND2VERB4ZAP - PERFORMED RUN TO PROCESS NAME: ", name2one)   # Process4Xi-1 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A1d/800) performed" + "; p2one-run-performed-by-command2verb4zap: " + str(p2one.run) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # p2one-run-performed-by-command2verb4zap: <bound method Process4Xi.run of <Process4Xi(Process4Xi-1, stopped)>>     
                ack2one4run = True
                nack2one4run = False  
            except:
                print("\n (Step 20A1e/800) OF COMMAND2VERB4ZAP *** FAILED TO RUN PROCESS NAME: ", name2one)

        else:
            print("\n (Step 20A1f/800) OF COMMAND2VERB4ZAP ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2one)
    else:
        print("\n (Step 20A1g/800) OF COMMAND2VERB4ZAP ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS ONE")                                  

    
    #=========
    # TWO
    #=========
    ack2two4run = False
    nack2two4run = True 
                
    if ack2two4process is True:
                

        if ack2two4start is True:
            # -----------------------------------------------------------------------------------------    
            # 2 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A2a/800) OF COMMAND2VERB4ZAP - TESTING WHETHER PROCESS NAME: ", name2two, " IS ALIVE")  
                
            try:
                alive2two = p2two.is_alive()                    
                if ack2debug is True:
                    print("\n (Step 20A2b/800) OF COMMAND2VERB4ZAP - PROCESS STATUS: ", alive2two)                  # True 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A2b/800) analyzed" + "; alive2two-analyzed-by-command2verb4zap: " + str(alive2two) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 2 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 21A2c/800) OF COMMAND2VERB4ZAP - TRYING TO RUN PROCESS NAME: ", name2two)
            if ack2dragontrace is True:
                message2print = "{(Step 20A2c/800) trying" + "; name2two-trying-by-command2verb4zap: " + str(name2two)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)  
            try: 
                p2two.run()
                if ack2debug is True:
                    print("\n (Step 21A2d/800) OF COMMAND2VERB4ZAP - PERFORMED RUN TO PROCESS NAME: ", name2two)    # Process4Xi-2
                if ack2dragontrace is True:
                    message2print = "{(Step 20A2d/800) performed" + "; p2two-run-performed-by-command2verb4zap: " + str(p2two.run) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                      
                
                nack2two4run = False
                ack2two4run = True   
            except:
                print("\n (Step 21A2e/800) OF COMMAND2VERB4ZAP *** FAILED TO RUN PROCESS NAME: ", name2two)

        else:
            print("\n (Step 21A2f/800) OF COMMAND2VERB4ZAP ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2two)
                            
    else:
        print("\n (Step 21A2g/800) OF COMMAND2VERB4ZAP ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS TWO")  
        
    #========
    # THREE 
    #======== 
    ack2three4run = False
    nack2three4run = True
     
    if ack2three4process is True:

        if ack2three4start is True:
            # -----------------------------------------------------------------------------------------    
            # 3 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A3a/800) OF COMMAND2VERB4ZAP - TESTING WHETHER PROCESS NAME: ", name2three, " IS ALIVE") 
                
            try:
                alive2three = p2three.is_alive()                    
                if ack2debug is True:
                    print("\n (Step 20A3b/800) OF COMMAND2VERB4ZAP - PROCESS STATUS: ", alive2three)                  # True 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A3b/800) analyzed" + "; threalive2e-analyzed-by-command2verb4zap: " + str(thalive2ree) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 3 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A3c/800) OF COMMAND2VERB4ZAP - TRYING TO RUN PROCESS NAME: ", name2three)         
            if ack2dragontrace is True:
                message2print = "{(Step 20A3c/800) trying" + "; name2three-trying-by-command2verb4zap: " + str(name2three)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                 
            
            try: 
                p2three.run()
                if ack2debug is True:
                    print("\n (Step 20A3d/800) OF COMMAND2VERB4ZAP - PERFORMED RUN TO PROCESS NAME: ", name2three)  # Process4Xi-3
                if ack2dragontrace is True:
                    message2print = "{(Step 20A3d/800) performed" + "; p2three-run-performed-by-command2verb4zap: " + str(p2three.run) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                      
                
                nack2three4run = False
                ack2three4run = True   
            except:
                print("\n (Step 20A3e/800) OF COMMAND2VERB4ZAP *** FAILED TO RUN PROCESS NAME: ", name2three)

        else:
            print("\n (Step 20A3f/800) OF COMMAND2VERB4ZAP ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2three)
                            
    else:
        print("\n (Step 20Aga/800) OF COMMAND2VERB4ZAP ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS THREE")  
    
    #===========
    # FOUR
    #=========== 
    ack2four4run = False
    nack2four4run = True
     
    if ack2four4process is True:

        if ack2four4start is True:
            # -----------------------------------------------------------------------------------------    
            # 4 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A4a/800) OF COMMAND2VERB4ZAP - TESTING WHETHER PROCESS NAME: ", name2four, " IS ALIVE") 
                
            try:
                alive2four = p2four.is_alive()                    
                if ack2debug is True:
                    print("\n (Step 20A4b/800) OF COMMAND2VERB4ZAP - PROCESS STATUS: ", alive2four)                  # True 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A4b/800) analyzed" + "; foalive2ur-analyzed-by-command2verb4zap: " + str(falive2our) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 4 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A4c/800) OF COMMAND2VERB4ZAP - TRYING TO RUN PROCESS NAME: ", name2four)          # 
            if ack2dragontrace is True:
                message2print = "{(Step 20A4c/800) trying" + "; name2four-trying-by-command2verb4zap: " + str(name2four)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                 
            try: 
                p2four.run()
                if ack2debug is True:
                    print("\n (Step 20A4d/800) OF COMMAND2VERB4ZAP - PERFORMED RUN TO PROCESS NAME: ", name2four)   # Process4Xi-4
                if ack2dragontrace is True:
                    message2print = "{(Step 20A4d/800) performed" + "; p2four-run-performed-by-command2verb4zap: " + str(p2four.run) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                      
                 
                nack2four4run = False
                ack2four4run = True   
            except:
                print("\n (Step 20A4e/800) OF COMMAND2VERB4ZAP *** FAILED TO RUN PROCESS NAME: ", name2four)

        else:
            print("\n (Step 20A4f/800) OF COMMAND2VERB4ZAP ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2four)
    else:
        print("\n (Step 20A4g/800) OF COMMAND2VERB4ZAP ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS FOUR")                              

    
    #===========
    # FIVE
    #=========== 
    ack2five4run = False
    nack2five4run = True 
                        
    if ack2five4process is True:

        if ack2five4start is True:
            # -----------------------------------------------------------------------------------------    
            # 5 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A5a/800) OF COMMAND2VERB4ZAP - TESTING WHETHER PROCESS NAME: ", name2five, " IS ALIVE")  # 
               
            try:
                alive2five = p2five.is_alive()                    
                if ack2debug is True:
                    print("\n (Step 20A5b/800) OF COMMAND2VERB4ZAP - PROCESS STATUS: ", alive2five)                  # True 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A5b/800) analyzed" + "; alive2five-analyzed-by-command2verb4zap: " + str(alive2five) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 5 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A5c/800) OF COMMAND2VERB4ZAP - TRYING TO RUN PROCESS NAME: ", name2five)          
            if ack2dragontrace is True:
                message2print = "{(Step 20A5c/800) trying" + "; name2five-trying-by-command2verb4zap: " + str(name2five)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                 
            try: 
                p2five.run()
                if ack2debug is True:
                    print("\n (Step 20A5d/800) OF COMMAND2VERB4ZAP - PERFORMED RUN TO PROCESS NAME: ", name2five)   # Process4Xi-5
                if ack2dragontrace is True:
                    message2print = "{(Step 20A5d/800) performed" + "; p2five-run-performed-by-command2verb4zap: " + str(p2five.run) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                      
                
                nack2five4run = False
                ack2five4run = True   
            except:
                print("\n (Step 20A5e/800) OF COMMAND2VERB4ZAP *** FAILED TO RUN PROCESS NAME: ", name2five)

        else:
            print("\n (Step 20A5f/800) OF COMMAND2VERB4ZAP ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2five)
    else:
        print("\n (Step 20A5g/800) OF COMMAND2VERB4ZAP ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS FIVE")                              

    #===========
    # SIX
    #===========         
    ack2six4run = False
    nack2six4run = True 
                     
    if ack2six4process is True:

        if ack2six4start is True:
            # -----------------------------------------------------------------------------------------    
            # 6 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A6a/800) OF COMMAND2VERB4ZAP - TESTING WHETHER PROCESS NAME: ", name2six, " IS ALIVE") 
                
            try:
                alive2six = p2six.is_alive()                    
                if ack2debug is True:
                    print("\n (Step 20A6b/800) OF COMMAND2VERB4ZAP - PROCESS STATUS: ", alive2six)                  # True 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A6b/800) analyzed" + "; alive2six-analyzed-by-command2verb4zap: " + str(alive2six) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 6 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A6c/800) OF COMMAND2VERB4ZAP - TRYING TO RUN PROCESS NAME: ", name2six)
            if ack2dragontrace is True:
                message2print = "{(Step 20A6c/800) trying" + "; name2six-trying-by-command2verb4zap: " + str(name2six)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            try: 
                p2six.run()
                if ack2debug is True:
                    print("\n (Step 20A6d/800) OF COMMAND2VERB4ZAP - PERFORMED RUN TO PROCESS NAME: ", name2six)    # Process4Xi-6
                if ack2dragontrace is True:
                    message2print = "{(Step 20A6d/800) performed" + "; p2six-run-performed-by-command2verb4zap: " + str(p2six.run) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                      
                 
                nack2six4run = False
                ack2six4run = True   
            except:
                if ack2debug is True:
                    print("\n (Step 20A6e/800) OF COMMAND2VERB4ZAP *** FAILED TO RUN PROCESS NAME: ", name2six)
                    ack2six4run = False
                nack2six4run = True 
        else:
            print("\n (Step 20A6f/800) OF COMMAND2VERB4ZAP ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2six)
                            
    else:
        print("\n (Step 20A6g/800) OF COMMAND2VERB4ZAP ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS SIX")  
    

     
    #=============
    # SEVEN
    #=============              
    ack2seven4run = False
    nack2seven4run = True 
                
    if ack2seven4process is True:

        if ack2seven4start is True:
            # -----------------------------------------------------------------------------------------    
            # 7 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A7a/800) OF COMMAND2VERB4ZAP - TESTING WHETHER PROCESS NAME: ", name2seven, " IS ALIVE") # 
                
            try:
                alive2seven = p2seven.is_alive()                    
                if ack2debug is True:
                    print("\n (Step 20A7b/800) OF COMMAND2VERB4ZAP - PROCESS STATUS: ", alive2seven)                  # True 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A7b/800) analyzed" + "; alive2seven-analyzed-by-command2verb4zap: " + str(alive2seven) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 7 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A7c/800) OF COMMAND2VERB4ZAP - TRYING TO RUN PROCESS NAME: ", name2seven)         
            if ack2dragontrace is True:
                message2print = "{(Step 20A7c/800) trying" + "; name2seven-trying-by-command2verb4zap: " + str(name2seven)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                 
            try: 
                p2seven.run()
                if ack2debug is True:
                    print("\n (Step 20A7d/800) OF COMMAND2VERB4ZAP - PERFORMED RUN TO PROCESS NAME: ", name2seven)  # Process4Xi-7
                if ack2dragontrace is True:
                    message2print = "{(Step 20A7d/800) performed" + "; p2seven-run-performed-by-command2verb4zap: " + str(p2seven.run) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                       
                
                nack2seven4run = False
                ack2seven4run = True   
            except:
                print("\n (Step 20A7e/800) OF COMMAND2VERB4ZAP *** FAILED TO RUN PROCESS NAME: ", name2seven)

        else:
            print("\n (Step 20A7f/800) OF COMMAND2VERB4ZAP ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2seven)
    else:
        print("\n (Step 20A7g/800) OF COMMAND2VERB4ZAP ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS SEVEN")                              

    
    #=============
    # EIGHT
    #=============              
    ack2eight4run = False
    nack2eight4run = True 
                
    if ack2eight4process is True:

        if ack2eight4start is True:
            # -----------------------------------------------------------------------------------------    
            # 8 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A8a/800) OF COMMAND2VERB4ZAP - TESTING WHETHER PROCESS NAME: ", name2eight, " IS ALIVE") #  
                
            try:
                alive2eight = p2eight.is_alive()                    
                if ack2debug is True:
                    print("\n (Step 20A1b/800) OF COMMAND2VERB4ZAP - PROCESS STATUS: ", alive2eight)                  # True 
                if ack2dragontrace is True:
                    message2print = "{(Step 20A1b/800) analyzed" + "; alive2eight-analyzed-by-command2verb4zap: " + str(alive2eight) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 8 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 20A8c/800) OF COMMAND2VERB4ZAP - TRYING TO RUN PROCESS NAME: ", name2eight)        
            if ack2dragontrace is True:
                message2print = "{(Step 20A8c/800) trying" + "; name2eight-trying-by-command2verb4zap: " + str(name2eight)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                 
            try: 
                p2eight.run()
                if ack2debug is True:
                    print("\n (Step 20A8d/800) OF COMMAND2VERB4ZAP - PERFORMED RUN TO PROCESS NAME: ", name2eight)  # Process4Xi-8
                if ack2dragontrace is True:
                    message2print = "{(Step 20A8d/800) performed" + "; p2eight-run-performed-by-command2verb4zap: " + str(p2eight.run) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                      
                
                nack2eight4run = False
                ack2eight4run = True   
            except:
                print("\n (Step 20A8e/800) OF COMMAND2VERB4ZAP *** FAILED TO RUN PROCESS NAME: ", name2eight)

        else:
            print("\n (Step 20A8f/800) OF COMMAND2VERB4ZAP ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2eight)
    else:
        print("\n (Step 20A8g/800) OF COMMAND2VERB4ZAP ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS EIGHT")                              

    # =========================================================================================================   
    # EOF RUNNING PROCESSES - FOR DIRECTIONS ONE TO EIGHT 
    # =========================================================================================================      

    # =========================================================================================================   
    # GET ANSWERS FROM QUEUES TO CONTROL MESSAGES - FROM QUEUES OF EACH OF EIGHT PROCESS 
    # =========================================================================================================      
    
    #========
    # ONE
    #========

    if ack2one4process is True:

        if ack2one4start is True:

                            
            if ack2one4run is True:
                # -----------------------------------------------------------------------------------------    
                # 1 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 28F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET CONTROL MESSAGE FROM QUEUE", queue2one)
                                                                                                                    # <queue4xi.Queue4Xi object at 0x0571B630>
                message2get4one = queue2one.get()
                if ack2debug is True:
                    print("\n (Step 28F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2one, " MESSAGE: ", message2get4one) 
                                                                                                                    # <roger4xi>roger2one</roger4xi>
                if ack2dragontrace is True:
                    message2print = "{(Step 28F2/800) got" + "; message2get4one-got-by-command2verb4zap: " + str(message2get4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # message2get4one-got-by-command2verb4zap: <roger4xi>roger2one</roger4xi>
                        
            else:
                print("\n (Step 28F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2one)                    
        else:
            print("\n (Step 285F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2one)                                         
    else:
        print("\n (Step 28F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    
    #=========
    # TWO
    #=========
                                   
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
                # -----------------------------------------------------------------------------------------    
                # 2 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 29F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET CONTROL MESSAGE FROM QUEUE", queue2two) 
                                                                                                                    #                     
                
                message2get4two = queue2two.get()
                if ack2debug is True:
                    print("\n (Step 29F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2two, " MESSAGE: ", message2get4two)
                if ack2dragontrace is True:
                    message2print = "{(Step 29F2/800) got" + "; message2get4two-got-by-command2verb4zap: " + str(message2get4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                   # <roger4xi>roger2two</roger4xi>
                                                                                                                    #                 
            else:
                print("\n (Step 29F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2two)    
        else:
            print("\n (Step 29F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2two)                                         
    else:
        print("\n (Step 29F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # THREE 
    #======== 

    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
                # -----------------------------------------------------------------------------------------    
                # 3 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 30F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET CONTROL MESSAGE FROM QUEUE", queue2three)
                                                                                                                    # 
                
                message2get4three = queue2three.get()
                if ack2debug is True:
                    print("\n (Step 30F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2three, " MESSAGE: ", message2get4three)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 30F2/800) got" + "; message2get4three-got-by-command2verb4zap: " + str(message2get4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                        # <roger4xi>roger2three</roger4xi>
                                                                                                                    #                 
            else:
                print("\n (Step 30F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2three)                  

        else:
            print("\n (Step 30F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2three)                                         
    else:
        print("\n (Step 30F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    

    
    #===========
    # FOUR
    #=========== 

                                  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
                # -----------------------------------------------------------------------------------------    
                # 4 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 31F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET CONTROL MESSAGE FROM QUEUE", queue2four)
                                                                                                                    # 
                
                message2get4four = queue2four.get()
                if ack2debug is True:
                    print("\n (Step 31F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2four, " MESSAGE: ", message2get4four)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 31F2/800) got" + "; message2get4four-got-by-command2verb4zap: " + str(message2get4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                        # <roger4xi>roger2four</roger4xi>
                                                                                                                    # 
            else:
                print("\n (Step 31F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2four)                 
    
        else:
            print("\n (Step 31F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2four)                                         
    else:
        print("\n (Step 31F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    
    #===========
    # FIVE
    #=========== 

    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
                # -----------------------------------------------------------------------------------------    
                # 5 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 32F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE CONTROL MESSAGE ", queue2five)
                                                                                                                    
                
                message2get4five = queue2five.get()
                if ack2debug is True:
                    print("\n (Step 32F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2five, " MESSAGE: ", message2get4five)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 32F2/800) got" + "; message2get4five-got-by-command2verb4zap: " + str(message2get4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                        # <roger4xi>roger2five</roger4xi> 
                                                                                                                    #       
            else:
                print("\n (Step 32F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2five) 
        else:
            print("\n (Step 32F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2five)                                                         
    else:
        print("\n (Step 32F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
    
    #===========
    # SIX
    #===========         

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
                # -----------------------------------------------------------------------------------------    
                # 6 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 33F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE CONTROL MESSAGE ", queue2six)
                    # 
                
                message2get4six = queue2six.get()
                if ack2debug is True:
                    print("\n (Step 33F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2six, " MESSAGE: ", message2get4six)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 33F2/800) got" + "; message2get4six-got-by-command2verb4zap: " + str(message2get4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # <roger4xi>roger2six</roger4xi>
            else:
                print("\n (Step 33F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2six)                
                                                                                                                    # 
        else:
            print("\n (Step 33F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2six)                                         
    else:
        print("\n (Step 33F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    
    #=============
    # SEVEN
    #=============              

    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
                # -----------------------------------------------------------------------------------------    
                # 7 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 34F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE CONTROL MESSAGE ", queue2seven)
                                                                                                                    #  
                
                message2get4seven = queue2seven.get()
                if ack2debug is True:
                    print("\n (Step 34F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2seven, " MESSAGE: ", message2get4seven)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 34F2/800) got" + "; message2get4seven-got-by-command2verb4zap: " + str(message2get4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                        # <roger4xi>roger2seven</roger4xi>
                                                                                                                    # 
            else:
                print("\n (Step 34F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2seven)                                        
        else:
            print("\n (Step 34F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN STARTING THE PROCESS ", time4xi())                 
    else:
        print("\n (Step 34F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
    
    #=============
    # EIGHT
    #=============              

    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
                # -----------------------------------------------------------------------------------------    
                # 8 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 35F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE CONTROL MESSAGE ", queue2eight)
                    # 
                
                message2get4eight = queue2eight.get()
                if ack2debug is True:
                    print("\n (Step 35F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2eight, " MESSAGE: ", message2get4eight)
                                                                                                                    # <roger4xi>roger2eight</roger4xi>
                if ack2dragontrace is True:
                    message2print = "{(Step 35F2/800) got" + "; message2get4eight-got-by-command2verb4zap: " + str(message2get4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # message2get4eight-got-by-command2verb4zap: <roger4xi>roger2eight</roger4xi>
                
    
            else:
                print("\n (Step 35F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN RUNNING PROCESS NAME: ", name2eight)                                         
        else:
            print("\n (Step 35F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN STARTING THE PROCESS ", time4xi())                    
    else:
        print("\n (Step 35F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())   

    # =========================================================================================================   
    # EOF GET ANSWERS FROM QUEUES TO CONTROL MESSAGES - FROM QUEUES OF EACH OF EIGHT PROCESS 
    # =========================================================================================================      
            
    # =========================================================================================================   
    # RECEIVE VIA PIPES ANSWERS TO CONTROL MESSAGE - FROM EACH OF EIGHT PROCESSES 
    # =========================================================================================================      
    
    #========
    # ONE
    #========

    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 36F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                    # <read-write PipeConnection, handle 224>
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 36F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                                                                                                                    # <read-write PipeConnection, handle 224>  CONTROL MESSAGE:  <roger4xi>roger2one</roger4xi>
     
                if ack2dragontrace is True:
                    message2print = "{(Step 36F2/800) received" + "; message2receive4one-received-by-command2verb4zap: " + str(message2receive4one) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # message2receive4one-received-by-command2verb4zap: <roger4xi>roger2one</roger4xi> 
             
            else:
                print("\n (Step 36F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2one)                 
        else:
            print("\n (Step 36F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2one)                                         
    else:
        print("\n (Step 36F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    
    #=========
    # TWO
    #=========
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 2 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 37F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 37F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, "  CONTROL MESSAGE: ", message2receive4two)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 37F2/800) received" + "; message2receive4two-received-by-command2verb4zap: " + str(message2receive4two) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # <read-write PipeConnection, handle 264>   CONTROL MESSAGE:  <roger4xi>roger2two</roger4xi>
            else:
                print("\n (Step 37F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2two)      
            
        else:
            print("\n (Step 37F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2two)                                         
    else:
        print("\n (Step 37F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # THREE 
    #======== 

    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 3 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 38F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 38F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " CONTROL MESSAGE: ", message2receive4three)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 38F2/800) received" + "; message2receive4three-received-by-command2verb4zap: " + str(message2receive4three) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # <read-write PipeConnection, handle 272>  CONTROL MESSAGE:  <roger4xi>roger2three</roger4xi>
            else:
                print("\n (Step 38F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2three)       
        else:
            print("\n (Step 38F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2three)                                         
    else:
        print("\n (Step 38F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    

    
    #===========
    # FOUR
    #=========== 

    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 4 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 39F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 39F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, "  CONTROL MESSAGE: ", message2receive4four)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 39F2/800) received" + "; message2receive4four-received-by-command2verb4zap: " + str(message2receive4four) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # <read-write PipeConnection, handle 280>   CONTROL MESSAGE:  <roger4xi>roger2four</roger4xi>
            else:
                print("\n (Step 39F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2four)  
        else:
            print("\n (Step 39F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2four)                                         
    else:
        print("\n (Step 39F50/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    
    #===========
    # FIVE
    #=========== 
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 5 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 40F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 40F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, "  CONTROL MESSAGE : ", message2receive4five)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 40F2/800) received" + "; message2receive4five-received-by-command2verb4zap: " + str(message2receive4five) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # <read-write PipeConnection, handle 288>   CONTROL MESSAGE :  <roger4xi>roger2five</roger4xi> 
            else:
                print("\n (Step 40F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2five)      
        else:
            print("\n (Step 40F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2five)                                         
    else:
        print("\n (Step 40F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
    
    #===========
    # SIX
    #===========         

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 6 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 41F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 41F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, "  CONTROL MESSAGE: ", message2receive4six)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 41F2/800) received" + "; message2receive4six-received-by-command2verb4zap: " + str(message2receive4six) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # <read-write PipeConnection, handle 296>   CONTROL MESSAGE:  <roger4xi>roger2six</roger4xi>
            else:
                print("\n (Step 41F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2six)   
        else:
            print("\n (Step 41F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2six)                                         
    else:
        print("\n (Step 41F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    
    #=============
    # SEVEN
    #=============              

    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                
                # -----------------------------------------------------------------------------------------    
                # 7 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 42F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 42F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, "  CONTROL MESSAGE: ", message2receive4seven)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 42F2/800) received" + "; message2receive4seven-received-by-command2verb4zap: " + str(message2receive4seven) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # <read-write PipeConnection, handle 304>   CONTROL MESSAGE:  <roger4xi>roger2seven</roger4xi>
            else:
                print("\n (Step 42F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2seven)            

        else:
            print("\n (Step 42F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2seven)                                         
    else:
        print("\n (Step 42F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
    
    #=============
    # EIGHT
    #=============              

    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 8 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 43F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 43F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " CONTROL MESSAGE: ", message2receive4eight)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 43F2/800) received" + "; message2receive4eight-received-by-command2verb4zap: " + str(message2receive4eight) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # message2receive4eight-received-by-command2verb4zap: <roger4xi>roger2eight</roger4xi> 
            else:
                print("\n (Step 43F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2eight)    
        else:
            print("\n (Step 43F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2eight)                                         
    else:
        print("\n (Step 43F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
            
    # =========================================================================================================   
    # EOF RECEIVING VIA PIPES ANSWERS TO CONTROL MESSAGE - FROM EACH OF EIGHT PROCESSES 
    # =========================================================================================================      
           
    # =========================================================================================================   
    # RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPES FROM EACH PROCESS/DIRECTION - LAYER 02 = SKELETON
    # =========================================================================================================      
    
    #========
    # ONE 
    #========

    if ack2one4process is True:

        if ack2one4start is True: 

            if ack2one4run is True: 
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 44F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel) 
                                                                                                                    # <read-write PipeConnection, handle 224>
                 
                message02receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 44F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message02receive4one)
                                                                                                                    # <ack2put4xi>layer02one</ack2put4xi>
                if ack2dragontrace is True:
                    message2print = "{(Step 44F2/800) received" + "; message02receive4one-received-by-command2verb4zap: " + str(message02receive4one) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # message2receive4one-received-by-command2verb4zap: <ack2put4xi>layer02one</ack2put4xi>
                                                                                                  
            else:
                print("\n (Step 44F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2one)              

        else:
            print("\n (Step 44F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2one)                                         
    else:
        print("\n (Step 44F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    
    #=========
    # TWO
    #=========

    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 2 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 45F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel) 
                    # 
                
                message02receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 45F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message02receive4two)
                                                                                                                    #                     
                if ack2dragontrace is True:
                    message2print = "{(Step 45F2/800) received" + "; message02receive4two-received-by-command2verb4zap: " + str(message02receive4two) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # <ack2put4xi>layer02two</ack2put4xi>
            else:
                print("\n (Step 45F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2two)             

        else:
            print("\n (Step 45F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2two)                                         
    else:
        print("\n (Step 45F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # THREE 
    #======== 
 
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 3 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 46F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel) 
                    # 
                
                message02receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 46F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message02receive4three)
                if ack2dragontrace is True:
                    message2print = "{(Step 46F2/800) received" + "; message02receive4three-received-by-command2verb4zap: " + str(message02receive4three) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                     # <ack2put4xi>layer02three</ack2put4xi>
            else:                                                                                                        
                print("\n (Step 46F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2three)                 

        else:
            print("\n (Step 46F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2three)                                         
    else:
        print("\n (Step 46F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    

    
    #===========
    # FOUR
    #=========== 

    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 4 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 47F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel) 
                    # 
                
                message02receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 47F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message02receive4four)
                if ack2dragontrace is True:
                    message2print = "{(Step 47F2/800) received" + "; message02receive4four-received-by-command2verb4zap: " + str(message02receive4four) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                     # <ack2put4xi>layer02four</ack2put4xi> 
            else:
                print("\n (Step 47F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2four)                        
    
        else:
            print("\n (Step 47F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2four)                                         
    else:
        print("\n (Step 47C5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    
    #===========
    # FIVE
    #=========== 

    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 5 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 48F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel) 
                    # 
                
                message02receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 48F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message02receive4five)
                if ack2dragontrace is True:
                    message2print = "{(Step 48F2/800) received" + "; message02receive4five-received-by-command2verb4zap: " + str(message02receive4five) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                     # <ack2put4xi>layer02five</ack2put4xi>  
            else:
                print("\n (Step 48F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2five)                    

        else:
            print("\n (Step 48F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2five)                                         
    else:
        print("\n (Step 48F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
    
    #===========
    # SIX
    #===========         

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 6 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 49F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel) 
                    # 
                
                message02receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 49F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message02receive4six)
                if ack2dragontrace is True:
                    message2print = "{(Step 49F2/800) received" + "; message02receive4six-received-by-command2verb4zap: " + str(message02receive4six) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                     # <ack2put4xi>layer02six</ack2put4xi>
            else:
                print("\n (Step 49F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2six)               

        else:
            print("\n (Step 49F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2six)                                         
    else:
        print("\n (Step 49F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    
    #=============
    # SEVEN
    #=============              

    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 7 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 50F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel) 
                    # 
                
                message02receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 50F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message02receive4seven)
                if ack2dragontrace is True:
                    message2print = "{(Step 50F2/800) received" + "; message02receive4seven-received-by-command2verb4zap: " + str(message02receive4seven) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                     # <ack2put4xi>layer02seven</ack2put4xi> 
            else:
                print("\n (Step 50F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2seven)               

        else:
            print("\n (Step 50F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2seven)                                         
    else:
        print("\n (Step 50F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
    
    #=============
    # EIGHT
    #=============              
 
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                
                # -----------------------------------------------------------------------------------------    
                # 8 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (Step 51F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel) 
                    # 
                
                message02receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (Step 51F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message02receive4eight)
                if ack2dragontrace is True:
                    message2print = "{(Step 51F2/800) received" + "; message02receive4eight-received-by-command2verb4zap: " + str(message02receive4eight) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                     # <ack2put4xi>layer02eight</ack2put4xi>
            else:
                print("\n (Step 51F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2eight)
        else:
            print("\n (Step 51F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2eight)                                         
    else:
        print("\n (Step 51F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
           
    # ===========================================================================================================   
    # EOF RECEIVING INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPES FROM EACH PROCESS/DIRECTION - SKELETONS
    # ===========================================================================================================      
           
           
    # =========================================================================================================   
    # GET DICTIONARIES VIA QUEUES: ONE ... EIGHT FROM MASTER MODULES - SKELETONS - LAYER 02
    # =========================================================================================================      
    
    #========
    # ONE
    #========

    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 1 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 52F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE ONE: ", queue2one)  
                                                                                                                    # <queue4xi.Queue4Xi object at 0x054054B0>
                
                dictionary0002one = {} 
                try:
                    dictionary0002one = queue2one.get() 
                         
                    if ack2debug is True:
                        print("\n (Step 52F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE ONE: ", queue2one, " DICTIONARY: ", dictionary0002one) 
                                                                                                                    # {'1x1y1z': {'2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586, 2: '#848484', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y1z', 5: '#6F4A20', 6: 1, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-1Skeleton4Xi-started: 11:40:31 12/07/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}
                    if ack2dragontrace is True:
                        message2print = "{(Step 52F2/800) got" + "; dictionary0002one-got-by-command2verb4zap: " + str(dictionary0002one)  + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                              # {'1x1y1z': {'2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586, 2: '#848484', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y1z', 5: '#6F4A20', 6: 1, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-1Skeleton4Xi-started: 03:27:08 12/08/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}; time: 03:27:34 12/08/10 Pacific Standard Time}
                    
                except:
                    print("\n (Step 52F3/800) OF COMMAND2VERB4ZAP *** FAILED TO GET FROM QUEUE ONE: ", dictionary0002one)
            else:
                print("\n (Step 52F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING ONE- FAILED RUNNING PROCESS NAME: ", name2one)               
            
        else:
            print("\n (Step 52F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING ONE - FAILED STARTING PROCESS NAME: ", name2one)                                         
    else:
        print("\n (Step 52F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    
    #=========
    # TWO
    #=========

    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 2 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 53F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE TWO ", queue2two)  
                    # 
                
                dictionary0002two = {} 
                try:
                    dictionary0002two = queue2two.get()
                         
                    if ack2debug is True:
                        print("\n (Step 53F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE TWO : ", queue2two, " DICTIONARY: ", dictionary0002two)
                                                                                                                    # {'1x-1y-1z': {'2xi': {1: 2, 2: 2, 3: {1: 6.283185307179586, 2: '#D7D0CA', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y-1z', 5: '#7F5321', 6: 2, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-2Skeleton4Xi-started: 11:40:31 12/07/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}
                    if ack2dragontrace is True:
                        message2print = "{(Step 53F2/800) got" + "; dictionary0002two-got-by-command2verb4zap: " + str(dictionary0002two)  + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)

                except:
                    print("\n (Step 53F3/800) OF COMMAND2VERB4ZAP *** FAILED TO GET FROM QUEUE TWO - DICTIONARY0002TWO: ", dictionary0002two)
             
            else:
                print("\n (Step 53F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING TWO  - FAILED RUNNING PROCESS NAME: ", name2two)                   
        else:
            print("\n (Step 53F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING TWO  - FAILED RUNNING PROCESS NAME: ", name2two)                                         
    else:
        print("\n (Step 53F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING TWO  - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # THREE 
    #======== 

    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 3 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 54F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE THREE ", queue2three)  
                    # TRYING TO GET FROM QUEUE <queue4xi.Queue4Xi object at 0x03630710> 
                
                dictionary0002three = {} 
                try:
                    dictionary0002three = queue2three.get()
                         
                    if ack2debug is True:
                        print("\n (Step 54F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE THREE : ", queue2three, " DICTIONARY: ", dictionary0002three)
                                                                                                                    # {'1x1y-1z': {'2xi': {1: 3, 2: 2, 3: {1: 6.283185307179586, 2: '#C3BDB7', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y-1z', 5: '#95652E', 6: 3, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-3Skeleton4Xi-started: 11:40:31 12/07/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}
                    if ack2dragontrace is True:
                        message2print = "{(Step 54F2/800) got" + "; dictionary0002three-got-by-command2verb4zap: " + str(dictionary0002three)  + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)

                except:
                    print("\n (Step 54F3/800) OF COMMAND2VERB4ZAP *** FAILED TO GET FROM QUEUE THREE - DICTIONARY0002THREE: ", dictionary0002three)
             
            else:
                print("\n (Step 54F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING THREE  - FAILED RUNNING PROCESS NAME: ", name2three)                
        else:
            print("\n (Step 54F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING THREE  - FAILED RUNNING PROCESS NAME: ", name2three)                                         
    else:
        print("\n (Step 54F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING THREE  - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    

    
    #===========
    # FOUR
    #=========== 

    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 4 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 55F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE FOUR ", queue2four)  
                    # 
                
                dictionary0002four = {} 
                try:
                    dictionary0002four = queue2four.get()
                         
                    if ack2debug is True:
                        print("\n (Step 55F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE FOUR : ", queue2four, " DICTIONARY: ", dictionary0002four)
                                                                                                                    # {'1x-1y1z': {'2xi': {1: 4, 2: 2, 3: {1: 6.283185307179586, 2: '#AFAAA5', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y1z', 5: '#AB712F', 6: 4, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-4Skeleton4Xi-started: 11:40:31 12/07/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}
                    if ack2dragontrace is True:
                        message2print = "{(Step 55F2/800) got" + "; dictionary0002four-got-by-command2verb4zap: " + str(dictionary0002four)  + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)

                except:
                    print("\n (Step 55F3/800) OF COMMAND2VERB4ZAP *** FAILED TO GET FROM QUEUE FOUR - DICTIONARY0002FOUR : ", dictionary0002four )
            else:
                print("\n (Step 55F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING FOUR  - FAILED RUNNING PROCESS NAME: ", name2four)                
            
        else:
            print("\n (Step 55F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING FOUR  - FAILED RUNNING PROCESS NAME: ", name2four)                                         
    else:
        print("\n (Step 55F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING FOUR  - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    
    #===========
    # FIVE
    #=========== 

    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 5 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 56F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE FIVE ", queue2five)  
                    # 
                
                dictionary0002five = {} 
                try:
                    dictionary0002five = queue2five.get()
                         
                    if ack2debug is True:
                        print("\n (Step 56F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE FIVE : ", queue2five, " DICTIONARY: ", dictionary0002five)
                                                                                                                    #{'-1x1y1z': {'2xi': {1: 5, 2: 2, 3: {1: 6.283185307179586, 2: '#A29E9A', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y1z', 5: '#BA7525', 6: 5, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-5Skeleton4Xi-started: 11:40:31 12/07/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}
                    if ack2dragontrace is True:
                        message2print = "{(Step 56F2/800) got" + "; dictionary0002five-got-by-command2verb4zap: " + str(dictionary0002five)  + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    print("\n (Step 56F3/800) OF COMMAND2VERB4ZAP *** FAILED TO GET FROM QUEUE FIVE - DICTIONARY0002FIVE: ", dictionary0002five)
            else:
                print("\n (Step 56F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING FIVE  - FAILED RUNNING PROCESS NAME: ", name2five)          
            
        else:
            print("\n (Step 56F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING FIVE  - FAILED RUNNING PROCESS NAME: ", name2five)                                         
    else:
        print("\n (Step 56F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING FIVE  - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
    
    #===========
    # SIX
    #===========         

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 6 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 57F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE SIX ", queue2six)  
                    # 
                
                dictionary0002six = {} 
                try:
                    dictionary0002six = queue2six.get()
                         
                    if ack2debug is True:
                        print("\n (Step 57F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE SIX : ", queue2six, " DICTIONARY: ", dictionary0002six)
                                                                                                                    # {'-1x1y-1z': {'2xi': {1: 6, 2: 2, 3: {1: 6.283185307179586, 2: '#9A9591', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y-1z', 5: '#CB7C21', 6: 6, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-6Skeleton4Xi-started: 11:40:31 12/07/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}
                    if ack2dragontrace is True:
                        message2print = "{(Step 57F2/800) got" + "; dictionary0002six-got-by-command2verb4zap: " + str(dictionary0002six)  + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)

                except:
                    print("\n (Step 57F3/800) OF COMMAND2VERB4ZAP *** FAILED TO GET FROM QUEUE SIX - DICTIONARY0002SIX: ", dictionary0002six)
            else:
                print("\n (Step 57F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING SIX  - FAILED RUNNING PROCESS NAME: ", name2six)              
            
        else:
            print("\n (Step 57F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING SIX  - FAILED RUNNING PROCESS NAME: ", name2six)                                         
    else:
        print("\n (Step 57F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING SIX  - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    
    #=============
    # SEVEN
    #=============              

    if ack2seven4process is True:

        if ack2seven4start is True:
 
            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 7 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 58F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE SEVEN ", queue2seven)  
                    # 
                
                dictionary0002seven = {} 
                try:
                    dictionary0002seven = queue2seven.get()
                         
                    if ack2debug is True:
                        print("\n (Step 58F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE SEVEN : ", queue2seven, " DICTIONARY: ", dictionary0002seven)
                                                                                                                    # {'-1x-1y1z': {'2xi': {1: 7, 2: 2, 3: {1: 6.283185307179586, 2: '#8B8783', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y1z', 5: '#DF841B', 6: 7, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-7Skeleton4Xi-started: 11:40:31 12/07/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}

                    if ack2dragontrace is True:
                        message2print = "{(Step 58F2/800) got" + "; dictionary0002seven-got-by-command2verb4zap: " + str(dictionary0002seven)  + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)

                except:
                    print("\n (Step 58F3/800) OF COMMAND2VERB4ZAP *** FAILED TO GET FROM QUEUE SEVEN - DICTIONARY0002SEVEN: ", dictionary0002seven)
            else:
                print("\n (Step 58F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING SEVEN  - FAILED RUNNING PROCESS NAME: ", name2seven)             
            
        else:
            print("\n (Step 58F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING SEVEN  - FAILED RUNNING PROCESS NAME: ", name2seven)                                         
    else:
        print("\n (Step 58F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING SEVEN  - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
    
    #=============
    # EIGHT
    #=============              

    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
                
                # -------------------------------------------------------------------------------------    
                # 8 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (Step 59F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FROM QUEUE EIGHT ", queue2eight)  
                    # 
                
                dictionary0002eight = {} 
                try:
                    dictionary0002eight = queue2eight.get()
                         
                    if ack2debug is True:
                        print("\n (Step 59F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE EIGHT : ", queue2eight, " DICTIONARY: ", dictionary0002eight)
                                                                                                                    # {'-1x-1y-1z': {'2xi': {1: 8, 2: 2, 3: {1: 6.283185307179586, 2: '#7D7A77', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y-1z', 5: '#EE8712', 6: 8, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-8Skeleton4Xi-started: 11:40:31 12/07/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}
                    if ack2dragontrace is True:
                        message2print = "{(Step 59F2/800) got" + "; dictionary0002eight-got-by-command2verb4zap: " + str(dictionary0002eight)  + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                              # dictionary0002eight-got-by-command2verb4zap: {'-1x-1y-1z': {'2xi': {1: 8, 2: 2, 3: {1: 6.283185307179586, 2: '#7D7A77', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y-1z', 5: '#EE8712', 6: 8, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-8Skeleton4Xi-started: 03:27:08 12/08/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}; time: 03:27:34 12/08/10 Pacific Standard Time}

                except:
                    print("\n (Step 59F5/800) OF COMMAND2VERB4ZAP *** FAILED TO GET FROM QUEUE EIGHT - : ", dictionary0002eight)
            else:
                print("\n (Step 59F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED RUNNING PROCESS NAME: ", name2eight)             
            
        else:
            print("\n (Step 59F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED RUNNING PROCESS NAME: ", name2eight)                                         
    else:
        print("\n (Step 59F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())    
           
    # =========================================================================================================   
    # EOF GETTING SKELETONS FROM QUEUES
    # =========================================================================================================      
           
           
    # =========================================================================================================   
    # I/I ONE DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION
    # =========================================================================================================      

    #==========
    # 0010 ONE
    #==========
    ack2debug4one = True
    kb2message     = {}
    kb2message [1] = {}
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER - AS TO CONFIRM PUT
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 60F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    
                message0010receive4one = "<nack2receive4xi>layer0010one</nack2receive4xi"                                                                                                    
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                    message0010receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 60F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0010receive4one) 
                                                                                                                    # <ack2put4xi>layer0010one</ack2put4xi>
                    if ack2dragontrace is True:
                        message2print = "{(Step 60F3/800) received" + "; message0010receive4one-received-by-command2verb4zap: " + str(message0010receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                              # message10receive4one-received-by-command2verb4zap: <ack2put4xi>layer0010one</ack2put4xi> 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0010receive4one-yielded-by-zap2verb4xii: " + str(message0010receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                              # 
            else:
                print("\n (Step 60F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 60F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 60F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [0] = message0010receive4one
    
    #==========
    # 0100 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 61F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    
                message0100receive4one = "<nack2receive4xi>layer0100one</nack2receive4xi"                           # 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                                    
                    message0100receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 61F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0100receive4one)
                                                                                                                    # <read-write PipeConnection, handle 224>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one1004xi</ack2put4xi>
                    if ack2dragontrace is True:
                        message2print = "{(Step 61F2/800) received" + "; message0100receive4one-received-by-command2verb4zap: " + str(message0100receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                    # 
                except:      

                    message2print = "{(Step 61F3/33) yielded" + "; message0100receive4one-yielded-by-zap2verb4xii: " + str(message0100receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                   
            else:
                print("\n (Step 61F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 61F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 61F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi()) 
                           
    kb2message [1] [1] = message0100receive4one
    
    #==========
    # 0200 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 62F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                message0200receive4one = "<nack2receive4xi>layer0200one</nack2receive4xi"    
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                                    
                    message0200receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 62F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0200receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 62F2/800) received" + "; message0200receive4one-received-by-command2verb4zap: " + str(message0200receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                      
                except:      
                   
                    message2print = "{(Step 62F3/33) yielded" + "; message0200receive4one-yielded-by-zap2verb4xii: " + str(message0200receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                           
            else:
                print("\n (Step 62F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 62F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 62F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
                           
    kb2message [1] [2] = message0200receive4one
                                                    

    #==========
    # 0300 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 63F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message0300receive4one = "<nack2receive4xi>layer00300one</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                                    
                    message0300receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 63F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0300receive4one)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 63F2/800) received" + "; message0300receive4one-received-by-command2verb4zap: " + str(message0300receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    # 
                except:      
                
                    message2print = "{(Step 62F3/33) yielded" + "; message0300receive4one-yielded-by-zap2verb4xii: " + str(message0300receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                          
            else:
                print("\n (Step 63F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 63F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 63F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [3] = message0300receive4one
    
    #==========
    # 0400 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 64F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                message0400receive4one = "<nack2receive4xi>layer00400one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message0400receive4one = "<nack2receive4xi>layer00400one</nack2receive4xi"
                                    
                    message0400receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 64F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0400receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 64F2/800) received" + "; message0400receive4one-received-by-command2verb4zap: " + str(message0400receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                
                    message2print = "{(Step 62F3/33) yielded" + "; message0400receive4one-yielded-by-zap2verb4xii: " + str(message0400receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                           
            else:
                print("\n (Step 64F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 64F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 64F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())
    
    kb2message [1] [4] = message0400receive4one
                               
    #==========
    # 0500 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 65F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message0500receive4one = "<nack2receive4xi>layer0500one</nack2receive4xi"      
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message0500receive4one = "<nack2receive4xi>layer0500one</nack2receive4xi"
                                    
                    message0500receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 65F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0500receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 65F2/800) received" + "; message0500receive4one-received-by-command2verb4zap: " + str(message0500receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                  
                    message2print = "{(Step 62F3/33) yielded" + "; message0500receive4one-yielded-by-zap2verb4xii: " + str(message0500receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                           
            else:
                print("\n (Step 65F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 65F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 65F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [5] = message0500receive4one
                                                                                         
    #==========
    # 0600 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 66F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message0600receive4one = "<nack2receive4xi>layer0600one</nack2receive4xi"      
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message0600receive4one = "<nack2receive4xi>layer0600one</nack2receive4xi"
                                    
                    message0600receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 66F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0600receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 66F2/800) received" + "; message0600receive4one-received-by-command2verb4zap: " + str(message0600receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                
                    message2print = "{(Step 62F3/33) yielded" + "; message0600receive4one-yielded-by-zap2verb4xii: " + str(message0600receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                           
            else:
                print("\n (Step 66F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 66F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 64F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [6] = message0600receive4one
        
    #==========
    # 0700 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 67F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message0700receive4one = "<nack2receive4xi>layer0700one</nack2receive4xi"     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message0700receive4one = "<nack2receive4xi>layer0700one</nack2receive4xi"
                                    
                    message0700receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 67F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0700receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 67F2/800) received" + "; message0700receive4one-received-by-command2verb4zap: " + str(message0700receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                
                    message2print = "{(Step 62F3/33) yielded" + "; message0700receive4one-yielded-by-zap2verb4xii: " + str(message0700receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                           
            else:
                print("\n (Step 67F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 67F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 67F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [7] = message0700receive4one
          
    #==========
    # 0800 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 68F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message0800receive4one = "<nack2receive4xi>layer0800one</nack2receive4xi"     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message0800receive4one = "<nack2receive4xi>layer0800one</nack2receive4xi"
                                    
                    message0800receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 68F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0800receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 68F2/800) received" + "; message0800receive4one-received-by-command2verb4zap: " + str(message0800receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                 
                    message2print = "{(Step 62F3/33) yielded" + "; message0800receive4one-yielded-by-zap2verb4xii: " + str(message0800receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                           
            else:
                print("\n (Step 68F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 68F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 68F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [8] = message0800receive4one
        
    #==========
    # 0900 ONE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 69F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message0900receive4one = "<nack2receive4xi>layer0900one</nack2receive4xi"     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message0900receive4one = "<nack2receive4xi>layer0900one</nack2receive4xi"
                                    
                    message0900receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 69F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message0900receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 69F2/800) received" + "; message0900receive4one-received-by-command2verb4zap: " + str(message0900receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                
                    message2print = "{(Step 62F3/33) yielded" + "; message0900receive4one-yielded-by-zap2verb4xii: " + str(message0900receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                           
            else:
                print("\n (Step 69F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 69F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 69F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
      
    
    kb2message [1] [9] = message0900receive4one
              
     
    #=========
    # 1000 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 70F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1000receive4one = "<nack2receive4xi>layer1000one</nack2receive4xi"                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1000receive4one = "<nack2receive4xi>layer1000one</nack2receive4xi"
                                    
                    message1000receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 70F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1000receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 70F2/800) received" + "; message1000receive4one-received-by-command2verb4zap: " + str(message1000receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 70F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                           
            else:
                print("\n (Step 70F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 70F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 70F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [10] = message1000receive4one
        
    #=========
    # 1100 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 71F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1100receive4one = "<nack2receive4xi>layer1100one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1100receive4one = "<nack2receive4xi>layer1100one</nack2receive4xi"
                                    
                    message1100receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 71F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1100receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 71F2/800) received" + "; message1100receive4one-received-by-command2verb4zap: " + str(message1100receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 71F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 71F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 71F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 71F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [11] = message1100receive4one
        
    #=========
    # 1200 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 72F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1200receive4one = "<nack2receive4xi>layer1200one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1200receive4one = "<nack2receive4xi>layer1200one</nack2receive4xi"
                                    
                    message1200receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 72F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1200receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 72F2/800) received" + "; message1200receive4one-received-by-command2verb4zap: " + str(message1200receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 72F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 72F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 72F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 72F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [12] = message1200receive4one
        
    #=========
    # 1300 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 73F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1300receive4one = "<nack2receive4xi>layer1300one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1300receive4one = "<nack2receive4xi>layer1300one</nack2receive4xi"
                                    
                    message1300receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 73F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1300receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 73F2/800) received" + "; message1300receive4one-received-by-command2verb4zap: " + str(message1300receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 73F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 73F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 73F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 73F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [13] = message1300receive4one
        
    #=========
    # 1400 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 74F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1400receive4one = "<nack2receive4xi>layer1400one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1400receive4one = "<nack2receive4xi>layer1400one</nack2receive4xi"
                                    
                    message1400receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 74F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1400receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 74F2/800) received" + "; message1400receive4one-received-by-command2verb4zap: " + str(message1400receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 74F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 74F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 74F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 74F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [14] = message1400receive4one
        
    #=========
    # 1500 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 75F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1500receive4one = "<nack2receive4xi>layer1500one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1500receive4one = "<nack2receive4xi>layer1500one</nack2receive4xi"
                                    
                    message1500receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 75F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1500receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 75F2/800) received" + "; message1500receive4one-received-by-command2verb4zap: " + str(message1500receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 75F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 75F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 75F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 75F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [15] = message1500receive4one
        
    #=========
    # 1600 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 76F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1600receive4one = "<nack2receive4xi>layer1600one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1600receive4one = "<nack2receive4xi>layer1600one</nack2receive4xi"
                                    
                    message1600receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 76F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1600receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 76F2/800) received" + "; message1600receive4one-received-by-command2verb4zap: " + str(message1600receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 76F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 76F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 76F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 76F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [16] = message1600receive4one
        
    #=========
    # 1700 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 77F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1700receive4one = "<nack2receive4xi>layer1700one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1700receive4one = "<nack2receive4xi>layer1700one</nack2receive4xi"
                                    
                    message1700receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 77F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1700receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 77F2/800) received" + "; message1700receive4one-received-by-command2verb4zap: " + str(message1700receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 77F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 77F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 77F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 77F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [17] = message1700receive4one
        
    #=========
    # 1800 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 78F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1800receive4one = "<nack2receive4xi>layer1800one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1800receive4one = "<nack2receive4xi>layer1800one</nack2receive4xi"
                                    
                    message1800receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 78F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1800receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 78F2/800) received" + "; message1800receive4one-received-by-command2verb4zap: " + str(message1800receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 78F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 78F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 78F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 78F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    kb2message [1] [18] = message1800receive4one
        
    #=========
    # 1900 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 79F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message1900receive4one = "<nack2receive4xi>layer1900one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message1900receive4one = "<nack2receive4xi>layer1900one</nack2receive4xi"
                                    
                    message1900receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 79F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message1900receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 79F2/800) received" + "; message1900receive4one-received-by-command2verb4zap: " + str(message1900receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 79F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 79F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 79F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 79F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [19] = message1900receive4one
           
    #=========
    # 2000 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 80F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2000receive4one = "<nack2receive4xi>layer2000one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2000receive4one = "<nack2receive4xi>layer2000one</nack2receive4xi"
                                    
                    message2000receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 80F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2000receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 80F2/800) received" + "; message2000receive4one-received-by-command2verb4zap: " + str(message2000receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 80F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 80F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 80F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 80F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [20] = message2000receive4one
        
    #=========
    # 2100 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 81F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2100receive4one = "<nack2receive4xi>layer2100one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2100receive4one = "<nack2receive4xi>layer2100one</nack2receive4xi"
                                    
                    message2100receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 81F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2100receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 81F2/800) received" + "; message2100receive4one-received-by-command2verb4zap: " + str(message2100receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 81F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 81F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 81F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 81F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [21] = message2100receive4one
        
    #=========
    # 2200 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 82F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2200receive4one = "<nack2receive4xi>layer2200one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2200receive4one = "<nack2receive4xi>layer2200one</nack2receive4xi"
                                    
                    message2200receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 82F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2200receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 82F2/800) received" + "; message2200receive4one-received-by-command2verb4zap: " + str(message2200receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 82F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 82F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 82F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 82F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [22] = message2200receive4one
        
    #=========
    # 2300 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 83F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2300receive4one = "<nack2receive4xi>layer2300one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2300receive4one = "<nack2receive4xi>layer2300one</nack2receive4xi"
                                    
                    message2300receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 83F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2300receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 83F2/800) received" + "; message2300receive4one-received-by-command2verb4zap: " + str(message2300receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 83F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 83F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 83F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 83F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [23] = message2300receive4one
       
    #=========
    # 2400 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 84F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2400receive4one = "<nack2receive4xi>layer2400one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2400receive4one = "<nack2receive4xi>layer2400one</nack2receive4xi"
                                    
                    message2400receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 84F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2400receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 84F2/800) received" + "; message2400receive4one-received-by-command2verb4zap: " + str(message2400receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 84F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 84F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 84F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 84F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [24] = message2400receive4one
       
    #=========
    # 2500 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 85F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2500receive4one = "<nack2receive4xi>layer2500one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2500receive4one = "<nack2receive4xi>layer2500one</nack2receive4xi"
                                    
                    message2500receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 85F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2500receive4one)
                                                                                                                                    #                          
                    if ack2dragontrace is True:
                        message2print = "{(Step 85F2/800) received" + "; message2500receive4one-received-by-command2verb4zap: " + str(message2500receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #                     
                except:      
                    
                    message2print = "{(Step 85F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 85F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 85F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 85F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [25] = message2500receive4one
       
    #=========
    # 2600 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 86F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2600receive4one = "<nack2receive4xi>layer2600one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2600receive4one = "<nack2receive4xi>layer2600one</nack2receive4xi"
                                    
                    message2600receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 86F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2600receive4one)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 86F2/800) received" + "; message2600receive4one-received-by-command2verb4zap: " + str(message2600receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    # 
                except:      
                    
                    message2print = "{(Step 86F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                                                                                                                                    #                                                           
            else:
                print("\n (Step 86F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 86F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 86F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [26] = message2600receive4one
       
    #=========
    # 2700 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 87F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2700receive4one = "<nack2receive4xi>layer2700one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2700receive4one = "<nack2receive4xi>layer2700one</nack2receive4xi"
                                    
                    message2700receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 87F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2700receive4one)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 87F2/800) received" + "; message2700receive4one-received-by-command2verb4zap: " + str(message2700receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    # 
                except:      
                    
                    message2print = "{(Step 87F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                                                                                                                                    #                                                           
            else:
                print("\n (Step 87F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 87F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 87F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [27] = message2700receive4one
       
    #=========
    # 2800 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 88F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2800receive4one = "<nack2receive4xi>layer2800one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2800receive4one = "<nack2receive4xi>layer2800one</nack2receive4xi"
                                    
                    message2800receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 88F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2800receive4one)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 88F2/800) received" + "; message2800receive4one-received-by-command2verb4zap: " + str(message2800receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    # 
                except:      
                    
                    message2print = "{(Step 88F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                                                                                    #                                                            
            else:
                print("\n (Step 88F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 88F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 88F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [28] = message2800receive4one
       
    #=========
    # 2900 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 89F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message2900receive4one = "<nack2receive4xi>layer2900one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message2900receive4one = "<nack2receive4xi>layer2900one</nack2receive4xi"
                                    
                    message2900receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 89F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2900receive4one)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 89F2/800) received" + "; message2900receive4one-received-by-command2verb4zap: " + str(message2900receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    # 
                except:      
                    
                    message2print = "{(Step 89F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                       
            else:
                print("\n (Step 89F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 89F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 89F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [29] = message2900receive4one
       
    #=========
    # 3000 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 90F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message3000receive4one = "<nack2receive4xi>layer3000one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message3000receive4one = "<nack2receive4xi>layer3000one</nack2receive4xi"
                                    
                    message3000receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 90F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message3000receive4one)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 90F2/800) received" + "; message3000receive4one-received-by-command2verb4zap: " + str(message3000receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    # 
                except:      
                    
                    message2print = "{(Step 90F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                       
            else:
                print("\n (Step 90F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 90F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 90F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [30] = message3000receive4one
       
    #=========
    # 3100 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 91F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message3100receive4one = "<nack2receive4xi>layer3100one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message3100receive4one = "<nack2receive4xi>layer3100one</nack2receive4xi"
                                    
                    message3100receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 91F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message3100receive4one)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 91F2/800) received" + "; message3100receive4one-received-by-command2verb4zap: " + str(message3100receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                    #
                except:      
                    
                    message2print = "{(Step 91F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                       
            else:
                print("\n (Step 91F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 91F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 91F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [31] = message3100receive4one
        
    #=========
    # 3200 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 92F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message3200receive4one = "<nack2receive4xi>layer3200one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message3200receive4one = "<nack2receive4xi>layer3200one</nack2receive4xi"
                                    
                    message3200receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 92F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message3200receive4one)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 92F2/800) received" + "; message3200receive4one-received-by-command2verb4zap: " + str(message3200receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                    #
                except:      
                    
                    message2print = "{(Step 92F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                       

            else:
                print("\n (Step 92F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 92F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 92F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
    kb2message [1] [32] = message3200receive4one
        
    #=========
    # 3300 ONE
    #=========
   
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 93F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                                                                                                                                    # 
                message3300receive4one = "<nack2receive4xi>layer3300one</nack2receive4xi" 
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    message3300receive4one = "<nack2receive4xi>layer3300one</nack2receive4xi"
                                    
                    message3300receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug4one is True:
                        print("\n (Step 93F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message3300receive4one)
                                                                                                                                    # <ack3300put4one4xi>layer3300one</ack3300put4one4xi>
                    if ack2dragontrace is True:
                        message2print = "{(Step 93F2/800) received" + "; message3300receive4one-received-by-command2verb4zap: " + str(message3300receive4one) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                
                except:      
                    
                    message2print = "{(Step 93F3/800) yielded" + "; message1000receive4one-yielded-by-zap2verb4xii: " + str(message1000receive4one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # <ack3300put4one4xi>layer3300one</ack3300put4one4xi>                                                                                                                    
              
            else:
                print("\n (Step 93F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 93F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 93F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  

    kb2message [1] [33] = message3300receive4one
    
    
    # =========================================================================================================   
    # I/I EOF ONE DIRECTION - LAYERS 10, 100 ...3300 - PIPE MESSAGES
    # =========================================================================================================      
    if ack2debug4one is True:
        print("\n (Step 93F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2MESSAGE")    
        try:
            print("\n (Step 93F8/800) OF COMMAND2VERB4ZAP - RECEIVED FROM DIRECTION ONE VIA PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
            keys2direction4message = kb2message.keys()                                                                              # 1 ... 8
            for key2direction4message in keys2direction4message:
                if key2direction4message == 1:
                    temp2layerkb = kb2message[key2direction4message] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                          # 0,1,2 ... 33
                        print("\n kb2message [", key2direction4message, "]: [", key2layer4temp,"]:", kb2message [key2direction4message] [key2layer4temp])
                        # kb2message [ 1 ]: [ 0 ]: <ack0010put4one4xi>layer0010one</ack0010put4one4xi>
                        # kb2message [ 1 ]: [ 1 ]: <ack0100put4one4xi>layer0100one</ack0100put4one4xi>
                        # kb2message [ 1 ]: [ 2 ]: <ack0200put4one4xi>layer0200one</ack0200put4one4xi>
                        # kb2message [ 1 ]: [ 3 ]: <ack0300put4one4xi>layer0300one</ack0300put4one4xi>
                        # kb2message [ 1 ]: [ 4 ]: <ack0500put4one4xi>layer0500one</ack0500put4one4xi>
                        # kb2message [ 1 ]: [ 5 ]: <ack0600put4one4xi>layer0600one</ack0600put4one4xi>
                        # kb2message [ 1 ]: [ 6 ]: <ack0700put4one4xi>layer0700one</ack0700put4one4xi>
                        # kb2message [ 1 ]: [ 7 ]: <ack0400put4one4xi>layer0400one</ack0400put4one4xi>
                        # kb2message [ 1 ]: [ 8 ]: <ack0800put4one4xi>layer0800one</ack0800put4one4xi>
                        # kb2message [ 1 ]: [ 9 ]: <ack0900put4one4xi>layer0900one</ack0900put4one4xi>
                        # kb2message [ 1 ]: [ 10 ]: <ack1000put4one4xi>layer1000one</ack1000put4one4xi>
                        # kb2message [ 1 ]: [ 11 ]: <ack1100put4one4xi>layer1100one</ack1100put4one4xi>
                        # kb2message [ 1 ]: [ 12 ]: <ack1200put4one4xi>layer1200one</ack1200put4one4xi>
                        # kb2message [ 1 ]: [ 13 ]: <ack1300put4one4xi>layer1300one</ack1300put4one4xi>
                        # kb2message [ 1 ]: [ 14 ]: <ack1400put4one4xi>layer1400one</ack1400put4one4xi>
                        # kb2message [ 1 ]: [ 15 ]: <ack1500put4one4xi>layer1500one</ack1500put4one4xi>
                        # kb2message [ 1 ]: [ 16 ]: <ack1600put4one4xi>layer1600one</ack1600put4one4xi>
                        # kb2message [ 1 ]: [ 17 ]: <ack1700put4one4xi>layer1700one</ack1700put4one4xi>
                        # kb2message [ 1 ]: [ 18 ]: <ack1800put4one4xi>layer1800one</ack1800put4one4xi>
                        # kb2message [ 1 ]: [ 19 ]: <ack1900put4one4xi>layer1900one</ack1900put4one4xi>
                        # kb2message [ 1 ]: [ 20 ]: <ack2000put4one4xi>layer2000one</ack2000put4one4xi>
                        # kb2message [ 1 ]: [ 21 ]: <ack2100put4one4xi>layer2100one</ack2100put4one4xi>
                        # kb2message [ 1 ]: [ 22 ]: <ack2200put4one4xi>layer2200one</ack2200put4one4xi>
                        # kb2message [ 1 ]: [ 23 ]: <ack2300put4one4xi>layer2300one</ack2300put4one4xi>
                        # kb2message [ 1 ]: [ 24 ]: <ack2400put4one4xi>layer2400one</ack2400put4one4xi>
                        # kb2message [ 1 ]: [ 25 ]: <ack2500put4one4xi>layer2500one</ack2500put4one4xi>
                        # kb2message [ 1 ]: [ 26 ]: <ack2600put4one4xi>layer2600one</ack2600put4one4xi>
                        # kb2message [ 1 ]: [ 27 ]: <ack2700put4one4xi>layer2700one</ack2700put4one4xi>
                        # kb2message [ 1 ]: [ 28 ]: <ack2800put4one4xi>layer2800one</ack2800put4one4xi>
                        # kb2message [ 1 ]: [ 29 ]: <ack2900put4one4xi>layer2900one</ack2900put4one4xi>
                        # kb2message [ 1 ]: [ 30 ]: <ack3000put4one4xi>layer3000one</ack3000put4one4xi>
                        # kb2message [ 1 ]: [ 31 ]: <ack3100put4one4xi>layer3100one</ack3100put4one4xi>
                        # kb2message [ 1 ]: [ 32 ]: <ack3200put4one4xi>layer3200one</ack3200put4one4xi>
                        # kb2message [ 1 ]: [ 33 ]: <ack3300put4one4xi>layer3300one</ack3300put4one4xi> 
        except:
            print("\n (Step 93F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2MESSAGE")
                            
                            
    # =========================================================================================================   
    # II/I ONE DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES
    # =========================================================================================================      
       
             
    #==========
    # 0010 ONE
    #==========
    
    kb2fire     = {}
    kb2fire [1] = {}
        
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0010one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 94F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET COORDINATE 10 ONE: ", queue2one) # <queue4xi.Queue4Xi object at 0x05079070>
                    # 
                
                fire0010one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 94F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0010ONE: ", fire0010one) 

                if ack2dragontrace is True:
                    message2print = "{(Step 94F2/800) got" + "; fire0010one-got-by-command2verb4zap: " + str(fire0010one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                # ------------------------------------------------------------------------------------------- 
                # 
                # ------------------------------------------------------------------------------------------- 
                #    key2sense       = '2xi'
                #    key2reason      = '4xi'
                #    key2ace         = '8xi'
                #    key2direction   = 1
                #    key2distance    = 2
                #    key2layer       = 3
                #    
                #    key2area4layer  = 1
                #    key2color4layer = 2
                #    key2qty4layer   = 3
                #    key2area4node   = 4
                #    
                #    key2identity    = 4 
                #    key2color       = 5
                #    key2fire        = 6
                #    key2cluster     = 7
                #    key2ray         = 8
                #    key2deviation   = 9 
                #    key2super       = 10
                #    key2message     = 11
                #    key2actor       = 12
                #    key2type        = 13
                #    key2home        = 14
                #    key2previous    = 15
                #    key2next        = 16
                #    key2last        = 17
                #    key2first       = 18                                                                  
                #    key2home        = 14
                #    key2previous    = 15
                #    key2next        = 16
                #    key2last        = 17
                #    key2first       = 18
                #    key2module      = 19
                # ------------------------------------------------------------------------------------------- 
                # 
                # -------------------------------------------------------------------------------------------                  
                #    origin2link     = '0x0y0z'    link to origin
                #    home2link       = '-0x-0y-0z' unresolved-home  
                #    previous2link   = '-0x-0y-0z' unresolved-previous 
                #    next2link       = '+0x+0y+0z' unresolved-next 
                #    first2link      = '+0x+0y+0z' unresolved-first 
                #    last2link       = '+0x+0y+0z' unresolved-last
                # ------------------------------------------------------------------------------------------- 
                # 
                # -------------------------------------------------------------------------------------------                 
                #                 
                # 
                
                # ------------------------------------------------------------------------------------------- 
                # 
                # -------------------------------------------------------------------------------------------       
                
            else:
                print("\n (Step 94F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 94F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 94F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())
    
    if ack2debug4one is True:
        print("\n (Step 94F6/800) OF COMMAND2VERB4ZAP -  FIRE0010ONE: ", fire0010one) 
        
    kb2fire [1] [0] = fire0010one
      
           
    #==========
    # 0100 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0100one = {}

    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 101F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET 100 ONE: ", queue2one)
                    # 
                
                fire0100one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 101F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0100ONE: ", fire0100one) 
                    # {}
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 101F2/800) got" + "; fire0100one-got-by-command2verb4zap: " + str(fire0100one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                  
            else:
                print("\n (Step 101F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 101F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 101F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
      
       
    kb2fire [1] [1] = fire0100one

    #==========
    # 0200 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0200one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 102F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET 200 ONE: ", queue2one)
                    # 
                
                fire0200one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 102F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0200ONE: ", fire0200one) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 102F2/800) got" + "; fire0200one-got-by-command2verb4zap: " + str(fire0200one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                # 
            else:
                print("\n (Step 102F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 102F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 102F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [2] = fire0200one

    #==========
    # 0300 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0300one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 103F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0300ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire0300one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 103F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0300ONE: ", fire0300one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 103F2/800) got" + "; fire0300one-got-by-command2verb4zap: " + str(fire0300one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 103F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 103F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 103F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [3] = fire0300one
  
    #==========
    # 0400 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0400one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 104F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire0400one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 104F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0400ONE: ", fire0400one) 
                    # 
                    
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 104F2/800) got" + "; fire0400one-got-by-command2verb4zap: " + str(fire0400one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 104F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 104F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 104F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [4] = fire0400one
                        
    #==========
    # 0500 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0500one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 105F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0500ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire0500one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 105F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0500ONE: ", fire0500one) 
                    # 
                    
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 105F2/800) got" + "; fire0500one-got-by-command2verb4zap: " + str(fire0500one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                  
            else:
                print("\n (Step 105F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 105F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 105F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [5] = fire0500one
                                                                                 
    #==========
    # 0600 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0600one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 106F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0600ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire0600one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 106F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0600ONE: ", fire0600one) 
                    # 
                    
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 106F2/800) got" + "; fire0600one-got-by-command2verb4zap: " + str(fire0600one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 106F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 106F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 106F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [6] = fire0600one
  
    #==========
    # 0700 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0700one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 107F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0700ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire0700one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 107F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0700ONE: ", fire0700one) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 107F2/800) got" + "; fire0700one-got-by-command2verb4zap: " + str(fire0700one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 107F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 107F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 107F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [7] = fire0700one
   
    #==========
    # 0800 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0800one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 108F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0800ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire0800one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 108F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0800ONE: ", fire0800one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 108F2/800) got" + "; fire0800one-got-by-command2verb4zap: " + str(fire0800one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 108F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 108F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 108F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [8] = fire0800one
  
    #==========
    # 0900 ONE
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0900one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 109F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0900ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire0900one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 109F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE0900ONE: ", fire0900one) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 109F2/800) got" + "; fire0900one-got-by-command2verb4zap: " + str(fire0900one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 109F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 109F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 109F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [9] = fire0900one
  
    #===========
    # 1000 ONE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1000one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 110F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1000ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1000one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 110F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1000ONE: ", fire1000one) 
                    # 
                    
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 110F2/800) got" + "; fire1000one-got-by-command2verb4zap: " + str(fire1000one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 110F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 110F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 110F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [10] = fire1000one
          
    #=========
    # 1100 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1100one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 111F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1100ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1100one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 111F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1100ONE: ", fire1100one) 
                    # 
                    
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 111F2/800) got" + "; fire1100one-got-by-command2verb4zap: " + str(fire1100one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 111F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 111F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 111F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [11] = fire1100one
   
    #=========
    # 1200 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1200one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 112F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1200ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1200one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 112F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1200ONE: ", fire1200one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 112F2/800) got" + "; fire1200one-got-by-command2verb4zap: " + str(fire1200one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 112F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 112F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 112F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [12] = fire1200one
                  
        
    #=========
    # 1300 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1300one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 113F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1300ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1300one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 113F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1300ONE: ", fire1300one) 
                    # 
                    
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 113F2/800) got" + "; fire1300one-got-by-command2verb4zap: " + str(fire1300one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 113F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 113F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 113F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [13] = fire1300one
   
        
    #=========
    # 1400 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1400one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 114F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1400ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1400one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 114F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1400ONE: ", fire1400one) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 114F2/800) got" + "; fire1400one-got-by-command2verb4zap: " + str(fire1400one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 114F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 114F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 114F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
              
       
    kb2fire [1] [14] = fire1400one
   
        
    #=========
    # 1500 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1500one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 115F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1500ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1500one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 115F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1500ONE: ", fire1500one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 115F2/800) got" + "; fire1500one-got-by-command2verb4zap: " + str(fire1500one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 115F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 115F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 115F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
              
       
    kb2fire [1] [15] = fire1500one
   
        
    #=========
    # 1600 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1600one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 116F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1600ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1600one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 116F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1600ONE: ", fire1600one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 116F2/800) got" + "; fire1600one-got-by-command2verb4zap: " + str(fire1600one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                  
            else:
                print("\n (Step 116F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 116F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 116F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [16] = fire1600one
   
        
    #=========
    # 1700 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1700one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 117F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1700one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 117F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1700ONE: ", fire1700one) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 117F2/800) got" + "; fire1700one-got-by-command2verb4zap: " + str(fire1700one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                  
            else:
                print("\n (Step 117F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 117F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 117F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [17] = fire1700one
   
        
    #=========
    # 1800 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1800one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 118F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1800ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1800one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 118F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1800ONE: ", fire1800one) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 118F2/800) got" + "; fire1800one-got-by-command2verb4zap: " + str(fire1800one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 118F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 118F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 118F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [18] = fire1800one
                  

        
    #=========
    # 1900 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1900one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 119F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1900ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire1900one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 119F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE1900ONE: ", fire1900one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 119F2/800) got" + "; fire1900one-got-by-command2verb4zap: " + str(fire1900one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                  
            else:
                print("\n (Step 119F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 119F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 119F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [19] = fire1900one
         

        
    #=========
    # 2000 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2000one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 120F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2000ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2000one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 120F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2000ONE: ", fire2000one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 120F2/800) got" + "; fire2000one-got-by-command2verb4zap: " + str(fire2000one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 120F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 120F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 120F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [20] = fire2000one
   
        
    #=========
    # 2100 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2100one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 121F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2100ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2100one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 121F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2100ONE: ", fire2100one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 121F2/800) got" + "; fire2100one-got-by-command2verb4zap: " + str(fire2100one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 121F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 121F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 121F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [21] = fire2100one
   
        
    #=========
    # 2200 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2200one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 122F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2200ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2200one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 122F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2200ONE: ", fire2200one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 122F2/800) got" + "; fire2200one-got-by-command2verb4zap: " + str(fire2200one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 122F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 122F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 122F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [22] = fire2200one
   
        
    #=========
    # 2300 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2300one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 123F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2300ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2300one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 123F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2300ONE: ", fire2300one) 
                    #
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 123F2/800) got" + "; fire2300one-got-by-command2verb4zap: " + str(fire2300one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 123F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 123F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 123F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [23] = fire2300one
   
        
    #=========
    # 2400 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2400one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 124F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2400ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2400one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 124F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2400ONE: ", fire2400one) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 124F2/800) got" + "; fire2400one-got-by-command2verb4zap: " + str(fire2400one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 124F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 124F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 124F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [24] = fire2400one
   
        
    #=========
    # 2500 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2500one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 125F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2500ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2500one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 125F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2500ONE: ", fire2500one) 
                    #
                   
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 125F2/800) got" + "; fire2500one-got-by-command2verb4zap: " + str(fire2500one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 125F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 125F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 125F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [25] = fire2500one
                  

        
    #=========
    # 2600 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2600one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 126F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2600ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2600one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 126F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2600ONE: ", fire2600one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 126F2/800) got" + "; fire2600one-got-by-command2verb4zap: " + str(fire2600one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 126F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 126F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 126F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [26] = fire2600one
                  

        
    #=========
    # 2700 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2700one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 127F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2700ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2700one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 127F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2700ONE: ", fire2700one) 
                    #
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 127F2/800) got" + "; fire2700one-got-by-command2verb4zap: " + str(fire2700one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 127F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 127F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 127F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [27] = fire2700one
                  

        
    #=========
    # 2800 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2800one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 128F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2800ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2800one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 128F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2800ONE: ", fire2800one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 128F2/800) got" + "; fire2800one-got-by-command2verb4zap: " + str(fire2800one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                  
            else:
                print("\n (Step 128F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 128F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 128F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [28] = fire2800one
                  

        
    #=========
    # 2900 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2900one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 129F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2900ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire2900one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 129F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2900ONE: ", fire2900one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 129F2/800) got" + "; fire2900one-got-by-command2verb4zap: " + str(fire2900one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 129F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 129F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 129F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [29] = fire2900one
   
        
    #=========
    # 3000 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3000one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 130F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3000ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire3000one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 130F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE3000ONE: ", fire3000one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 130F2/800) got" + "; fire3000one-got-by-command2verb4zap: " + str(fire3000one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                  
            else:
                print("\n (Step 130F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 130F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 130F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [30] = fire3000one
   
        
    #=========
    # 3100 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3100one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 131F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3100ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire3100one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 131F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE3100ONE: ", fire3100one) 
                    #
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 131F2/800) got" + "; fire3100one-got-by-command2verb4zap: " + str(fire3100one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                  
            else:
                print("\n (Step 131F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 131F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 131F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
       
    kb2fire [1] [31] = fire3100one
   
        
    #=========
    # 3200 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3200one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 132F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3200ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire3200one = queue2one.get()
                if ack2debug4one is True:
                    print("\n (Step 132F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE3200ONE: ", fire3200one) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 132F2/800) got" + "; fire3200one-got-by-command2verb4zap: " + str(fire3200one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    # 
                    
            else:
                print("\n (Step 132F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 132F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 132F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [32] = fire3200one
                  

        
    #=========
    # 3300 ONE
    #=========
  
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3300one = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4one is True:
                    print("\n (Step 133F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3300ONE FROM QUEUE: ", queue2one)
                    # 
                
                fire3300one = queue2one.get()  
                if ack2debug4one is True:
                    print("\n (Step 133F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE3300ONE: ", fire3300one) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 133F2/800) got" + "; fire3300one-got-by-command2verb4zap: " + str(fire3300one)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    # 
                    
            else:
                print("\n (Step 133F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (Step 133F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (Step 133F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
       
    kb2fire [1] [33] = fire3300one
         
    # =========================================================================================================   
    # II/I EOF ONE DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DICTIONARIES
    # =========================================================================================================      
    if ack2debug4one is True:
        print("\n (Step 133F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2FIRE")    
        try:
            print("\n (Step 133F8/800) OF COMMAND2VERB4ZAP - GOT FROM DIRECTION ONE VIA QUEUE2ONE: ", queue2one)
            keys2direction4fire = kb2fire.keys()                                                                              # 1 ... 8
            for key2direction4fire in keys2direction4fire:
                if key2direction4fire == 1:
                    temp2layerkb = kb2fire[key2direction4fire] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                    # 0,1,2 ... 33
                        print("\n kb2fire [", key2direction4fire, "]: [", key2layer4temp,"]:", kb2fire [key2direction4fire] [key2layer4temp])
                        # 
                        
                        
        except:
            print("\n (Step 133F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2FIRE")    
                   
      
    # =========================================================================================================   
    # I/II TWO DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST
    # =========================================================================================================      

                 
    #==========
    # 0010 TWO 
    #==========
    ack2debug4two = True
    kb2message [2] = {}
        
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 134F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0010receive4two = "<nack2receive4xi>layer0010two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                        
                    message0010receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 134F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ",message0010receive4two) 
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 134F3/800) received" + "; message0010receive4two-received-by-command2verb4zap: " + str(message0010receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0010receive4two-yielded-by-zap2verb4xii: " + str(message0010receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                               
            else:
                print("\n (Step 134F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 134F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 134F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [0] = message0010receive4two
        
    #==========
    # 0100 TWO
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 201F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0100receive4two = "<nack2receive4xi>layer0100two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0100receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 201F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0100receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 201F2/800) received" + "; message0100receive4two-received-by-command2verb4zap: " + str(message0100receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0100receive4two-yielded-by-zap2verb4xii: " + str(message0100receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)               
            else:
                print("\n (Step 201F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 201F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 201F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [1] = message0100receive4two
       
    #==========
    # 0200 TWO 
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 202F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0200receive4two = "<nack2receive4xi>layer0200two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0200receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 202F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0200receive4two)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 202F2/800) received" + "; message0200receive4two-received-by-command2verb4zap: " + str(message0200receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0200receive4two-yielded-by-zap2verb4xii: " + str(message0200receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)               
            else:
                print("\n (Step 202F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 202F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 202F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [2] = message0200receive4two
                                                   
                                  
    #==========
    # 0300 TWO
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 203F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0300receive4two = "<nack2receive4xi>layer0300two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0300receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 203F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0300receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 203F2/800) received" + "; message0300receive4two-received-by-command2verb4zap: " + str(message0receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0300receive4two-yielded-by-zap2verb4xii: " + str(message0300receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)            
            else:
                print("\n (Step 203F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 203F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 203F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [3] = message0300receive4two
       
    #==========
    # 0400 TWO
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 204F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0400receive4two = "<nack2receive4xi>layer0400two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0400receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 204F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0400receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 204F2/800) received" + "; message0400receive4two-received-by-command2verb4zap: " + str(message0400receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0400receive4two-yielded-by-zap2verb4xii: " + str(message0400receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)            
            else:
                print("\n (Step 204F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 204F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 204F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())
    
    kb2message [2] [4] = message0400receive4two
                               
    #==========
    # 0500 TWO
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 205F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0500receive4two = "<nack2receive4xi>layer0500two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0500receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 205F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0500receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 205F2/800) received" + "; message0500receive4two-received-by-command2verb4zap: " + str(message0500receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0500receive4two-yielded-by-zap2verb4xii: " + str(message0500receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)           
            else:
                print("\n (Step 205F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 205F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 205F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [5] = message0500receive4two
                                                                                          
    #==========
    # 0600 TWO
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 206F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0600receive4two = "<nack2receive4xi>layer0600two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0600receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 206F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0600receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 206F2/800) received" + "; message0600receive4two-received-by-command2verb4zap: " + str(message0600receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0600receive4two-yielded-by-zap2verb4xii: " + str(message0600receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                
            else:
                print("\n (Step 206F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 206F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 204F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [6] = message0600receive4two
        
    #==========
    # 0700 TWO
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 207F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0700receive4two = "<nack2receive4xi>layer0700two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0700receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 207F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0700receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 207F2/800) received" + "; message0700receive4two-received-by-command2verb4zap: " + str(message0700receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0700receive4two-yielded-by-zap2verb4xii: " + str(message0700receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)             
            else:
                print("\n (Step 207F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 207F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 207F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [7] = message0700receive4two
          
    #==========
    # 0800 TWO
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 208F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0800receive4two = "<nack2receive4xi>layer0800two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0800receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 208F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0800receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 208F2/800) received" + "; message0800receive4two-received-by-command2verb4zap: " + str(message0800receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0800receive4two-yielded-by-zap2verb4xii: " + str(message0800receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)          
            else:
                print("\n (Step 208F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 208F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 208F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [8] = message0800receive4two
        
    #==========
    # 0900 TWO
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 209F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message0900receive4two = "<nack2receive4xi>layer0900two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message0900receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 209F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message0900receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 209F2/800) received" + "; message0900receive4two-received-by-command2verb4zap: " + str(message0900receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message0900receive4two-yielded-by-zap2verb4xii: " + str(message0900receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)          
            else:
                print("\n (Step 209F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 209F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 209F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
      
    
    kb2message [2] [9] = message0900receive4two
              
     
    #=========
    # 1000 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 210F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1000receive4two = "<nack2receive4xi>layer1000two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1000receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 210F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1000receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 210F2/800) received" + "; message1000receive4two-received-by-command2verb4zap: " + str(message1000receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1000receive4two-yielded-by-zap2verb4xii: " + str(message1000receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)         
            else:
                print("\n (Step 210F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 210F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 210F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [10] = message1000receive4two
        
    #=========
    # 1100 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 211F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1100receive4two = "<nack2receive4xi>layer1100two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1100receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 211F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1100receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 211F2/800) received" + "; message1100receive4two-received-by-command2verb4zap: " + str(message1100receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1100receive4two-yielded-by-zap2verb4xii: " + str(message1100receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)           
            else:
                print("\n (Step 211F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 211F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 211F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [11] = message1100receive4two
         
    #=========
    # 1200 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 212F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1200receive4two = "<nack2receive4xi>layer1200two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1200receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 212F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1200receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 212F2/800) received" + "; message1200receive4two-received-by-command2verb4zap: " + str(message1200receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1200receive4two-yielded-by-zap2verb4xii: " + str(message1200receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                
            else:
                print("\n (Step 212F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 212F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 212F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [12] = message1200receive4two
         
    #=========
    # 1300 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 213F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1300receive4two = "<nack2receive4xi>layer1300two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1300receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 213F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1300receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 213F2/800) received" + "; message1300receive4two-received-by-command2verb4zap: " + str(message1300receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1300receive4two-yielded-by-zap2verb4xii: " + str(message1300receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                
            else:
                print("\n (Step 213F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 213F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 213F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [13] = message1300receive4two
         
    #=========
    # 1400 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 214F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1400receive4two = "<nack2receive4xi>layer1400two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1400receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 214F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1400receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 214F2/800) received" + "; message1400receive4two-received-by-command2verb4zap: " + str(message1400receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1400receive4two-yielded-by-zap2verb4xii: " + str(message1400receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)            
            else:
                print("\n (Step 214F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 214F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 214F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [14] = message1400receive4two
         
    #=========
    # 1500 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 215F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1500receive4two = "<nack2receive4xi>layer1500two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1500receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 215F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1500receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 215F2/800) received" + "; message1500receive4two-received-by-command2verb4zap: " + str(message1500receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1500receive4two-yielded-by-zap2verb4xii: " + str(message1500receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)            
            else:
                print("\n (Step 215F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 215F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 215F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [15] = message1500receive4two
         
    #=========
    # 1600 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 216F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1600receive4two = "<nack2receive4xi>layer1600two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1600receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 216F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1600receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 216F2/800) received" + "; message1600receive4two-received-by-command2verb4zap: " + str(message1600receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1600receive4two-yielded-by-zap2verb4xii: " + str(message1600receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)         
            else:
                print("\n (Step 216F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 216F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 216F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [16] = message1600receive4two
         
    #=========
    # 1700 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 217F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1700receive4two = "<nack2receive4xi>layer1700two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1700receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 217F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1700receive4two)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 217F2/800) received" + "; message1700receive4two-received-by-command2verb4zap: " + str(message1700receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1700receive4two-yielded-by-zap2verb4xii: " + str(message1700receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)          
            else:
                print("\n (Step 217F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 217F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 217F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [17] = message1700receive4two
         
    #=========
    # 1800 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 218F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1800receive4two = "<nack2receive4xi>layer1800two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1800receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 218F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1800receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 218F2/800) received" + "; message1800receive4two-received-by-command2verb4zap: " + str(message1800receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1800receive4two-yielded-by-zap2verb4xii: " + str(message1800receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)            
            else:
                print("\n (Step 218F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 218F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 218F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    kb2message [2] [18] = message1800receive4two
         
    #=========
    # 1900 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 219F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message1900receive4two = "<nack2receive4xi>layer1900two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message1900receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 219F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message1900receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 219F2/800) received" + "; message1900receive4two-received-by-command2verb4zap: " + str(message1900receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message1900receive4two-yielded-by-zap2verb4xii: " + str(message1900receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)           
            else:
                print("\n (Step 219F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 219F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 219F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
        
    
    kb2message [2] [19] = message1900receive4two
         
    #=========
    # 2000 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 220F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2000receive4two = "<nack2receive4xi>layer2000two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2000receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 220F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2000receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 220F2/800) received" + "; message2000receive4two-received-by-command2verb4zap: " + str(message2000receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2000receive4two-yielded-by-zap2verb4xii: " + str(message2000receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)              
            else:
                print("\n (Step 220F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 220F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 220F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [20] = message2000receive4two
         
    #=========
    # 2100 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 221F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2100receive4two = "<nack2receive4xi>layer2100two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2100receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 221F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2100receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 221F2/800) received" + "; message2100receive4two-received-by-command2verb4zap: " + str(message2100receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2100receive4two-yielded-by-zap2verb4xii: " + str(message2100receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)              
            else:
                print("\n (Step 221F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 221F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 221F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [21] = message2100receive4two
        
    #=========
    # 2200 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 222F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2200receive4two = "<nack2receive4xi>layer2200two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2200receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 222F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2200receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 222F2/800) received" + "; message2200receive4two-received-by-command2verb4zap: " + str(message2200receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2200receive4two-yielded-by-zap2verb4xii: " + str(message2200receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)              
            else:
                print("\n (Step 222F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 222F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 222F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [22] = message2200receive4two
        
    #=========
    # 2300 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 223F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2300receive4two = "<nack2receive4xi>layer2300two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2300receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 223F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2300receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 223F2/800) received" + "; message2300receive4two-received-by-command2verb4zap: " + str(message2300receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2300receive4two-yielded-by-zap2verb4xii: " + str(message2300receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                
            else:
                print("\n (Step 223F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 223F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 223F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [23] = message2300receive4two
        
    #=========
    # 2400 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 224F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2400receive4two = "<nack2receive4xi>layer2400two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2400receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 224F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2400receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 224F2/800) received" + "; message2400receive4two-received-by-command2verb4zap: " + str(message2400receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2400receive4two-yielded-by-zap2verb4xii: " + str(message2400receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)       
            else:
                print("\n (Step 224F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 224F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 224F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [24] = message2400receive4two
        
    #=========
    # 2500 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 225F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2500receive4two = "<nack2receive4xi>layer2500two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2500receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 225F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2500receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 225F2/800) received" + "; message2500receive4two-received-by-command2verb4zap: " + str(message2500receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2500receive4two-yielded-by-zap2verb4xii: " + str(message2500receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)          
            else:
                print("\n (Step 225F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 225F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 225F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [25] = message2500receive4two
        
    #=========
    # 2600 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 226F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2600receive4two = "<nack2receive4xi>layer2600two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2600receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 226F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2600receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 226F2/800) received" + "; message2600receive4two-received-by-command2verb4zap: " + str(message2600receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2600receive4two-yielded-by-zap2verb4xii: " + str(message2600receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)          
            else:
                print("\n (Step 226F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 226F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 226F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [26] = message2600receive4two
        
    #=========
    # 2700 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 227F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2700receive4two = "<nack2receive4xi>layer2700two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2700receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 227F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2700receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 227F2/800) received" + "; message2700receive4two-received-by-command2verb4zap: " + str(message2700receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2700receive4two-yielded-by-zap2verb4xii: " + str(message2700receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)      
            else:
                print("\n (Step 227F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 227F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 227F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [27] = message2700receive4two
        
    #=========
    # 2800 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 228F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2800receive4two = "<nack2receive4xi>layer2800two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2800receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 228F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2800receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 228F2/800) received" + "; message2800receive4two-received-by-command2verb4zap: " + str(message2800receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2800receive4two-yielded-by-zap2verb4xii: " + str(message2800receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)         
            else:
                print("\n (Step 228F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 228F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 228F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [28] = message2800receive4two
        
    #=========
    # 2900 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 229F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message2900receive4two = "<nack2receive4xi>layer2900two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message2900receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 229F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2900receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 229F2/800) received" + "; message2900receive4two-received-by-command2verb4zap: " + str(message2900receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message2900receive4two-yielded-by-zap2verb4xii: " + str(message2900receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                 
            else:
                print("\n (Step 229F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 229F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 229F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [29] = message2900receive4two
        
    #=========
    # 3000 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 230F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message3000receive4two = "<nack2receive4xi>layer3000two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message3000receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 230F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message3000eceive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 230F2/800) received" + "; message3000eceive4two-received-by-command2verb4zap: " + str(message3000eceive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message3000receive4two-yielded-by-zap2verb4xii: " + str(message3000receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                     
            else:
                print("\n (Step 230F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 230F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 230F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [30] = message3000receive4two
        
    #=========
    # 3100 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 231F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message3100receive4two = "<nack2receive4xi>layer3100two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message3100receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 231F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message3100receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 231F2/800) received" + "; message3100receive4two-received-by-command2verb4zap: " + str(message3100receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message3100receive4two-yielded-by-zap2verb4xii: " + str(message3100receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                 
            else:
                print("\n (Step 231F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 231F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 231F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [31] = message3100receive4two
        
    #=========
    # 3200 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 232F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message3200receive4two = "<nack2receive4xi>layer3200two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message3200receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 232F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message3200receive4two)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 232F2/800) received" + "; message3200receive4two-received-by-command2verb4zap: " + str(message3200receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # <ack3200put4two4xi>layer3200two</ack3200put4two4xi>
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message3200receive4two-yielded-by-zap2verb4xii: " + str(message3200receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                       
            else:
                print("\n (Step 232F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 232F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 232F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
    
    kb2message [2] [32] = message3200receive4two
        
    #=========
    # 3300 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 233F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                                                                                                                                    # 
                message3300receive4two = "<nack2receive4xi>layer3300two</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                         
                    message3300receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug4two is True:
                        print("\n (Step 233F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message3300receive4two)
                                                                                                                                    # <ack3300put4two4xi>layer3300two</ack3300put4two4xi> 
                    if ack2dragontrace is True:
                        message2print = "{(Step 233F2/800) received" + "; message3300receive4two-received-by-command2verb4zap: " + str(message3300receive4two) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 60F4/33) yielded" + "; message3300receive4two-yielded-by-zap2verb4xii: " + str(message3300receive4two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                                                                                                      
            else:
                print("\n (Step 233F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 233F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 233F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  

    
    kb2message [2] [33] = message3300receive4two
      
    # =========================================================================================================   
    # I/II EOF TWO DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST 
    # =========================================================================================================      
    if ack2debug4two is True:
        print("\n (Step 233F8/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2MESSAGE")    
        try:
            print("\n (Step 233F8/800) OF COMMAND2VERB4ZAP - RECEIVED FROM DIRECTION TWO VIA PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
            keys2direction4message = kb2message.keys()                                                                                  # 1 ... 8
            for key2direction4message in keys2direction4message:
                if key2direction4message == 2:
                    temp2layerkb = kb2message[key2direction4message] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                                  # 0,1,2 ... 33
                        print("\n kb2message [", key2direction4message, "]: [", key2layer4temp,"]:", kb2message [key2direction4message] [key2layer4temp])
                        # kb2message [ 2 ]: [ 0 ]: <ack0010put4two4xi>layer0010two</ack0010put4two4xi>
                        # kb2message [ 2 ]: [ 1 ]: <ack0100put4two4xi>layer0100two</ack0100put4two4xi>
                        # kb2message [ 2 ]: [ 2 ]: <ack0200put4two4xi>layer0200two</ack0200put4two4xi>
                        # kb2message [ 2 ]: [ 3 ]: <ack0300put4two4xi>layer0300two</ack0300put4two4xi>
                        # kb2message [ 2 ]: [ 4 ]: <ack0400put4two4xi>layer0400two</ack0400put4two4xi>
                        # kb2message [ 2 ]: [ 5 ]: <ack0500put4two4xi>layer0500two</ack0500put4two4xi>
                        # kb2message [ 2 ]: [ 6 ]: <ack0600put4two4xi>layer0600two</ack0600put4two4xi>
                        # kb2message [ 2 ]: [ 7 ]: <ack0700put4two4xi>layer0700two</ack0700put4two4xi>
                        # kb2message [ 2 ]: [ 8 ]: <ack0800put4two4xi>layer0800two</ack0800put4two4xi>
                        # kb2message [ 2 ]: [ 9 ]: <ack0900put4two4xi>layer0900two</ack0900put4two4xi>
                        # kb2message [ 2 ]: [ 10 ]: <ack1000put4two4xi>layer1000two</ack1000put4two4xi>
                        # kb2message [ 2 ]: [ 11 ]: <ack1100put4two4xi>layer1100two</ack1100put4two4xi>
                        # kb2message [ 2 ]: [ 12 ]: <ack1200put4two4xi>layer1200two</ack1200put4two4xi>
                        # kb2message [ 2 ]: [ 13 ]: <ack1300put4two4xi>layer1300two</ack1300put4two4xi>
                        # kb2message [ 2 ]: [ 14 ]: <ack1400put4two4xi>layer1400two</ack1400put4two4xi>
                        # kb2message [ 2 ]: [ 15 ]: <ack1500put4two4xi>layer1500two</ack1500put4two4xi>
                        # kb2message [ 2 ]: [ 16 ]: <ack1600put4two4xi>layer1600two</ack1600put4two4xi>
                        # kb2message [ 2 ]: [ 17 ]: <ack1700put4two4xi>layer1700two</ack1700put4two4xi>
                        # kb2message [ 2 ]: [ 18 ]: <ack1800put4two4xi>layer1800two</ack1800put4two4xi>
                        # kb2message [ 2 ]: [ 19 ]: <ack1900put4two4xi>layer1900two</ack1900put4two4xi>
                        # kb2message [ 2 ]: [ 20 ]: <ack2000put4two4xi>layer2000two</ack2000put4two4xi>
                        # kb2message [ 2 ]: [ 21 ]: <ack2100put4two4xi>layer2100two</ack2100put4two4xi>
                        # kb2message [ 2 ]: [ 22 ]: <ack2200put4two4xi>layer2200two</ack2200put4two4xi>
                        # kb2message [ 2 ]: [ 23 ]: <ack2300put4two4xi>layer2300two</ack2300put4two4xi>
                        # kb2message [ 2 ]: [ 24 ]: <ack2400put4two4xi>layer2400two</ack2400put4two4xi>
                        # kb2message [ 2 ]: [ 25 ]: <ack2500put4two4xi>layer2500two</ack2500put4two4xi>
                        # kb2message [ 2 ]: [ 26 ]: <ack2600put4two4xi>layer2600two</ack2600put4two4xi>
                        # kb2message [ 2 ]: [ 27 ]: <ack2700put4two4xi>layer2700two</ack2700put4two4xi>
                        # kb2message [ 2 ]: [ 28 ]: <ack2800put4two4xi>layer2800two</ack2800put4two4xi>
                        # kb2message [ 2 ]: [ 29 ]: <ack2900put4two4xi>layer2900two</ack2900put4two4xi>
                        # kb2message [ 2 ]: [ 30 ]: <ack3000put4two4xi>layer3000two</ack3000put4two4xi>
                        # kb2message [ 2 ]: [ 31 ]: <ack3100put4two4xi>layer3100two</ack3100put4two4xi>
                        # kb2message [ 2 ]: [ 32 ]: <ack3200put4two4xi>layer3200two</ack3200put4two4xi>
                        # kb2message [ 2 ]: [ 33 ]: <ack3300put4two4xi>layer3300two</ack3300put4two4xi>
        except:
            print("\n (Step 233F8/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2MESSAGE")                                                                                                                  

           
    # =========================================================================================================   
    # II/II TWO DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES  
    # =========================================================================================================      
       
    #===========
    # 0010 TWO   
    #===========
    
    kb2fire [2] = {}
       
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0010two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 234F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0010TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0010two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 241F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0010TWO: ", fire0010two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 241F2/800) got" + "; fire0010two-got-by-command2verb4zap: " + str(fire0010two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                  # {}
            else:
                print("\n (Step 234F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 234F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 234F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())
       
    kb2fire [2] [0] = fire0010two
       
    
    #===========
    # 0100 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0100two = {}

    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 241F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0100TWO4XI FROM QUEUE: ", queue2two)
                    # 
                
                fire0100two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 241F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0100TWO4XI: ", fire0100two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 241F2/800) got" + "; fire0100two-got-by-command2verb4zap: " + str(fire0100two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #                     
            else:
                print("\n (Step 241F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 241F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 241F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
       
    kb2fire [2] [1] = fire0100two
          

    #===========
    # 0200 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0200two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 242F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0200TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0200two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 242F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0200TWO: ", fire0200two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 242F2/800) got" + "; fire0200two-got-by-command2verb4zap: " + str(fire0200two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #                     
            else:
                print("\n (Step 242F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 242F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 242F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
       
    kb2fire [2] [2] = fire0200two
    
    #===========
    # 0300 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0300two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 243F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0300TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0300two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 243F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0300TWO: ", fire0300two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 243F2/800) got" + "; fire0300two-got-by-command2verb4zap: " + str(fire0300two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #                     
            else:
                print("\n (Step 243F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 243F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 243F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [3] = fire0300two
  

       
    #===========
    # 0400 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0400two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 244F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0400two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 244F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0400TWO: ", fire0400two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 244F2/800) got" + "; fire0400two-got-by-command2verb4zap: " + str(fire0400two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #                     
            else:
                print("\n (Step 244F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 244F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 244F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [4] = fire0400two
  

                               
    #===========
    # 0500 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0500two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 245F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0500two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 245F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0500TWO: ", fire0500two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 245F2/800) got" + "; fire0500two-got-by-command2verb4zap: " + str(fire0500two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #                     
            else:
                print("\n (Step 245F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 245F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 245F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                                  
       
    kb2fire [2] [5] = fire0500two
        

                                                                                          
    #===========
    # 0600 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0600two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 246F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0600TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0600two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 246F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0600TWO: ", fire0600two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 246F2/800) got" + "; fire0600two-got-by-command2verb4zap: " + str(fire0600two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 246F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 246F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 246F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [6] = fire0600two
  

        
    #===========
    # 0700 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0700two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 247F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0700TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0700two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 247F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0700TWO: ", fire0700two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 247F2/800) got" + "; fire0700two-got-by-command2verb4zap: " + str(fire0700two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 247F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 247F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 247F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [7] = fire0700two
  

          
    #===========
    # 0800 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0800two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 248F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0800TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0800two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 248F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0800TWO: ", fire0800two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 248F2/800) got" + "; fire0800two-got-by-command2verb4zap: " + str(fire0800two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 248F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 248F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 248F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [8] = fire0800two
  

        
    #===========
    # 0900 TWO
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0900two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 249F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0900TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire0900two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 249F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE0900TWO: ", fire0900two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 249F2/800) got" + "; fire0900two-got-by-command2verb4zap: " + str(fire0900two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #   
                  
            else:
                print("\n (Step 249F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 249F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 249F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [9] = fire0900two
  

        
    #=========
    # 1000 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1000two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 250F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1000TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1000two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 250F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1000TWO: ", fire1000two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 250F2/800) got" + "; fire1000two-got-by-command2verb4zap: " + str(fire1000two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 250F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 250F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 250F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [10] = fire1000two
  
        
    #=========
    # 1100 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1100two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 251F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1100TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1100two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 251F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1100TWO: ", fire1100two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 251F2/800) got" + "; fire1100two-got-by-command2verb4zap: " + str(fire1100two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 251F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 251F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 251F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [11] = fire1100two
  

        
    #=========
    # 1200 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1200two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 252F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1200TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1200two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 252F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1200TWO: ", fire1200two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 252F2/800) got" + "; fire1200two-got-by-command2verb4zap: " + str(fire1200two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 252F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 252F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 252F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [12] = fire1200two
  

        
    #=========
    # 1300 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1300two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 253F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1300TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1300two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 253F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1300TWO: ", fire1300two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 253F2/800) got" + "; fire1300two-got-by-command2verb4zap: " + str(fire1300two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #   
                  
            else:
                print("\n (Step 253F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 253F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 253F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [13] = fire1300two
  
        
    #=========
    # 1400 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1400two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 254F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1400TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1400two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 254F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1400TWO: ", fire1400two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 254F2/800) got" + "; fire1400two-got-by-command2verb4zap: " + str(fire1400two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 254F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 254F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 254F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [14] = fire1400two
  
        
    #=========
    # 1500 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1500two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 255F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1500TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1500two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 255F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1500TWO: ", fire1500two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 255F2/800) got" + "; fire1500two-got-by-command2verb4zap: " + str(fire1500two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #   
                  
            else:
                print("\n (Step 255F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 255F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 255F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [15] = fire1500two
  
        
    #=========
    # 1600 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1600two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 256F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1600TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1600two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 256F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1600TWO: ", fire1600two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 256F2/800) got" + "; fire1600two-got-by-command2verb4zap: " + str(fire1600two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #   
                  
            else:
                print("\n (Step 256F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 256F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 256F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [16] = fire1600two
  
        
    #=========
    # 1700 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1700wo1= {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 257F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1700two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 257F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1700TWO: ", fire1700two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 257F2/800) got" + "; fire1700two-got-by-command2verb4zap: " + str(fire1700two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #   
                  
            else:
                print("\n (Step 257F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 257F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 257F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [17] = fire1700two
  
        
    #=========
    # 1800 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1800two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 258F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1800TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1800two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 258F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1800TWO: ", fire1800two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 258F2/800) got" + "; fire1800two-got-by-command2verb4zap: " + str(fire1800two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 258F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 258F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 258F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
       
    kb2fire [2] [18] = fire1800two
                 

        
    #=========
    # 1900 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1900two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 259F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1900TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire1900two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 259F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE1900TWO: ", fire1900two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 259F2/800) got" + "; fire1900two-got-by-command2verb4zap: " + str(fire1900two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #   
                  
            else:
                print("\n (Step 259F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 259F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 259F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [19] = fire1900two
        

        
    #=========
    # 2000 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2000two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 260F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2000TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2000two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 260F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2000TWO: ", fire2000two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 260F2/800) got" + "; fire2000two-got-by-command2verb4zap: " + str(fire2000two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 260F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 260F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 260F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [20] = fire2000two
  
        
    #=========
    # 2100 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2100two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 261F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2100TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2100two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 261F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2100TWO: ", fire2100two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 261F2/800) got" + "; fire2100two-got-by-command2verb4zap: " + str(fire2100two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 261F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 261F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 261F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
       
    kb2fire [2] [21] = fire2100two
                 

        
    #=========
    # 2200 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2200two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 262F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2200TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2200two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 262F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2200TWO: ", fire2200two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 262F2/800) got" + "; fire2200two-got-by-command2verb4zap: " + str(fire2200two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 262F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 262F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 262F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [22] = fire2200two
  
        
    #=========
    # 2300 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2300two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 263F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2300TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2300two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 263F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2300TWO: ", fire2300two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 263F2/800) got" + "; fire2300two-got-by-command2verb4zap: " + str(fire2300two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 263F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 263F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 263F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [23] = fire2300two
  
        
    #=========
    # 2400 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2400two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 264F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2400TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2400two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 264F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2400TWO: ", fire2400two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 264F2/800) got" + "; fire2400two-got-by-command2verb4zap: " + str(fire2400two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 264F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 264F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 264F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [24] = fire2400two
  
        
    #=========
    # 2500 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2500two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 265F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2500TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2500two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 265F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2500TWO: ", fire2500two) 
                    #
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 265F2/800) got" + "; fire2500two-got-by-command2verb4zap: " + str(fire2500two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 265F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 265F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 265F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
       
    kb2fire [2] [25] = fire2500two
                 

        
    #=========
    # 2600 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2600two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 266F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2600TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2600two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 266F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2600TWO: ", fire2600two) 
                    #
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 266F2/800) got" + "; fire2600two-got-by-command2verb4zap: " + str(fire2600two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 266F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 266F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 266F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [26] = fire2600two
  
        
    #=========
    # 2700 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2700two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 267F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2700TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2700two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 267F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2700TWO: ", fire2700two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 267F2/800) got" + "; fire2700two-got-by-command2verb4zap: " + str(fire2700two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #   
                  
            else:
                print("\n (Step 267F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 267F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 267F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [27] = fire2700two
  
        
    #=========
    # 2800 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2800two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 268F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2800TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2800two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 268F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2800TWO: ", fire2800two) 
                    #
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 268F2/800) got" + "; fire2800two-got-by-command2verb4zap: " + str(fire2800two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 268F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 268F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 268F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [28] = fire2800two
  
        
    #=========
    # 2900 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2900two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 269F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2900TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire2900two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 269F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2900TWO: ", fire2900two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 269F2/800) got" + "; fire2900two-got-by-command2verb4zap: " + str(fire2900two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 269F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 269F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 269F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [29] = fire2900two
  
        
    #=========
    # 3000 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3000two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 270F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3000TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire3000two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 270F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE3000TWO: ", fire3000two) 
                    #
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 270F2/800) got" + "; fire3000two-got-by-command2verb4zap: " + str(fire3000two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 270F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 270F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 270F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [30] = fire3000two
  
        
    #=========
    # 3100 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3100two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 271F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3100TWO FROM QUEUE: ", queue2two) 
                    # 
                
                fire3100two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 271F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE3100TWO: ", fire3100two) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 271F2/800) got" + "; fire3100two-got-by-command2verb4zap: " + str(fire3100two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 271F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 271F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 271F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [31] = fire3100two
  
        
    #=========
    # 3200 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3200two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 272F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3200TWO FROM QUEUE: ", queue2two)
                    # 
                
                fire3200two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 272F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE3200TWO: ", fire3200two) 
                    # {'1004x-694y-2957z': {'2xi': {1: 2, 2: 3200, 3: {1: 16084954.386379741, 2: '#D7D0CA', 3: 1, 4: 16084954.386379741}, 4: 'dragon1004x-694y-2957z', 5: '#F55A5A', 6: 3202, 7: 2, 8: 3200, 9: 0, 10: 2, 11: '{started; sense-of-Cluster4Xi-started: 06:37:34 12/15/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1004x-694y-2957z', 18: '1004x-694y-2957z', 19: 'import4xi.py'}, '8xi': {}, '4xi': {}}}
                
                if ack2dragontrace is True:
                    message2print = "{(Step 272F2/800) got" + "; fire3200two-got-by-command2verb4zap: " + str(fire3200two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # {'1004x-694y-2957z': {'2xi': {1: 2, 2: 3200, 3: {1: 16084954.386379741, 2: '#D7D0CA', 3: 1, 4: 16084954.386379741}, 4: 'dragon1004x-694y-2957z', 5: '#F55A5A', 6: 3202, 7: 2, 8: 3200, 9: 0, 10: 2, 11: '{started; sense-of-Cluster4Xi-started: 15:14:22 12/18/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1004x-694y-2957z', 18: '1004x-694y-2957z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}; time: 15:14:48 12/18/10 Pacific Standard Time}

            else:
                print("\n (Step 272F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 272F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 272F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
       
    kb2fire [2] [32] = fire3200two
  
        
    #=========
    # 3300 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3300two = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4two is True:
                    print("\n (Step 273F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3300TWO FROM QUEUE: ", queue2two) 
                    # 
                
                fire3300two = queue2two.get()
                if ack2debug4two is True:
                    print("\n (Step 273F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE3300TWO: ", fire3300two) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 273F2/800) got" + "; fire3300two-got-by-command2verb4zap: " + str(fire3300two)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)

            else:
                print("\n (Step 273F3/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (Step 273F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (Step 273F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
       
    kb2fire [2] [33] = fire3300two
                 
           
    # =========================================================================================================   
    # II/II TWO EOF TWO DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES  
    # =========================================================================================================      
    if ack2debug4two is True:
        print("\n (Step 273F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2FIRE")    
        try:
            print("\n (Step 273F8/800) OF COMMAND2VERB4ZAP - GOT FROM DIRECTION TWO VIA QUEUE2TWO: ", queue2two)
            keys2direction4fire = kb2fire.keys()                                                                              # 1 ... 8
            for key2direction4fire in keys2direction4fire:
                if key2direction4fire == 2:
                    temp2layerkb = kb2fire[key2direction4fire] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                    # 0,1,2 ... 33
                        print("\n kb2fire [", key2direction4fire, "]: [", key2layer4temp,"]:", kb2fire [key2direction4fire] [key2layer4temp])
                        # 
                        
                        
        except:
            print("\n (Step 273F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2FIRE")   
            
            
      
    # =========================================================================================================   
    # I/III THREE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      

                   
    #===========
    # 0010 THREE 
    #===========
    ack2debug4three = True
    kb2message [3] = {}
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 274F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0010receive4three = "<nack2receive4xi>layer0010three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                                    
                    message0010receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 274F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0010receive4three) 
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 274F3/800) received" + "; message0010receive4three-received-by-command2verb4zap: " + str(message0010receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 274F4/33) yielded" + "; message0010receive4three-yielded-by-zap2verb4xii: " + str(message0010receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #             
            else:
                print("\n (Step 274F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 274F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 274F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [0] = message0010receive4three
    
    #===========
    # 0100 THREE
    #===========
    ack2debug4three = True
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 301F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0100receive4three = "<nack2receive4xi>layer0100three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
          
                    message0100receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 301F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0100receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 301F2/800) received" + "; message0100receive4three-received-by-command2verb4zap: " + str(message0100receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 301F4/33) yielded" + "; message0100receive4three-yielded-by-zap2verb4xii: " + str(message0100receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #           
            else:
                print("\n (Step 301F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 301F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 301F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [1] = message0100receive4three
       
    #===========
    # 0200 THREE 
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 302F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0200receive4three = "<nack2receive4xi>layer0200three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message0200receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 302F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0200receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 302F2/800) received" + "; message0200receive4three-received-by-command2verb4zap: " + str(message0200receive4three) + "; time: " + time4xi() + "}"
                        if ack2dragontrace is True:
                            print4xi(class2print, method2print, message2print)                                                              # 
                except:    
                    message2print = "{(Step 302F4/33) yielded" + "; message0200receive4three-yielded-by-zap2verb4xii: " + str(message0200receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 302F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 302F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 302F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [2] = message0200receive4three
                                                  
                                  
    
    #===========
    # 0300 THREE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 303F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0300receive4three = "<nack2receive4xi>layer0300three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message0300receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 303F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0300receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 303F2/800) received" + "; message0300receive4three-received-by-command2verb4zap: " + str(message0300receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 303F4/33) yielded" + "; message0300receive4three-yielded-by-zap2verb4xii: " + str(message0300receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #        
            else:
                print("\n (Step 303F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 303F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 303F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [3] = message0300receive4three
      
    #===========
    # 0400 THREE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 304F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0400receive4three = "<nack2receive4xi>layer0400three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message0400receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 304F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0400receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 304F2/800) received" + "; message0400receive4three-received-by-command2verb4zap: " + str(message0400receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 304F4/33) yielded" + "; message0400receive4three-yielded-by-zap2verb4xii: " + str(message0400receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                    print("\n (Step 304F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 304F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 304F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())
    
    kb2message [3] [4] = message0400receive4three
                              
    #===========
    # 0500 THREE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 305F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0500receive4three = "<nack2receive4xi>layer0500three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message0500receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 305F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0500receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 305F2/800) received" + "; message0500receive4three-received-by-command2verb4zap: " + str(message0500receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 305F4/33) yielded" + "; message0500receive4three-yielded-by-zap2verb4xii: " + str(message0500receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #         
            else:
                print("\n (Step 305F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 305F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 305F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [5] = message0500receive4three
                                                                                         
    #===========
    # 0600 THREE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 306F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0600receive4three = "<nack2receive4xi>layer0600three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message0600receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 306F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0600receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 306F2/800) received" + "; message0600receive4three-received-by-command2verb4zap: " + str(message0600receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 306F4/33) yielded" + "; message0600receive4three-yielded-by-zap2verb4xii: " + str(message0600receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                 
            else:
                print("\n (Step 306F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 306F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 304F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [6] = message0600receive4three
       
    #===========
    # 0700 THREE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 307F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0700receive4three = "<nack2receive4xi>layer0700three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message0700receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 307F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0700receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 307F2/800) received" + "; message0700receive4three-received-by-command2verb4zap: " + str(message0700receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 307F4/33) yielded" + "; message0700receive4three-yielded-by-zap2verb4xii: " + str(message0700receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #            
            else:
                print("\n (Step 307F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 307F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 307F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [7] = message0700receive4three
         
    #===========
    # 0800 THREE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 308F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0800receive4three = "<nack2receive4xi>layer0800three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message0800receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 308F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0800receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 308F2/800) received" + "; message0800receive4three-received-by-command2verb4zap: " + str(message0800receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 308F4/33) yielded" + "; message0800receive4three-yielded-by-zap2verb4xii: " + str(message0800receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #         
            else:
                print("\n (Step 308F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 308F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 308F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [8] = message0800receive4three
       
    #===========
    # 0900 THREE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 309F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message0900receive4three = "<nack2receive4xi>layer0900three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message0900receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 309F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message0900receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 309F2/800) received" + "; message0900receive4three-received-by-command2verb4zap: " + str(message0900receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 309F4/33) yielded" + "; message0900receive4three-yielded-by-zap2verb4xii: " + str(message0900receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 309F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 309F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 309F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
      
    
    kb2message [3] [9] = message0900receive4three
             
     
    #============
    # 1000 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 310F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1000receive4three = "<nack2receive4xi>layer1000three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1000receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 310F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1000receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 310F2/800) received" + "; message1000receive4three-received-by-command2verb4zap: " + str(message1000receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 310F4/33) yielded" + "; message1000receive4three-yielded-by-zap2verb4xii: " + str(message1000receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 310F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 310F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 310F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [10] = message1000receive4three
       
    #============
    # 1100 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 311F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1100receive4three = "<nack2receive4xi>layer1100three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1100receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 311F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1100receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 311F2/800) received" + "; message1100receive4three-received-by-command2verb4zap: " + str(message1100receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 311F4/33) yielded" + "; message1100receive4three-yielded-by-zap2verb4xii: " + str(message1100receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #               
            else:
                print("\n (Step 311F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 311F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 311F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [11] = message1100receive4three
        
    #============
    # 1200 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 312F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1200receive4three = "<nack2receive4xi>layer1200three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1200receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 312F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1200receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 312F2/800) received" + "; message1200receive4three-received-by-command2verb4zap: " + str(message1200receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 312F4/33) yielded" + "; message1200receive4three-yielded-by-zap2verb4xii: " + str(message1200receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #         
            else:
                print("\n (Step 312F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 312F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 312F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [12] = message1200receive4three
        
    #============
    # 1300 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 313F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1300receive4three = "<nack2receive4xi>layer1300three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1300receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 313F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1300receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 313F2/800) received" + "; message1300receive4three-received-by-command2verb4zap: " + str(message1300receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 313F4/33) yielded" + "; message1300receive4three-yielded-by-zap2verb4xii: " + str(message1300receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #             
            else:
                print("\n (Step 313F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 313F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 313F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [13] = message1300receive4three
        
    #============
    # 1400 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 314F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1400receive4three = "<nack2receive4xi>layer1400three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1400receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 314F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1400receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 314F2/800) received" + "; message1400receive4three-received-by-command2verb4zap: " + str(message1400receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 314F4/33) yielded" + "; message1400receive4three-yielded-by-zap2verb4xii: " + str(message1400receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #         
            else:
                print("\n (Step 314F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 314F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 314F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [14] = message1400receive4three
        
    #============
    # 1500 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 315F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1500receive4three = "<nack2receive4xi>layer1500three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1500receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 315F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1500receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 315F2/800) received" + "; message1500receive4three-received-by-command2verb4zap: " + str(message1500receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 315F4/33) yielded" + "; message1500receive4three-yielded-by-zap2verb4xii: " + str(message1500receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #             
            else:
                print("\n (Step 315F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 315F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 315F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [15] = message1500receive4three
        
    #============
    # 1600 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 316F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1600receive4three = "<nack2receive4xi>layer1600three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1600receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 316F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1600receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 316F2/800) received" + "; message1600receive4three-received-by-command2verb4zap: " + str(message1600receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 316F4/33) yielded" + "; message1600receive4three-yielded-by-zap2verb4xii: " + str(message1600receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #            
            else:
                print("\n (Step 316F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 316F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 316F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [16] = message1600receive4three
        
    #============
    # 1700 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 317F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1700receive4three = "<nack2receive4xi>layer1700three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1700receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 317F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1700receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 317F2/800) received" + "; message1700receive4three-received-by-command2verb4zap: " + str(message1700receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 317F4/33) yielded" + "; message1700receive4three-yielded-by-zap2verb4xii: " + str(message1700receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #            
            else:
                print("\n (Step 317F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 317F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 317F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [17] = message1700receive4three
        
    #============
    # 1800 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 318F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1800receive4three = "<nack2receive4xi>layer1800three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1800receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 318F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1800receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 318F2/800) received" + "; message1800receive4three-received-by-command2verb4zap: " + str(message1800receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 318F4/33) yielded" + "; message1800receive4three-yielded-by-zap2verb4xii: " + str(message1800receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #              
            else:
                print("\n (Step 318F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 318F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 318F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    kb2message [3] [18] = message1800receive4three
        
    #============
    # 1900 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 319F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message1900receive4three = "<nack2receive4xi>layer1900three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message1900receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 319F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message1900receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 319F2/800) received" + "; message1900receive4three-received-by-command2verb4zap: " + str(message1900receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 319F4/33) yielded" + "; message1900receive4three-yielded-by-zap2verb4xii: " + str(message1900receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #        
            else:
                print("\n (Step 319F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 319F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 319F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
        
    
    kb2message [3] [19] = message1900receive4three
        
    #============
    # 2000 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 320F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2000receive4three = "<nack2receive4xi>layer2000three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2000receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 320F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2000receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 320F2/800) received" + "; message2000receive4three-received-by-command2verb4zap: " + str(message2000receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 320F4/33) yielded" + "; message2000receive4three-yielded-by-zap2verb4xii: " + str(message2000receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #           
            else:
                print("\n (Step 320F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 320F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 320F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [20] = message2000receive4three
        
    #============
    # 2100 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 321F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2100receive4three = "<nack2receive4xi>layer2100three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2100receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 321F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2100receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 321F2/800) received" + "; message2100receive4three-received-by-command2verb4zap: " + str(message2100receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 321F4/33) yielded" + "; message2100receive4three-yielded-by-zap2verb4xii: " + str(message2100receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #               
            else:
                print("\n (Step 321F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 321F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 321F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [21] = message2100receive4three
        
    #============
    # 2200 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 322F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2200receive4three = "<nack2receive4xi>layer2200three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2200receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 322F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2200receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 322F2/800) received" + "; message2200receive4three-received-by-command2verb4zap: " + str(message2200receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 322F4/33) yielded" + "; message2200receive4three-yielded-by-zap2verb4xii: " + str(message2200receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #               
            else:
                print("\n (Step 322F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 322F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 322F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [22] = message2200receive4three
        
    #============
    # 2300 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 323F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2300receive4three = "<nack2receive4xi>layer2300three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2300receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 323F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2300receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 323F2/800) received" + "; message2300receive4three-received-by-command2verb4zap: " + str(message2300receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 323F4/33) yielded" + "; message2300receive4three-yielded-by-zap2verb4xii: " + str(message2300receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #               
            else:
                print("\n (Step 323F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 323F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 323F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [23] = message2300receive4three
        
    #============
    # 2400 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 324F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2400receive4three = "<nack2receive4xi>layer2400three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2400receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 324F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2400receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 324F2/800) received" + "; message2400receive4three-received-by-command2verb4zap: " + str(message2400receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 324F4/33) yielded" + "; message2400receive4three-yielded-by-zap2verb4xii: " + str(message2400receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #              
            else:
                print("\n (Step 324F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 324F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 324F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [24] = message2400receive4three
        
    #============
    # 2500 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 325F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2500receive4three = "<nack2receive4xi>layer2500three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2500receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 325F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2500receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 325F2/800) received" + "; message2500receive4three-received-by-command2verb4zap: " + str(message2500receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 325F4/33) yielded" + "; message2500receive4three-yielded-by-zap2verb4xii: " + str(message2500receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #            
            else:
                print("\n (Step 325F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 325F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 325F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [25] = message2500receive4three
        
    #============
    # 2600 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 326F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2600receive4three = "<nack2receive4xi>layer2600three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2600receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 326F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2600receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 326F2/800) received" + "; message2600receive4three-received-by-command2verb4zap: " + str(message2600receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 326F4/33) yielded" + "; message2600receive4three-yielded-by-zap2verb4xii: " + str(message2600receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #            
            else:
                print("\n (Step 326F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 326F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 326F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [26] = message2600receive4three
        
    #============
    # 2700 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 327F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2700receive4three = "<nack2receive4xi>layer2700three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2700receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 327F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2700receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 327F2/800) received" + "; message2700receive4three-received-by-command2verb4zap: " + str(message2700receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 327F4/33) yielded" + "; message2700receive4three-yielded-by-zap2verb4xii: " + str(message2700receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #             
            else:
                print("\n (Step 327F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 327F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 327F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [27] = message2700receive4three
        
    #============
    # 2800 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 328F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2800receive4three = "<nack2receive4xi>layer2800three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2800receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 328F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2800receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 328F2/800) received" + "; message2800receive4three-received-by-command2verb4zap: " + str(message2800receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 328F4/33) yielded" + "; message2800receive4three-yielded-by-zap2verb4xii: " + str(message2800receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #         
            else:
                print("\n (Step 328F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 328F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 328F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [28] = message2800receive4three
        
    #============
    # 2900 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 329F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message2900receive4three = "<nack2receive4xi>layer2900three</nack2receive4xi"                                                                                                                    
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message2900receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 329F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2900receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 329F2/800) received" + "; message2900receive4three-received-by-command2verb4zap: " + str(message2900receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 329F4/33) yielded" + "; message2900receive4three-yielded-by-zap2verb4xii: " + str(message2900receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #        
            else:
                print("\n (Step 329F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 329F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 329F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [29] = message2900receive4three
        
    #============
    # 3000 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 330F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message3000receive4three = "<nack2receive4xi>layer3000three</nack2receive4xi"                                                                                                                     
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message3000receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 330F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message3000receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 330F2/800) received" + "; message3000receive4three-received-by-command2verb4zap: " + str(message3000receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 330F4/33) yielded" + "; message3000receive4three-yielded-by-zap2verb4xii: " + str(message3000receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #         
            else:
                print("\n (Step 330F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 330F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 330F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [30] = message3000receive4three
        
    #============
    # 3100 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 331F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message3100receive4three = "<nack2receive4xi>layer3100three</nack2receive4xi"                                                                                                                    
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message3100receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 331F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message3100receive4three) 
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 331F2/800) received" + "; message3100receive4three-received-by-command2verb4zap: " + str(message3100receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 331F4/33) yielded" + "; message3100receive4three-yielded-by-zap2verb4xii: " + str(message3100receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 331F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 331F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 331F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [31] = message3100receive4three
        
    #============
    # 3200 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 332F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                                                                                                                                    # 
                message3200receive4three = "<nack2receive4xi>layer3200three</nack2receive4xi"                                                                                                                    
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message3200receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 332F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message3200receive4three)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 332F2/800) received" + "; message3200receive4three-received-by-command2verb4zap: " + str(message3200receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 332F4/33) yielded" + "; message3200receive4three-yielded-by-zap2verb4xii: " + str(message3200receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #             
            else:
                print("\n (Step 332F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 332F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 332F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [32] = message3200receive4three
        
    #============
    # 3300 THREE
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 333F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel) 
                                                                                                                                    # 
                message3300receive4three = "<nack2receive4xi>layer3300three</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                          
                    message3300receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug4three is True:
                        print("\n (Step 333F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message3300receive4three)
                                                                                                                                    # <ack3300put4three4xi>layer3300three</ack3300put4three4xi>
                    if ack2dragontrace is True:
                        message2print = "{(Step 333F2/800) received" + "; message3300receive4three-received-by-command2verb4zap: " + str(message3300receive4three) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                              # 
                except:
                    message2print = "{(Step 333F4/33) yielded" + "; message3300receive4three-yielded-by-zap2verb4xii: " + str(message3300receive4three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                                                                                                                                                           
            else:
                print("\n (Step 333F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 333F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 333F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
    kb2message [3] [33] = message3300receive4three
   
      
         
    # =========================================================================================================   
    # I/III EOF THREE DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST 
    # =========================================================================================================      
    if ack2debug4three is True:
        print("\n (Step 333F8/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2MESSAGE")    
        try:
            print("\n (Step 333F9/800) OF COMMAND2VERB4ZAP - RECEIVED FROM DIRECTION THREE VIA PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
            keys2direction4message = kb2message.keys()                                                                              # 1 ... 8
            for key2direction4message in keys2direction4message:
                if key2direction4message == 3:
                    temp2layerkb = kb2message[key2direction4message] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                          # 0,1,2 ... 33
                        print("\n kb2message [", key2direction4message, "]: [", key2layer4temp,"]:", kb2message [key2direction4message] [key2layer4temp])
                        # kb2message [ 3 ]: [ 0 ]: <ack0010put4three4xi>layer0010three</ack0010put4three4xi>
                        # kb2message [ 3 ]: [ 1 ]: <ack0100put4three4xi>layer0100three</ack0100put4three4xi>
                        # kb2message [ 3 ]: [ 2 ]: <ack0200put4three4xi>layer0200three</ack0200put4three4xi>
                        # kb2message [ 3 ]: [ 3 ]: <ack0300put4three4xi>layer0300three</ack0300put4three4xi>
                        # kb2message [ 3 ]: [ 4 ]: <ack0400put4three4xi>layer0400three</ack0400put4three4xi>
                        # kb2message [ 3 ]: [ 5 ]: <ack0500put4three4xi>layer0500three</ack0500put4three4xi>
                        # kb2message [ 3 ]: [ 6 ]: <ack0600put4three4xi>layer0600three</ack0600put4three4xi>
                        # kb2message [ 3 ]: [ 7 ]: <ack0700put4three4xi>layer0700three</ack0700put4three4xi>
                        # kb2message [ 3 ]: [ 8 ]: <ack0800put4three4xi>layer0800three</ack0800put4three4xi>
                        # kb2message [ 3 ]: [ 9 ]: <ack0900put4three4xi>layer0900three</ack0900put4three4xi>
                        # kb2message [ 3 ]: [ 10 ]: <ack1000put4three4xi>layer1000three</ack1000put4three4xi>
                        # kb2message [ 3 ]: [ 11 ]: <ack1100put4three4xi>layer1100three</ack1100put4three4xi>
                        # kb2message [ 3 ]: [ 12 ]: <ack1200put4three4xi>layer1200three</ack1200put4three4xi>
                        # kb2message [ 3 ]: [ 13 ]: <ack1300put4three4xi>layer1300three</ack1300put4three4xi>
                        # kb2message [ 3 ]: [ 14 ]: <ack1400put4three4xi>layer1400three</ack1400put4three4xi>
                        # kb2message [ 3 ]: [ 15 ]: <ack1500put4three4xi>layer1500three</ack1500put4three4xi>
                        # kb2message [ 3 ]: [ 16 ]: <ack1600put4three4xi>layer1600three</ack1600put4three4xi>
                        # kb2message [ 3 ]: [ 17 ]: <ack1700put4three4xi>layer1700three</ack1700put4three4xi>
                        # kb2message [ 3 ]: [ 18 ]: <ack1800put4three4xi>layer1800three</ack1800put4three4xi>
                        # kb2message [ 3 ]: [ 19 ]: <ack1900put4three4xi>layer1900three</ack1900put4three4xi>
                        # kb2message [ 3 ]: [ 20 ]: <ack2000put4three4xi>layer2000three</ack2000put4three4xi>
                        # kb2message [ 3 ]: [ 21 ]: <ack2100put4three4xi>layer2100three</ack2100put4three4xi>
                        # kb2message [ 3 ]: [ 22 ]: <ack2200put4three4xi>layer2200three</ack2200put4three4xi>
                        # kb2message [ 3 ]: [ 23 ]: <ack2300put4three4xi>layer2300three</ack2300put4three4xi>
                        # kb2message [ 3 ]: [ 24 ]: <ack2400put4three4xi>layer2400three</ack2400put4three4xi>
                        # kb2message [ 3 ]: [ 25 ]: <ack2500put4three4xi>layer2500three</ack2500put4three4xi>
                        # kb2message [ 3 ]: [ 26 ]: <ack2600put4three4xi>layer2600three</ack2600put4three4xi>
                        # kb2message [ 3 ]: [ 27 ]: <ack2700put4three4xi>layer2700three</ack2700put4three4xi>
                        # kb2message [ 3 ]: [ 28 ]: <ack2800put4three4xi>layer2800three</ack2800put4three4xi>
                        # kb2message [ 3 ]: [ 29 ]: <ack2900put4three4xi>layer2900three</ack2900put4three4xi>
                        # kb2message [ 3 ]: [ 30 ]: <ack3000put4three4xi>layer3000three</ack3000put4three4xi>
                        # kb2message [ 3 ]: [ 31 ]: <ack3100put4three4xi>layer3100three</ack3100put4three4xi>
                        # kb2message [ 3 ]: [ 32 ]: <ack3200put4three4xi>layer3200three</ack3200put4three4xi>
                        # kb2message [ 3 ]: [ 33 ]: <ack3300put4three4xi>layer3300three</ack3300put4three4xi>                        
        except:
            print("\n (Step 333F10/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2MESSAGE")            

 

           
    # =========================================================================================================   
    # II/III THREE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
       
     
    #===========
    # 0010 THREE   
    #===========
    kb2fire [3] = {}
        
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0010three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 334F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2THREE104XI FROM QUEUE: ", queue2three) # <queue4xi.Queue4Xi object at 0x04CDED30>
                    # 
                
                fire0010three = queue2three.get() 
                
                if ack2debug4three is True:
                    print("\n (Step 334F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0010THREE: ", fire0010three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 334F3/800) got" + "; fire0010three-got-by-command2verb4zap: " + str(fire0010three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    # 
                    
            else:
                print("\n (Step 334F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 334F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 334F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())
    
    kb2fire [3] [0] = fire0010three    
      
           
    #===========
    # 0100 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0100three = {}

    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 341F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2THREE1004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire0100three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 341F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0100THREE: ", fire0100three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 341F3/800) got" + "; fire0100three-got-by-command2verb4zap: " + str(fire0100three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                    
            else:
                print("\n (Step 341F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 341F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 341F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
    
    kb2fire [3] [1] = fire0100three  

    #===========
    # 0200 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0200three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 342F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0200THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire0200three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 342F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0200THREE: ", fire0200three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 342F3/800) got" + "; fire0200three-got-by-command2verb4zap: " + str(fire0200three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                    
            else:
                print("\n (Step 342F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 342F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 342F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                                    
    
    kb2fire [3] [2] = fire0200three  

    #===========
    # 0300 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0300three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 343F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0300THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire0300three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 343F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0300THREE: ", fire0300three) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 343F3/800) got" + "; fire0300three-got-by-command2verb4zap: " + str(fire0300three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #   
                  
            else:
                print("\n (Step 343F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 343F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 343F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [3] = fire0300three  


       
    #===========
    # 0400 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0400three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 344F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire0400three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 344F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0400THREE: ", fire0400three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 344F3/800) got" + "; fire0400three-got-by-command2verb4zap: " + str(fire0400three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                      
            else:
                print("\n (Step 344F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 344F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 344F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [4] = fire0400three  


                               
    #===========
    # 0500 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0500three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 345F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0500THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire0500three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 345F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0500THREE: ", fire0500three) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 345F3/800) got" + "; fire0500three-got-by-command2verb4zap: " + str(fire0500three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #   
                  
            else:
                print("\n (Step 345F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 345F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 345F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                                  
    
    kb2fire [3] [5] = fire0500three  
      

                                                                                          
    #===========
    # 0600 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0600three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 346F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0600THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire0600three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 346F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0600THREE: ", fire0600three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 346F3/800) got" + "; fire0600three-got-by-command2verb4zap: " + str(fire0600three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                    
            else:
                print("\n (Step 346F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 346F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 346F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [6] = fire0600three  


        
    #===========
    # 0700 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0700three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 347F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0700THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire0700three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 347F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0700THREE: ", fire0700three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 347F3/800) got" + "; fire0700three-got-by-command2verb4zap: " + str(fire0700three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                    
            else:
                print("\n (Step 347F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 347F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 347F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [7] = fire0700three  


          
    #===========
    # 0800 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0800three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 348F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0800THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire0800three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 348F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0800THREE: ", fire0800three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 348F3/800) got" + "; fire0800three-got-by-command2verb4zap: " + str(fire0800three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                      
            else:
                print("\n (Step 348F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 348F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 348F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [8] = fire0800three  


        
    #===========
    # 0900 THREE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0900three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 349F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0900THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire0900three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 349F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE0900THREE: ", fire0900three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 349F3/800) got" + "; fire0900three-got-by-command2verb4zap: " + str(fire0900three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 349F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 349F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 349F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [9] = fire0900three  


        
    #============
    # 1000 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1000three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 350F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1000THREE1 FROM QUEUE: ", queue2three)
                    # 
                
                fire1000three1 = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 350F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1000THREE: ", fire1000three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 350F3/800) got" + "; fire1000three-got-by-command2verb4zap: " + str(fire1000three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                       
            else:
                print("\n (Step 350F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 350F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 350F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [10] = fire1000three  

        
    #============
    # 1100 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1100three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 351F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1100THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1100three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 351F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1100THREE: ", fire1100three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 351F3/800) got" + "; fire1100three-got-by-command2verb4zap: " + str(fire1100three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                       
            else:
                print("\n (Step 351F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 351F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 351F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [11] = fire1100three  


        
    #============
    # 1200 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1200three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 352F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1200THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1200three = queue2three.get()
                 
                if ack2debug4three is True:
                    print("\n (Step 352F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1200THREE: ", fire1200three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 352F3/800) got" + "; fire1200three-got-by-command2verb4zap: " + str(fire1200three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 352F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 352F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 352F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [12] = fire1200three  


        
    #============
    # 1300 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1300three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 353F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1300THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1300three = queue2three.get()
                   
                if ack2debug4three is True:
                    print("\n (Step 353F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1300THREE: ", fire1300three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 353F3/800) got" + "; fire1300three-got-by-command2verb4zap: " + str(fire1300three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                       
            else:
                print("\n (Step 353F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 353F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 353F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [13] = fire1300three  

        
    #============
    # 1400 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1400three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 354F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1400THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1400three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 354F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1400THREE: ", fire1400three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 354F3/800) got" + "; fire1400three-got-by-command2verb4zap: " + str(fire1400three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                       
            else:
                print("\n (Step 354F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 354F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 354F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [14] = fire1400three  

        
    #============
    # 1500 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1500three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 355F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1500THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1500three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 355F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1500THREE: ", fire1500three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 355F3/800) got" + "; fire1500three-got-by-command2verb4zap: " + str(fire1500three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                       
            else:
                print("\n (Step 355F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 355F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 355F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [15] = fire1500three  
        
    #============
    # 1600 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1600three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 356F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1600THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1600three = queue2three.get() 
                if ack2debug4three is True:
                    print("\n (Step 356F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1600THREE: ", fire1600three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 356F3/800) got" + "; fire1600three-got-by-command2verb4zap: " + str(fire1600three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 356F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 356F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 356F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [16] = fire1600three  

        
    #============
    # 1700 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1700three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 357F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1700three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 357F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1700THREE: ", fire1700three) 
                    #
                if ack2dragontrace is True:
                    message2print = "{(Step 357F3/800) got" + "; fire1700three-got-by-command2verb4zap: " + str(fire1700three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 357F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 357F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 357F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [17] = fire1700three  

        
    #============
    # 1800 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1800three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 358F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1800THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1800three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 358F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1800THREE: ", fire1800three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 358F3/800) got" + "; fire1800three-got-by-command2verb4zap: " + str(fire1800three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 358F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 358F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 358F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
    
    kb2fire [3] [18] = fire1800three  
               

        
    #============
    # 1900 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1900three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 359F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1900THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire1900three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 359F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE1900THREE: ", fire1900three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 359F3/800) got" + "; fire1900three-got-by-command2verb4zap: " + str(fire1900three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                       
            else:
                print("\n (Step 359F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 359F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 359F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [19] = fire1900three  
      

        
    #============
    # 2000 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2000three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 360F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2000THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2000three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 360F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2000THREE: ", fire2000three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 360F3/800) got" + "; fire2000three-got-by-command2verb4zap: " + str(fire2000three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 360F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 360F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 360F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [20] = fire2000three  

        
    #============
    # 2100 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2100three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 361F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2100THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2100three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 361F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2100THREE: ", fire2100three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 361F3/800) got" + "; fire2100three-got-by-command2verb4zap: " + str(fire2100three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 361F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 361F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 361F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [21] = fire2100three  

        
    #============
    # 2200 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2200three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 362F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2200THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2200three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 362F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2200THREE: ", fire2200three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 362F3/800) got" + "; fire2200three-got-by-command2verb4zap: " + str(fire2200three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 362F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 362F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 362F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [22] = fire2200three  

        
    #============
    # 2300 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2300three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 363F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2300THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2300three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 363F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2300THREE: ", fire2300three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 363F3/800) got" + "; fire2300three-got-by-command2verb4zap: " + str(fire2300three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
                  
            else:
                print("\n (Step 363F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 363F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 363F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [23] = fire2300three  

        
    #============
    # 2400 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2400three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 364F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2400THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2400three = queue2three.get()
                
                if ack2debug4three is True:
                    print("\n (Step 364F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2400THREE: ", fire2400three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 364F3/800) got" + "; fire2400three-got-by-command2verb4zap: " + str(fire2400three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 364F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 364F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 364F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [24] = fire2400three  

        
    #============
    # 2500 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2500three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 365F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2500THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2500three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 365F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2500THREE: ", fire2500three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 365F3/800) got" + "; fire2500three-got-by-command2verb4zap: " + str(fire2500three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 365F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 365F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 365F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
    
    kb2fire [3] [25] = fire2500three  
               

        
    #============
    # 2600 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2600three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 366F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2600THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2600three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 366F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2600THREE: ", fire2600three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 366F3/800) got" + "; fire2600three-got-by-command2verb4zap: " + str(fire2600three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #         
            else:
                print("\n (Step 366F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 366F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 366F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [26] = fire2600three  

        
    #============
    # 2700 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2700three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 367F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2700THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2700three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 367F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2700THREE: ", fire2700three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 367F3/800) got" + "; fire2700three-got-by-command2verb4zap: " + str(fire2700three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                       
            else:
                print("\n (Step 367F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 367F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 367F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [27] = fire2700three  

        
    #============
    # 2800 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2800three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 368F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2800THREE FROM QUEUE: ", queue2three)
                    # 
                
                fire2800three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 368F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2800THREE: ", fire2800three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 368F3/800) got" + "; fire2800three-got-by-command2verb4zap: " + str(fire2800three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                         
            else:
                print("\n (Step 368F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 368F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 368F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
    
    kb2fire [3] [28] = fire2800three  
               

        
    #============
    # 2900 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2900three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 369F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2900THREE FROM QUEUE: ", queue2three)
                    # 
                fire2900three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 369F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2900THREE: ", fire2900three) 
                    # 
                if ack2dragontrace is True:
                    message2print = "{(Step 369F3/800) got" + "; fire2900three-got-by-command2verb4zap: " + str(fire2900three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    #                   
            else:
                print("\n (Step 369F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 369F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 369F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [29] = fire2900three  

        
    #============
    # 3000 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3000three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 370F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3000THREE FROM QUEUE: ", queue2three)
                    # 
                fire3000three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 370F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE3000THREE: ", fire3000three) 
                    # FIRE3000THREE: {1: '0x3009y-745z', 2: '1009x2502y-1526z', 3: '1013x745y-2833z', 4: '1015x2290y-1825z', 5: '101x99y-3096z', 6: '1075x706y-2820z', 7: '1094x2850y-533z', 8: '10x122y-3097z', 9: '10x15y-3099z', 10: '1124x2648y-1152z', 11: '1142x2250y-1800z', 12: '1145x2459y-1499z', 13: '118x284y-3084z', 14: '123x811y-2989z', 15: '1244x2794y-502z', 16: '124x2445y-2060z', 17: '1266x2596y-1123z', 18: '1267x2203y-1774z', 19: '1279x2409y-1472z', 20: '130x114y-3095z', 21: '1390x2148y-1749z', 22: '1390x2729y-471z', 23: '1406x2536y-1094z', 24: '1411x2351y-1444z', 25: '147x306y-3081z', 26: '1511x2086y-1723z', 27: '1534x2657y-441z', 28: '1540x2286y-1417z', 29: '1542x2468y-1065z', 30: '157x3012y-715z', 31: '160x126y-3093z', 32: '1629x2018y-1697z', 33: '1666x2213y-1389z', 34: '1673x2576y-410z', 35: '1675x2393y-1036z', 36: '172x833y-2980z', 37: '1743x1942y-1671z', 38: '177x325y-3077z', 39: '1788x2134y-1361z', 40: '1804x2310y-1007z', 41: '1808x2489y-379z', 42: '180x2595y-1685z', 43: '1854x1860y-1645z', 44: '1907x2047y-1333z', 45: '191x136y-3091z', 46: '1929x2220y-978z', 47: '1938x2393y-348z', 48: '1961x1771y-1619z', 49: '2021x1954y-1305z', 50: '2050x2122y-948z', 51: '2063x2291y-318z', 52: '2064x1677y-1592z', 53: '20x152y-3096z', 54: '210x341y-3073z', 55: '2130x1854y-1277z', 56: '2161x1576y-1566z', 57: '2165x2019y-919z', 58: '2182x2182y-287z', 59: '222x851y-2972z', 60: '2234x1747y-1249z', 61: '2274x1908y-889z', 62: '2295x2067y-256z', 63: '2333x1635y-1220z', 64: '2378x1792y-859z', 65: '2402x1945y-225z', 66: '244x2792y-1323z', 67: '245x355y-3069z', 68: '246x2378y-1972z', 69: '2476x1670y-829z', 70: '2503x1818y-194z', 71: '276x867y-2963z', 72: '282x366y-3065z', 73: '29x39y-3099z', 74: '2x92y-3098z', 75: '316x3006y-684z', 76: '317x2599y-1659z', 77: '321x374y-3060z', 78: '331x879y-2954z', 79: '34x182y-3094z', 80: '35x760y-3005z', 81: '361x378y-3055z', 82: '373x2382y-1948z', 83: '389x887y-2944z', 84: '391x2789y-1295z', 85: '403x380y-3050z', 86: '43x2584y-1711z', 87: '445x378y-3044z', 88: '448x892y-2934z', 89: '456x2595y-1633z', 90: '474x2992y-654z', 91: '489x373y-3038z', 92: '501x2378y-1924z', 93: '508x893y-2924z', 94: '51x210y-3092z', 95: '51x62y-3098z', 96: '533x364y-3032z', 97: '539x2777y-1266z', 98: '570x889y-2914z', 99: '595x2583y-1606z', 100: '630x2367y-1899z', 101: '631x2970y-624z', 102: '633x882y-2903z', 103: '687x2757y-1238z', 104: '696x870y-2892z', 105: '70x236y-3090z', 106: '733x2564y-1580z', 107: '759x2349y-1875z', 108: '75x82y-3097z', 109: '760x854y-2881z', 110: '787x2938y-593z', 111: '78x787y-2997z', 112: '824x834y-2869z', 113: '834x2729y-1210z', 114: '872x2537y-1553z', 115: '887x2323y-1850z', 116: '888x809y-2857z', 117: '93x261y-3087z', 118: '941x2899y-563z', 119: '951x779y-2845z', 120: '97x2788y-1351z', 121: '980x2693y-1181z'}
               
                if ack2dragontrace is True:
                    message2print = "{(Step 370F2/800) got" + "; fire3000three-got-by-command2verb4zap: " + str(fire3000three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                    #     
                  
            else:
                print("\n (Step 370F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 370F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 370F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [30] = fire3000three  

        
    #============
    # 3100 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3100three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 371F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3100THREE FROM QUEUE: ", queue2three) 
                    # 
                
                fire3100three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 371F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE3100THREE: ", fire3100three) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 371F2/800) got" + "; fire3100three-got-by-command2verb4zap: " + str(fire3100three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                    # 
                  
            else:
                print("\n (Step 371F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 371F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 371F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [31] = fire3100three  

        
    #============
    # 3200 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3200three = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 372F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3200THREE FROM QUEUE: ", queue2three)
                    # TRYING TO GET FIRE3200THREEFROM QUEUE:  <queue4xi.Queue4Xi object at 0x02A275D0>
                
                fire3200three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 372F3/800) OF COMMAND2VERB4ZAP - FIRE3200THREE: ", fire3200three) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 372F2/800) got" + "; fire3200three-got-by-command2verb4zap: " + str(fire3200three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                    # 
                    
            else:
                print("\n (Step 372F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 372F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 372F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
    
    kb2fire [3] [32] = fire3200three  

        
    #============
    # 3300 THREE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3300three = {}
    
    if ack2three4process is True:

        if ack2three4start is True: 

            if ack2three4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4three is True:
                    print("\n (Step 373F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3300THREE FROM QUEUE: ", queue2three)   
                    # TRYING TO GET FIRE3300THREE FROM QUEUE:  <queue4xi.Queue4Xi object at 0x02A275D0> 
                
                fire3300three = queue2three.get()
                if ack2debug4three is True:
                    print("\n (Step 373F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE3300THREE: ", fire3300three) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 373F2/800) got" + "; fire3300three-got-by-command2verb4zap: " + str(fire3300three)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    # 
                
            else:
                print("\n (Step 373F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (Step 373F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (Step 373F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
    
    kb2fire [3] [33] = fire3000three  
               
           
    # =========================================================================================================   
    # II/III EOF THREE DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================      
    if ack2debug4three is True:
        print("\n (Step 373F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2FIRE")    
        try:
            print("\n (Step 373F8/800) OF COMMAND2VERB4ZAP - GOT FROM DIRECTION THREE VIA QUEUE2THREE: ", queue2three)
            keys2direction4fire = kb2fire.keys()                                                                              # 1 ... 8
            for key2direction4fire in keys2direction4fire:
                if key2direction4fire == 3:
                    temp2layerkb = kb2fire[key2direction4fire] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                    # 0,1,2 ... 33
                        print("\n kb2fire [", key2direction4fire, "]: [", key2layer4temp,"]:", kb2fire [key2direction4fire] [key2layer4temp])
                        # 
                        
                        
        except:
            print("\n (Step 373F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2FIRE")      
      
      
    # =========================================================================================================   
    # I/IV FOUR DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
      
    #===========
    # 0010 FOUR 
    #===========
    ack2debug4four = True
    
    kb2message [4] = {}
        
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 474F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0010receive4four = "<nack2receive4xi>layer0010four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                       
                    message0010receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 474F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0010receive4four) 
                                                                                                                                    #  
                                                                                                                                    
                    if ack2dragontrace is True:
                        message2print = "{(Step 474F3/800) received" + "; message0010receive4four-received-by-command2verb4zap: " + str(message0010receive4four) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0010receive4four-yielded-by-zap2verb4xii: " + str(message0010receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                 
            else:
                print("\n (Step 474F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 474F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 474F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi()) 
                           
    kb2message [4] [0] = message0010receive4four
        
    #===========
    # 0100 FOUR
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 481F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0100receive4four = "<nack2receive4xi>layer0100four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message0100receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 481F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0100receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 481F3/800) received" + "; message0100receive4four-received-by-command2verb4zap: " + str(message0100receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0100receive4four-yielded-by-zap2verb4xii: " + str(message0100receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 481F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 481F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 481F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [1] = message0100receive4four
        
    #===========
    # 0200 FOUR 
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 482F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0200receive4four = "<nack2receive4xi>layer0200four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message0200receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 482F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0200receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 482F3/800) received" + "; message0200receive4four-received-by-command2verb4zap: " + str(message0200receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0200receive4four-yielded-by-zap2verb4xii: " + str(message0200receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 482F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 482F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 482F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [2] = message0200receive4four
                                                   
                                  
    
    #===========
    # 0300 FOUR
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 483F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0300receive4four = "<nack2receive4xi>layer0300four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message0300receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 483F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0300receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 483F3/800) received" + "; message0300receive4four-received-by-command2verb4zap: " + str(message0300receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0300receive4four-yielded-by-zap2verb4xii: " + str(message0300receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 483F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 483F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 483F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [3] = message0300receive4four
       
    #===========
    # 0400 FOUR
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 484F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0400receive4four = "<nack2receive4xi>layer0400four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message0400receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 484F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0400receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 484F3/800) received" + "; message0400receive4four-received-by-command2verb4zap: " + str(message0400receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0400receive4four-yielded-by-zap2verb4xii: " + str(message0400receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 484F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 484F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 484F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())
                           
    kb2message [4] [4] = message0400receive4four
                               
    #===========
    # 0500 FOUR
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 485F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0500receive4four = "<nack2receive4xi>layer0500four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message0500receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 485F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0500receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 485F3/800) received" + "; message0500receive4four-received-by-command2verb4zap: " + str(message0500receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0500receive4four-yielded-by-zap2verb4xii: " + str(message0500receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 485F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 485F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 485F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [5] = message0500receive4four
                                                                                          
    #===========
    # 0600 FOUR
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 486F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0600receive4four = "<nack2receive4xi>layer0600four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message0600receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 486F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0600receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 486F3/800) received" + "; message0600receive4four-received-by-command2verb4zap: " + str(message0600receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0600receive4four-yielded-by-zap2verb4xii: " + str(message0600receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
            else:
                print("\n (Step 486F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 486F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 484F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [6] = message0600receive4four
        
    #===========
    # 0700 FOUR
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 487F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0700receive4four = "<nack2receive4xi>layer0700four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                   
                    message0700receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 487F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0700receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 487F3/800) received" + "; message0700receive4four-received-by-command2verb4zap: " + str(message0700receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0700receive4four-yielded-by-zap2verb4xii: " + str(message0700receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 487F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 487F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 487F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [7] = message0700receive4four
          
    #===========
    # 0800 FOUR
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 488F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0800receive4four = "<nack2receive4xi>layer0800four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message0800receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 488F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0800receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 488F3/800) received" + "; message0800receive4four-received-by-command2verb4zap: " + str(message0800receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0800receive4four-yielded-by-zap2verb4xii: " + str(message0800receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 488F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 488F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 488F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [8] = message0800receive4four
        
    #===========
    # 0900 FOUR
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 489F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0900receive4four = "<nack2receive4xi>layer0900four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message0900receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 489F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message0900receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 489F3/800) received" + "; message0900receive4four-received-by-command2verb4zap: " + str(message0900receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message0900receive4four-yielded-by-zap2verb4xii: " + str(message0900receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 489F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 489F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 489F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
      
                           
    kb2message [4] [9] = message0900receive4four
              
     
    #============
    # 1000 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 490F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1000receive4four = "<nack2receive4xi>layer1000four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message1000receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 490F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1000receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 490F3/800) received" + "; message1000receive4four-received-by-command2verb4zap: " + str(message1000receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1000receive4four-yielded-by-zap2verb4xii: " + str(message1000receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 490F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 490F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 490F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [10] = message1000receive4four
        
    #============
    # 1100 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 491F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1100receive4four = "<nack2receive4xi>layer1100four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message1100receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 491F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1100receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 491F3/800) received" + "; message1100receive4four-received-by-command2verb4zap: " + str(message1100receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1100receive4four-yielded-by-zap2verb4xii: " + str(message1100receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
            else:
                print("\n (Step 491F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 491F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 491F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [11] = message1100receive4four
       
    #============
    # 1200 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 492F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1200receive4four = "<nack2receive4xi>layer1200four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                 
                    message1200receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 492F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1200receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 492F3/800) received" + "; message1200receive4four-received-by-command2verb4zap: " + str(message1200receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1200receive4four-yielded-by-zap2verb4xii: " + str(message1200receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 492F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 492F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 492F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [12] = message1200receive4four
       
    #============
    # 1300 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 493F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1300receive4four = "<nack2receive4xi>layer1300four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message1300receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 493F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1300receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 493F3/800) received" + "; message1300receive4four-received-by-command2verb4zap: " + str(message1300receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1300receive4four-yielded-by-zap2verb4xii: " + str(message1300receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 493F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 493F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 493F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [13] = message1300receive4four
       
    #============
    # 1400 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 494F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1400receive4four = "<nack2receive4xi>layer1400four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message1400receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 494F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1400receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 494F3/800) received" + "; message1400receive4four-received-by-command2verb4zap: " + str(message1400receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1400receive4four-yielded-by-zap2verb4xii: " + str(message1400receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 494F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 494F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 494F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [14] = message1400receive4four
       
    #============
    # 1500 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 495F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1500receive4four = "<nack2receive4xi>layer1500four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message1500receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 495F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1500receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 495F3/800) received" + "; message1500receive4four-received-by-command2verb4zap: " + str(message1500receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1500receive4four-yielded-by-zap2verb4xii: " + str(message1500receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 495F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 495F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 495F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [15] = message1500receive4four
       
    #============
    # 1600 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 496F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1600receive4four = "<nack2receive4xi>layer1600four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message1600receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 496F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1600receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 496F3/800) received" + "; message1600receive4four-received-by-command2verb4zap: " + str(message1600receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1600receive4four-yielded-by-zap2verb4xii: " + str(message1600receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 496F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 496F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 496F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [16] = message1600receive4four
       
    #============
    # 1700 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 497F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1700receive4four = "<nack2receive4xi>layer1700four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message1700receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 497F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1700receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 497F3/800) received" + "; message1700receive4four-received-by-command2verb4zap: " + str(message1700receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1700receive4four-yielded-by-zap2verb4xii: " + str(message1700receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 497F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 497F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 497F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [17] = message1700receive4four
       
    #============
    # 1800 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 498F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1800receive4four = "<nack2receive4xi>layer1800four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message1800receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 498F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1800receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 498F3/800) received" + "; message1800receive4four-received-by-command2verb4zap: " + str(message1800receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1800receive4four-yielded-by-zap2verb4xii: " + str(message1800receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 498F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 498F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 498F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                           
    kb2message [4] [18] = message1800receive4four
       
    #============
    # 1900 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 499F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1900receive4four = "<nack2receive4xi>layer1900four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message1900receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 499F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message1900receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 499F3/800) received" + "; message1900receive4four-received-by-command2verb4zap: " + str(message1900receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message1900receive4four-yielded-by-zap2verb4xii: " + str(message1900receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 499F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 499F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 499F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [19] = message1900receive4four
          
     
    #============
    # 2000 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 420F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2000receive4four = "<nack2receive4xi>layer2000four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                   
                    message2000receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 420F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2000receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 420F3/800) received" + "; message2000receive4four-received-by-command2verb4zap: " + str(message2000receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2000receive4four-yielded-by-zap2verb4xii: " + str(message2000receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 420F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 420F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 420F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [20] = message2000receive4four
       
    #============
    # 2100 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 421F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2100receive4four = "<nack2receive4xi>layer2100four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message2100receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 421F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2100receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 421F3/800) received" + "; message2100receive4four-received-by-command2verb4zap: " + str(message2100receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2100receive4four-yielded-by-zap2verb4xii: " + str(message2100receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 421F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 421F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 421F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [21] = message2100receive4four
        
    #============
    # 2200 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 422F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2200receive4four = "<nack2receive4xi>layer2200four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message2200receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 422F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", messagereceive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 422F3/800) received" + "; message2200receive4four-received-by-command2verb4zap: " + str(message2200receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2200receive4four-yielded-by-zap2verb4xii: " + str(message2200receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 422F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 422F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 422F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [22] = message2200receive4four
        
    #============
    # 2300 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 423F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2300receive4four = "<nack2receive4xi>layer2300four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message2300receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 423F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2300receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 423F3/800) received" + "; message2300receive4four-received-by-command2verb4zap: " + str(message2300receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2300receive4four-yielded-by-zap2verb4xii: " + str(message2300receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 423F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 423F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 423F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [23] = message2300receive4four
        
    #============
    # 2400 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 424F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2400receive4four = "<nack2receive4xi>layer2400four</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message2400receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 424F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2400receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 424F3/800) received" + "; message2400receive4four-received-by-command2verb4zap: " + str(message2400receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2400receive4four-yielded-by-zap2verb4xii: " + str(message2400receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 424F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 424F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 424F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [24] = message2400receive4four
        
    #============
    # 2500 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 425F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2500receive4four = "<nack2receive4xi>layer2500four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message2500receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 425F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2500receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 425F3/800) received" + "; message2500receive4four-received-by-command2verb4zap: " + str(message2500receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2500receive4four-yielded-by-zap2verb4xii: " + str(message2500receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 425F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 425F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 425F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [25] = message2500receive4four
        
    #============
    # 2600 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 426F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2600receive4four = "<nack2receive4xi>layer2600four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message2600receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 426F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2600receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 426F3/800) received" + "; message2600receive4four-received-by-command2verb4zap: " + str(message2600receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2600receive4four-yielded-by-zap2verb4xii: " + str(message2600receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 426F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 426F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 426F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [26] = message2600receive4four
        
    #============
    # 2700 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 427F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2700receive4four = "<nack2receive4xi>layer2700four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message2700receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 427F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2700receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 427F3/800) received" + "; message2700receive4four-received-by-command2verb4zap: " + str(message2700receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2700receive4four-yielded-by-zap2verb4xii: " + str(message2700receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 427F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 427F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 427F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [27] = message2700receive4four
        
    #============
    # 2800 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 428F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2800receive4four = "<nack2receive4xi>layer2800four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message2800receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 428F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2800receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 428F3/800) received" + "; message2800receive4four-received-by-command2verb4zap: " + str(message2800receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2800receive4four-yielded-by-zap2verb4xii: " + str(message2800receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 428F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 428F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 428F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [28] = message2800receive4four
        
    #============
    # 2900 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 429F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2900receive4four = "<nack2receive4xi>layer2900four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message2900receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 429F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2900receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 429F3/800) received" + "; message2900receive4four-received-by-command2verb4zap: " + str(message2900receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message2900receive4four-yielded-by-zap2verb4xii: " + str(message2900receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
            else:
                print("\n (Step 429F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 429F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 429F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [29] = message2900receive4four
        
    #============
    # 3000 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 430F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message3000receive4four = "<nack2receive4xi>layer3000four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message3000receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 430F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message3000receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 430F3/800) received" + "; message3000receive4four-received-by-command2verb4zap: " + str(message3000receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message3000receive4four-yielded-by-zap2verb4xii: " + str(message3000receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
                
            else:
                print("\n (Step 430F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 430F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 430F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [30] = message3000receive4four
        
    #============
    # 3100 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 431F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message3100receive4four = "<nack2receive4xi>layer3100four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                   
                    message3100receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 431F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message3100receive4four) 
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 431F3/800) received" + "; message3100receive4four-received-by-command2verb4zap: " + str(message3100receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message3100receive4four-yielded-by-zap2verb4xii: " + str(message3100receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
            else:
                print("\n (Step 431F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 431F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 431F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [31] = message3100receive4four
        
    #============
    # 3200 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 432F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message3200receive4four = "<nack2receive4xi>layer3200four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message3200receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 432F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message3200receive4four)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 432F3/800) received" + "; message3200receive4four-received-by-command2verb4zap: " + str(message3200receive4four) + "; time: " + time4xi() + "}" 
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message3200receive4four-yielded-by-zap2verb4xii: " + str(message3200receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #    
            else:
                print("\n (Step 432F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 432F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 432F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [32] = message3200receive4four
        
    #============
    # 3300 FOUR
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 433F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel) 
                                                                                                                                    #  
                                                                                                                                   
                message3300receive4four = "<nack2receive4xi>layer3300four</nack2receive4xi>"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                
                    message3300receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug4four is True:
                        print("\n (Step 433F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message3300receive4four)
                                                                                                                                    # <ack3300put4four4xi>layer3300four</ack3300put4four4xi> 
                    if ack2dragontrace is True:
                        message2print = "{(Step 433F3/800) received" + "; message3300receive4four-received-by-command2verb4zap: " + str(message3300receive4four) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                                                                                                                                    #   
                except:
                    message2print = "{(Step 474F4/800) yielded" + "; message3300receive4four-yielded-by-zap2verb4xii: " + str(message3300receive4four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #         
            else:
                print("\n (Step 433F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 433F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 433F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
                           
    kb2message [4] [33] = message3300receive4four
   
      
           
    # =========================================================================================================   
    # I/IV EOF FOUR DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST
    # =========================================================================================================      
    if ack2debug4four is True:
        print("\n (Step 433F8/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2MESSAGE")    
        try:
            print("\n (Step 433F9/800) OF COMMAND2VERB4ZAP - RECEIVED FROM DIRECTION FOUR VIA PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
            keys2direction4message = kb2message.keys()                                                                              # 1 ... 8
            for key2direction4message in keys2direction4message:
                if key2direction4message == 4:
                    temp2layerkb = kb2message[key2direction4message] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                          # 0,1,2 ... 33
                        print("\n kb2message [", key2direction4message, "]: [", key2layer4temp,"]:", kb2message [key2direction4message] [key2layer4temp])
                        # kb2message [ 4 ]: [ 0 ]: <ack0010put4four4xi>layer0010four</ack0010put4four4xi>
                        # kb2message [ 4 ]: [ 1 ]: <ack0100put4four4xi>layer0100four</ack0100put4four4xi>
                        # kb2message [ 4 ]: [ 2 ]: <ack0200put4four4xi>layer0200four</ack0200put4four4xi>
                        # kb2message [ 4 ]: [ 3 ]: <ack0300put4four4xi>layer0300four</ack0300put4four4xi>
                        # kb2message [ 4 ]: [ 4 ]: <ack0400put4four4xi>layer0400four</ack0400put4four4xi>
                        # kb2message [ 4 ]: [ 5 ]: <ack0500put4four4xi>layer0500four</ack0500put4four4xi>
                        # kb2message [ 4 ]: [ 6 ]: <ack0600put4four4xi>layer0600four</ack0600put4four4xi>
                        # kb2message [ 4 ]: [ 7 ]: <ack0700put4four4xi>layer0700four</ack0700put4four4xi>
                        # kb2message [ 4 ]: [ 8 ]: <ack0800put4four4xi>layer0800four</ack0800put4four4xi>
                        # kb2message [ 4 ]: [ 9 ]: <ack0900put4four4xi>layer0900four</ack0900put4four4xi>
                        # kb2message [ 4 ]: [ 10 ]: <ack1000put4four4xi>layer1000four</ack1000put4four4xi>
                        # kb2message [ 4 ]: [ 11 ]: <ack1100put4four4xi>layer1100four</ack1100put4four4xi>
                        # kb2message [ 4 ]: [ 12 ]: <ack1200put4four4xi>layer1200four</ack1200put4four4xi>
                        # kb2message [ 4 ]: [ 13 ]: <ack1300put4four4xi>layer1300four</ack1300put4four4xi>
                        # kb2message [ 4 ]: [ 14 ]: <ack1400put4four4xi>layer1400four</ack1400put4four4xi>
                        # kb2message [ 4 ]: [ 15 ]: <ack1500put4four4xi>layer1500four</ack1500put4four4xi>
                        # kb2message [ 4 ]: [ 16 ]: <ack1600put4four4xi>layer1600four</ack1600put4four4xi>
                        # kb2message [ 4 ]: [ 17 ]: <ack1700put4four4xi>layer1700four</ack1700put4four4xi>
                        # kb2message [ 4 ]: [ 18 ]: <ack1800put4four4xi>layer1800four</ack1800put4four4xi>
                        # kb2message [ 4 ]: [ 19 ]: <ack1900put4four4xi>layer1900four</ack1900put4four4xi>
                        # kb2message [ 4 ]: [ 20 ]: <ack2000put4four4xi>layer2000four</ack2000put4four4xi>
                        # kb2message [ 4 ]: [ 21 ]: <ack2100put4four4xi>layer2100four</ack2100put4four4xi>
                        # kb2message [ 4 ]: [ 22 ]: <ack2200put4four4xi>layer2200four</ack2200put4four4xi>
                        # kb2message [ 4 ]: [ 23 ]: <ack2300put4four4xi>layer2300four</ack2300put4four4xi>
                        # kb2message [ 4 ]: [ 24 ]: <ack2400put4four4xi>layer2400four</ack2400put4four4xi>
                        # kb2message [ 4 ]: [ 25 ]: <ack2500put4four4xi>layer2500four</ack2500put4four4xi>
                        # kb2message [ 4 ]: [ 26 ]: <ack2600put4four4xi>layer2600four</ack2600put4four4xi>
                        # kb2message [ 4 ]: [ 27 ]: <ack2700put4four4xi>layer2700four</ack2700put4four4xi>
                        # kb2message [ 4 ]: [ 28 ]: <ack2800put4four4xi>layer2800four</ack2800put4four4xi>
                        # kb2message [ 4 ]: [ 29 ]: <ack2900put4four4xi>layer2900four</ack2900put4four4xi>
                        # kb2message [ 4 ]: [ 30 ]: <ack3000put4four4xi>layer3000four</ack3000put4four4xi>
                        # kb2message [ 4 ]: [ 31 ]: <ack3100put4four4xi>layer3100four</ack3100put4four4xi>
                        # kb2message [ 4 ]: [ 32 ]: <ack3200put4four4xi>layer3200four</ack3200put4four4xi>
                        # kb2message [ 4 ]: [ 33 ]: <ack3300put4four4xi>layer3300four</ack3300put4four4xi> 
        except:
            print("\n (Step 433F10/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2MESSAGE")              

 

           
    # =========================================================================================================   
    # II/IV FOUR DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================      

    #===========
    # 0010 FOUR   
    #===========
    kb2fire [4] = {}
        
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0010four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 434F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2FOUR104XI FROM QUEUE: ", queue2four)
                    # 
                
                fire0010four = queue2four.get() 
                 
                if ack2debug4four is True:
                    print("\n (Step 434F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0010FOUR: ", fire0010four) 
                                                                                                                                    # <queue4xi.Queue4Xi object at 0x04EADBF0>  FIRE0010FOUR:  {}
                if ack2dragontrace is True:
                    message2print = "{(Step 434F3/800) got" + "; fire0010four-got-by-command2verb4zap: " + str(fire0010four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                  # {}               
            else:
                print("\n (Step 434F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 434F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 434F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())
    
       
    kb2fire [4] [0] = fire0010four
          
      
           
    #===========
    # 0100 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0100four = {}

    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 441F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0100FOURI FROM QUEUE: ", queue2four)
                    # 
                
                fire0100four = queue2four.get()
                   
                if ack2debug4four is True:
                    print("\n (Step 441F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0100FOUR: ", fire0100four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0100four-got-by-command2verb4zap: " + str(fire0100four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 441F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 441F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 441F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
       
    kb2fire [4] [1] = fire0100four
          

    #===========
    # 0200 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0200four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 442F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0200FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire0200four = queue2four.get()
                  
                if ack2debug4four is True:
                    print("\n (Step 442F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0200FOUR: ", fire0200four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0200four-got-by-command2verb4zap: " + str(fire0200four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 442F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 442F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 442F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                                    
       
    kb2fire [4] [2] = fire0200four
                                     
      


       
    #===========
    # 0300 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0300four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 443F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0300FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire0300four = queue2four.get()
                 
                if ack2debug4four is True:
                    print("\n (Step 443F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0300FOUR: ", fire0300four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0300four-got-by-command2verb4zap: " + str(fire0300four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 443F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 443F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 443F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [3] = fire0300four
   

       
    #===========
    # 0400 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0400four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 444F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire0400four = queue2four.get()
                   
                if ack2debug4four is True:
                    print("\n (Step 444F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0400FOUR: ", fire0400four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0400four-got-by-command2verb4zap: " + str(fire0400four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 444F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 444F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 444F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [4] = fire0400four
   

                               
    #===========
    # 0500 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0500four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 445F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0500FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire0500four = queue2four.get()
                  
                if ack2debug4four is True:
                    print("\n (Step 373F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0500FOUR: ", fire0500four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0500four-got-by-command2verb4zap: " + str(fire0500four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
        
                  
            else:
                print("\n (Step 445F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 445F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 445F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                                  
       
    kb2fire [4] [5] = fire0500four
         

                                                                                          
    #===========
    # 0600 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0600four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 446F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0600FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire0600four = queue2four.get()
                  
                if ack2debug4four is True:
                    print("\n (Step 446F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0600FOUR: ", fire0600four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0600four-got-by-command2verb4zap: " + str(fire0600four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 446F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 446F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 446F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [6] = fire0600four
   

        
    #===========
    # 0700 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0700four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 447F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0700FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire0700four = queue2four.get()
                  
                if ack2debug4four is True:
                    print("\n (Step 447F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0700FOUR: ", fire0700four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0700four-got-by-command2verb4zap: " + str(fire0700four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 447F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 447F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 447F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [7] = fire0700four
   

          
    #===========
    # 0800 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0800four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 448F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0800FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire0800four = queue2four.get()
              
                if ack2debug4four is True:
                    print("\n (Step 448F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0800FOUR: ", fire0800four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0800four-got-by-command2verb4zap: " + str(fire0800four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 448F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 448F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 448F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [8] = fire0800four
   

        
    #===========
    # 0900 FOUR
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0900four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 449F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0900FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire0900four = queue2four.get()
               
                if ack2debug4four is True:
                    print("\n (Step 449F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE0900FOUR: ", fire0900four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire0900four-got-by-command2verb4zap: " + str(fire0900four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 449F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 449F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 449F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [9] = fire0900four
   

        
    #============
    # 1000 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1000four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 450F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1000FOURI FROM QUEUE: ", queue2four)
                    # 
                
                fire1000four = queue2four.get()
                   
                if ack2debug4four is True:
                    print("\n (Step 450F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1000FOURI: ", fire1000four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1000four-got-by-command2verb4zap: " + str(fire1000four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 450F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 450F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 450F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [10] = fire1000four
   
        
    #============
    # 1100 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1100four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 451F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1100FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1100four = queue2four.get()
                 
                if ack2debug4four is True:
                    print("\n (Step 451F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1100FOUR: ", fire1100four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1100four-got-by-command2verb4zap: " + str(fire1100four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 451F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 451F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 451F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [11] = fire1100four
   

        
    #============
    # 1200 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1200four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 452F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1200FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1200four = queue2four.get()
             
                if ack2debug4four is True:
                    print("\n (Step 452F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1200FOUR: ", fire1200four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1200four-got-by-command2verb4zap: " + str(fire1200four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 452F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 452F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 452F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [12] = fire1200four
   

        
    #============
    # 1300 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1300four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 453F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1300FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1300four = queue2four.get()
                   
                if ack2debug4four is True:
                    print("\n (Step 453F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1300FOUR: ", fire1300four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1300four-got-by-command2verb4zap: " + str(fire1300four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
      
                  
            else:
                print("\n (Step 453F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 453F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 453F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [13] = fire1300four
   
        
    #============
    # 1400 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1400four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 454F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1400FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1400four = queue2four.get()
                
                if ack2debug4four is True:
                    print("\n (Step 454F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1400FOUR: ", fire1400four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1400four-got-by-command2verb4zap: " + str(fire1400four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 454F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 454F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 454F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [14] = fire1400four
   
        
    #============
    # 1500 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1500four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 455F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1500FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1500four = queue2four.get()
               
                if ack2debug4four is True:
                    print("\n (Step 455F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1500FOUR: ", fire1500four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1500four-got-by-command2verb4zap: " + str(fire1500four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
      
                  
            else:
                print("\n (Step 455F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 455F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 455F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [15] = fire1500four
   
        
    #============
    # 1600 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1600four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 456F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1600FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1600four = queue2four.get() 
                  
                if ack2debug4four is True:
                    print("\n (Step 456F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1600FOUR: ", fire1600four) 
                    # FIRE6004FOUR:  {1: '1000x-1234y187z', 2: '1001x-548y1120z', 3: '1039x-500y1109z', 4: '1046x-810y898z', 5: '1064x-1182y171z', 6: '1073x-449y1097z', 7: '108x-306y1566z', 8: '1095x-759y884z', 9: '1106x-396y1085z', 10: '111x-76y1594z', 11: '1126x-1126y155z', 12: '1135x-340y1074z', 13: '1141x-706y871z', 14: '1162x-283y1062z', 15: '1184x-1066y139z', 16: '1184x-649y857z', 17: '1186x-224y1050z', 18: '1206x-163y1038z', 19: '1223x-100y1025z', 20: '1224x-590y844z', 21: '1237x-36y1013z', 22: '1239x-1003y123z', 23: '1261x-528y830z', 24: '1291x-938y107z', 25: '129x-78y1592z', 26: '130x-315y1563z', 27: '1339x-869y91z', 28: '1375x-493y868z', 29: '1384x-799y75z', 30: '1424x-725y59z', 31: '1461x-650y43z', 32: '147x-79y1591z', 33: '1493x-573y27z', 34: '1521x-494y11z', 35: '153x-322y1559z', 36: '162x-1550y360z', 37: '165x-78y1589z', 38: '177x-327y1556z', 39: '184x-75y1587z', 40: '202x-330y1552z', 41: '202x-71y1585z', 42: '221x-65y1583z', 43: '228x-332y1548z', 44: '240x-57y1580z', 45: '244x-1543y344z', 46: '254x-332y1544z', 47: '258x-47y1578z', 48: '262x-636y1444z', 49: '276x-35y1575z', 50: '281x-330y1539z', 51: '293x-22y1572z', 52: '301x-635y1437z', 53: '309x-326y1535z', 54: '309x-7y1569z', 55: '325x-1531y329z', 56: '337x-320y1530z', 57: '340x-631y1430z', 58: '365x-312y1526z', 59: '380x-624y1422z', 60: '392x-301y1521z', 61: '406x-1515y313z', 62: '420x-289y1516z', 63: '420x-615y1415z', 64: '427x-903y1249z', 65: '448x-274y1511z', 66: '461x-603y1408z', 67: '475x-258y1505z', 68: '479x-891y1239z', 69: '485x-1495y297z', 70: '501x-239y1500z', 71: '501x-589y1400z', 72: '527x-218y1494z', 73: '532x-875y1229z', 74: '541x-572y1392z', 75: '552x-195y1488z', 76: '564x-1470y282z', 77: '575x-170y1482z', 78: '580x-553y1384z', 79: '584x-856y1218z', 80: '590x-1099y1001z', 81: '598x-143y1476z', 82: '618x-531y1376z', 83: '619x-115y1470z', 84: '635x-834y1208z', 85: '639x-84y1464z', 86: '641x-1441y266z', 87: '652x-1075y988z', 88: '656x-506y1368z', 89: '657x-52y1457z', 90: '673x-17y1451z', 91: '686x-809y1197z', 92: '693x-478y1359z', 93: '713x-1048y975z', 94: '717x-1408y250z', 95: '729x-449y1351z', 96: '735x-780y1187z', 97: '763x-416y1342z', 98: '773x-1017y963z', 99: '784x-749y1176z', 100: '791x-1370y234z', 101: '796x-382y1334z', 102: '81x-1553y375z', 103: '827x-344y1325z', 104: '831x-714y1165z', 105: '831x-982y950z', 106: '856x-305y1316z', 107: '863x-1329y218z', 108: '876x-677y1154z', 109: '884x-264y1306z', 110: '888x-944y937z', 111: '909x-220y1297z', 112: '920x-637y1143z', 113: '932x-1283y202z', 114: '932x-175y1288z', 115: '943x-903y924z', 116: '953x-127y1278z', 117: '95x-72y1595z', 118: '962x-594y1131z', 119: '971x-78y1269z', 120: '986x-28y1259z', 121: '996x-858y911z'}
                
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1600four-got-by-command2verb4zap: " + str(fire1600four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 456F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 456F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 456F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [16] = fire1600four
   
        
    #============
    # 1700 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1700four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 457F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1700four = queue2four.get()
                  
                if ack2debug4four is True:
                    print("\n (Step 457F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1700FOUR: ", fire1700four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1700four-got-by-command2verb4zap: " + str(fire1700four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 457F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 457F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 457F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [17] = fire1700four
   
        
    #============
    # 1800 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1800four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 458F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1800FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1800four = queue2four.get()
                
                if ack2debug4four is True:
                    print("\n (Step 458F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1800FOUR: ", fire1800four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1800four-got-by-command2verb4zap: " + str(fire1800four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 458F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 458F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 458F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [18] = fire1800four
           
    #============
    # 1900 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1900four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 459F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1900FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire1900four = queue2four.get()
            
                if ack2debug4four is True:
                    print("\n (Step 459F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE1900FOUR: ", fire1900four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire1900four-got-by-command2verb4zap: " + str(fire1900four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 459F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 459F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 459F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [19] = fire1900four
         

        
    #============
    # 2000 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2000four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 460F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2000FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2000four = queue2four.get()
              
                if ack2debug4four is True:
                    print("\n (Step 460F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2000FOUR: ", fire2000four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2000four-got-by-command2verb4zap: " + str(fire2000four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 460F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 460F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 460F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [20] = fire2000four
   
        
    #============
    # 2100 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2100four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 461F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2100FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2100four = queue2four.get()
                
                if ack2debug4four is True:
                    print("\n (Step 461F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2100FOUR: ", fire2100four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2100four-got-by-command2verb4zap: " + str(fire2100four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
      
                  
            else:
                print("\n (Step 461F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 461F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 461F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [21] = fire2100four
  
        
    #============
    # 2200 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2200four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 462F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2200FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2200four = queue2four.get()
            
                if ack2debug4four is True:
                    print("\n (Step 462F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2200FOUR: ", fire2200four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2200four-got-by-command2verb4zap: " + str(fire2200four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 462F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 462F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 462F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [22] = fire2200four
  
        
    #============
    # 2300 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2300four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 463F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2300FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2300four = queue2four.get()
                
                if ack2debug4four is True:
                    print("\n (Step 463F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2300FOUR: ", fire2300four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2300four-got-by-command2verb4zap: " + str(fire2300four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 463F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 463F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 463F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [23] = fire2300four
  
        
    #============
    # 2400 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2400four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 464F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2400FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2400four = queue2four.get()
                

                if ack2debug4four is True:
                    print("\n (Step 464F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2400FOUR: ", fire2400four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2400four-got-by-command2verb4zap: " + str(fire2400four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 464F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 464F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 464F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [24] = fire2400four
  
        
    #============
    # 2500 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2500four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 465F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2500FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2500four = queue2four.get()
                

                if ack2debug4four is True:
                    print("\n (Step 465F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2500FOUR: ", fire2500four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2500four-got-by-command2verb4zap: " + str(fire2500four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
      
                  
            else:
                print("\n (Step 465F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 465F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 465F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [25] = fire2500four
  
        
    #============
    # 2600 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2600four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 466F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2600FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2600four = queue2four.get()
                

                if ack2debug4four is True:
                    print("\n (Step 466F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2600FOUR: ", fire2600four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2600four-got-by-command2verb4zap: " + str(fire2600four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 466F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 466F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 466F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [26] = fire2600four
  
        
    #============
    # 2700 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2700four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 467F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2700FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2700four = queue2four.get()
                
 
                if ack2debug4four is True:
                    print("\n (Step 467F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2700FOUR: ", fire2700four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2700four-got-by-command2verb4zap: " + str(fire2700four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 467F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 467F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 467F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [27] = fire2700four
  
        
    #============
    # 2800 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2800four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 468F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2800FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2800four = queue2four.get()
                

                if ack2debug4four is True:
                    print("\n (Step 468F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2800FOUR: ", fire2800four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2800four-got-by-command2verb4zap: " + str(fire2800four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
       
                  
            else:
                print("\n (Step 468F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 468F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 468F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [28] = fire2800four
  
        
    #============
    # 2900 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2900four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 469F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2900FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire2900four = queue2four.get()
                 
                if ack2debug4four is True:
                    print("\n (Step 469F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2900FOUR: ", fire2900four) 
                    # 
                    
                                
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire2900four-got-by-command2verb4zap: " + str(fire2900four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
      
                
                  
            else:
                print("\n (Step 469F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 469F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 469F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [29] = fire2900four
  
        
    #============
    # 3000 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3000four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 470F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3000FOUR FROM QUEUE: ", queue2four)
                    # 
                
                fire3000four = queue2four.get()
                
                if ack2debug4four is True:
                    print("\n (Step 470F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE3000FOUR: ", fire3000four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 470F2/800) got" + "; fire3000four-got-by-command2verb4zap: " + str(fire3000four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
                  
            else:
                print("\n (Step 470F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 470F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 470F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [30] = fire3000four
  
        
    #============
    # 3100 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3100four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 471F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3100FOUR FROM QUEUE: ", queue2four) 
                    # 
                
                fire3100four = queue2four.get()
                if ack2debug4four is True:
                    print("\n (Step 471F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE3100FOUR: ", fire3100four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 471F2/800) got" + "; fire3100four-got-by-command2verb4zap: " + str(fire3100four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 471F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 471F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 471F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [31] = fire3100four
  
        
    #============
    # 3200 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3200four = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 472F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3200FOUR FROM QUEUE: ", queue2four)
                    # 
                fire3200four = queue2four.get()
                if ack2debug4four is True:
                    print("\n (Step 472F3/800) OF COMMAND2VERB4ZAP - FIRE3200FOUR: ", fire3200four) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 472F2/800) got" + "; fire3200four-got-by-command2verb4zap: " + str(fire3200four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)  
                # {'1002x-1179y2800z': {'2xi': {1: 4, 2: 3200, 3: {1: 16084954.386379741, 2: '#AFAAA5', 3: 1, 4: 16084954.386379741}, 4: 'dragon1002x-1179y2800z', 5: '#F3F947', 6: 3207, 7: 7, 8: 3200, 9: 0, 10: 4, 11: '{started; sense-of-Cluster4Xi-started: 15:14:22 12/18/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1002x-1179y2800z', 18: '1002x-1179y2800z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}; time: 15:14:48 12/18/10 Pacific Standard Time}
  
            else:
                print("\n (Step 472F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 472F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 472F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
       
    kb2fire [4] [32] = fire3200four
  
        
    #============
    # 3300 FOUR
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3300four = {}
    
    if ack2four4process is True:

        if ack2four4start is True: 

            if ack2four4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4four is True:
                    print("\n (Step 473F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3300FOUR FROM QUEUE: ", queue2four)   
                    # 
                fire3300four = queue2four.get()
                if ack2debug4four is True:
                    print("\n (Step 473F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE3300FOUR: ", fire3300four) 
                    # {'1001x-3083y614z': {'2xi': {1: 4, 2: 3300, 3: {1: 17105971.998796422, 2: '#AFAAA5', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-3083y614z', 5: '#9292A1', 6: 3305, 7: 1, 8: 3300, 9: 0, 10: 4, 11: '{started; sense-of-SuperCluster4Xi-started: 02:56:55 12/17/10 Pacific Standard Time}', 
                    #                             12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-3083y614z', 18: '1001x-3083y614z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}
                
                if ack2dragontrace is True:
                    message2print = "{(Step 473F2/800) got" + "; fire3300four-got-by-command2verb4zap: " + str(fire3300four)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #   
                    
            else:
                print("\n (Step 473F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (Step 473F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (Step 473F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
       
    kb2fire [4] [33] = fire3300four
                 
           
    # =========================================================================================================   
    # II/IV EOF FOUR DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================      
    if ack2debug4four is True:
        print("\n (Step 473F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2FIRE")    
        try:
            print("\n (Step 473F8/800) OF COMMAND2VERB4ZAP - GOT FROM DIRECTION FOUR VIA QUEUE2FOUR: ", queue2four)
            keys2direction4fire = kb2fire.keys()                                                                              # 1 ... 8
            for key2direction4fire in keys2direction4fire:
                if key2direction4fire == 4:
                    temp2layerkb = kb2fire[key2direction4fire] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                    # 0,1,2 ... 33
                        print("\n kb2fire [", key2direction4fire, "]: [", key2layer4temp,"]:", kb2fire [key2direction4fire] [key2layer4temp])
                        # 
                        
                        
        except:
            print("\n (Step 473F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2FIRE")      
      
    # =========================================================================================================   
    # I/V FIVE DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST 
    # =========================================================================================================      

    #==========
    # 0010 FIVE 
    #==========
    ack2debug4five = True
    
    kb2message [5] = {}
        
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 580F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0010receive4five = "<nack2receive4xi>layer0010five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                    message0010receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 580F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0010receive4five) 
                                                                                                                                    #  
                    
                    if ack2dragontrace is True:
                        message2print = "{(Step 580F3/800) received" + "; message0010receive4five-received-by-command2verb4zap: " + str(message0010receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 580F4/33) yielded" + "; message0010receive4five-yielded-by-zap2verb4xii: " + str(message0010receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #               
            else:
                print("\n (Step 580F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 580F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 580F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi()) 
                           
    kb2message [5] [0] = message0010receive4five
        
    #==========
    # 0100 FIVE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 581F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                                                                                                                                    #                                                                                                                    
                message100receive4five = "<nack2receive4xi>layer0100five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                  
                    message0100receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 581F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0100receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 581F2/800) received" + "; message0100receive4five-received-by-command2verb4zap: " + str(message0100receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 581F3/800) yielded" + "; message0100receive4five-yielded-by-zap2verb4xii: " + str(message0100receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 581F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 581F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 581F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [1] = message0100receive4five
       
    #==========
    # 0200 FIVE 
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 582F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0200receive4five = "<nack2receive4xi>layer0200five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message0200receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 582F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0200receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 582F2/800) received" + "; message0200receive4five-received-by-command2verb4zap: " + str(message0200receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 582F3/800) yielded" + "; message0200receive4five-yielded-by-zap2verb4xii: " + str(message0200receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #           
            else:
                print("\n (Step 582F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 582F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 582F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [2] = message0200receive4five
                                                   
                                  
    
    #==========
    # 0300 FIVE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 583F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0300receive4five = "<nack2receive4xi>layer0300five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message0300receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 583F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0300receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 583F2/800) received" + "; message0300receive4five-received-by-command2verb4zap: " + str(message0300receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F3/800) yielded" + "; message0300receive4five-yielded-by-zap2verb4xii: " + str(message0300receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #         
            else:
                print("\n (Step 583F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 583F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 583F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [3] = message0300receive4five
       
    #==========
    # 0400 FIVE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 584F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0400receive4five = "<nack2receive4xi>layer0400five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message0400receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 584F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0400receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 584F2/800) received" + "; message0400receive4five-received-by-command2verb4zap: " + str(message0400receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 584F3/800) yielded" + "; message0400receive4five-yielded-by-zap2verb4xii: " + str(message0400receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 584F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 584F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 584F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())
                           
    kb2message [5] [4] = message0400receive4five
                               
    #==========
    # 0500 FIVE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 585F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0500receive4five = "<nack2receive4xi>layer0500five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message0500receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 585F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0500receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 585F2/800) received" + "; message0500receive4five-received-by-command2verb4zap: " + str(message0500receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 585F3/800) yielded" + "; message0500receive4five-yielded-by-zap2verb4xii: " + str(message0500receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
            else:
                print("\n (Step 585F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 585F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 585F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [5] = message0500receive4five
                                                                                          
    #==========
    # 0600 FIVE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 586F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0600receive4five = "<nack2receive4xi>layer0600five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message0600receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 586F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0600receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 586F2/800) received" + "; message0600receive4five-received-by-command2verb4zap: " + str(message0600receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 586F3/800) yielded" + "; message0600receive4five-yielded-by-zap2verb4xii: " + str(message0600receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                  
            else:
                print("\n (Step 586F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 586F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 584F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [6] = message0600receive4five
        
    #==========
    # 0700 FIVE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 587F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0700receive4five = "<nack2receive4xi>layer0700five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                   
                    message0700receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 587F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0700receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 587F2/800) received" + "; message0700receive4five-received-by-command2verb4zap: " + str(message0700receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 587F3/800) yielded" + "; message0700receive4five-yielded-by-zap2verb4xii: " + str(message0700receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                
            else:
                print("\n (Step 587F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 587F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 587F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [7] = message0700receive4five
          
    #==========
    # 0800 FIVE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 588F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0800receive4five = "<nack2receive4xi>layer0800five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message0800receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 588F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0800receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 588F2/800) received" + "; message0800receive4five-received-by-command2verb4zap: " + str(message0800receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 588F3/800) yielded" + "; message0800receive4five-yielded-by-zap2verb4xii: " + str(message0800receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #             
            else:
                print("\n (Step 588F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 588F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 588F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [8] = message0800receive4five
        
    #==========
    # 0900 FIVE
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 589F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message0900receive4five = "<nack2receive4xi>layer0900five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                   
                    message0900receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 589F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message0900receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 589F2/800) received" + "; message0900receive4five-received-by-command2verb4zap: " + str(message0900receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 589F3/800) yielded" + "; message0900receive4five-yielded-by-zap2verb4xii: " + str(message0900receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 589F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 589F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 589F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [9] = message0900receive4five
         
           
     
    #===========
    # 1000 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 590F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1000receive4five = "<nack2receive4xi>layer1000five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message1000receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 590F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1000receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 590F2/800) received" + "; message1000receive4five-received-by-command2verb4zap: " + str(message1000receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 590F3/800) yielded" + "; message1000receive4five-yielded-by-zap2verb4xii: " + str(message1000receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 590F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 590F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 590F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [10] = message1000receive4five
        
    #===========
    # 1100 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 591F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1100receive4five = "<nack2receive4xi>layer1100five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                   
                    message1100receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 591F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1100receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 591F2/800) received" + "; message1100receive4five-received-by-command2verb4zap: " + str(message1100receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 591F3/800) yielded" + "; message1100receive4five-yielded-by-zap2verb4xii: " + str(message1100receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #               
            else:
                print("\n (Step 591F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 591F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 591F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [11] = message1100receive4five
       
    #===========
    # 1200 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 592F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1200receive4five = "<nack2receive4xi>layer1200five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message1200receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 592F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1200receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 592F2/800) received" + "; message1200receive4five-received-by-command2verb4zap: " + str(message1200receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 592F3/800) yielded" + "; message1200receive4five-yielded-by-zap2verb4xii: " + str(message1200receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #               
            else:
                print("\n (Step 592F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 592F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 592F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [12] = message1200receive4five
       
    #===========
    # 1300 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 593F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1300receive4five = "<nack2receive4xi>layer1300five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message1300receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 593F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1300receive4five)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 593F2/800) received" + "; message1300receive4five-received-by-command2verb4zap: " + str(message1300receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 593F3/800) yielded" + "; message1300receive4five-yielded-by-zap2verb4xii: " + str(message1300receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                 
            else:
                print("\n (Step 593F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 593F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 593F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [13] = message1300receive4five
       
    #===========
    # 1400 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 594F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1400receive4five = "<nack2receive4xi>layer1400five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                    message1400receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 594F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1400receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 594F2/800) received" + "; message1400receive4five-received-by-command2verb4zap: " + str(message1400receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 594F3/800) yielded" + "; message1400receive4five-yielded-by-zap2verb4xii: " + str(message1400receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #          
            else:
                print("\n (Step 594F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 594F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 594F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [14] = message1400receive4five
       
    #===========
    # 1500 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 595F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1500receive4five = "<nack2receive4xi>layer1500five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                      
                    message1500receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 595F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1500receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 595F2/800) received" + "; message1500receive4five-received-by-command2verb4zap: " + str(message1500receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 595F3/800) yielded" + "; message1500receive4five-yielded-by-zap2verb4xii: " + str(message1500receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #            
            else:
                print("\n (Step 595F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 595F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 595F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [15] = message1500receive4five
       
    #===========
    # 1600 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 596F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1600receive4five = "<nack2receive4xi>layer1600five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                     
                    message1600receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 596F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1600receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 596F2/800) received" + "; message1600receive4five-received-by-command2verb4zap: " + str(message1600receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 596F3/800) yielded" + "; message1600receive4five-yielded-by-zap2verb4xii: " + str(message1600receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #           
            else:
                print("\n (Step 596F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 596F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 596F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [16] = message1600receive4five
       
    #===========
    # 1700 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 597F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1700receive4five = "<nack2receive4xi>layer1700five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                    message1700receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 597F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1700receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 597F2/800) received" + "; message1700receive4five-received-by-command2verb4zap: " + str(message1700receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 597F3/800) yielded" + "; message1700receive4five-yielded-by-zap2verb4xii: " + str(message1700receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #             
            else:
                print("\n (Step 597F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 597F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 597F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [17] = message1700receive4five
       
    #===========
    # 1800 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 598F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1800receive4five = "<nack2receive4xi>layer1800five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message1800receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 598F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1800receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 598F2/800) received" + "; message1800receive4five-received-by-command2verb4zap: " + str(message1800receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 598F3/800) yielded" + "; message1800receive4five-yielded-by-zap2verb4xii: " + str(message1800receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 598F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 598F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 598F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                           
    kb2message [5] [18] = message1800receive4five
       
    #===========
    # 1900 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 599F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message1900receive4five = "<nack2receive4xi>layer1900five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message1900receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 599F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message1900receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 599F2/800) received" + "; message1900receive4five-received-by-command2verb4zap: " + str(message1900receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 599F3/800) yielded" + "; message1900receive4five-yielded-by-zap2verb4xii: " + str(message1900receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 599F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 599F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 599F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [19] = message1900receive4five
          
     
    #===========
    # 2000 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 600F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2000receive4five = "<nack2receive4xi>layer2000five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message2000receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 600F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2000receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 600F2/800) received" + "; message2000receive4five-received-by-command2verb4zap: " + str(message2000receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 600F3/800) yielded" + "; message2000receive4five-yielded-by-zap2verb4xii: " + str(message2000receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 600F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 600F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 600F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [20] = message2000receive4five
       
    #===========
    # 2100 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 621F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2100receive4five = "<nack2receive4xi>layer2100five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                   
                    message2100receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 621F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2100receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 621F2/800) received" + "; message2100receive4five-received-by-command2verb4zap: " + str(message2100receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 621F3/800) yielded" + "; message2100receive4five-yielded-by-zap2verb4xii: " + str(message2100receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 621F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 621F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 621F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [21] = message2100receive4five
        
    #===========
    # 2200 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 622F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2200receive4five = "<nack2receive4xi>layer2200five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                     
                    message2200receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 622F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2200receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 622F2/800) received" + "; message2200receive4five-received-by-command2verb4zap: " + str(message2200receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 622F3/800) yielded" + "; message2200receive4five-yielded-by-zap2verb4xii: " + str(message2200receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 622F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 622F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 622F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [22] = message2200receive4five
        
    #===========
    # 2300 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 623F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2300receive4five = "<nack2receive4xi>layer2300five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                       
                    message2300receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 623F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2300receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 623F2/800) received" + "; message2300receive4five-received-by-command2verb4zap: " + str(message2300receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 623F3/800) yielded" + "; message2300receive4five-yielded-by-zap2verb4xii: " + str(message2300receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 623F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 623F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 623F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [23] = message2300receive4five
        
    #===========
    # 2400 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 624F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2400receive4five = "<nack2receive4xi>layer2400five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                   
                    message2400receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 624F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2400receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 624F2/800) received" + "; message2400receive4five-received-by-command2verb4zap: " + str(message2400receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 624F3/800) yielded" + "; message2400receive4five-yielded-by-zap2verb4xii: " + str(message2400receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 624F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 624F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 624F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [24] = message2400receive4five
        
    #===========
    # 2500 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 625F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2500receive4five = "<nack2receive4xi>layer2500five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                    message2500receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 625F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2500receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 625F2/800) received" + "; message2500receive4five-received-by-command2verb4zap: " + str(message2500receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 625F3/800) yielded" + "; message2500receive4five-yielded-by-zap2verb4xii: " + str(message2500receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 625F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 625F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 625F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [25] = message2500receive4five
        
    #===========
    # 2600 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 626F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2600receive4five = "<nack2receive4xi>layer2600five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                     
                    message2600receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 626F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2600receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 626F2/800) received" + "; message2600receive4five-received-by-command2verb4zap: " + str(message2600receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 626F3/800) yielded" + "; message2600receive4five-yielded-by-zap2verb4xii: " + str(message2600receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 626F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 626F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 626F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [26] = message2600receive4five
        
    #===========
    # 2700 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 627F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2700receive4five = "<nack2receive4xi>layer2700five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message2700receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 627F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2700receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 627F2/800) received" + "; message2700receive4five-received-by-command2verb4zap: " + str(message2700receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 627F3/800) yielded" + "; message2700receive4five-yielded-by-zap2verb4xii: " + str(message2700receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 627F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 627F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 627F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [27] = message2700receive4five
        
    #===========
    # 2800 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 628F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2800receive4five = "<nack2receive4xi>layer2800five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                    message2800receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 628F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2800receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 628F2/800) received" + "; message2800receive4five-received-by-command2verb4zap: " + str(message2800receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 628F3/800) yielded" + "; message2800receive4five-yielded-by-zap2verb4xii: " + str(message2800receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 628F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 628F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 628F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [28] = message2800receive4five
        
    #===========
    # 2900 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 629F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message2900receive4five = "<nack2receive4xi>layer2900five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message2900receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 629F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2900receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 629F2/800) received" + "; message2900receive4five-received-by-command2verb4zap: " + str(message2900receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 629F3/800) yielded" + "; message2900receive4five-yielded-by-zap2verb4xii: " + str(message2900receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                       
            else:
                print("\n (Step 629F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 629F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 629F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [29] = message2900receive4five
        
    #===========
    # 3000 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 630F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message3000receive4five = "<nack2receive4xi>layer3000five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message3000receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 630F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message3000receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 630F2/800) received" + "; message3000receive4five-received-by-command2verb4zap: " + str(message3000receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 630F3/800) yielded" + "; message3000receive4five-yielded-by-zap2verb4xii: " + str(message3000receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 630F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 630F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 630F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [30] = message3000receive4five
        
    #===========
    # 3100 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 631F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message3100receive4five = "<nack2receive4xi>layer3100five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                    
                    message3100receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 631F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message3100receive4five) 
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 631F2/800) received" + "; message3100receive4five-received-by-command2verb4zap: " + str(message3100receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 631F3/800) yielded" + "; message3100receive4five-yielded-by-zap2verb4xii: " + str(message3100receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                            
            else:
                print("\n (Step 631F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 631F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 631F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [31] = message3100receive4five
       
    #===========
    # 3200 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 632F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                                                                                                                                    #                                                                                                                    
                message3200receive4five = "<nack2receive4xi>layer3200five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message3200receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 632F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message3200receive4five)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 632F2/800) received" + "; message3200receive4five-received-by-command2verb4zap: " + str(message3200receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 632F3/800) yielded" + "; message3200receive4five-yielded-by-zap2verb4xii: " + str(message3200receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                            
            else:
                print("\n (Step 632F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 632F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 632F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [32] = message3200receive4five
       
    #===========
    # 3300 FIVE
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 6335F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel) 
                                                                                                                                    #                                                                                                                    
                message3300receive4five = "<nack2receive4xi>layer3300five</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                  
                    message3300receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug4five is True:
                        print("\n (Step 6335F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message3300receive4five)
                                                                                                                                     # <ack3300put4five4xi>layer3300five</ack3300put4five4xi> 
                    if ack2dragontrace is True:
                        message2print = "{(Step 6335F2/800) received" + "; message3300receive4five-received-by-command2verb4zap: " + str(message3300receive4five) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 6335F3/800) yielded" + "; message3300receive4five-yielded-by-zap2verb4xii: " + str(message3300receive4five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                                                                                                                    # <ack3300put4five4xi>layer3300five</ack3300put4five4xi>                          
            else:
                print("\n (Step 6335F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 6335F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 6335F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
                           
    kb2message [5] [33] = message3300receive4five
  
      
           
    # =========================================================================================================   
    # I/V EOF FIVE DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST 
    # =========================================================================================================      
    if ack2debug4five is True:
        print("\n (Step 633F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2MESSAGE")    
        try:
            print("\n (Step 633F8/800) OF COMMAND2VERB4ZAP - RECEIVED FROM DIRECTION FIVE VIA PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
            keys2direction4message = kb2message.keys()                                                                              # 1 ... 8
            for key2direction4message in keys2direction4message:
                if key2direction4message == 5:
                    temp2layerkb = kb2message[key2direction4message] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                          # 0,1,2 ... 33
                        print("\n kb2message [", key2direction4message, "]: [", key2layer4temp,"]:", kb2message [key2direction4message] [key2layer4temp])
                        #  kb2message [ 5 ]: [ 0 ]: <ack0010put4five4xi>layer0010five</ack0010put4five4xi>
                        # kb2message [ 5 ]: [ 1 ]: <ack0100put4five4xi>layer0100five</ack0100put4five4xi>
                        # kb2message [ 5 ]: [ 2 ]: <ack0200put4five4xi>layer0200five</ack0200put4five4xi>
                        # kb2message [ 5 ]: [ 3 ]: <ack0300put4five4xi>layer0300five</ack0300put4five4xi>
                        # kb2message [ 5 ]: [ 4 ]: <ack0400put4five4xi>layer0400five</ack0400put4five4xi>
                        # kb2message [ 5 ]: [ 5 ]: <ack0500put4five4xi>layer0500five</ack0500put4five4xi>
                        # kb2message [ 5 ]: [ 6 ]: <ack0600put4five4xi>layer0600five</ack0600put4five4xi>
                        # kb2message [ 5 ]: [ 7 ]: <ack0700put4five4xi>layer0700five</ack0700put4five4xi>
                        # kb2message [ 5 ]: [ 8 ]: <ack0800put4five4xi>layer0800five</ack0800put4five4xi>
                        # kb2message [ 5 ]: [ 9 ]: <ack0900put4five4xi>layer0900five</ack0900put4five4xi>
                        # kb2message [ 5 ]: [ 10 ]: <ack1000put4five4xi>layer1000five</ack1000put4five4xi>
                        # kb2message [ 5 ]: [ 11 ]: <ack1100put4five4xi>layer1100five</ack1100put4five4xi>
                        # kb2message [ 5 ]: [ 12 ]: <ack1200put4five4xi>layer1200five</ack1200put4five4xi>
                        # kb2message [ 5 ]: [ 13 ]: <ack1300put4five4xi>layer1300five</ack1300put4five4xi>
                        # kb2message [ 5 ]: [ 14 ]: <ack1400put4five4xi>layer1400five</ack1400put4five4xi>
                        # kb2message [ 5 ]: [ 15 ]: <ack1500put4five4xi>layer1500five</ack1500put4five4xi>
                        # kb2message [ 5 ]: [ 16 ]: <ack1600put4five4xi>layer1600five</ack1600put4five4xi>
                        # kb2message [ 5 ]: [ 17 ]: <ack1700put4five4xi>layer1700five</ack1700put4five4xi>
                        # kb2message [ 5 ]: [ 18 ]: <ack1800put4five4xi>layer1800five</ack1800put4five4xi>
                        # kb2message [ 5 ]: [ 19 ]: <ack1900put4five4xi>layer1900five</ack1900put4five4xi>
                        # kb2message [ 5 ]: [ 20 ]: <ack2000put4five4xi>layer2000five</ack2000put4five4xi>
                        # kb2message [ 5 ]: [ 21 ]: <ack2100put4five4xi>layer2100five</ack2100put4five4xi>
                        # kb2message [ 5 ]: [ 22 ]: <ack2200put4five4xi>layer2200five</ack2200put4five4xi>
                        # kb2message [ 5 ]: [ 23 ]: <ack2300put4five4xi>layer2300five</ack2300put4five4xi>
                        # kb2message [ 5 ]: [ 24 ]: <ack2400put4five4xi>layer2400five</ack2400put4five4xi>
                        # kb2message [ 5 ]: [ 25 ]: <ack2500put4five4xi>layer2500five</ack2500put4five4xi>
                        # kb2message [ 5 ]: [ 26 ]: <ack2600put4five4xi>layer2600five</ack2600put4five4xi>
                        # kb2message [ 5 ]: [ 27 ]: <ack2700put4five4xi>layer2700five</ack2700put4five4xi>
                        # kb2message [ 5 ]: [ 28 ]: <ack2800put4five4xi>layer2800five</ack2800put4five4xi>
                        # kb2message [ 5 ]: [ 29 ]: <ack2900put4five4xi>layer2900five</ack2900put4five4xi>
                        # kb2message [ 5 ]: [ 30 ]: <ack3000put4five4xi>layer3000five</ack3000put4five4xi>
                        # kb2message [ 5 ]: [ 31 ]: <ack3100put4five4xi>layer3100five</ack3100put4five4xi>
                        # kb2message [ 5 ]: [ 32 ]: <ack3200put4five4xi>layer3200five</ack3200put4five4xi>
                        # kb2message [ 5 ]: [ 33 ]: <ack3300put4five4xi>layer3300five</ack3300put4five4xi>
 
        except:
            print("\n (Step 633F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2MESSAGE")            

 

           
    # =========================================================================================================   
    # II/V FIVE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      

    
    #===========
    # 0010 FIVE   
    #===========
    kb2fire [5] = {}
           
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0010five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 434F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0010FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0010five = queue2five.get() 
                
                if ack2debug4five is True:
                    print("\n (Step 434F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0010FIVE: ", fire0010five) 
                                                                                                                                    # <queue4xi.Queue4Xi object at 0x04EF4510>  FIRE0010FIVE:  {}
                if ack2dragontrace is True:
                    message2print = "{(Step 434F3/800) got" + "; fire0010five-got-by-command2verb4zap: " + str(fire0010five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                  # {}                 
            else:
                print("\n (Step 434F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 434F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 434F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())
    
       
    kb2fire [5] [0] = fire0010five
            
      
           
    #===========
    # 0100 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0100five = {}

    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 441F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0100FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0100five = queue2five.get()
                 
                if ack2debug4five is True:
                    print("\n (Step 441F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0100FIVE: ", fire0100five) 
                    # 
                
                if ack2dragontrace is True:
                    message2print = "{(Step 441F2/800) got" + "; fire0100five-got-by-command2verb4zap: " + str(fire0100five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
                                   
                  
            else:
                print("\n (Step 441F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 441F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 441F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
       
    kb2fire [5] [1] = fire0100five
         

    #===========
    # 0200 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0200five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 542F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0200FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0200five = queue2five.get()
                   
                if ack2debug4five is True:
                    print("\n (Step 542F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0200FIVE: ", fire0200five) 
                    #
                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 542F2/800) got" + "; fire0200five-got-by-command2verb4zap: " + str(fire0200five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
        
                  
            else:
                print("\n (Step 542F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 542F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 542F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                                    
       
    kb2fire [5] [2] = fire0200five
                                     
      


       
    #===========
    # 0300 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0300five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 543F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0300FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0300five = queue2five.get()
               
                if ack2debug4five is True:
                    print("\n (Step 543F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0300FIVE: ", fire0300five) 
                    # 
                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 543F2/800) got" + "; fire0300five-got-by-command2verb4zap: " + str(fire0300five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
                         
                  
            else:
                print("\n (Step 543F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 543F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 543F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [3] = fire0300five
   

       
    #===========
    # 0400 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0400five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 544F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0400five = queue2five.get()
                    
                if ack2debug4five is True:
                    print("\n (Step 544F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0400FIVE: ", fire0400five) 
                    # 
                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 544F2/800) got" + "; fire0400five-got-by-command2verb4zap: " + str(fire0400five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
                         
                  
            else:
                print("\n (Step 544F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 544F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 544F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [4] = fire0400five
   

                               
    #===========
    # 0500 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0500five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 545F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0500FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0500five = queue2five.get()
                    
                if ack2debug4five is True:
                    print("\n (Step 545F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0500FIVE: ", fire0500five) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 545F2/800) got" + "; fire0500five-got-by-command2verb4zap: " + str(fire0500five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 545F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 545F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 545F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                                  
       
    kb2fire [5] [5] = fire0500five
         

                                                                                          
    #===========
    # 0600 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0600five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 546F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0600FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0600five = queue2five.get()
              
                if ack2debug4five is True:
                    print("\n (Step 546F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0600FIVE: ", fire0600five) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 546F2/800) got" + "; fire0600five-got-by-command2verb4zap: " + str(fire0600five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 546F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 546F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 546F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [6] = fire0600five
   

        
    #===========
    # 0700 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0700five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 547F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0700FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0700five = queue2five.get()
                
                if ack2debug4five is True:
                    print("\n (Step 547F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0700FIVE: ", fire0700five) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 547F2/800) got" + "; fire0700five-got-by-command2verb4zap: " + str(fire0700five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 547F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 547F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 547F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

       
    kb2fire [5] [7] = fire0700five
   
          
    #===========
    # 0800 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0800five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 548F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0800FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0800five = queue2five.get()
              
                if ack2debug4five is True:
                    print("\n (Step 548F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0800FIVE: ", fire0800five) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 548F2/800) got" + "; fire0800five-got-by-command2verb4zap: " + str(fire0800five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 548F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 548F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 548F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [8] = fire0800five
   

        
    #===========
    # 0900 FIVE
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0900five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 549F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0900FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire0900five = queue2five.get()
                 
                if ack2debug4five is True:
                    print("\n (Step 549F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE0900FIVE: ", fire0900five) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 549F2/800) got" + "; fire0900five-got-by-command2verb4zap: " + str(fire0900five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
            else:
                print("\n (Step 549F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 549F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 549F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [9] = fire0900five
   

        
    #============
    # 1000 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1000five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 550F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1000FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1000five = queue2five.get()
               
                if ack2debug4five is True:
                    print("\n (Step 550F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1000FIVE: ", fire1000five) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 550F2/800) got" + "; fire1000five-got-by-command2verb4zap: " + str(fire1000five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
            else:
                print("\n (Step 550F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 550F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 550F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [10] = fire1000five
   
        
    #============
    # 1100 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1100five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 551F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1100FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1100five = queue2five.get()
              
                if ack2debug4five is True:
                    print("\n (Step 551F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1100FIVE: ", fire1100five) 
                    #
                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 551F2/800) got" + "; fire1100five-got-by-command2verb4zap: " + str(fire1100five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
            else:
                print("\n (Step 551F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 551F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 551F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [11] = fire1100five
   

        
    #============
    # 1200 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1200five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 552F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1200FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1200five = queue2five.get()
               
                if ack2debug4five is True:
                    print("\n (Step 552F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1200FIVE: ", fire1200five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 552F2/800) got" + "; fire1200five-got-by-command2verb4zap: " + str(fire1200five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 552F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 552F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 552F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [12] = fire1200five
   

        
    #============
    # 1300 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1300five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 553F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1300FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1300five = queue2five.get()
           
                if ack2debug4five is True:
                    print("\n (Step 553F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1300FIVE: ", fire1300five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 553F2/800) got" + "; fire1300five-got-by-command2verb4zap: " + str(fire1300five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 553F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 553F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 553F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [13] = fire1300five
   
        
    #============
    # 1400 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1400five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 554F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1400FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1400five = queue2five.get()
             
                if ack2debug4five is True:
                    print("\n (Step 554F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1400FIVE: ", fire1400five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 554F2/800) got" + "; fire1400five-got-by-command2verb4zap: " + str(fire1400five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 554F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 554F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 554F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [14] = fire1400five
   
        
    #============
    # 1500 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1500five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 555F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1500FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1500five = queue2five.get()
              
                if ack2debug4five is True:
                    print("\n (Step 555F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1500FIVE: ", fire1500five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 555F2/800) got" + "; fire1500five-got-by-command2verb4zap: " + str(fire1500five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
            else:
                print("\n (Step 555F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 555F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 555F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [15] = fire1500five
   
        
    #============
    # 1600 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1600five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 556F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1600FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1600five = queue2five.get() 
           
                if ack2debug4five is True:
                    print("\n (Step 556F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1600FIVE: ", fire1600five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 556F2/800) got" + "; fire1600five-got-by-command2verb4zap: " + str(fire1600five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 556F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 556F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 556F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [16] = fire1600five
   
        
    #============
    # 1700 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1700five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 557F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1700five = queue2five.get()
           
                if ack2debug4five is True:
                    print("\n (Step 557F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1700FIVE: ", fire1700five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 557F2/800) got" + "; fire1700five-got-by-command2verb4zap: " + str(fire1700five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 557F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 557F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 557F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [17] = fire1700five
   
        
    #============
    # 1800 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1800five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 558F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1800FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1800five = queue2five.get()
      
                if ack2debug4five is True:
                    print("\n (Step 558F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1800FIVE: ", fire1800five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 558F2/800) got" + "; fire1800five-got-by-command2verb4zap: " + str(fire1800five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 558F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 558F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 558F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [18] = fire1800five
   
        
    #============
    # 1900 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1900five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 559F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1900FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire1900five = queue2five.get()
                
                if ack2debug4five is True:
                    print("\n (Step 559F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE1900FIVE: ", fire1900five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 559F2/800) got" + "; fire1900five-got-by-command2verb4zap: " + str(fire1900five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 559F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 559F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 559F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [19] = fire1900five
         

        
    #============
    # 2000 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2000five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 560F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2000FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2000five = queue2five.get()
            
                if ack2debug4five is True:
                    print("\n (Step 560F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2000FIVE: ", fire2000five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 560F2/800) got" + "; fire2000five-got-by-command2verb4zap: " + str(fire2000five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 560F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 560F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 560F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [20] = fire2000five
   
        
    #============
    # 2100 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2100five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 561F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2100FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2100five = queue2five.get()
               
                if ack2debug4five is True:
                    print("\n (Step 561F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2100FIVE: ", fire2100five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 561F2/800) got" + "; fire2100five-got-by-command2verb4zap: " + str(fire2100five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 561F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 561F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 561F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [21] = fire2100five
   
        
    #============
    # 2200 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2200five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 562F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2200FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2200five = queue2five.get()
               
                if ack2debug4five is True:
                    print("\n (Step 562F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2200FIVE: ", fire2200five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 562F2/800) got" + "; fire2200five-got-by-command2verb4zap: " + str(fire2200five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
            else:
                print("\n (Step 562F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 562F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 562F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [22] = fire2200five
   
        
    #============
    # 2300 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2300five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 563F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2300FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2300five = queue2five.get()
       
                if ack2debug4five is True:
                    print("\n (Step 563F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2300FIVE: ", fire2300five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 563F2/800) got" + "; fire2300five-got-by-command2verb4zap: " + str(fire2300five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
            else:
                print("\n (Step 563F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 563F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 563F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [23] = fire2300five
   
        
    #============
    # 2400 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2400five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 564F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2400FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2400five = queue2five.get()
                
                if ack2debug4five is True:
                    print("\n (Step 564F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2400FIVE: ", fire2400five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 564F2/800) got" + "; fire2400five-got-by-command2verb4zap: " + str(fire2400five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 564F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 564F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 564F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [24] = fire2400five
   
        
    #============
    # 2500 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2500five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 565F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2500FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2500five = queue2five.get()
                
                if ack2debug4five is True:
                    print("\n (Step 565F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2500FIVE: ", fire2500five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 565F2/800) got" + "; fire2500five-got-by-command2verb4zap: " + str(fire2500five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 565F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 565F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 565F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [25] = fire2500five
   
        
    #============
    # 2600 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2600five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 566F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2600FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2600five = queue2five.get()

                if ack2debug4five is True:
                    print("\n (Step 566F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2600FIVE: ", fire2600five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 566F2/800) got" + "; fire2600five-got-by-command2verb4zap: " + str(fire2600five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 566F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 566F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 566F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
       
    kb2fire [5] [26] = fire2600five
                  

        
    #============
    # 2700 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2700five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 567F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2700FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2700five = queue2five.get()

                if ack2debug4five is True:
                    print("\n (Step 567F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2700FIVE: ", fire2700five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 567F2/800) got" + "; fire2700five-got-by-command2verb4zap: " + str(fire2700five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 567F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 567F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 567F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [27] = fire2700five
   
        
    #============
    # 2800 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2800five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 568F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2800FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2800five = queue2five.get()

                if ack2debug4five is True:
                    print("\n (Step 568F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2800FIVE: ", fire2800five) 
                    #                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 568F2/800) got" + "; fire2800five-got-by-command2verb4zap: " + str(fire2800five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
     
                  
            else:
                print("\n (Step 568F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 568F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 568F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [28] = fire2800five
           
    #============
    # 2900 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2900five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 569F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2900FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire2900five = queue2five.get()
                
                if ack2debug4five is True:
                    print("\n (Step 569F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2900FIVE: ", fire2900five) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 569F2/800) got" + "; fire2900five-got-by-command2verb4zap: " + str(fire2900five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
                
                  
            else:
                print("\n (Step 569F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 569F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 569F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [29] = fire2900five
   
        
    #============
    # 3000 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3000five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 570F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3000FIVE FROM QUEUE: ", queue2five)
                    # 
                
                fire3000five = queue2five.get()
                
                if ack2debug4five is True:
                    print("\n (Step 570F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE3000FIVE: ", fire3000five) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 570F2/800) got" + "; fire3000five-got-by-command2verb4zap: " + str(fire3000five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
                  
            else:
                print("\n (Step 570F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 570F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 570F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [30] = fire3000five
   
        
    #============
    # 3100 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3100five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 571F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3100FIVE FROM QUEUE: ", queue2five) 
                    # 
                
                fire3100five = queue2five.get()
        
                if ack2debug4five is True:
                    print("\n (Step 571F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE3100FIVE: ", fire3100five) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 571F2/800) got" + "; fire3100five-got-by-command2verb4zap: " + str(fire3100five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 571F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 571F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 571F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [31] = fire3100five
   
        
    #============
    # 3200 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3200five = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 572F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3200FIVE FROM QUEUE: ", queue2five)
                    # 
                fire3200five = queue2five.get()
                if ack2debug4five is True:
                    print("\n (Step 572F3/800) OF COMMAND2VERB4ZAP - FIRE3200FIVE: ", fire3200five) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 572F2/800) got" + "; fire3200five-got-by-command2verb4zap: " + str(fire3200five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)  
                # {'-1006x1915y2357z': {'2xi': {1: 5, 2: 3200, 3: {1: 16084954.386379741, 2: '#A29E9A', 3: 1, 4: 16084954.386379741}, 4: 'dragon-1006x1915y2357z', 5: '#DF0101', 6: 3206, 7: 8, 8: 3200, 9: 0, 10: 5, 11: '{started; sense-of-Cluster4Xi-started: 15:14:22 12/18/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1006x1915y2357z', 18: '-1006x1915y2357z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}; time: 15:14:48 12/18/10 Pacific Standard Time}
  
            else:
                print("\n (Step 572F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 572F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 572F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [32] = fire3200five
   
        
    #============
    # 3300 FIVE
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3300five = {}
    
    if ack2five4process is True:

        if ack2five4start is True: 

            if ack2five4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4five is True:
                    print("\n (Step 573F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3300FIVE FROM QUEUE: ", queue2five)   
                    # 
                fire3300five = queue2five.get()
                if ack2debug4five is True:
                    print("\n (Step 573F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE3300FIVE: ", fire3300five) 
                    # {'-1001x2946y1098z': {'2xi': {1: 5, 2: 3300, 3: {1: 17105971.998796422, 2: '#A29E9A', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1001x2946y1098z', 5: '#0B6138', 6: 3306, 7: 1, 8: 3300, 9: 0, 10: 5, 11: '{started; sense-of-SuperCluster4Xi-started: 02:56:55 12/17/10 Pacific Standard Time}', 
                    #                              12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1001x2946y1098z', 18: '-1001x2946y1098z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}
                
                if ack2dragontrace is True:
                    message2print = "{(Step 573F2/800) got" + "; fire3300five-got-by-command2verb4zap: " + str(fire3300five)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #  
                    
            else:
                print("\n (Step 573F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (Step 573F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (Step 573F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
       
    kb2fire [5] [33] = fire3300five
   
           
    # =========================================================================================================   
    # II/V EOF FIVE DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================      
    if ack2debug4five is True:
        print("\n (Step 573F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2FIRE")    
        try:
            print("\n (Step 573F8/800) OF COMMAND2VERB4ZAP - GOT FROM DIRECTION FIVE VIA QUEUE2FIVE: ", queue2five)
            keys2direction4fire = kb2fire.keys()                                                                              # 1 ... 8
            for key2direction4fire in keys2direction4fire:
                if key2direction4fire == 5:
                    temp2layerkb = kb2fire[key2direction4fire] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                    # 0,1,2 ... 33
                        print("\n kb2fire [", key2direction4fire, "]: [", key2layer4temp,"]:", kb2fire [key2direction4fire] [key2layer4temp])
                        # 
                        
                        
        except:
            print("\n (Step 573F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2FIRE")                                     
          
          
    # =========================================================================================================   
    # I/VI SIX DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST 
    # =========================================================================================================      
       
    #==========
    # 0010 SIX 
    #==========
    ack2debug4six = True
    
    kb2message [6] = {}
        
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 474F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0010receive4six = "<nack2receive4xi>layer0010six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                    
                    message0010receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 474F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0010receive4six) 
                                                                                                                                    # 
                
                    if ack2dragontrace is True:
                        message2print = "{(Step 474F2/800) received" + "; message0010receive4six-received-by-command2verb4zap: " + str(message0010receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0010receive4six-yielded-by-zap2verb4xii: " + str(message0010receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                       
            else:
                print("\n (Step 474F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 474F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 474F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [0] = message0010receive4six
   
    #==========
    # 0100 SIX
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 581F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0100receive4six = "<nack2receive4xi>layer0100six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0100receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 581F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0100receive4six)
                        # 
                
                    if ack2dragontrace is True:
                        message2print = "{(Step 581F2/800) received" + "; message0100receive4six-received-by-command2verb4zap: " + str(message0100receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0100receive4six-yielded-by-zap2verb4xii: " + str(message0100receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 581F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 581F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 581F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [1] = message0100receive4six
      
    #==========
    # 0200 SIX 
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 582F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0200receive4six = "<nack2receive4xi>layer0200six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0200receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 582F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0200receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 582F2/800) received" + "; message0200receive4six-received-by-command2verb4zap: " + str(message0200receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0200receive4six-yielded-by-zap2verb4xii: " + str(message0200receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 582F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 582F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 582F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [2] = message0200receive4six
                                                  
                                  
    
    #==========
    # 0300 SIX
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 583F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0300receive4six = "<nack2receive4xi>layer0300six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0300receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 583F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0300receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 583F2/800) received" + "; message0300receive4six-received-by-command2verb4zap: " + str(message0300receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0300receive4six-yielded-by-zap2verb4xii: " + str(message0300receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 583F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 583F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 583F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [3] = message0300receive4six
      
    #==========
    # 0400 SIX
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 584F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0400receive4six = "<nack2receive4xi>layer0400six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0400receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 584F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0400receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 584F2/800) received" + "; message0400receive4six-received-by-command2verb4zap: " + str(message0400receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0400receive4six-yielded-by-zap2verb4xii: " + str(message0400receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 584F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 584F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 584F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())
        
    kb2message [6] [4] = message0400receive4six
                              
    #==========
    # 0500 SIX
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 585F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0500receive4six = "<nack2receive4xi>layer0500six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0500receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 585F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0500receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 585F2/800) received" + "; message0500receive4six-received-by-command2verb4zap: " + str(message0500receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0500receive4six-yielded-by-zap2verb4xii: " + str(message0500receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #       
                
            else:
                print("\n (Step 585F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 585F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 585F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [5] = message0500receive4six
                                                                                         
    #==========
    # 0600 SIX
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 586F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0600receive4six = "<nack2receive4xi>layer0600six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0600receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 586F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0600receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 586F2/800) received" + "; message0600receive4six-received-by-command2verb4zap: " + str(message0600receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0600receive4six-yielded-by-zap2verb4xii: " + str(message0600receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                          
            else:
                print("\n (Step 586F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 586F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 584F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [6] = message0600receive4six
       
    #==========
    # 0700 SIX
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 587F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0700receive4six = "<nack2receive4xi>layer0700six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0700receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 587F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0700receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 587F2/800) received" + "; message0700receive4six-received-by-command2verb4zap: " + str(message0700receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0700receive4six-yielded-by-zap2verb4xii: " + str(message0700receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 587F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 587F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 587F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [7] = message0700receive4six
         
    #==========
    # 0800 SIX
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 588F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0800receive4six = "<nack2receive4xi>layer0800six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0800receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 588F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0800receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 588F2/800) received" + "; message0800receive4six-received-by-command2verb4zap: " + str(message0800receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0800receive4six-yielded-by-zap2verb4xii: " + str(message0800receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 588F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 588F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 588F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [8] = message0800receive4six
       
    #==========
    # 0900 SIX
    #==========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 589F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message0900receive4six = "<nack2receive4xi>layer0900six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message0900receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 589F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message0900receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 589F2/800) received" + "; message0900receive4six-received-by-command2verb4zap: " + str(message0900receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message0900receive4six-yielded-by-zap2verb4xii: " + str(message0900receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 589F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 589F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 589F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
      
        
    kb2message [6] [9] = message0900receive4six
             
     
    #===========
    # 1000 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 590F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1000receive4six = "<nack2receive4xi>layer1000six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1000receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 590F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1000receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 590F2/800) received" + "; message1000receive4six-received-by-command2verb4zap: " + str(message1000receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1000receive4six-yielded-by-zap2verb4xii: " + str(message1000receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 590F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 590F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 590F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [10] = message1000receive4six
       
    #===========
    # 1100 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 591F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1100receive4six = "<nack2receive4xi>layer1100six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1100receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 591F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1100receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 591F2/800) received" + "; message1100receive4six-received-by-command2verb4zap: " + str(message1100receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1100receive4six-yielded-by-zap2verb4xii: " + str(message1100receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 591F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 591F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 591F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [11] = message1100receive4six
        
    #===========
    # 1200 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 592F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1200receive4six = "<nack2receive4xi>layer1200six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1200receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 592F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1200receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 592F2/800) received" + "; message1200receive4six-received-by-command2verb4zap: " + str(message1200receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1200receive4six-yielded-by-zap2verb4xii: " + str(message1200receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 592F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 592F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 592F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [12] = message1200receive4six
        
    #===========
    # 1300 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 593F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1300receive4six = "<nack2receive4xi>layer1300six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1300receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 593F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1300receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 593F2/800) received" + "; message1300receive4six-received-by-command2verb4zap: " + str(message1300receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1300receive4six-yielded-by-zap2verb4xii: " + str(message1300receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 593F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 593F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 593F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [13] = message1300receive4six
        
    #===========
    # 1400 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 594F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1400receive4six = "<nack2receive4xi>layer1400six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1400receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 594F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1400receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 594F2/800) received" + "; message1400receive4six-received-by-command2verb4zap: " + str(message1400receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1400receive4six-yielded-by-zap2verb4xii: " + str(message1400receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 594F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 594F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 594F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [14] = message1400receive4six
        
    #===========
    # 1500 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 595F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1500receive4six = "<nack2receive4xi>layer1500six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1500receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 595F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1500receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 595F2/800) received" + "; message1500receive4six-received-by-command2verb4zap: " + str(message1500receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1500receive4six-yielded-by-zap2verb4xii: " + str(message1500receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 595F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 595F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 595F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [15] = message1500receive4six
        
    #===========
    # 1600 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 596F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1600receive4six = "<nack2receive4xi>layer1600six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1600receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 596F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1600receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 596F2/800) received" + "; message1600receive4six-received-by-command2verb4zap: " + str(message1600receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1600receive4six-yielded-by-zap2verb4xii: " + str(message1600receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 596F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 596F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 596F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [16] = message1600receive4six
        
    #===========
    # 1700 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 597F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1700receive4six = "<nack2receive4xi>layer1700six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1700receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 597F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1700receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 597F2/800) received" + "; message1700receive4six-received-by-command2verb4zap: " + str(message1700receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1700receive4six-yielded-by-zap2verb4xii: " + str(message1700receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 597F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 597F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 597F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [17] = message1700receive4six
        
    #===========
    # 1800 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 598F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1800receive4six = "<nack2receive4xi>layer1800six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1800receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 598F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1800receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 598F2/800) received" + "; message1800receive4six-received-by-command2verb4zap: " + str(message1800receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1800receive4six-yielded-by-zap2verb4xii: " + str(message1800receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 598F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 598F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 598F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    kb2message [6] [18] = message1800receive4six
        
    #===========
    # 1900 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 599F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message1900receive4six = "<nack2receive4xi>layer1900six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message1900receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 599F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message1900receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 599F2/800) received" + "; message1900receive4six-received-by-command2verb4zap: " + str(message1900receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message1900receive4six-yielded-by-zap2verb4xii: " + str(message1900receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 599F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 599F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 599F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
        
    kb2message [6] [19] = message1900receive4six
        
    #===========
    # 2000 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 600F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2000receive4six = "<nack2receive4xi>layer2000six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2000receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 600F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2000receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 600F2/800) received" + "; message2000receive4six-received-by-command2verb4zap: " + str(message2000receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2000receive4six-yielded-by-zap2verb4xii: " + str(message2000receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                      
            else:
                print("\n (Step 600F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 600F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 600F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [20] = message2000receive4six
        
    #===========
    # 2100 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 621F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2100receive4six = "<nack2receive4xi>layer2100six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2100receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 621F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2100receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 621F2/800) received" + "; message2100receive4six-received-by-command2verb4zap: " + str(message2100receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2100receive4six-yielded-by-zap2verb4xii: " + str(message2100receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 621F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 621F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 621F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [21] = message2100receive4six
        
    #===========
    # 2200 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 622F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2200receive4six = "<nack2receive4xi>layer2200six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2200receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 622F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2200receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 622F2/800) received" + "; message2200receive4six-received-by-command2verb4zap: " + str(message2200receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2200receive4six-yielded-by-zap2verb4xii: " + str(message2200receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 622F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 622F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 622F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [22] = message2200receive4six
        
    #===========
    # 2300 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 623F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2300receive4six = "<nack2receive4xi>layer2300six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2300receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 623F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2300receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 623F2/800) received" + "; message2300receive4six-received-by-command2verb4zap: " + str(message2300receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2300receive4six-yielded-by-zap2verb4xii: " + str(message2300receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 623F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 623F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 623F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [23] = message2300receive4six
        
    #===========
    # 2400 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 624F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2400receive4six = "<nack2receive4xi>layer2400six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2400receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 624F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2400receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 624F2/800) received" + "; message2400receive4six-received-by-command2verb4zap: " + str(message2400receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2400receive4six-yielded-by-zap2verb4xii: " + str(message2400receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 624F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 624F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 624F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [24] = message2400receive4six
        
    #===========
    # 2500 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 625F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2500receive4six = "<nack2receive4xi>layer2500six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2500receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 625F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2500receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 625F2/800) received" + "; message2500receive4six-received-by-command2verb4zap: " + str(message2500receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2500receive4six-yielded-by-zap2verb4xii: " + str(message2500receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 625F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 625F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 625F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [25] = message2500receive4six
        
    #===========
    # 2600 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 626F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2600receive4six = "<nack2receive4xi>layer2600six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2600receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 626F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2600receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 626F2/800) received" + "; message2600receive4six-received-by-command2verb4zap: " + str(message2600receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2600receive4six-yielded-by-zap2verb4xii: " + str(message2600receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 626F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 626F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 626F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [26] = message2600receive4six
        
    #===========
    # 2700 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 627F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                                        #  
                                                                                                                                   
                message2700receive4six = "<nack2receive4xi>layer2700six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2700receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 627F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2700receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 627F2/800) received" + "; message2700receive4six-received-by-command2verb4zap: " + str(message2700receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2700receive4six-yielded-by-zap2verb4xii: " + str(message2700receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 627F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 627F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 627F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [27] = message2700receive4six
        
    #===========
    # 2800 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 628F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2800receive4six = "<nack2receive4xi>layer2800six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message2800receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 628F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2800receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 628F2/800) received" + "; message2800receive4six-received-by-command2verb4zap: " + str(message2800receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2800receive4six-yielded-by-zap2verb4xii: " + str(message2800receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                         
                
            else:
                print("\n (Step 628F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 628F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 628F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [28] = message2800receive4six
        
    #===========
    # 2900 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 629F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message2900receive4six = "<nack2receive4xi>layer2900six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                    message2900receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 629F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2900receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 629F2/800) received" + "; message2900receive4six-received-by-command2verb4zap: " + str(message2900receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message2900receive4six-yielded-by-zap2verb4xii: " + str(message2900receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                         
            else:
                print("\n (Step 629F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 629F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 629F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [29] = message2900receive4six
        
    #===========
    # 3000 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 630F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message3000receive4six = "<nack2receive4xi>layer3000six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                
                    message3000receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 630F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message3000receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 630F2/800) received" + "; message3000receive4six-received-by-command2verb4zap: " + str(message3000receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message3000receive4six-yielded-by-zap2verb4xii: " + str(message3000receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                         
                
            else:
                print("\n (Step 630F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 630F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 630F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [30] = message3000receive4six
        
    #===========
    # 3100 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 631F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                    #  
                                                                                                                                   
                message3100receive4six = "<nack2receive4xi>layer3100six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                    
                    message3100receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 631F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message3100receive4six) 
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 631F2/800) received" + "; message3100receive4six-received-by-command2verb4zap: " + str(message3100receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message3100receive4six-yielded-by-zap2verb4xii: " + str(message3100receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                            
            else:
                print("\n (Step 631F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 631F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 631F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [31] = message3100receive4six
        
    #===========
    # 3200 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 632F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                                                                                                                                                        #  
                                                                                                                                   
                message3200receive4six = "<nack2receive4xi>layer3200six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                    message3200receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 632F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message3200receive4six)
                        # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 632F2/800) received" + "; message3200receive4six-received-by-command2verb4zap: " + str(message3200receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F4/33) yielded" + "; message3200receive4six-yielded-by-zap2verb4xii: " + str(message3200receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                            
            else:
                print("\n (Step 632F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 632F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 632F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [32] = message3200receive4six
        
    #===========
    # 3300 SIX
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 633F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel) 
                                                                                                                                    #  
                                                                                                                                   
                message3300receive4six = "<nack2receive4xi>layer3300six</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                        
                    message3300receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug4six is True:
                        print("\n (Step 6336F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message3300receive4six)
                                                                                                                                        #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 6336F2/800) received" + "; message3300receive4six-received-by-command2verb4zap: " + str(message3300receive4six) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)  
                except:
                    message2print = "{(Step 6836F4/33) yielded" + "; message3300receive4six-yielded-by-zap2verb4xii: " + str(message3300receive4six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                                                                                                                      # <ack3300put4five4xi>layer3300five</ack3300put4five4xi>                          
            else:
                print("\n (Step 6336F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 6336F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 6336F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
    kb2message [6] [33] = message3300receive4six
   
      
           
    # =========================================================================================================   
    # I/VI EOF SIX DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST 
    # =========================================================================================================      
    if ack2debug4six is True:
        print("\n (Step 6633F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2MESSAGE")    
        try:
            print("\n (Step 6633F8/800) OF COMMAND2VERB4ZAP - RECEIVED FROM DIRECTION SIX VIA PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
            keys2direction4message = kb2message.keys()                                                                              # 1 ... 8
            for key2direction4message in keys2direction4message:
                if key2direction4message == 6:
                    temp2layerkb = kb2message[key2direction4message] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                          # 0,1,2 ... 33
                        print("\n kb2message [", key2direction4message, "]: [", key2layer4temp,"]:", kb2message [key2direction4message] [key2layer4temp])
                        # kb2message [ 6 ]: [ 0 ]: <ack0010put4six4xi>layer0010six</ack0010put4six4xi>
                        # kb2message [ 6 ]: [ 1 ]: <ack0600put4six4xi>layer0600six</ack0600put4six4xi>
                        # kb2message [ 6 ]: [ 2 ]: <ack0700put4six4xi>layer0700six</ack0700put4six4xi>
                        # kb2message [ 6 ]: [ 3 ]: <ack0800put4six4xi>layer0800six</ack0800put4six4xi>
                        # kb2message [ 6 ]: [ 4 ]: <ack0900put4six4xi>layer0900six</ack0900put4six4xi>
                        # kb2message [ 6 ]: [ 5 ]: <ack0200put4six4xi>layer0200six</ack0200put4six4xi>
                        # kb2message [ 6 ]: [ 6 ]: <ack1000put4six4xi>layer1000six</ack1000put4six4xi>
                        # kb2message [ 6 ]: [ 7 ]: <ack1100put4six4xi>layer1100six</ack1100put4six4xi>
                        # kb2message [ 6 ]: [ 8 ]: <ack0100put4six4xi>layer0100six</ack0100put4six4xi>
                        # kb2message [ 6 ]: [ 9 ]: <ack0300put4six4xi>layer0300six</ack0300put4six4xi>
                        # kb2message [ 6 ]: [ 10 ]: <ack1200put4six4xi>layer1200six</ack1200put4six4xi>
                        # kb2message [ 6 ]: [ 11 ]: <ack1300put4six4xi>layer1300six</ack1300put4six4xi>
                        # kb2message [ 6 ]: [ 12 ]: <ack1400put4six4xi>layer1400six</ack1400put4six4xi>
                        # kb2message [ 6 ]: [ 13 ]: <ack0400put4six4xi>layer0400six</ack0400put4six4xi>
                        # kb2message [ 6 ]: [ 14 ]: <ack1500put4six4xi>layer1500six</ack1500put4six4xi>
                        # kb2message [ 6 ]: [ 15 ]: <ack0500put4six4xi>layer0500six</ack0500put4six4xi>
                        # kb2message [ 6 ]: [ 16 ]: <ack1600put4six4xi>layer1600six</ack1600put4six4xi>
                        # kb2message [ 6 ]: [ 17 ]: <ack1700put4six4xi>layer1700six</ack1700put4six4xi>
                        # kb2message [ 6 ]: [ 18 ]: <ack1800put4six4xi>layer1800six</ack1800put4six4xi>
                        # kb2message [ 6 ]: [ 19 ]: <ack1900put4six4xi>layer1900six</ack1900put4six4xi>
                        # kb2message [ 6 ]: [ 20 ]: <ack2000put4six4xi>layer2000six</ack2000put4six4xi>
                        # kb2message [ 6 ]: [ 21 ]: <ack2100put4six4xi>layer2100six</ack2100put4six4xi>
                        # kb2message [ 6 ]: [ 22 ]: <ack2200put4six4xi>layer2200six</ack2200put4six4xi>
                        # kb2message [ 6 ]: [ 23 ]: <ack2300put4six4xi>layer2300six</ack2300put4six4xi>
                        # kb2message [ 6 ]: [ 24 ]: <ack2400put4six4xi>layer2400six</ack2400put4six4xi>
                        # kb2message [ 6 ]: [ 25 ]: <ack2500put4six4xi>layer2500six</ack2500put4six4xi>
                        # kb2message [ 6 ]: [ 26 ]: <ack2600put4six4xi>layer2600six</ack2600put4six4xi>
                        # kb2message [ 6 ]: [ 27 ]: <ack2700put4six4xi>layer2700six</ack2700put4six4xi>
                        # kb2message [ 6 ]: [ 28 ]: <ack2800put4six4xi>layer2800six</ack2800put4six4xi>
                        # kb2message [ 6 ]: [ 29 ]: <ack2900put4six4xi>layer2900six</ack2900put4six4xi>
                        # kb2message [ 6 ]: [ 30 ]: <ack3000put4six4xi>layer3000six</ack3000put4six4xi>
                        # kb2message [ 6 ]: [ 31 ]: <ack3100put4six4xi>layer3100six</ack3100put4six4xi>
                        # kb2message [ 6 ]: [ 32 ]: <ack3200put4six4xi>layer3200six</ack3200put4six4xi>
                        # kb2message [ 6 ]: [ 33 ]: <ack3300put4six4xi>layer3300six</ack3300put4six4xi> 
        except:
            print("\n (Step 6633F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2MESSAGE")             

 

           
    # =========================================================================================================   
    # II/VI SIX DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================      

    #==========
    # 0010 SIX   
    #==========
    kb2fire [6] = {}
        
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0010six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 434F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2SIX104XI FROM QUEUE: ", queue2six)
                    # 
                
                fire0010six = queue2six.get() 
                
                if ack2debug4six is True:
                    print("\n (Step 434F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX104XI: ", fire0010six) 
                    #             # {'-16x7y-9z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-16x7y-9z', 5: '#BEF781', 6: 61, 7: 10, 8: Decimal('19.6468827044'), 9: Decimal('9'), 10: 6, 11: '{passed; object-passed-to-sense-object4xi: zskeleton4xi.ZSkeleton4Xi object at 0x02A63DD0; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'sense_object4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-16x6y-9z', 16: '-17x44y-51z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'sense_object4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #'-15x45y-50z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-15x45y-50z', 5: '#4C7094', 6: 42, 7: 30, 8: Decimal('68.9202437605'), 9: Decimal('58'), 10: 6, 11: '{(Step 2/3) got; z2xi-got-by-get-zskeleton4xi: z2xi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-14x11y-8z', 16: '-15x8y-8z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-13x12y-7z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-13x12y-7z', 5: '#4C7094', 6: 7, 7: 30, 8: Decimal('19.0262975904'), 9: Decimal('9'), 10: 6, 11: '{returning; z2xi-returning-by-get-zskeleton4xi: z2xi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-12x13y-7z', 16: '-13x12y-8z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-12x13y-7z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-12x13y-7z', 5: '#4C7094', 6: 6, 7: 30, 8: Decimal('19.0262975904'), 9: Decimal('9'), 10: 6, 11: '{(Step 2/3) got; z2xi-got-by-get-zskeleton4xi: z2xi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-11x47y-49z', 16: '-13x12y-7z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-13x12y-8z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-13x12y-8z', 5: '#4C7094', 6: 12, 7: 30, 8: Decimal('19.4164878389'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/3) started; get-zskeleton4xi-started: function get_zskeleton4xi at 0x02A5F810; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-13x12y-7z', 16: '-13x46y-50z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-16x5y-9z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-16x5y-9z', 5: '#4C7094', 6: 57, 7: 30, 8: Decimal('19.0262975904'), 9: Decimal('9'), 10: 6, 11: '{returning; z2xi-returning-by-get-zskeleton4xi: z2xi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-16x4y-9z', 16: '-16x6y-9z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-14x11y-8z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-14x11y-8z', 5: '#4C7094', 6: 41, 7: 30, 8: Decimal('19.5192212959'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/3) started; get-zskeleton4xi-started: function get_zskeleton4xi at 0x02A5F810; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-14x10y-8z', 16: '-15x45y-50z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-15x8y-8z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-15x8y-8z', 5: '#4C7094', 6: 43, 7: 30, 8: Decimal('18.7882942281'), 9: Decimal('8'), 10: 6, 11: '{returning; z2xi-returning-by-get-zskeleton4xi: z2xi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-15x45y-50z', 16: '-15x9y-8z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-16x6y-9z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-16x6y-9z', 5: '#BEF781', 6: 60, 7: 10, 8: Decimal('19.3132079158'), 9: Decimal('9'), 10: 6, 11: '{started; sense-object4xi-started: function sense_object4xi at 0x02A5F780; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'sense_object4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-16x5y-9z', 16: '-16x7y-9z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'sense_object4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-14x10y-8z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-14x10y-8z', 5: '#4C7094', 6: 14, 7: 30, 8: Decimal('18.973665961'), 9: Decimal('8'), 10: 6, 11: '{returning; z2xi-returning-by-get-zskeleton4xi: z2xi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-13x46y-50z', 16: '-14x11y-8z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-13x46y-50z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-13x46y-50z', 5: '#4C7094', 6: 13, 7: 30, 8: Decimal('69.1736944221'), 9: Decimal('59'), 10: 6, 11: '{(Step 2/3) got; z2xi-got-by-get-zskeleton4xi: z2xi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-13x12y-8z', 16: '-14x10y-8z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-16x4y-9z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-16x4y-9z', 5: '#4C7094', 6: 56, 7: 30, 8: Decimal('18.7882942281'), 9: Decimal('8'), 10: 6, 11: '{(Step 2/3) got; z2xi-got-by-get-zskeleton4xi: z2xi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-15x9y-8z', 16: '-16x5y-9z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-17x44y-51z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-17x44y-51z', 5: '#BEF781', 6: 62, 7: 10, 8: Decimal('69.4694177318'), 9: Decimal('59'), 10: 6, 11: "{returning; kb2xi-returning-by-sense-object4xi: {'object': zskeleton4xi.ZSkeleton4Xi object at 0x02A63DD0}; time: 18:58:34 11/11/10 Pacific Standard Time}", 12: 'sense_object4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-16x7y-9z', 16: '+0x+0y+0z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'sense_object4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-11x47y-49z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-11x47y-49z', 5: '#4C7094', 6: 5, 7: 30, 8: Decimal('68.7822651561'), 9: Decimal('58'), 10: 6, 11: '{(Step 1/3) started; get-zskeleton4xi-started: function get_zskeleton4xi at 0x02A5F810; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-0x-0y-0z', 16: '-12x13y-7z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-15x9y-8z': {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 15, 4: 10.471975511965978}, 4: 'dragon-15x9y-8z', 5: '#4C7094', 6: 55, 7: 30, 8: Decimal('19.2353840617'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/3) started; get-zskeleton4xi-started: function get_zskeleton4xi at 0x02A5F810; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'get_zskeleton4xi', 13: 1, 14: '-0x-0y-0z',
                    #                       15: '-15x8y-8z', 16: '-16x4y-9z', 17: '-17x44y-51z', 18: '-11x47y-49z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}}
                if ack2dragontrace is True:
                    message2print = "{(Step 434F3/800) got" + "; fire0010six-got-by-command2verb4zap: " + str(fire0010six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                
            else:
                print("\n (Step 434F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 434F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 434F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())
    
    kb2fire [6] [0] = fire0010six    
      
           
    #==========
    # 0100 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0100six = {}

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 441F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0100SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0100six = queue2six.get()
                  
                if ack2debug4six is True:
                    print("\n (Step 441F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0100SIX: ", fire0100six) 
                    # 
                                    
                if ack2dragontrace is True:
                    message2print = "{(Step 441F2/800) got" + "; fire0100six-got-by-command2verb4zap: " + str(fire0100six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                    #    
                  
            else:
                print("\n (Step 441F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 441F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 441F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
    
    kb2fire [6] [1] = fire0100six    
        

    #==========
    # 0200 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0200six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 542F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0200SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0200six = queue2six.get()
              
                if ack2debug4six is True:
                    print("\n (Step 542F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0200SIX: ", fire0200six) 
                    #                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 442F2/800) got" + "; fire0200six-got-by-command2verb4zap: " + str(fire0200six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                 
                  
            else:
                print("\n (Step 542F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 542F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 542F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                                    
                                  
    
    kb2fire [6] [2] = fire0200six    
         


       
    #==========
    # 0300 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0300six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 543F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0300SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0300six = queue2six.get()
              
                if ack2debug4six is True:
                    print("\n (Step 543F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0300SIX: ", fire0300six) 
                    #                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 443F2/800) got" + "; fire0300six-got-by-command2verb4zap: " + str(fire0300six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                 
                  
            else:
                print("\n (Step 543F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 543F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 543F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [3] = fire0300six    
   

       
    #==========
    # 0400 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0400six= {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 544F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0400six = queue2six.get()
                
                if ack2debug4six is True:
                    print("\n (Step 544F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0400SIX: ", fire0400six) 
                    #                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 444F2/800) got" + "; fire0400six-got-by-command2verb4zap: " + str(fire0400six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                 
                  
            else:
                print("\n (Step 544F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 544F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 544F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [4] = fire0400six    
   

                               
    #==========
    # 0500 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0500six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 545F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0500SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0500six = queue2six.get()
                   
                if ack2debug4six is True:
                    print("\n (Step 545F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0500SIX: ", fire0500six) 
                    #                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 545F2/800) got" + "; fire0500six-got-by-command2verb4zap: " + str(fire0500six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                 
                  
            else:
                print("\n (Step 545F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 545F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 545F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                                  
    
    kb2fire [6] [5] = fire0500six    
         

                                                                                          
    #==========
    # 0600 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0600six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 546F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0600SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0600six = queue2six.get()
             
                if ack2debug4six is True:
                    print("\n (Step 546F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0600SIX: ", fire0600six) 
                    # 
                                                        
                if ack2dragontrace is True:
                    message2print = "{(Step 546F2/800) got" + "; fire0600six-got-by-command2verb4zap: " + str(fire0600six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                 
                  
            else:
                print("\n (Step 546F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 546F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 546F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [6] = fire0600six    
   

        
    #==========
    # 0700 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0700six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 547F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0700SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0700six = queue2six.get()
               
                if ack2debug4six is True:
                    print("\n (Step 547F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0700SIX: ", fire0700six) 
                    #                      
                                                       
                if ack2dragontrace is True:
                    message2print = "{(Step 547F2/800) got" + "; fire0700six-got-by-command2verb4zap: " + str(fire0700six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 547F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 547F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 547F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [7] = fire0700six    
   

          
    #==========
    # 0800 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0800six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 548F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0800SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0800six = queue2six.get()
                
                if ack2debug4six is True:
                    print("\n (Step 548F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0800SIX: ", fire0800six) 
                    #                                                        
                if ack2dragontrace is True:
                    message2print = "{(Step 548F2/800) got" + "; fire0800six-got-by-command2verb4zap: " + str(fire0800six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 548F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 548F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 548F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [8] = fire0800six    
   

        
    #==========
    # 0900 SIX
    #==========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0900six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 549F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0900SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire0900six = queue2six.get()
               
                if ack2debug4six is True:
                    print("\n (Step 549F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE0900SIX: ", fire0900six) 
                    #                                                        
                if ack2dragontrace is True:
                    message2print = "{(Step 549F2/800) got" + "; fire0900six-got-by-command2verb4zap: " + str(fire0900six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 549F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 549F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 549F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [9] = fire0900six    
   

        
    #===========
    # 1000 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1000six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 550F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1000SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1000six = queue2six.get()
            
                if ack2debug4six is True:
                    print("\n (Step 550F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1000SIX: ", fire1000six) 
                    # 
                                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 550F2/800) got" + "; fire1000six-got-by-command2verb4zap: " + str(fire1000six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 550F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 550F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 550F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [10] = fire1000six    
   
        
    #===========
    # 1100 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1100six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 551F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1100SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1100six = queue2six.get()
              
                if ack2debug4six is True:
                    print("\n (Step 551F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1100IX1 ", fire1100six) 
                    #                      
                                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 551F2/800) got" + "; fire1100six-got-by-command2verb4zap: " + str(fire1100six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 551F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 551F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 551F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [11] = fire1100six    
  

        
    #===========
    # 1200 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1200six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 552F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1200SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1200six = queue2six.get()
         
                if ack2debug4six is True:
                    print("\n (Step 552F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1200SIX: ", fire1200six) 
                    # 
                                                                           
                if ack2dragontrace is True:
                    message2print = "{(Step 552F2/800) got" + "; fire1200six-got-by-command2verb4zap: " + str(fire1200six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #                     
                  
            else:
                print("\n (Step 552F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 552F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 552F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [12] = fire1200six    
  

        
    #===========
    # 1300 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1300six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 553F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1300SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1300six = queue2six.get()
             
                if ack2debug4six is True:
                    print("\n (Step 553F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1300SIX: ", fire1300six) 
                    #                                                                            
                if ack2dragontrace is True:
                    message2print = "{(Step 553F2/800) got" + "; fire1300six-got-by-command2verb4zap: " + str(fire1300six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 553F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 553F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 553F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [13] = fire1300six    
  
        
    #===========
    # 1400 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1400six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 554F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1400SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1400six = queue2six.get()
               
                if ack2debug4six is True:
                    print("\n (Step 554F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1400SIX: ", fire1400six) 
                    # 
                                                                                               
                if ack2dragontrace is True:
                    message2print = "{(Step 554F2/800) got" + "; fire1400six-got-by-command2verb4zap: " + str(fire1400six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                
            else:
                print("\n (Step 554F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 554F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 554F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [14] = fire1400six    
  
        
    #===========
    # 1500 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1500six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 555F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1500SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1500six = queue2six.get()
               
                if ack2debug4six is True:
                    print("\n (Step 555F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1500SIX: ", fire1500six) 
                    #
                                                                                                
                if ack2dragontrace is True:
                    message2print = "{(Step 555F2/800) got" + "; fire1500six-got-by-command2verb4zap: " + str(fire1500six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 555F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 555F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 555F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [15] = fire1500six    
  
        
    #===========
    # 1600 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1600six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 556F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1600SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1600six = queue2six.get() 
                
                if ack2debug4six is True:
                    print("\n (Step 556F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1600SIX: ", fire1600six) 
                    # 
                                                                        
                if ack2dragontrace is True:
                    message2print = "{(Step 556F2/800) got" + "; fire1600six-got-by-command2verb4zap: " + str(fire1600six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 556F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 556F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 556F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [16] = fire1600six    
  
        
    #===========
    # 1700 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1700six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 557F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1700six = queue2six.get()
                 
                if ack2debug4six is True:
                    print("\n (Step 557F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1700SIX: ", fire1700six) 
                    #
                                                                                                
                if ack2dragontrace is True:
                    message2print = "{(Step 557F2/800) got" + "; fire1700six-got-by-command2verb4zap: " + str(fire1700six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 557F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 557F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 557F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [17] = fire1700six    
  
        
    #===========
    # 1800 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1800six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 558F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1800SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1800six = queue2six.get()
              
                if ack2debug4six is True:
                    print("\n (Step 558F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1800SIX: ", fire1800six) 
                    #                      
                                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 558F2/800) got" + "; fire1800six-got-by-command2verb4zap: " + str(fire1800six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 558F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 558F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 558F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [18] = fire1800six    
  
        
    #===========
    # 1900 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1900six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 559F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1900SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire1900six = queue2six.get()
                
                if ack2debug4six is True:
                    print("\n (Step 559F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE1900SIX: ", fire1900six) 
                    # 
                                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 559F2/800) got" + "; fire1900six-got-by-command2verb4zap: " + str(fire1900six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
                  
            else:
                print("\n (Step 559F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 559F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 559F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [19] = fire1900six    
        

        
    #===========
    # 2000 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2000six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 560F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2000SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2000six = queue2six.get()
             
                if ack2debug4six is True:
                    print("\n (Step 560F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2000SIX: ", fire2000six) 
                    #
                                                                                               
                if ack2dragontrace is True:
                    message2print = "{(Step 560F2/800) got" + "; fire2000six-got-by-command2verb4zap: " + str(fire2000six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
                  
            else:
                print("\n (Step 560F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 560F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 560F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [20] = fire2000six    
  
        
    #===========
    # 2100 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2100six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 561F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2100SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2100six = queue2six.get()
             
                if ack2debug4six is True:
                    print("\n (Step 561F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2100SIX: ", fire2100six) 
                    #                                                                                                
                if ack2dragontrace is True:
                    message2print = "{(Step 561F2/800) got" + "; fire2100six-got-by-command2verb4zap: " + str(fire2100six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 561F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 561F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 561F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [21] = fire2100six    
  
        
    #===========
    # 2200 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2200six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 562F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2200SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2200six = queue2six.get()
                
                if ack2debug4six is True:
                    print("\n (Step 562F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2200SIX: ", fire2200six) 
                    #                                                                                                
                if ack2dragontrace is True:
                    message2print = "{(Step 562F2/800) got" + "; fire2200six-got-by-command2verb4zap: " + str(fire2200six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 562F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 562F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 562F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [22] = fire2200six    
  
        
    #===========
    # 2300 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2300six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 563F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2300SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2300six = queue2six.get()
             
                if ack2debug4six is True:
                    print("\n (Step 563F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2300SIX: ", fire2300six) 
                    # 
                                                                                                                    
                if ack2dragontrace is True:
                    message2print = "{(Step 563F2/800) got" + "; fire2300six-got-by-command2verb4zap: " + str(fire2300six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 563F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 563F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 563F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [23] = fire2300six    
  
        
    #===========
    # 2400 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2400six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 564F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2400SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2400six = queue2six.get()

                if ack2debug4six is True:
                    print("\n (Step 564F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2400SIX: ", fire2400six) 
                    #
                                                                                                                                         
                if ack2dragontrace is True:
                    message2print = "{(Step 564F2/800) got" + "; fire2400six-got-by-command2verb4zap: " + str(fire2400six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                 
                  
            else:
                print("\n (Step 564F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 564F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 564F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [24] = fire2400six    
  
        
    #===========
    # 2500 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2500six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 565F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2500SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2500six = queue2six.get()

                if ack2debug4six is True:
                    print("\n (Step 565F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2500SIX: ", fire2500six) 
                    #
                                                                                                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 565F2/800) got" + "; fire2500six-got-by-command2verb4zap: " + str(fire2500six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 565F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 565F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 565F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [25] = fire2500six    
  
        
    #===========
    # 2600 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2600six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 566F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2600SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2600six = queue2six.get()

                if ack2debug4six is True:
                    print("\n (Step 566F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2600SIX: ", fire2600six) 
                    #
                                                                                                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 566F2/800) got" + "; fire2600six-got-by-command2verb4zap: " + str(fire2600six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 566F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 566F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 566F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [26] = fire2600six    
  
        
    #===========
    # 2700 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2700six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 567F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2700SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2700six = queue2six.get()

                if ack2debug4six is True:
                    print("\n (Step 567F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2700SIX: ", fire2700six) 
                    #
                                                                                                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 567F2/800) got" + "; fire2700six-got-by-command2verb4zap: " + str(fire2700six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 567F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 567F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 567F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [27] = fire2700six    
  
        
    #===========
    # 2800 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2800six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 568F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2800SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2800six = queue2six.get()

                if ack2debug4six is True:
                    print("\n (Step 568F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2800SIX: ", fire2800six) 
                    #
                                                                                                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 568F2/800) got" + "; fire2800six-got-by-command2verb4zap: " + str(fire2800six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 568F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 568F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 568F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [28] = fire2800six    
  
        
    #===========
    # 2900 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2900six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 569F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2900SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire2900six = queue2six.get()
                 
                if ack2debug4six is True:
                    print("\n (Step 569F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2900SIX: ", fire2900six) 
                    #
                                                                                                                                                                                   
                if ack2dragontrace is True:
                    message2print = "{(Step 569F2/800) got" + "; fire2900six-got-by-command2verb4zap: " + str(fire2900six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
                  
            else:
                print("\n (Step 569F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 569F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 569F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [29] = fire2900six    
  
        
    #===========
    # 3000 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3000six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 570F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3000SIX FROM QUEUE: ", queue2six)
                    # 
                
                fire3000six = queue2six.get()
               
                if ack2debug4six is True:
                    print("\n (Step 570F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE3000SIX: ", fire3000six) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 570F2/800) got" + "; fire3000six-got-by-command2verb4zap: " + str(fire3000six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 570F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 570F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 570F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [30] = fire3000six    
  
        
    #===========
    # 3100 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3100six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 571F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3100SIX FROM QUEUE: ", queue2six) 
                    # 
                
                fire3100six = queue2six.get()
                if ack2debug4six is True:
                    print("\n (Step 571F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE3100SIX: ", fire3100six) 
                    # FIRE3100SIX:  {1: '-1052x1746y-2334z', 2: '-1067x2739y-983z', 3: '-1108x2740y-932z', 4: '-1129x1669y-2355z', 5: '-1201x1589y-2375z', 6: '-1205x2670y-1012z', 7: '-1246x2670y-962z', 8: '-1267x1505y-2394z', 9: '-1328x1419y-2414z', 10: '-1339x2594y-1041z', 11: '-1380x2592y-991z', 12: '-1383x1331y-2433z', 13: '-1432x1241y-2452z', 14: '-1467x2511y-1071z', 15: '-1476x1149y-2471z', 16: '-1508x2508y-1020z', 17: '-1513x1056y-2490z', 18: '-1545x962y-2508z', 19: '-154x1220y-2845z', 20: '-1560x52y-2677z', 21: '-1572x868y-2526z', 22: '-1582x135y-2662z', 23: '-1591x2422y-1100z', 24: '-1592x773y-2544z', 25: '-1599x222y-2646z', 26: '-1607x679y-2562z', 27: '-1611x310y-2629z', 28: '-1616x585y-2579z', 29: '-1618x400y-2613z', 30: '-1620x492y-2596z', 31: '-1632x2417y-1049z', 32: '-1709x2326y-1129z', 33: '-1750x2320y-1079z', 34: '-1821x2225y-1157z', 35: '-1862x2216y-1108z', 36: '-1927x2118y-1186z', 37: '-1956x2404y-8z', 38: '-1967x2108y-1136z', 39: '-2027x2006y-1215z', 40: '-2067x1994y-1165z', 41: '-2079x2298y-39z', 42: '-2120x1888y-1243z', 43: '-213x1182y-2857z', 44: '-2159x1875y-1194z', 45: '-2196x2186y-70z', 46: '-2206x1767y-1271z', 47: '-2245x1752y-1222z', 48: '-2285x1642y-1300z', 49: '-2307x2068y-101z', 50: '-2324x1625y-1251z', 51: '-2357x1513y-1328z', 52: '-2395x1494y-1279z', 53: '-2411x1943y-132z', 54: '-2421x1381y-1356z', 55: '-2458x1361y-1307z', 56: '-2478x1246y-1384z', 57: '-2508x1814y-163z', 58: '-2527x1109y-1411z', 59: '-2568x970y-1439z', 60: '-2596x1264y-1379z', 61: '-2598x1679y-194z', 62: '-2601x830y-1466z', 63: '-2627x689y-1493z', 64: '-2645x547y-1520z', 65: '-2651x125y-1601z', 66: '-2655x406y-1547z', 67: '-2657x265y-1574z', 68: '-2680x1539y-225z', 69: '-268x1141y-2869z', 70: '-273x2202y-2164z', 71: '-2755x1396y-256z', 72: '-2822x1249y-287z', 73: '-2881x1098y-318z', 74: '-2931x945y-349z', 75: '-2973x789y-380z', 76: '-3006x632y-410z', 77: '-3031x473y-441z', 78: '-3047x313y-472z', 79: '-3055x153y-502z', 80: '-319x1098y-2881z', 81: '-327x2967y-835z', 82: '-367x1052y-2892z', 83: '-384x2163y-2186z', 84: '-411x1005y-2903z', 85: '-426x13y-3070z', 86: '-450x956y-2914z', 87: '-455x37y-3066z', 88: '-481x2937y-865z', 89: '-483x65y-3061z', 90: '-486x905y-2924z', 91: '-492x2119y-2208z', 92: '-509x96y-3056z', 93: '-517x853y-2934z', 94: '-520x2945y-813z', 95: '-533x130y-3051z', 96: '-545x801y-2944z', 97: '-554x167y-3045z', 98: '-568x748y-2954z', 99: '-573x206y-3039z', 100: '-587x694y-2963z', 101: '-590x247y-3033z', 102: '-596x2069y-2230z', 103: '-603x291y-3026z', 104: '-603x641y-2972z', 105: '-614x337y-3019z', 106: '-614x588y-2980z', 107: '-621x384y-3012z', 108: '-621x536y-2989z', 109: '-625x433y-3005z', 110: '-625x484y-2997z', 111: '-632x2899y-894z', 112: '-672x2906y-843z', 113: '-696x2013y-2251z', 114: '-780x2854y-924z', 115: '-792x1953y-2272z', 116: '-821x2858y-873z', 117: '-884x1888y-2293z', 118: '-926x2800y-953z', 119: '-92x1254y-2833z', 120: '-966x2803y-902z', 121: '-971x1819y-2314z'}
                
                if ack2dragontrace is True:
                    message2print = "{(Step 571F2/800) got" + "; fire3100six-got-by-command2verb4zap: " + str(fire3100six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # 
                  
            else:
                print("\n (Step 571F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 571F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 571F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [31] = fire3100six    
  
        
    #===========
    # 3200 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3200six = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 572F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3200SIX FROM QUEUE: ", queue2six)
                    # 
                fire3200six = queue2six.get()
                if ack2debug4six is True:
                    print("\n (Step 572F3/800) OF COMMAND2VERB4ZAP - FIRE3200SIX: ", fire3200six) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 572F2/800) got" + "; fire3200six-got-by-command2verb4zap: " + str(fire3200six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                # {'-1002x1878y-2389z': {'2xi': {1: 6, 2: 3200, 3: {1: 16084954.386379741, 2: '#9A9591', 3: 19, 4: 846576.5466515654}, 4: 'dragon-1002x1878y-2389z', 5: '#4C7094', 6: 3230, 7: 30, 8: 3200, 9: 0, 10: 6, 11: '{started; sense-of-Cluster4Xi-started: 15:14:22 12/18/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1002x1878y-2389z', 18: '-1002x1878y-2389z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}; time: 15:14:48 12/18/10 Pacific Standard Time}
  
            else:
                print("\n (Step 572F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 572F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 572F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [32] = fire3200six    
  
        
    #===========
    # 3300 SIX
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3300six = {}
    
    if ack2six4process is True:

        if ack2six4start is True: 

            if ack2six4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4six is True:
                    print("\n (Step 573F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3300SIX FROM QUEUE: ", queue2six)   
                    # 
                fire3300six = queue2six.get()
                if ack2debug4six is True:
                    print("\n (Step 573F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE3300SIX: ", fire3300six) 
                    # {'-1029x2984y-961z': {'2xi': {1: 6, 2: 3300, 3: {1: 17105971.998796422, 2: '#9A9591', 3: 19, 4: 900314.3157261275}, 4: 'dragon-1029x2984y-961z', 5: '#F55A5A', 6: 3307, 7: 1, 8: 3300, 9: 0, 10: 6, 11: '{started; sense-of-SuperCluster4Xi-started: 02:56:55 12/17/10 Pacific Standard Time}', 
                    #                              12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1029x2984y-961z', 18: '-1029x2984y-961z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}
                
                if ack2dragontrace is True:
                    message2print = "{(Step 573F2/800) got" + "; fire3300six-got-by-command2verb4zap: " + str(fire3300six)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #  
            else:
                print("\n (Step 573F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (Step 573F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (Step 573F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
    
    kb2fire [6] [33] = fire3300six    
  
           
    # =========================================================================================================   
    # II/VI EOF SIX DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================      
    if ack2debug4six is True:
        print("\n (Step 573F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2FIRE")    
        try:
            print("\n (Step 573F8/800) OF COMMAND2VERB4ZAP - GOT FROM DIRECTION SIX VIA QUEUE2SIX: ", queue2six)
            keys2direction4fire = kb2fire.keys()                                                                              # 1 ... 8
            for key2direction4fire in keys2direction4fire:
                if key2direction4fire == 6:
                    temp2layerkb = kb2fire[key2direction4fire] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                    # 0,1,2 ... 33
                        print("\n kb2fire [", key2direction4fire, "]: [", key2layer4temp,"]:", kb2fire [key2direction4fire] [key2layer4temp])
                        # kb2fire [ 5 ]: [ 32 ]: {'-1006x1915y2357z': {'2xi': {1: 5, 2: 3200 ...
                        # kb2fire [ 5 ]: [ 33 ]: {'-1001x2946y1098z': {'2xi': {1: 5, 2: 3300 ... 
        except:
            print("\n (Step 573F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2FIRE")    
                      
                      
    # =========================================================================================================   
    # I/VII SEVEN DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST 
    # =========================================================================================================      
     
    #===========
    # 0010 SEVEN 
    #===========
    ack2debug4seven = True
    kb2message [7] = {}
        
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 580F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0010receive4seven = "<nack2receive4xi>layer0010seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0010receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 580F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0010receive4seven) 
                                                                                                                                    # <ack0010put4seven4xi>layer0010seven</ack0010put4seven4xi>
                    if ack2dragontrace is True:
                        message2print = "{(Step 580F3/800) received" + "; message0010receive4seven-received-by-command2verb4zap: " + str(message0010receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 580F4/33) yielded" + "; message0010receive4seven-yielded-by-zap2verb4xii: " + str(message0010receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                         
            else:
                print("\n (Step 580F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 580F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 580F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [0] = message0010receive4seven
    
    #===========
    # 0100 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 581F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0100receive4seven = "<nack2receive4xi>layer0100seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0100receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 581F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0100receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 581F2/800) received" + "; message0100receive4seven-received-by-command2verb4zap: " + str(message0100receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 581F3/800) yielded" + "; message0100receive4seven-yielded-by-zap2verb4xii: " + str(message0100receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 581F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 581F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 581F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [1] = message0100receive4seven
       
    #===========
    # 0200 SEVEN 
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 582F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0200receive4seven = "<nack2receive4xi>layer0200seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0200receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 582F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0200receive4seven)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 582F2/800) received" + "; message0200receive4seven-received-by-command2verb4zap: " + str(message0200receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 582F3/800) yielded" + "; message0200receive4seven-yielded-by-zap2verb4xii: " + str(message0200receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                       
            else:
                print("\n (Step 582F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 582F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 582F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [2] = message0200receive4seven
                                                  
                                  
    
    #===========
    # 0300 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 583F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0300receive4seven = "<nack2receive4xi>layer0300seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0300receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 583F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0300receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 583F2/800) received" + "; message0300receive4seven-received-by-command2verb4zap: " + str(message0300receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 583F3/800) yielded" + "; message0300receive4seven-yielded-by-zap2verb4xii: " + str(message0300receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                       
            else:
                print("\n (Step 583F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 583F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 583F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [3] = message0300receive4seven
      
    #===========
    # 0400 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 584F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0400receive4seven = "<nack2receive4xi>layer0400seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0400receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 584F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0400receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 584F2/800) received" + "; message0400receive4seven-received-by-command2verb4zap: " + str(message0400receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 584F3/800) yielded" + "; message0400receive4seven-yielded-by-zap2verb4xii: " + str(message0400receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                       
            else:
                print("\n (Step 584F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 584F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 584F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())
       
    kb2message [7] [4] = message0400receive4seven
                              
    #===========
    # 0500 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 585F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0500receive4seven = "<nack2receive4xi>layer0500seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0500receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 585F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0500receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 585F2/800) received" + "; message0500receive4seven-received-by-command2verb4zap: " + str(message0500receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 585F3/800) yielded" + "; message0500receive4seven-yielded-by-zap2verb4xii: " + str(message0500receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                        
                
            else:
                print("\n (Step 585F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 585F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 585F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [5] = message0500receive4seven
                                                                                         
    #===========
    # 0600 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 586F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0600receive4seven = "<nack2receive4xi>layer0600seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0600receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 586F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0600receive4seven)
                                                                                                                                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 586F2/800) received" + "; message0600receive4seven-received-by-command2verb4zap: " + str(message0600receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 586F3/800) yielded" + "; message0600receive4seven-yielded-by-zap2verb4xii: " + str(message0600receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                           
            else:
                print("\n (Step 586F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 586F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 584F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [6] = message0600receive4seven
       
    #===========
    # 0700 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 587F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0700receive4seven = "<nack2receive4xi>layer0700seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0700receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 587F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0700receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 587F2/800) received" + "; message0700receive4seven-received-by-command2verb4zap: " + str(message0700receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 587F3/800) yielded" + "; message0700receive4seven-yielded-by-zap2verb4xii: " + str(message0700receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                       
            else:
                print("\n (Step 587F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 587F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 587F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [7] = message0700receive4seven
         
    #===========
    # 0800 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 588F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0800receive4seven = "<nack2receive4xi>layer0800seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0800receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 588F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0800receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 588F2/800) received" + "; message0800receive4seven-received-by-command2verb4zap: " + str(message0800receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 588F3/800) yielded" + "; message0800receive4seven-yielded-by-zap2verb4xii: " + str(message0800receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                       
            else:
                print("\n (Step 588F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 588F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 588F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [8] = message0800receive4seven
       
    #===========
    # 0900 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 589F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0900receive4seven = "<nack2receive4xi>layer0900seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0900receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 589F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message0900receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 589F2/800) received" + "; message0900receive4seven-received-by-command2verb4zap: " + str(message0900receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 589F3/800) yielded" + "; message0900receive4seven-yielded-by-zap2verb4xii: " + str(message0900receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                       
            else:
                print("\n (Step 589F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 589F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 589F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
      
       
    kb2message [7] [9] = message0900receive4seven
             
     
    #===========
    # 1000 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 590F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1000receive4seven = "<nack2receive4xi>layer1000seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1000receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 590F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1000receive4seven)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 590F2/800) received" + "; message1000receive4seven-received-by-command2verb4zap: " + str(message1000receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 590F3/800) yielded" + "; message1000receive4seven-yielded-by-zap2verb4xii: " + str(message1000receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                       
            else:
                print("\n (Step 590F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 590F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 590F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [10] = message1000receive4seven
       
    #===========
    # 1100 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 591F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1100receive4seven = "<nack2receive4xi>layer1100seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1100receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 591F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1100receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 591F2/800) received" + "; message1100receive4seven-received-by-command2verb4zap: " + str(message1100receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 591F3/800) yielded" + "; message1100receive4seven-yielded-by-zap2verb4xii: " + str(message1100receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 591F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 591F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 591F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [11] = message1100receive4seven
        
    #===========
    # 1200 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 592F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1200receive4seven = "<nack2receive4xi>layer1200seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1200receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 592F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1200receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 592F2/800) received" + "; message1200receive4seven-received-by-command2verb4zap: " + str(message1200receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 592F3/800) yielded" + "; message1200receive4seven-yielded-by-zap2verb4xii: " + str(message1200receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 592F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 592F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 592F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [12] = message1200receive4seven
        
    #===========
    # 1300 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 593F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1300receive4seven = "<nack2receive4xi>layer1300seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1300receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 593F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1300receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 593F2/800) received" + "; message1300receive4seven-received-by-command2verb4zap: " + str(message1300receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 593F3/800) yielded" + "; message1300receive4seven-yielded-by-zap2verb4xii: " + str(message1300receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 593F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 593F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 593F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [13] = message1300receive4seven
        
    #===========
    # 1400 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 594F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1400receive4seven = "<nack2receive4xi>layer1400seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1400receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 594F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1400receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 594F2/800) received" + "; message1400receive4seven-received-by-command2verb4zap: " + str(message1400receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 594F3/800) yielded" + "; message1400receive4seven-yielded-by-zap2verb4xii: " + str(message1400receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 594F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 594F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 594F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [14] = message1400receive4seven
        
    #===========
    # 1500 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 595F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1500receive4seven = "<nack2receive4xi>layer1500seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1500receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 595F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1500receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 595F2/800) received" + "; message1500receive4seven-received-by-command2verb4zap: " + str(message1500receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 595F3/800) yielded" + "; message1500receive4seven-yielded-by-zap2verb4xii: " + str(message1500receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 595F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 595F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 595F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [15] = message1500receive4seven
        
    #===========
    # 1600 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 596F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1600receive4seven = "<nack2receive4xi>layer1600seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1600receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 596F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1600receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 596F2/800) received" + "; message1600receive4seven-received-by-command2verb4zap: " + str(message1600receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 596F3/800) yielded" + "; message1600receive4seven-yielded-by-zap2verb4xii: " + str(message1600receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 596F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 596F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 596F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [16] = message1600receive4seven
        
    #===========
    # 1700 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 597F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1700receive4seven = "<nack2receive4xi>layer1700seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1700receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 597F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1700receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 597F2/800) received" + "; message1700receive4seven-received-by-command2verb4zap: " + str(message1700receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 597F3/800) yielded" + "; message1700receive4seven-yielded-by-zap2verb4xii: " + str(message1700receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 597F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 597F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 597F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [17] = message1700receive4seven
        
    #===========
    # 1800 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 598F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1800receive4seven = "<nack2receive4xi>layer1800seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1800receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 598F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1800receive4seven)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 598F2/800) received" + "; message1800receive4seven-received-by-command2verb4zap: " + str(message1800receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 598F3/800) yielded" + "; message1800receive4seven-yielded-by-zap2verb4xii: " + str(message1800receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 598F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 598F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 598F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    kb2message [7] [18] = message1800receive4seven
        
    #===========
    # 1900 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 599F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1900receive4seven = "<nack2receive4xi>layer1900seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1900receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 599F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message1900receive4seven)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 599F2/800) received" + "; message1900receive4seven-received-by-command2verb4zap: " + str(message1900receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 599F3/800) yielded" + "; message1900receive4seven-yielded-by-zap2verb4xii: " + str(message1900receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 599F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 599F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 599F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [19] = message1900receive4seven
           
     
    #===========
    # 2000 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 600F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2000receive4seven = "<nack2receive4xi>layer2000seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2000receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 600F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2000receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 600F2/800) received" + "; message2000receive4seven-received-by-command2verb4zap: " + str(message2000receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 600F3/800) yielded" + "; message2000receive4seven-yielded-by-zap2verb4xii: " + str(message2000receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 600F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 600F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 600F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [20] = message2000receive4seven
        
    #===========
    # 2100 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 621F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2100receive4seven = "<nack2receive4xi>layer2100seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2100receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 621F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2100receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 621F2/800) received" + "; message2100receive4seven-received-by-command2verb4zap: " + str(message2100receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 621F3/800) yielded" + "; message2100receive4seven-yielded-by-zap2verb4xii: " + str(message2100receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                     
            else:
                print("\n (Step 621F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 621F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 621F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [21] = message2100receive4seven
        
    #===========
    # 2200 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 622F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2200receive4seven = "<nack2receive4xi>layer2200seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2200receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 622F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2200receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 622F2/800) received" + "; message2200receive4seven-received-by-command2verb4zap: " + str(message2200receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 622F3/800) yielded" + "; message2200receive4seven-yielded-by-zap2verb4xii: " + str(message2200receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                      
            else:
                print("\n (Step 622F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 622F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 622F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [22] = message2200receive4seven
        
    #===========
    # 2300 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 623F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2300receive4seven = "<nack2receive4xi>layer2300seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2300receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 623F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2300receive4seven)
                                                                                                                                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 623F2/800) received" + "; message2300receive4seven-received-by-command2verb4zap: " + str(message2300receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 623F3/800) yielded" + "; message2300receive4seven-yielded-by-zap2verb4xii: " + str(message2300receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                      
            else:
                print("\n (Step 623F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 623F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 623F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [23] = message2300receive4seven
        
    #===========
    # 2400 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 624F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2400receive4seven = "<nack2receive4xi>layer2400seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2400receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 624F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2400receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 624F2/800) received" + "; message2400receive4seven-received-by-command2verb4zap: " + str(message2400receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 624F3/800) yielded" + "; message2400receive4seven-yielded-by-zap2verb4xii: " + str(message2400receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                      
            else:
                print("\n (Step 624F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 624F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 624F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [24] = message2400receive4seven
        
    #===========
    # 2500 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 625F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2500receive4seven = "<nack2receive4xi>layer2500seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2500receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 625F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2500receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 625F2/800) received" + "; message2500receive4seven-received-by-command2verb4zap: " + str(message2500receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 625F3/800) yielded" + "; message2500receive4seven-yielded-by-zap2verb4xii: " + str(message2500receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                      
            else:
                print("\n (Step 625F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 625F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 625F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [25] = message2500receive4seven
        
    #===========
    # 2600 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 626F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2600receive4seven = "<nack2receive4xi>layer2600seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2600receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 626F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2600receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 626F2/800) received" + "; message2600receive4seven-received-by-command2verb4zap: " + str(message2600receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 626F3/800) yielded" + "; message2600receive4seven-yielded-by-zap2verb4xii: " + str(message2600receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                      
            else:
                print("\n (Step 626F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 626F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 626F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [26] = message2600receive4seven
        
    #===========
    # 2700 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 627F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2700receive4seven = "<nack2receive4xi>layer2700seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2700receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 627F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2700receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 627F2/800) received" + "; message2700receive4seven-received-by-command2verb4zap: " + str(message2700receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 627F3/800) yielded" + "; message2700receive4seven-yielded-by-zap2verb4xii: " + str(message2700receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                      
            else:
                print("\n (Step 627F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 627F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 627F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [27] = message2700receive4seven
        
    #===========
    # 2800 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 628F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2800receive4seven = "<nack2receive4xi>layer2800seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2800receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 628F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2800receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 628F2/800) received" + "; message2800receive4seven-received-by-command2verb4zap: " + str(message2800receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 628F3/800) yielded" + "; message2800receive4seven-yielded-by-zap2verb4xii: " + str(message2800receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                          
                
            else:
                print("\n (Step 628F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 628F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 628F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [28] = message2800receive4seven
        
    #===========
    # 2900 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 629F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2900receive4seven = "<nack2receive4xi>layer2900seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                                                                                                         
                    message2900receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 629F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2900receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 629F2/800) received" + "; message2900receive4seven-received-by-command2verb4zap: " + str(message2900receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 629F3/800) yielded" + "; message2900receive4seven-yielded-by-zap2verb4xii: " + str(message2900receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                          
            else:
                print("\n (Step 629F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 629F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 629F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [29] = message2900receive4seven
        
    #===========
    # 3000 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 630F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message3000receive4seven = "<nack2receive4xi>layer3000seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message3000receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 630F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message3000receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 630F2/800) received" + "; message3000receive4seven-received-by-command2verb4zap: " + str(message3000receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 630F3/800) yielded" + "; message3000receive4seven-yielded-by-zap2verb4xii: " + str(message3000receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                          
                
            else:
                print("\n (Step 630F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 630F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 630F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [30] = message3000receive4seven
        
    #===========
    # 3100 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 631F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message3100receive4seven = "<nack2receive4xi>layer3100seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                    
                    message3100receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 631F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message3100receive4seven) 
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 631F2/800) received" + "; message3100receive4seven-received-by-command2verb4zap: " + str(message3100receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 631F3/800) yielded" + "; message3100receive4seven-yielded-by-zap2verb4xii: " + str(message3100receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                            
            else:
                print("\n (Step 631F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 631F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 631F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [31] = message3100receive4seven
        
    #===========
    # 3200 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 632F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message3200receive4seven = "<nack2receive4xi>layer3200seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                    message3200receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 632F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message3200receive4seven)
                                                                                                                                    #   
                    if ack2dragontrace is True:
                        message2print = "{(Step 632F2/800) received" + "; message3200receive4seven-received-by-command2verb4zap: " + str(message3200receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 632F3/800) yielded" + "; message3200receive4seven-yielded-by-zap2verb4xii: " + str(message3200receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                            
            else:
                print("\n (Step 632F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 632F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 632F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
       
    kb2message [7] [32] = message3200receive4seven
        
    #===========
    # 3300 SEVEN
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 633F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel) 
                                                                                                                                    #
                                                                                                                                                   
                message3300receive4seven = "<nack2receive4xi>layer3300seven</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                    message3300receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug4seven is True:
                        print("\n (Step 6337F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message3300receive4seven)
                                                                                                                                    # <ack3300put4five4xi>layer3300five</ack3300put4five4xi> 
                    if ack2dragontrace is True:
                        message2print = "{(Step 6337F2/800) received" + "; message3300receive4seven-received-by-command2verb4zap: " + str(message3300receive4seven) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                                                                  # <ack3300put4five4xi>layer3300five</ack3300put4five4xi> 
                except:
                    message2print = "{(Step 6337F3/800) yielded" + "; message3300receive4seven-yielded-by-zap2verb4xii: " + str(message3300receive4seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # 
                                                                                                                                                         
            else:
                print("\n (Step 6337F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 6337F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 6337F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  

       
    kb2message [7] [33] = message3300receive4seven
         
           
    # =========================================================================================================   
    # I/VII EOF SEVEN DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST 
    # =========================================================================================================      
    if ack2debug4seven is True:
        print("\n (Step 7633F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2MESSAGE")    
        try:
            print("\n (Step 7633F8/800) OF COMMAND2VERB4ZAP - RECEIVED FROM DIRECTION SEVEN VIA PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
            keys2direction4message = kb2message.keys()                                                                              # 1 ... 8
            for key2direction4message in keys2direction4message:
                if key2direction4message == 7:
                    temp2layerkb = kb2message[key2direction4message] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                          # 0,1,2 ... 33
                        print("\n kb2message [", key2direction4message, "]: [", key2layer4temp,"]:", kb2message [key2direction4message] [key2layer4temp])
                        # kb2message [ 7 ]: [ 0 ]: <ack0100put4seven4xi>layer0100seven</ack0100put4seven4xi>
                        # kb2message [ 7 ]: [ 1 ]: <ack0400put4seven4xi>layer0400seven</ack0400put4seven4xi>
                        # kb2message [ 7 ]: [ 2 ]: <ack0500put4seven4xi>layer0500seven</ack0500put4seven4xi>
                        # kb2message [ 7 ]: [ 3 ]: <ack0600put4seven4xi>layer0600seven</ack0600put4seven4xi>
                        # kb2message [ 7 ]: [ 4 ]: <ack0700put4seven4xi>layer0700seven</ack0700put4seven4xi>
                        # kb2message [ 7 ]: [ 5 ]: <ack0800put4seven4xi>layer0800seven</ack0800put4seven4xi>
                        # kb2message [ 7 ]: [ 6 ]: <ack0010put4seven4xi>layer0010seven</ack0010put4seven4xi>
                        # kb2message [ 7 ]: [ 7 ]: <ack0200put4seven4xi>layer0200seven</ack0200put4seven4xi>
                        # kb2message [ 7 ]: [ 8 ]: <ack0900put4seven4xi>layer0900seven</ack0900put4seven4xi>
                        # kb2message [ 7 ]: [ 9 ]: <ack0300put4seven4xi>layer0300seven</ack0300put4seven4xi>
                        # kb2message [ 7 ]: [ 10 ]: <ack1000put4seven4xi>layer1000seven</ack1000put4seven4xi>
                        # kb2message [ 7 ]: [ 11 ]: <ack1100put4seven4xi>layer1100seven</ack1100put4seven4xi>
                        # kb2message [ 7 ]: [ 12 ]: <ack1200put4seven4xi>layer1200seven</ack1200put4seven4xi>
                        # kb2message [ 7 ]: [ 13 ]: <ack1300put4seven4xi>layer1300seven</ack1300put4seven4xi>
                        # kb2message [ 7 ]: [ 14 ]: <ack1400put4seven4xi>layer1400seven</ack1400put4seven4xi>
                        # kb2message [ 7 ]: [ 15 ]: <ack1500put4seven4xi>layer1500seven</ack1500put4seven4xi>
                        # kb2message [ 7 ]: [ 16 ]: <ack1600put4seven4xi>layer1600seven</ack1600put4seven4xi>
                        # kb2message [ 7 ]: [ 17 ]: <ack1700put4seven4xi>layer1700seven</ack1700put4seven4xi>
                        # kb2message [ 7 ]: [ 18 ]: <ack1800put4seven4xi>layer1800seven</ack1800put4seven4xi>
                        # kb2message [ 7 ]: [ 19 ]: <ack1900put4seven4xi>layer1900seven</ack1900put4seven4xi>
                        # kb2message [ 7 ]: [ 20 ]: <ack2000put4seven4xi>layer2000seven</ack2000put4seven4xi>
                        # kb2message [ 7 ]: [ 21 ]: <ack2100put4seven4xi>layer2100seven</ack2100put4seven4xi>
                        # kb2message [ 7 ]: [ 22 ]: <ack2200put4seven4xi>layer2200seven</ack2200put4seven4xi>
                        # kb2message [ 7 ]: [ 23 ]: <ack2300put4seven4xi>layer2300seven</ack2300put4seven4xi>
                        # kb2message [ 7 ]: [ 24 ]: <ack2400put4seven4xi>layer2400seven</ack2400put4seven4xi>
                        # kb2message [ 7 ]: [ 25 ]: <ack2500put4seven4xi>layer2500seven</ack2500put4seven4xi>
                        # kb2message [ 7 ]: [ 26 ]: <ack2600put4seven4xi>layer2600seven</ack2600put4seven4xi>
                        # kb2message [ 7 ]: [ 27 ]: <ack2700put4seven4xi>layer2700seven</ack2700put4seven4xi>
                        # kb2message [ 7 ]: [ 28 ]: <ack2800put4seven4xi>layer2800seven</ack2800put4seven4xi>
                        # kb2message [ 7 ]: [ 29 ]: <ack2900put4seven4xi>layer2900seven</ack2900put4seven4xi>
                        # kb2message [ 7 ]: [ 30 ]: <ack3000put4seven4xi>layer3000seven</ack3000put4seven4xi>
                        # kb2message [ 7 ]: [ 31 ]: <ack3100put4seven4xi>layer3100seven</ack3100put4seven4xi>
                        # kb2message [ 7 ]: [ 32 ]: <ack3200put4seven4xi>layer3200seven</ack3200put4seven4xi>
                        # kb2message [ 7 ]: [ 33 ]: <ack3300put4seven4xi>layer3300seven</ack3300put4seven4xi> 
        except:
            print("\n (Step 7633F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2MESSAGE")           

 

           
    # =========================================================================================================   
    # II/VII SEVEN DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================      

    #===========
    # 0010 SEVEN   
    #===========
    kb2fire [7] = {}
        
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0010seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 634F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0010SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0010seven = queue2seven.get() 
              
                if ack2debug4seven is True:
                    print("\n (Step 634F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0010SEVEN: ", fire0010seven) 
                    # {'-10x-13y36z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-13y36z', 5: '#7F7263', 6: 3, 7: 15, 8: Decimal('39.5600808897'), 9: Decimal('29'), 10: 7, 11: '{(Step 2/3) initialized; z2xi-initialized-by-init-zskeleton4xi to: unified function initialization first time by yourDragonXi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-12y36z', 16: '-10x-15y6z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-10x-15y7z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-15y7z', 5: '#7F7263', 6: 21, 7: 15, 8: Decimal('19.3390796058'), 9: Decimal('9'), 10: 7, 11: '{(Step 1/3a) started; init-zskeleton4xi-started: function init_zskeleton4xi at 0x02A5F738; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-15y6z', 16: '-11x-10y36z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-10x-11y36z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-11y36z', 5: '#7F7263', 6: 1, 7: 15, 8: Decimal('38.9486841883'), 9: Decimal('28'), 10: 7, 11: '{(Step 1/3a) started; init-zskeleton4xi-started: function init_zskeleton4xi at 0x02A5F738; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '-10x-12y36z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-11x-8y37z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x-8y37z', 5: '#7F7263', 6: 24, 7: 15, 8: Decimal('39.4208066889'), 9: Decimal('29'), 10: 7, 11: '{(Step 3/3) returning; init-zskeleton4xi-returning: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-11x-14y7z', 16: '-11x-9y37z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-11x-14y7z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x-14y7z', 5: '#7F7263', 6: 23, 7: 15, 8: Decimal('19.1311264697'), 9: Decimal('9'), 10: 7, 11: '{(Step 2/3) initialized; z2xi-initialized-by-init-zskeleton4xi to: None; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-11x-10y36z', 16: '-11x-8y37z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-10x-15y6z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-15y6z', 5: '#7F7263', 6: 4, 7: 15, 8: Decimal('19.0'), 9: Decimal('9'), 10: 7, 11: '{(Step 3/3) returning; init-zskeleton4xi-returning: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-13y36z', 16: '-10x-15y7z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-11x-10y36z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x-10y36z', 5: '#7F7263', 6: 22, 7: 15, 8: Decimal('38.9486841883'), 9: Decimal('28'), 10: 7, 11: '{(Step 1/3b) passed; z-init-param1-passed-to-init-zskeleton4xi: None; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-15y7z', 16: '-11x-14y7z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-12x-13y7z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-12x-13y7z', 5: '#7F7263', 6: 34, 7: 15, 8: Decimal('19.0262975904'), 9: Decimal('9'), 10: 7, 11: '{(Step 1/3b) passed; z-init-param1-passed-to-init-zskeleton4xi: unified method initialization first time by yourDragonXi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-11x-9y37z', 16: '-12x-60y33z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-12x-60y33z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-12x-60y33z', 5: '#7F7263', 6: 35, 7: 15, 8: Decimal('69.5197813575'), 9: Decimal('59'), 10: 7, 11: '{(Step 2/3) initialized; z2xi-initialized-by-init-zskeleton4xi to: unified method initialization first time by yourDragonXi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-12x-13y7z', 16: '-13x-13y7z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-10x-12y36z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-12y36z', 5: '#7F7263', 6: 2, 7: 15, 8: Decimal('39.2428337407'), 9: Decimal('29'), 10: 7, 11: '{(Step 1/3b) passed; z-init-param1-passed-to-init-zskeleton4xi: unified function initialization first time by yourDragonXi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-11y36z', 16: '-10x-13y36z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-11x-9y37z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x-9y37z', 5: '#7F7263', 6: 33, 7: 15, 8: Decimal('39.6358423652'), 9: Decimal('29'), 10: 7, 11: '{(Step 1/3a) started; init-zskeleton4xi-started: function init_zskeleton4xi at 0x02A5F738; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-11x-8y37z', 16: '-12x-13y7z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #   '-13x-13y7z': {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-13x-13y7z', 5: '#7F7263', 6: 36, 7: 15, 8: Decimal('19.6723155729'), 9: Decimal('9'), 10: 7, 11: '{(Step 3/3) returning; init-zskeleton4xi-returning: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'init_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-12x-60y33z', 16: '+0x+0y+0z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}}
                if ack2dragontrace is True:
                    message2print = "{(Step 634F3/800) got" + "; fire0010seven-got-by-command2verb4zap: " + str(fire0010seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)    
            else:
                print("\n (Step 634F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 634F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 634F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())
    
    kb2fire [7] [0] = fire0010seven    
      
           
    #===========
    # 0100 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0100seven = {}

    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 641F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0100SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0100seven = queue2seven.get()
               
                if ack2debug4seven is True:
                    print("\n (Step 641F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0100SEVEN: ", fire0100seven) 
                    #
                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 641F2/800) got" + "; fire0100seven-got-by-command2verb4zap: " + str(fire0100seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 641F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 641F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 641F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
    
    kb2fire [7] [1] = fire0100seven    
         

    #===========
    # 0200 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0200seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 642F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0200SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0200seven = queue2seven.get()
            
                if ack2debug4seven is True:
                    print("\n (Step 642F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0200SEVEN: ", fire0200seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 642F2/800) got" + "; fire0200seven-got-by-command2verb4zap: " + str(fire0200seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 642F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 642F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 642F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                                    
    
    kb2fire [7] [2] = fire0200seven    
                                     
      


       
    #===========
    # 0300 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0300seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 643F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0300SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0300seven = queue2seven.get()
                
                if ack2debug4seven is True:
                    print("\n (Step 643F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0300SEVEN: ", fire0300seven) 
                    #
                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 643F2/800) got" + "; fire0300seven-got-by-command2verb4zap: " + str(fire0300seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 643F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 643F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 643F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [3] = fire0300seven    
   

       
    #===========
    # 0400 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0400seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 644F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0400seven = queue2seven.get()
              
                if ack2debug4seven is True:
                    print("\n (Step 644F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0400SEVEN: ", fire0400seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 644F2/800) got" + "; fire0400seven-got-by-command2verb4zap: " + str(fire0400seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 644F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 644F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 644F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [4] = fire0400seven    
   

                               
    #===========
    # 0500 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0500seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 645F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0500SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0500seven = queue2seven.get()
              
                if ack2debug4seven is True:
                    print("\n (Step 645F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0500SEVEN: ", fire0500seven) 
                    # 
                                                         
                if ack2dragontrace is True:
                    message2print = "{(Step 645F2/800) got" + "; fire0500seven-got-by-command2verb4zap: " + str(fire0500seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #
                  
            else:
                print("\n (Step 645F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 645F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 645F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                                  
    
    kb2fire [7] [5] = fire0500seven    
         

                                                                                          
    #===========
    # 0600 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0600seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 646F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0600SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0600seven = queue2seven.get()
            
                if ack2debug4seven is True:
                    print("\n (Step 646F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0600SEVEN: ", fire0600seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 646F2/800) got" + "; fire0600seven-got-by-command2verb4zap: " + str(fire0600seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 646F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 646F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 646F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [6] = fire0600seven    
   

        
    #===========
    # 0700 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0700seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 647F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0700SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0700seven = queue2seven.get()
                 
                if ack2debug4seven is True:
                    print("\n (Step 647F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0700SEVEN: ", fire0700seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 647F2/800) got" + "; fire0700seven-got-by-command2verb4zap: " + str(fire0700seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 647F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 647F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 647F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [7] = fire0700seven    
   

          
    #===========
    # 0800 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0800seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 648F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0800SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0800seven = queue2seven.get()
    
                if ack2debug4seven is True:
                    print("\n (Step 648F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0800SEVEN: ", fire0800seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 648F2/800) got" + "; fire0800seven-got-by-command2verb4zap: " + str(fire0800seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 648F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 648F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 648F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [8] = fire0800seven    
   

        
    #===========
    # 0900 SEVEN
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0900seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 649F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0900SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire0900seven = queue2seven.get()
               
                if ack2debug4seven is True:
                    print("\n (Step 649F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE0900SEVEN: ", fire0900seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 649F2/800) got" + "; fire0900seven-got-by-command2verb4zap: " + str(fire0900seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 649F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 649F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 549F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

    
    kb2fire [7] [9] = fire0900seven    
   
        
    #============
    # 1000 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1000seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 650F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1000SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1000seven = queue2seven.get()
            
                if ack2debug4seven is True:
                    print("\n (Step 650F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1000SEVEN: ", fire1000seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 650F2/800) got" + "; fire1000seven-got-by-command2verb4zap: " + str(fire1000seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 650F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 650F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 650F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [10] = fire1000seven    
   
        
    #============
    # 1100 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1100seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 651F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1100SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1100seven = queue2seven.get()
             
                if ack2debug4seven is True:
                    print("\n (Step 651F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1100SEVEN: ", fire1100seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 651F2/800) got" + "; fire1100seven-got-by-command2verb4zap: " + str(fire1100seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 651F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 651F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 651F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [11] = fire1100seven    
   

        
    #============
    # 1200 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1200seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 652F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1200SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1200seven = queue2seven.get()
             
                if ack2debug4seven is True:
                    print("\n (Step 652F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1200SEVEN: ", fire1200seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 652F2/800) got" + "; fire1200seven-got-by-command2verb4zap: " + str(fire1200seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 652F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 652F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 652F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [12] = fire1200seven    
   

        
    #============
    # 1300 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1300seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 653F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1300SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1300seven = queue2seven.get()
               
                if ack2debug4seven is True:
                    print("\n (Step 653F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1300SEVEN: ", fire1300seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 653F2/800) got" + "; fire1300seven-got-by-command2verb4zap: " + str(fire1300seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 653F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 653F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 653F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [13] = fire1300seven    
   
        
    #============
    # 1400 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1400seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 654F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1400SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1400seven = queue2seven.get()
                
                if ack2debug4seven is True:
                    print("\n (Step 654F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1400SEVEN: ", fire1400seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 654F2/800) got" + "; fire1400seven-got-by-command2verb4zap: " + str(fire1400seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 654F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 654F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 654F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [14] = fire1400seven    
   
        
    #============
    # 1500 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1500seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 655F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1500SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1500seven = queue2seven.get()
            
                if ack2debug4seven is True:
                    print("\n (Step 655F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1500SEVEN: ", fire1500seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 655F2/800) got" + "; fire1500seven-got-by-command2verb4zap: " + str(fire1500seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 655F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 655F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 655F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [15] = fire1500seven    
   
        
    #============
    # 1600 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1600seven= {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 656F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1600SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1600seven = queue2seven.get() 
              
                if ack2debug4seven is True:
                    print("\n (Step 656F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1600SEVEN: ", fire1600seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 656F2/800) got" + "; fire1600seven-got-by-command2verb4zap: " + str(fire1600seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 656F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 656F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 656F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [16] = fire1600seven    
   
        
    #============
    # 1700 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1700seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 657F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1700seven = queue2seven.get()
               
                if ack2debug4seven is True:
                    print("\n (Step 657F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1700SEVEN: ", fire1700seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 657F2/800) got" + "; fire1700seven-got-by-command2verb4zap: " + str(fire1700seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 657F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 657F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 657F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [17] = fire1700seven    
   
        
    #============
    # 1800 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1800seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 658F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1800seven = queue2seven.get()
               
                if ack2debug4seven is True:
                    print("\n (Step 658F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1700SEVEN: ", fire1800seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 658F2/800) got" + "; fire1800seven-got-by-command2verb4zap: " + str(fire1800seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 658F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 658F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 658F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [18] = fire1800seven    
   
        
    #============
    # 1900 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1900seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 659F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1900SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire1900seven = queue2seven.get()
              
                if ack2debug4seven is True:
                    print("\n (Step 659F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE1900SEVEN: ", fire1900seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 659F2/800) got" + "; fire1900seven-got-by-command2verb4zap: " + str(fire1900seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 659F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 659F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 659F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
      
    
    kb2fire [7] [19] = fire1900seven    
   
        
    #============
    # 2000 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2000seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 660F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2000SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2000seven = queue2seven.get()
                 
                if ack2debug4seven is True:
                    print("\n (Step 660F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2000SEVEN: ", fire2000seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 660F2/800) got" + "; fire2000seven-got-by-command2verb4zap: " + str(fire2000seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 660F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 660F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 660F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [20] = fire2000seven    
   
        
    #============
    # 2100 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2100seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 661F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2100SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2100seven = queue2seven.get()
              
                if ack2debug4seven is True:
                    print("\n (Step 661F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2100SEVEN: ", fire2100seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 661F2/800) got" + "; fire2100seven-got-by-command2verb4zap: " + str(fire2100seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 661F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 661F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 661F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [21] = fire2100seven    
  
        
    #============
    # 2200 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2200seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 662F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2200SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2200seven = queue2seven.get()
              
                if ack2debug4seven is True:
                    print("\n (Step 662F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2200SEVEN: ", fire2200seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 662F2/800) got" + "; fire2200seven-got-by-command2verb4zap: " + str(fire2200seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 662F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 662F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 662F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [22] = fire2200seven    
  
        
    #============
    # 2300 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2300seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 663F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2300SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2300seven = queue2seven.get()
            
                if ack2debug4seven is True:
                    print("\n (Step 663F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2300SEVEN: ", fire2300seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 663F2/800) got" + "; fire2300seven-got-by-command2verb4zap: " + str(fire2300seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 663F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 663F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 663F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [23] = fire2300seven    
  
        
    #============
    # 2400 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2400seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 664F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2400SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2400seven = queue2seven.get()

                if ack2debug4seven is True:
                    print("\n (Step 664F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2400SEVEN: ", fire2400seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 664F2/800) got" + "; fire2400seven-got-by-command2verb4zap: " + str(fire2400seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 664F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 664F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 664F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [24] = fire2400seven    
  
        
    #============
    # 2500 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2500seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 665F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2500SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2500seven = queue2seven.get()

                if ack2debug4seven is True:
                    print("\n (Step 665F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2500SEVEN: ", fire2500seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 665F2/800) got" + "; fire2500seven-got-by-command2verb4zap: " + str(fire2500seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 665F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 665F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 665F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [25] = fire2500seven    
  
        
    #============
    # 2600 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2600seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 666F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2600SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2600seven = queue2seven.get()
 
                if ack2debug4seven is True:
                    print("\n (Step 666F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2600SEVEN: ", fire2600seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 666F2/800) got" + "; fire2600seven-got-by-command2verb4zap: " + str(fire2600seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 666F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 666F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 666F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [26] = fire2600seven    
  
        
    #============
    # 2700 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2700seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 667F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2700SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2700seven = queue2seven.get()

                if ack2debug4seven is True:
                    print("\n (Step 667F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2700SEVEN: ", fire2700seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 667F2/800) got" + "; fire2700seven-got-by-command2verb4zap: " + str(fire2700seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 667F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 667F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 667F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [27] = fire2700seven    
  
        
    #============
    # 2800 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2800seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 668F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2800SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2800seven = queue2seven.get()

                if ack2debug4seven is True:
                    print("\n (Step 668F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2800SEVEN: ", fire2800seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 668F2/800) got" + "; fire2800seven-got-by-command2verb4zap: " + str(fire2800seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 668F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 668F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 668F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [28] = fire2800seven    
  
        
    #============
    # 2900 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2900seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 669F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2900SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire2900seven = queue2seven.get()
                 
                if ack2debug4seven is True:
                    print("\n (Step 669F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2900SEVEN: ", fire2900seven) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 669F2/800) got" + "; fire2900seven-got-by-command2verb4zap: " + str(fire2900seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
                  
            else:
                print("\n (Step 669F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 669F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 669F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [29] = fire2900seven    
  
        
    #============
    # 3000 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3000seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 670F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3000SEVEN FROM QUEUE: ", queue2seven)
                    # 
                
                fire3000seven = queue2seven.get()
               
                if ack2debug4seven is True:
                    print("\n (Step 670F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE3000SEVEN: ", fire3000seven) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 670F2/800) got" + "; fire3000seven-got-by-command2verb4zap: " + str(fire3000seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #    
                  
            else:
                print("\n (Step 670F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 670F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 670F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [30] = fire3000seven    
  
        
    #============
    # 3100 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3100seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 671F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3100SEVEN FROM QUEUE: ", queue2seven) 
                    # 
                
                fire3100seven = queue2seven.get()
                if ack2debug4seven is True:
                    print("\n (Step 671F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE3100SEVEN: ", fire3100seven) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 671F2/800) got" + "; fire3100seven-got-by-command2verb4zap: " + str(fire3100seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 671F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 671F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 671F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
    
    kb2fire [7] [31] = fire3100seven    
  
        
    #============
    # 3200 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3200seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 672F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3200SEVEN FROM QUEUE: ", queue2seven)
                    # 
                fire3200seven = queue2seven.get()
                if ack2debug4seven is True:
                    print("\n (Step 672F3/800) OF COMMAND2VERB4ZAP - FIRE3200SEVEN: ", fire3200seven) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 672F2/800) got" + "; fire3200seven-got-by-command2verb4zap: " + str(fire3200seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)  
                # {'-1089x-2838y998z': {'2xi': {1: 7, 2: 3200, 3: {1: 16084954.386379741, 2: '#8B8783', 3: 13, 4: 1237304.1835676725}, 4: 'dragon-1089x-2838y998z', 5: '#E14747', 6: 3232, 7: 32, 8: 3200, 9: 0, 10: 7, 11: '{started; sense-of-Cluster4Xi-started: 15:14:22 12/18/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1089x-2838y998z', 18: '-1089x-2838y998z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}; time: 15:14:48 12/18/10 Pacific Standard Time}
  
            else:
                print("\n (Step 672F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 672F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 672F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
    
    kb2fire [7] [32] = fire3200seven    
                 

        
    #============
    # 3300 SEVEN
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3300seven = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True: 

            if ack2seven4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4seven is True:
                    print("\n (Step 673F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3300SEVEN FROM QUEUE: ", queue2seven)   
                    # 
                fire3300seven = queue2seven.get()
                if ack2debug4seven is True:
                    print("\n (Step 673F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE3300SEVEN: ", fire3300seven) 
                    # {'-1009x-2675y1646z': {'2xi': {1: 7, 2: 3300, 3: {1: 17105971.998796422, 2: '#8B8783', 3: 13, 4: 1315843.999907417}, 4: 'dragon-1009x-2675y1646z', 5: '#EE4545', 6: 3308, 7: 1, 8: 3300, 9: 0, 10: 7, 11: '{started; sense-of-SuperCluster4Xi-started: 02:56:55 12/17/10 Pacific Standard Time}', 
                    #                               12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1009x-2675y1646z', 18: '-1009x-2675y1646z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}
                
                if ack2dragontrace is True:
                    message2print = "{(Step 673F2/800) got" + "; fire3300seven-got-by-command2verb4zap: " + str(fire3300seven)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #  
            else:
                print("\n (Step 673F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (Step 673F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (Step 673F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
    
    kb2fire [7] [33] = fire3300seven    
                 

           
# =========================================================================================================   
# II/VII EOF SEVEN DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
# =========================================================================================================  
    if ack2debug4seven is True:
        print("\n (Step 6737F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2FIRE")    
        try:
            print("\n (Step 6737F8/800) OF COMMAND2VERB4ZAP - GOT FROM DIRECTION SEVEN VIA QUEUE2SEVEN: ", queue2seven)
            keys2direction4fire = kb2fire.keys()                                                                              # 1 ... 8
            for key2direction4fire in keys2direction4fire:
                if key2direction4fire == 7:
                    temp2layerkb = kb2fire[key2direction4fire] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                    # 0,1,2 ... 33
                        print("\n kb2fire [", key2direction4fire, "]: [", key2layer4temp,"]:", kb2fire [key2direction4fire] [key2layer4temp])
                        # 
                        
                        
        except:
            print("\n (Step 6737F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2FIRE")    
      
      
# =========================================================================================================   
# I/VIII EIGHT DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST
# =========================================================================================================      
    ack2debug4eight = True
            
    #===========
    # 0010 EIGHT 
    #===========
    kb2message [8] = {}
     
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 680F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0010receive4eight = "<nack2receive4xi>layer0010eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0010receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 680F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0010receive4eight) 
                                                                                                                                    # <ack0010put4eight4xi>layer0010eight</ack0010put4eight4xi>
                    if ack2dragontrace is True:
                        message2print = "{(Step 680F3/800) received" + "; message0010receive4eight-received-by-command2verb4zap: " + str(message0010receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 680F4/800) yielded" + "; message0010receive4eight-yielded-by-zap2verb4xii: " + str(message0010receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 680F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 680F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 680F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [0] = message0010receive4eight
    
    #===========
    # 0100 EIGHT
    #===========

    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 681F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0100receive4eight = "<nack2receive4xi>layer0100eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0100receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 681F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0100receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 681F3/800) received" + "; message0100receive4eight-received-by-command2verb4zap: " + str(message0100receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 681F4/800) yielded" + "; message0100receive4eight-yielded-by-zap2verb4xii: " + str(message0100receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                  
            else:
                print("\n (Step 681F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 681F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 681F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [1] = message0100receive4eight
       
    #===========
    # 0200 EIGHT 
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 682F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0200receive4eight = "<nack2receive4xi>layer0200eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0200receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 682F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0200receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 682F3/800) received" + "; message0200receive4eight-received-by-command2verb4zap: " + str(message0200receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 682F4/800) yielded" + "; message0200receive4eight-yielded-by-zap2verb4xii: " + str(message0200receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 682F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 682F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 682F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
                                                
       
    kb2message [8] [2] = message0200receive4eight
                                    
    
    #===========
    # 0300 EIGHT
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 683F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0300receive4eight = "<nack2receive4xi>layer0300eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0300receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 683F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0300receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 683F3/800) received" + "; message0300receive4eight-received-by-command2verb4zap: " + str(message0300receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 683F4/800) yielded" + "; message0300receive4eight-yielded-by-zap2verb4xii: " + str(message0300receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 683F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 683F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 683F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [3] = message0300receive4eight
      
    #===========
    # 0400 EIGHT
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 684F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0400receive4eight = "<nack2receive4xi>layer0400eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0400receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 684F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0400receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 684F3/800) received" + "; message0400receive4eight-received-by-command2verb4zap: " + str(message0400receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 684F4/800) yielded" + "; message0400receive4eight-yielded-by-zap2verb4xii: " + str(message0400receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 684F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 684F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 684F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())
       
    kb2message [8] [4] = message0400receive4eight
                              
    #===========
    # 0500 EIGHT
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 685F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0500receive4eight = "<nack2receive4xi>layer0500eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0500receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 685F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0500receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 685F3/800) received" + "; message0500receive4eight-received-by-command2verb4zap: " + str(message0500receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 685F4/800) yielded" + "; message0500receive4eight-yielded-by-zap2verb4xii: " + str(message0500receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #     
                
            else:
                print("\n (Step 685F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 685F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 685F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [5] = message0500receive4eight
                                                                                         
    #===========
    # 0600 EIGHT
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 686F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0600receive4eight = "<nack2receive4xi>layer0600eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0600receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 686F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0600receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 686F3/800) received" + "; message0600receive4eight-received-by-command2verb4zap: " + str(message0600receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 686F4/800) yielded" + "; message0600receive4eight-yielded-by-zap2verb4xii: " + str(message0600receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                        
            else:
                print("\n (Step 686F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 686F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 684F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [6] = message0600receive4eight
       
    #===========
    # 0700 EIGHT
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 687F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0700receive4eight = "<nack2receive4xi>layer0700eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0700receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 687F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0700receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 687F3/800) received" + "; message0700receive4eight-received-by-command2verb4zap: " + str(message0700receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 687F4/800) yielded" + "; message0700receive4eight-yielded-by-zap2verb4xii: " + str(message0700receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 687F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 687F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 687F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [7] = message0700receive4eight
         
    #===========
    # 0800 EIGHT
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 688F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0800receive4eight = "<nack2receive4xi>layer0800eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0800receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 688F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0800receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 688F3/800) received" + "; message0800receive4eight-received-by-command2verb4zap: " + str(message0800receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 688F4/800) yielded" + "; message0800receive4eight-yielded-by-zap2verb4xii: " + str(message0800receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 688F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 688F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 688F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [8] = message0800receive4eight
       
    #===========
    # 0900 EIGHT
    #===========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 689F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message0900receive4eight = "<nack2receive4xi>layer0900eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message0900receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 689F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message0900receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 689F3/800) received" + "; message0900receive4eight-received-by-command2verb4zap: " + str(message0900receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 689F4/800) yielded" + "; message0900receive4eight-yielded-by-zap2verb4xii: " + str(message0900receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 689F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 689F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 689F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
      
       
    kb2message [8] [9] = message0900receive4eight
             
     
    #============
    # 1000 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 690F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1000receive4eight = "<nack2receive4xi>layer1000eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1000receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 690F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1000receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 690F3/800) received" + "; message1000receive4eight-received-by-command2verb4zap: " + str(message1000receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 690F4/800) yielded" + "; message1000receive4eight-yielded-by-zap2verb4xii: " + str(message1000receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 690F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 690F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 690F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [10] = message1000receive4eight
       
    #============
    # 1100 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 691F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1100receive4eight = "<nack2receive4xi>layer1100eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1100receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 691F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1100receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 691F3/800) received" + "; message1100receive4eight-received-by-command2verb4zap: " + str(message1100receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 691F4/800) yielded" + "; message1100receive4eight-yielded-by-zap2verb4xii: " + str(message1100receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 691F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 691F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 691F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [11] = message1100receive4eight
        
    #============
    # 1200 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 692F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1200receive4eight = "<nack2receive4xi>layer1200eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1200receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 692F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1200receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 692F3/800) received" + "; message1200receive4eight-received-by-command2verb4zap: " + str(message1200receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 692F4/800) yielded" + "; message1200receive4eight-yielded-by-zap2verb4xii: " + str(message1200receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 692F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 692F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 692F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [12] = message1200receive4eight
        
    #============
    # 1300 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 693F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1300receive4eight = "<nack2receive4xi>layer1300eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1300receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 693F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1300receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 693F3/800) received" + "; message1300receive4eight-received-by-command2verb4zap: " + str(message1300receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 693F4/800) yielded" + "; message1300receive4eight-yielded-by-zap2verb4xii: " + str(message1300receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 693F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 693F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 693F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [13] = message1300receive4eight
        
    #============
    # 1400 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 694F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1400receive4eight = "<nack2receive4xi>layer1400eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1400receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 694F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1400receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 694F3/800) received" + "; message1400receive4eight-received-by-command2verb4zap: " + str(message1400receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 694F4/800) yielded" + "; message1400receive4eight-yielded-by-zap2verb4xii: " + str(message1400receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 694F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 694F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 694F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [14] = message1400receive4eight
        
    #============
    # 1500 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 695F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1500receive4eight = "<nack2receive4xi>layer1500eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1500receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 695F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1500receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 695F3/800) received" + "; message1500receive4eight-received-by-command2verb4zap: " + str(message1500receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 695F4/800) yielded" + "; message1500receive4eight-yielded-by-zap2verb4xii: " + str(message1500receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 695F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 695F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 695F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [15] = message1500receive4eight
        
    #============
    # 1600 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 696F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1600receive4eight = "<nack2receive4xi>layer1600eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1600receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 696F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1600receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 696F3/800) received" + "; message1600receive4eight-received-by-command2verb4zap: " + str(message1600receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 696F4/800) yielded" + "; message1600receive4eight-yielded-by-zap2verb4xii: " + str(message1600receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 696F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 696F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 696F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [16] = message1600receive4eight
        
    #============
    # 1700 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 697F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1700receive4eight = "<nack2receive4xi>layer1700eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1700receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 697F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1700receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 697F3/800) received" + "; message1700receive4eight-received-by-command2verb4zap: " + str(message1700receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 697F4/800) yielded" + "; message1700receive4eight-yielded-by-zap2verb4xii: " + str(message1700receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 697F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 697F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 697F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [17] = message1700receive4eight
        
    #============
    # 1800 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 698F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1800receive4eight = "<nack2receive4xi>layer1800eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1800receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 698F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1800receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 698F3/800) received" + "; message1800receive4eight-received-by-command2verb4zap: " + str(message1800receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 698F4/800) yielded" + "; message1800receive4eight-yielded-by-zap2verb4xii: " + str(message1800receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 698F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 698F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 698F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    kb2message [8] [18] = message1800receive4eight
        
    #============
    # 1900 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 699F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message1900receive4eight = "<nack2receive4xi>layer1900eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message1900receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 699F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message1900receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 699F3/800) received" + "; message1900receive4eight-received-by-command2verb4zap: " + str(message1900receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 699F4/800) yielded" + "; message1900receive4eight-yielded-by-zap2verb4xii: " + str(message1900receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 699F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 699F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 699F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
        
       
    kb2message [8] [19] = message1900receive4eight
        
    #============
    # 2000 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 600F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2000receive4eight = "<nack2receive4xi>layer2000eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2000receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 600F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2000receive4eight)
                    #  
                    if ack2dragontrace is True:
                        message2print = "{(Step 600F3/800) received" + "; message2000receive4eight-received-by-command2verb4zap: " + str(message2000receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 600F4/800) yielded" + "; message2000receive4eight-yielded-by-zap2verb4xii: " + str(message2000receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                     
            else:
                print("\n (Step 600F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 600F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 600F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [20] = message2000receive4eight
        
    #============
    # 2100 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 621F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2100receive4eight = "<nack2receive4xi>layer2100eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2100receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 621F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2100receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 621F3/800) received" + "; message2100receive4eight-received-by-command2verb4zap: " + str(message2100receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 621F4/800) yielded" + "; message2100receive4eight-yielded-by-zap2verb4xii: " + str(message2100receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                   
            else:
                print("\n (Step 621F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 621F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 621F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [21] = message2100receive4eight
        
    #============
    # 2200 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 622F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2200receive4eight = "<nack2receive4xi>layer2200eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2200receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 622F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2200receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 622F3/800) received" + "; message2200receive4eight-received-by-command2verb4zap: " + str(message2200receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 622F4/800) yielded" + "; message2200receive4eight-yielded-by-zap2verb4xii: " + str(message2200receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 622F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 622F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 622F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [22] = message2200receive4eight
        
    #============
    # 2300 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 623F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2300receive4eight = "<nack2receive4xi>layer2300eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2300receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 623F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2300receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 623F3/800) received" + "; message2300receive4eight-received-by-command2verb4zap: " + str(message2300receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 623F4/800) yielded" + "; message2300receive4eight-yielded-by-zap2verb4xii: " + str(message2300receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 623F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 623F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 623F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [23] = message2300receive4eight
        
    #============
    # 2400 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 624F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2400receive4eight = "<nack2receive4xi>layer2400eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2400receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 624F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2400receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 624F3/800) received" + "; message2400receive4eight-received-by-command2verb4zap: " + str(message2400receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 624F4/800) yielded" + "; message2400receive4eight-yielded-by-zap2verb4xii: " + str(message2400receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 624F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 624F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 624F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [24] = message2400receive4eight
        
    #============
    # 2500 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 625F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2500receive4eight = "<nack2receive4xi>layer2500eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2500receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 625F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2500receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 625F3/800) received" + "; message2500receive4eight-received-by-command2verb4zap: " + str(message2500receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 625F4/800) yielded" + "; message2500receive4eight-yielded-by-zap2verb4xii: " + str(message2500receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 625F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 625F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 625F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [25] = message2500receive4eight
        
    #============
    # 2600 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 626F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2600receive4eight = "<nack2receive4xi>layer2600eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2600receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 626F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2600receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 626F3/800) received" + "; message2600receive4eight-received-by-command2verb4zap: " + str(message2600receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 626F4/800) yielded" + "; message2600receive4eight-yielded-by-zap2verb4xii: " + str(message2600receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 626F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 626F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 626F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [26] = message2600receive4eight
        
    #============
    # 2700 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 627F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2700receive4eight = "<nack2receive4xi>layer2700eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2700receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 627F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2700receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 627F3/800) received" + "; message2700receive4eight-received-by-command2verb4zap: " + str(message2700receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 627F4/800) yielded" + "; message2700receive4eight-yielded-by-zap2verb4xii: " + str(message2700receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                    
            else:
                print("\n (Step 627F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 627F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 627F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [27] = message2700receive4eight
        
    #============
    # 2800 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 628F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2800receive4eight = "<nack2receive4xi>layer2800eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message2800receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 628F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2800receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 628F3/800) received" + "; message2800receive4eight-received-by-command2verb4zap: " + str(message2800receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 628F4/800) yielded" + "; message2800receive4eight-yielded-by-zap2verb4xii: " + str(message2800receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                        
                
            else:
                print("\n (Step 628F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 628F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 628F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [28] = message2800receive4eight
        
    #============
    # 2900 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 629F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message2900receive4eight = "<nack2receive4xi>layer2900eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                    message2900receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 629F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2900receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 629F3/800) received" + "; message2900receive4eight-received-by-command2verb4zap: " + str(message2900receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 629F4/800) yielded" + "; message2900receive4eight-yielded-by-zap2verb4xii: " + str(message2900receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                        
            else:
                print("\n (Step 629F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 629F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 629F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [29] = message2900receive4eight
        
    #============
    # 3000 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 630F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message3000receive4eight = "<nack2receive4xi>layer3000eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                
                    message3000receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 630F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message3000receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 630F3/800) received" + "; message3000receive4eight-received-by-command2verb4zap: " + str(message3000receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 630F4/800) yielded" + "; message3000receive4eight-yielded-by-zap2verb4xii: " + str(message3000receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                        
                
            else:
                print("\n (Step 630F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 630F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 630F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [30] = message3000receive4eight
        
    #============
    # 3100 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 631F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message3100receive4eight = "<nack2receive4xi>layer3100eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                    
                    message3100receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 631F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message3100receive4eight) 
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 631F3/800) received" + "; message3100receive4eight-received-by-command2verb4zap: " + str(message3100receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 631F4/800) yielded" + "; message3100receive4eight-yielded-by-zap2verb4xii: " + str(message3100receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                           
            else:
                print("\n (Step 631F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 631F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 631F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [31] = message3100receive4eight
        
    #============
    # 3200 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 632F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                                                                                                                                    # 
                                                                                                                                                   
                message3200receive4eight = "<nack2receive4xi>layer3200eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------                                                                                                                     
                    message3200receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 632F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message3200receive4eight)
                    # 
                    if ack2dragontrace is True:
                        message2print = "{(Step 632F3/800) received" + "; message3200receive4eight-received-by-command2verb4zap: " + str(message3200receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 632F4/800) yielded" + "; message3200receive4eight-yielded-by-zap2verb4xii: " + str(message3200receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                           
            else:
                print("\n (Step 632F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 632F6/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 632F7/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
       
    kb2message [8] [32] = message3200receive4eight
        
    #============
    # 3300 EIGHT
    #============
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION FOR LAYER
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 6338F1/800) OF COMMAND2VERB4ZAP - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel) 
                                                                                                                                    # 
                                                                                                                                                   
                message3300receive4eight = "<nack2receive4xi>layer3300eight</nack2receive4xi"
                try:
                    # ---------------------------------------------------------------------------------------
                    # SENSE POSSIBLE PIPE ERROR - THEY DO HAPPEN - AND DUE TO OS!
                    # ---------------------------------------------------------------------------------------
                                                                                                                                         
                    message3300receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug4eight is True:
                        print("\n (Step 6338F2/800) OF COMMAND2VERB4ZAP - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message3300receive4eight)
                                                                                                                                    # <ack3300put4eight4xi>layer3300eight</ack3300put4eight4xi>
                    if ack2dragontrace is True:
                        message2print = "{(Step 6338F2/800) received" + "; message3300receive4eight-received-by-command2verb4zap: " + str(message3300receive4eight) + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)
                except:
                    message2print = "{(Step 683F4/800) yielded" + "; message3300receive4eight-yielded-by-zap2verb4xii: " + str(message3300receive4eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              #                                                                                                                     # <ack3300put4eight4xi>layer3300eight</ack3300put4eight4xi>                          
            else:
                print("\n (Step 6338F3/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 6338F4/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 6338F5/800) OF COMMAND2VERB4ZAP ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  

       
    kb2message [8] [33] = message3300receive4eight
         
           
    # =========================================================================================================   
    # I/VII EOF EIGHT DIRECTION - LAYERS 10, 100 ...3300 - PIPE INFORMATION FIRST
    # =========================================================================================================      
    if ack2debug4eight is True:
        print("\n (Step 8338F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2MESSAGE")    
        try:
            print("\n (Step 8338F8/800) OF COMMAND2VERB4ZAP - RECEIVED FROM DIRECTION EIGHT VIA PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
            keys2direction4message = kb2message.keys()                                                                              # 1 ... 8
            for key2direction4message in keys2direction4message:
                if key2direction4message == 8:
                    temp2layerkb = kb2message[key2direction4message] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                          # 0,1,2 ... 33
                        print("\n kb2message [", key2direction4message, "]: [", key2layer4temp,"]:", kb2message [key2direction4message] [key2layer4temp])
                        # kb2message [ 8 ]: [ 0 ]: <ack0010put4eight4xi>layer0010eight</ack0010put4eight4xi>
                        # kb2message [ 8 ]: [ 1 ]: <ack0100put4eight4xi>layer0100eight</ack0100put4eight4xi>
                        # kb2message [ 8 ]: [ 2 ]: <ack0200put4eight4xi>layer0200eight</ack0200put4eight4xi>
                        # kb2message [ 8 ]: [ 3 ]: <ack0300put4eight4xi>layer0300eight</ack0300put4eight4xi>
                        # kb2message [ 8 ]: [ 4 ]: <ack0400put4eight4xi>layer0400eight</ack0400put4eight4xi>
                        # kb2message [ 8 ]: [ 5 ]: <ack0500put4eight4xi>layer0500eight</ack0500put4eight4xi>
                        # kb2message [ 8 ]: [ 6 ]: <ack0600put4eight4xi>layer0600eight</ack0600put4eight4xi>
                        # kb2message [ 8 ]: [ 7 ]: <ack0700put4eight4xi>layer0700eight</ack0700put4eight4xi>
                        # kb2message [ 8 ]: [ 8 ]: <ack0800put4eight4xi>layer0800eight</ack0800put4eight4xi>
                        # kb2message [ 8 ]: [ 9 ]: <ack0900put4eight4xi>layer0900eight</ack0900put4eight4xi>
                        # kb2message [ 8 ]: [ 10 ]: <ack1000put4eight4xi>layer1000eight</ack1000put4eight4xi>
                        # kb2message [ 8 ]: [ 11 ]: <ack1100put4eight4xi>layer1100eight</ack1100put4eight4xi>
                        # kb2message [ 8 ]: [ 12 ]: <ack1200put4eight4xi>layer1200eight</ack1200put4eight4xi>
                        # kb2message [ 8 ]: [ 13 ]: <ack1300put4eight4xi>layer1300eight</ack1300put4eight4xi>
                        # kb2message [ 8 ]: [ 14 ]: <ack1400put4eight4xi>layer1400eight</ack1400put4eight4xi>
                        # kb2message [ 8 ]: [ 15 ]: <ack1500put4eight4xi>layer1500eight</ack1500put4eight4xi>
                        # kb2message [ 8 ]: [ 16 ]: <ack1600put4eight4xi>layer1600eight</ack1600put4eight4xi>
                        # kb2message [ 8 ]: [ 17 ]: <ack1700put4eight4xi>layer1700eight</ack1700put4eight4xi>
                        # kb2message [ 8 ]: [ 18 ]: <ack1800put4eight4xi>layer1800eight</ack1800put4eight4xi>
                        # kb2message [ 8 ]: [ 19 ]: <ack1900put4eight4xi>layer1900eight</ack1900put4eight4xi>
                        # kb2message [ 8 ]: [ 20 ]: <ack2000put4eight4xi>layer2000eight</ack2000put4eight4xi>
                        # kb2message [ 8 ]: [ 21 ]: <ack2100put4eight4xi>layer2100eight</ack2100put4eight4xi>
                        # kb2message [ 8 ]: [ 22 ]: <ack2200put4eight4xi>layer2200eight</ack2200put4eight4xi>
                        # kb2message [ 8 ]: [ 23 ]: <ack2300put4eight4xi>layer2300eight</ack2300put4eight4xi>
                        # kb2message [ 8 ]: [ 24 ]: <ack2400put4eight4xi>layer2400eight</ack2400put4eight4xi>
                        # kb2message [ 8 ]: [ 25 ]: <ack2500put4eight4xi>layer2500eight</ack2500put4eight4xi>
                        # kb2message [ 8 ]: [ 26 ]: <ack2600put4eight4xi>layer2600eight</ack2600put4eight4xi>
                        # kb2message [ 8 ]: [ 27 ]: <ack2700put4eight4xi>layer2700eight</ack2700put4eight4xi>
                        # kb2message [ 8 ]: [ 28 ]: <ack2800put4eight4xi>layer2800eight</ack2800put4eight4xi>
                        # kb2message [ 8 ]: [ 29 ]: <ack2900put4eight4xi>layer2900eight</ack2900put4eight4xi>
                        # kb2message [ 8 ]: [ 30 ]: <ack3000put4eight4xi>layer3000eight</ack3000put4eight4xi>
                        # kb2message [ 8 ]: [ 31 ]: <ack3100put4eight4xi>layer3100eight</ack3100put4eight4xi>
                        # kb2message [ 8 ]: [ 32 ]: <ack3200put4eight4xi>layer3200eight</ack3200put4eight4xi>
                        # kb2message [ 8 ]: [ 33 ]: <ack3300put4eight4xi>layer3300eight</ack3300put4eight4xi> 
        except:
            print("\n (Step 8338F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2MESSAGE")
                         
    # ============================================================================================= 
    # CHECK KB2MESSAGE
    # =============================================================================================         
    
    if ack2debug4eight is True:
        print("\n (Step 8348F7/800) OF COMMAND2VERB4ZAP - TRYING TO CHECK KB2MESSAGE")    
    try:
        keys2direction4message = kb2message.keys()                                                                                  # 1 ... 8
        for key2direction4message in keys2direction4message:
            temp2layerkb = kb2message[key2direction4message] 
            keys2layer4temp = temp2layerkb.keys()
            count2layer = 0
            for key2layer4temp in keys2layer4temp:
                count2layer = count2layer + 1 
            if ack2debug is True:                                                                                                   # 0,1,2 ... 33
                print("\n DIRECTION: ", key2direction4message, " MESSAGE QUANTITY: ", count2layer)
                # DIRECTION:  RECTION:  1  MESSAGE QUANTITY:  34
                # DIRECTION:  2  MESSAGE QUANTITY:  34
                # DIRECTION:  3  MESSAGE QUANTITY:  34
                # DIRECTION:  4  MESSAGE QUANTITY:  34
                # DIRECTION:  5  MESSAGE QUANTITY:  34
                # DIRECTION:  6  MESSAGE QUANTITY:  34
                # DIRECTION:  7  MESSAGE QUANTITY:  34
                # DIRECTION:  8  MESSAGE QUANTITY:  34
            
        keys2direction4message = kb2message.keys()                                                                                  # 1 ... 8
        for key2direction4message in keys2direction4message:
            temp2layerkb = kb2message[key2direction4message] 
            keys2layer4temp = temp2layerkb.keys()
            count2ok = 0
            for key2layer4temp in keys2layer4temp:
                start2ok = str.find(kb2message [key2direction4message] [key2layer4temp], '4xi>layer')
                end2ok   = str.find(kb2message [key2direction4message] [key2layer4temp], '</ack')
                if ((start2ok == -1) or (end2ok == -1)):
                    pass
                else:    
                    count2ok = count2ok + 1
                                                                                  
            if count2ok == 34:
                if ack2debug is True:         
                    print("\n DIRECTION: ", key2direction4message, " OK = ACK FROM ALL LAYERS RECEIVED!") 
                    #  DIRECTION:  1  OK = ACK FROM ALL LAYERS RECEIVED!
                    #  DIRECTION:  2  OK = ACK FROM ALL LAYERS RECEIVED!
                    #  DIRECTION:  3  OK = ACK FROM ALL LAYERS RECEIVED!
                    #  DIRECTION:  4  OK = ACK FROM ALL LAYERS RECEIVED!
                    #  DIRECTION:  5  OK = ACK FROM ALL LAYERS RECEIVED!
                    #  DIRECTION:  6  OK = ACK FROM ALL LAYERS RECEIVED!
                    #  DIRECTION:  7  OK = ACK FROM ALL LAYERS RECEIVED!
                    #  DIRECTION:  8  OK = ACK FROM ALL LAYERS RECEIVED!
                if ack2dragontrace is True:
                    message2print = "{(Step 8348F8/800) accepted" + "; direction-receiving-via-pipe-accepted-by-command2verb4zap: " + str(key2direction4message) + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                                  # 1 ... 8 
                
            else:
                print("\n DIRECTION: ", key2direction4message, " *** FAILED - COUNT2OK: ", count2ok, " < 34, KB2MESSAGE: ", kb2message)
                if ack2dragontrace is True:
                    message2print = "{(Step 8348F9/800) failed" + "; direction-receiving-via-pipe-failed-by-zap2verb4xii: " + str(key2direction4message)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                     
                    message2print = "{(Step 8348F10/800) failed" + "; layer-receiving-via-pipe-failed-by-zap2verb4xii: " + str(count2ok)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                   
    except:
        print("\n (Step 8338F11/800) OF COMMAND2VERB4ZAP *** FAILED TO CHECK KB2MESSAGE")                  
    
               
    # =========================================================================================================   
    # II/VIII EIGHT DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================      
    
    #===========
    # 0010 EIGHT   
    #===========
    kb2fire [8] = {}
        
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0010eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8634F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0010EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0010eight = queue2eight.get() 
                 
                if ack2debug4eight is True:
                    print("\n (Step 8634F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0010EIGHT: ", fire0010eight) 
                    # original order numbers:
                    # {8: '-10x-10y-12z', 9: '-10x-11y-13z', 10: '-10x-3y-27z', 11: '-10x-58y-6z', 47: '-10x-7y-37z', 48: '-11x-1y-27z', 49: '-11x-2y-27z', 50: '-11x-48y-4z'}          
                    # keys:
                    # key2direction   = 1,  key2distance    = 2,  key2layer       = 3   {key2area4layer  = 1, key2color4layer = 2, key2qty4layer   = 3, key2area4node   = 4}
                    # key2identity    = 4,  key2color       = 5,  key2fire        = 6,  key2cluster     = 7,  key2ray         = 8, key2deviation   = 9, key2super       = 10
                    # key2message     = 11, key2actor       = 12, key2type        = 13, key2home        = 14
                    # key2previous    = 15, key2next        = 16, key2last        = 17, key2first       = 18, key2module      = 19
                    
                    # got:
                    # {'-11x-1y-27z': {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 8, 4: 19.634954084936208}, 4: 'dragon-11x-1y-27z', 5: '#9BA2A2', 6: 48, 7: 33, 8: Decimal('29.1719042916'), 9: Decimal('19'), 10: 8, 11: '{(Step 1/3b) passed; z-set-param1-passed-to-set-zskeleton4xi: unified method setting first time by yourDragonXi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'set_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-7y-37z',  16: '-11x-2y-27z',   17: '-11x-48y-4z', 18: '-10x-10y-12z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-10x-11y-13z': {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 8, 4: 19.634954084936208}, 4: 'dragon-10x-11y-13z', 5: '#9BA2A2', 6: 9, 7: 33, 8: Decimal('19.7484176581'), 9: Decimal('9'), 10: 8, 11: '{(Step 1/3b) passed; z-set-param1-passed-to-set-zskeleton4xi: unified function setting first time by yourDragonXi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'set_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-10y-12z', 16: '-10x-3y-27z',   17: '-11x-48y-4z', 18: '-10x-10y-12z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    # '-10x-10y-12z': {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 8, 4: 19.634954084936208}, 4: 'dragon-10x-10y-12z', 5: '#9BA2A2', 6: 8, 7: 33, 8: Decimal('18.547236991'), 9: Decimal('8'), 10: 8, 11: '{(Step 1/3a) started; set-zskeleton4xi-started: function set_zskeleton4xi at 0x02A5F7C8; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'set_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-0x-0y-0z',    16: '-10x-11y-13z',  17: '-11x-48y-4z', 18: '-10x-10y-12z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-10x-3y-27z': {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 8, 4: 19.634954084936208}, 4: 'dragon-10x-3y-27z', 5: '#9BA2A2', 6: 10, 7: 33, 8: Decimal('28.9482296523'), 9: Decimal('18'), 10: 8, 11: '{(Step 2/3) initialized; z2xi-initialized-by-set-zskeleton4xi to: unified function setting first time by yourDragonXi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'set_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-11y-13z', 16: '-10x-58y-6z',   17: '-11x-48y-4z', 18: '-10x-10y-12z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-10x-58y-6z': {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 8, 4: 19.634954084936208}, 4: 'dragon-10x-58y-6z', 5: '#9BA2A2', 6: 11, 7: 33, 8: Decimal('59.160797831'), 9: Decimal('49'), 10: 8, 11: '{(Step 3/3) returning; set-zskeleton4xi-returning: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'set_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-3y-27z',  16: '-10x-7y-37z',   17: '-11x-48y-4z', 18: '-10x-10y-12z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-10x-7y-37z': {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 8, 4: 19.634954084936208}, 4: 'dragon-10x-7y-37z', 5: '#9BA2A2', 6: 47, 7: 33, 8: Decimal('38.9615194776'), 9: Decimal('28'), 10: 8, 11: '{(Step 1/3a) started; set-zskeleton4xi-started: function set_zskeleton4xi at 0x02A5F7C8; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'set_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-10x-58y-6z',  16: '-11x-1y-27z',   17: '-11x-48y-4z', 18: '-10x-10y-12z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-11x-2y-27z': {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 8, 4: 19.634954084936208}, 4: 'dragon-11x-2y-27z', 5: '#9BA2A2', 6: 49, 7: 33, 8: Decimal('29.2232783924'), 9: Decimal('19'), 10: 8, 11: '{(Step 2/3) initialized; z2xi-initialized-by-set-zskeleton4xi to: unified method setting first time by yourDragonXi; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'set_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-11x-1y-27z',  16: '-11x-48y-4z',   17: '-11x-48y-4z', 18: '-10x-10y-12z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}, 
                    #  '-11x-48y-4z': {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 8, 4: 19.634954084936208}, 4: 'dragon-11x-48y-4z', 5: '#9BA2A2', 6: 50, 7: 33, 8: Decimal('49.4064773081'), 9: Decimal('39'), 10: 8, 11: '{(Step 3/3) returning; set-zskeleton4xi-returning: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'set_zskeleton4xi', 13: 1, 
                    #                         14: '-0x-0y-0z', 15: '-11x-2y-27z',  16: '+0x+0y+0z',     17: '-11x-48y-4z', 18: '-10x-10y-12z', 19: 'zskeleton4xi.py'}, '8xi': {}, '4xi': {}}}
                if ack2dragontrace is True:
                    message2print = "{(Step 8634F3/800) got" + "; fire0010eight-got-by-command2verb4zap: " + str(fire0010eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)   
                
            else:
                print("\n (Step 8634F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8634F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8634F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())
    
    kb2fire [8] [0] = fire0010eight        
      
           
    #===========
    # 0100 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0100eight = {}

    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8641F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0100EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0100eight = queue2eight.get()
                 
                if ack2debug4eight is True:
                    print("\n (Step 8641F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0100EIGHT: ", fire0100eight) 
                    #
                                     
                if ack2dragontrace is True:
                    message2print = "{(Step 8641F2/800) got" + "; fire0100eight-got-by-command2verb4zap: " + str(fire0100eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
                  
            else:
                print("\n (Step 8641F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8641F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8641F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
      
    
    kb2fire [8] [1] = fire0100eight        
       
    
    #===========
    # 0200 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0200eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8642F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0200EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0200eight = queue2eight.get()
                 
                if ack2debug4eight is True:
                    print("\n (Step 8642F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0200EIGHT: ", fire0200eight) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 8642F2/800) got" + "; fire0200eight-got-by-command2verb4zap: " + str(fire0200eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8642F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8642F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8642F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                                    
                                  
    
    kb2fire [8] [2] = fire0200eight        
          


       
    #===========
    # 0300 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0300eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8643F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0300EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0300eight = queue2eight.get()
              
                if ack2debug4eight is True:
                    print("\n (Step 8643F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0300EIGHT: ", fire0300eight) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 8643F2/800) got" + "; fire0300eight-got-by-command2verb4zap: " + str(fire0300eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8643F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8643F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8643F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

    
    kb2fire [8] [3] = fire0300eight        
    
       
    #===========
    # 0400 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0400eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8644F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0400EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0400eight = queue2eight.get()
                
                if ack2debug4eight is True:
                    print("\n (Step 8644F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0400EIGHT: ", fire0400eight) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 8644F2/800) got" + "; fire0400eight-got-by-command2verb4zap: " + str(fire0400eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8644F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8644F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8644F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

    
    kb2fire [8] [4] = fire0400eight        
    
                               
    #===========
    # 0500 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0500eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8645F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0500EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0500eight = queue2eight.get()
               
                if ack2debug4eight is True:
                    print("\n (Step 8645F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0500EIGHT: ", fire0500eight) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 8645F2/800) got" + "; fire0500eight-got-by-command2verb4zap: " + str(fire0500eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8645F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8645F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8645F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                                  
    
    kb2fire [8] [5] = fire0500eight        
          

                                                                                          
    #===========
    # 0600 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0600eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8646F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0600EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0600eight = queue2eight.get()
                
                if ack2debug4eight is True:
                    print("\n (Step 8646F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0600EIGHT: ", fire0600eight) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 8646F2/800) got" + "; fire0600eight-got-by-command2verb4zap: " + str(fire0600eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8646F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8646F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8646F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [6] = fire0600eight        
    

        
    #===========
    # 0700 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0700eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8647F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0700EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0700eight = queue2eight.get()
                
                if ack2debug4eight is True:
                    print("\n (Step 8647F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0700EIGHT: ", fire0700eight) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 8647F2/800) got" + "; fire0700eight-got-by-command2verb4zap: " + str(fire0700eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8647F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8647F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8647F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [7] = fire0700eight        
    

          
    #===========
    # 0800 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0800eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8648F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0800EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0800eight = queue2eight.get()
              
                if ack2debug4eight is True:
                    print("\n (Step 8648F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0800EIGHT: ", fire0800eight) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 8648F2/800) got" + "; fire0800eight-got-by-command2verb4zap: " + str(fire0800eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8648F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8648F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8648F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

    
    kb2fire [8] [8] = fire0800eight        
    
        
    #===========
    # 0900 EIGHT
    #===========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire0900eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8649F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE0900EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire0900eight = queue2eight.get()
                 
                if ack2debug4eight is True:
                    print("\n (Step 8649F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE0900EIGHT: ", fire0900eight) 
                    #                                      
                if ack2dragontrace is True:
                    message2print = "{(Step 8649F2/800) got" + "; fire0900eight-got-by-command2verb4zap: " + str(fire0900eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8649F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8649F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8649F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [9] = fire0900eight        
    

        
    #============
    # 1000 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1000eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8650F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1000EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1000eight = queue2eight.get()
                  
                if ack2debug4eight is True:
                    print("\n (Step 8650F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1000EIGHT: ", fire1000eight) 
                    # 
                                                         
                if ack2dragontrace is True:
                    message2print = "{(Step 8650F2/800) got" + "; fire1000eight-got-by-command2verb4zap: " + str(fire1000eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8650F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8650F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8650F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [10] = fire1000eight        
    
        
    #============
    # 1100 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1100eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8651F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1100EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1100eight = queue2eight.get()
             
                if ack2debug4eight is True:
                    print("\n (Step 8651F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1100EIGHT: ", fire1100eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8651F2/800) got" + "; fire1100eight-got-by-command2verb4zap: " + str(fire1100eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8651F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8651F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8651F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [11] = fire1100eight        
    

        
    #============
    # 1200 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1200eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8652F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1200EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1200eight = queue2eight.get()
             
                if ack2debug4eight is True:
                    print("\n (Step 8652F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1200EIGHT: ", fire1200eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8652F2/800) got" + "; fire1200eight-got-by-command2verb4zap: " + str(fire1200eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8652F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8652F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8652F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [12] = fire1200eight        
    

        
    #============
    # 1300 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1300eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8653F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1300EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1300eight = queue2eight.get()
           
                if ack2debug4eight is True:
                    print("\n (Step 8653F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1300EIGHT: ", fire1300eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8653F2/800) got" + "; fire1300eight-got-by-command2verb4zap: " + str(fire1300eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8653F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8653F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8653F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [13] = fire1300eight        
    
        
    #============
    # 1400 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1400eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8654F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1400EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1400eight = queue2eight.get()
             
                if ack2debug4eight is True:
                    print("\n (Step 8654F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1400EIGHT: ", fire1400eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8654F2/800) got" + "; fire1400eight-got-by-command2verb4zap: " + str(fire1400eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8654F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8654F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8654F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [14] = fire1400eight        
    
        
    #============
    # 1500 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1500eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8655F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1500EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1500eight = queue2eight.get()
                
                if ack2debug4eight is True:
                    print("\n (Step 8655F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1500EIGHT: ", fire1500eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8655F2/800) got" + "; fire1500eight-got-by-command2verb4zap: " + str(fire1500eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8655F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8655F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8655F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [15] = fire1500eight        
    
        
    #============
    # 1600 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1600eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8656F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1600EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1600eight = queue2eight.get() 
             
                if ack2debug4eight is True:
                    print("\n (Step 8656F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE22EIGHI: ", fire1600eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8656F2/800) got" + "; fire1600eight-got-by-command2verb4zap: " + str(fire1600eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8656F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8656F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8656F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [16] = fire1600eight        
    
        
    #============
    # 1700 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1700eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8657F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1700EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1700eight = queue2eight.get()
                 
                if ack2debug4eight is True:
                    print("\n (Step 8657F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1700EIGHT: ", fire1700eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8657F2/800) got" + "; fire1700eight-got-by-command2verb4zap: " + str(fire1700eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8657F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8657F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8657F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [17] = fire1700eight        
    
        
    #============
    # 1800 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1800eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8658F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1800EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1800eight = queue2eight.get()
                 
                if ack2debug4eight is True:
                    print("\n (Step 8658F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1800EIGHT: ", fire1800eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8658F2/800) got" + "; fire1800eight-got-by-command2verb4zap: " + str(fire1800eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8658F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8658F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8658F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [18] = fire1800eight        
    
        
    #============
    # 1900 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire1900eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8659F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE1900EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire1900eight = queue2eight.get()
             
                if ack2debug4eight is True:
                    print("\n (Step 8659F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE1900EIGHT: ", fire1900eight) 
                    #                                                          
                if ack2dragontrace is True:
                    message2print = "{(Step 8659F2/800) got" + "; fire1900eight-got-by-command2verb4zap: " + str(fire1900eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8659F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8659F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8659F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [19] = fire1900eight        
          

        
    #============
    # 2000 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2000eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8660F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2000EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2000eight = queue2eight.get()
              
                if ack2debug4eight is True:
                    print("\n (Step 8660F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2000EIGHT: ", fire2000eight) 
                    # 
                                                                             
                if ack2dragontrace is True:
                    message2print = "{(Step 8660F2/800) got" + "; fire2000eight-got-by-command2verb4zap: " + str(fire2000eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8660F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8660F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8660F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [20] = fire2000eight        
    
        
    #============
    # 2100 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2100eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8661F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2100EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2100eight = queue2eight.get()
                 
                if ack2debug4eight is True:
                    print("\n (Step 8661F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2100EIGHT: ", fire2100eight) 
                    #                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 8661F2/800) got" + "; fire2100eight-got-by-command2verb4zap: " + str(fire2100eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8661F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8661F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8661F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [21] = fire2100eight        
  
        
    #============
    # 2200 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2200eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8662F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2200EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2200eight = queue2eight.get()
               
                if ack2debug4eight is True:
                    print("\n (Step 8662F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2200EIGHT: ", fire2200eight) 
                    #                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 8662F2/800) got" + "; fire2200eight-got-by-command2verb4zap: " + str(fire2200eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8662F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8662F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8662F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [22] = fire2200eight        
  
        
    #============
    # 2300 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2300eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8663F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2300EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2300eight = queue2eight.get()
                 
                if ack2debug4eight is True:
                    print("\n (Step 8663F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2300EIGHT: ", fire2300eight) 
                    # 
                                                                             
                if ack2dragontrace is True:
                    message2print = "{(Step 8663F2/800) got" + "; fire2300eight-got-by-command2verb4zap: " + str(fire2300eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #                  
            else:
                print("\n (Step 8663F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8663F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8663F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [23] = fire2300eight        
  
        
    #============
    # 2400 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2400eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8664F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2400EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2400eight = queue2eight.get()

                if ack2debug4eight is True:
                    print("\n (Step 8664F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2400EIGHT: ", fire2400eight) 
                    # 
                                                                             
                if ack2dragontrace is True:
                    message2print = "{(Step 8664F2/800) got" + "; fire2400eight-got-by-command2verb4zap: " + str(fire2400eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #                  
            else:
                print("\n (Step 8664F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8664F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8664F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [24] = fire2400eight        
  
        
    #============
    # 2500 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2500eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8665F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2500EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2500eight = queue2eight.get()

                if ack2debug4eight is True:
                    print("\n (Step 8665F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2500EIGHT: ", fire2500eight) 
                    # 
                                                                             
                if ack2dragontrace is True:
                    message2print = "{(Step 8665F2/800) got" + "; fire2500eight-got-by-command2verb4zap: " + str(fire2500eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #                  
            else:
                print("\n (Step 8665F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8665F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8665F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [25] = fire2500eight        
  
        
    #============
    # 2600 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2600eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8666F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2600EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2600eight = queue2eight.get()

                if ack2debug4eight is True:
                    print("\n (Step 8666F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2600EIGHT: ", fire2600eight) 
                    # 
                                                                             
                if ack2dragontrace is True:
                    message2print = "{(Step 8666F2/800) got" + "; fire2600eight-got-by-command2verb4zap: " + str(fire2600eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #                  
            else:
                print("\n (Step 8666F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8666F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8666F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [26] = fire2600eight        
  
        
    #============
    # 2700 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2700eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8667F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2700EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2700eight = queue2eight.get()

                if ack2debug4eight is True:
                    print("\n (Step 8667F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2700EIGHT: ", fire2700eight) 
                    #                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 8667F2/800) got" + "; fire2700eight-got-by-command2verb4zap: " + str(fire2700eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
            else:
                print("\n (Step 8667F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8667F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8667F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [27] = fire2700eight        
  
        
    #============
    # 2800 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2800eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8668F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2800EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2800eight = queue2eight.get()

                if ack2debug4eight is True:
                    print("\n (Step 8668F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2800EIGHT: ", fire2800eight) 
                    #                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 8668F2/800) got" + "; fire2800eight-got-by-command2verb4zap: " + str(fire2800eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8668F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8668F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8668F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [28] = fire2800eight        
  
        
    #============
    # 2900 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2900eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8669F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE2900EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire2900eight = queue2eight.get()
                  
                if ack2debug4eight is True:
                    print("\n (Step 8669F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2900EIGHT: ", fire2900eight) 
                    #                                                                              
                if ack2dragontrace is True:
                    message2print = "{(Step 8669F2/800) got" + "; fire2900eight-got-by-command2verb4zap: " + str(fire2900eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8669F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8669F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8669F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [29] = fire2900eight        
  
        
    #============
    # 3000 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3000eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8670F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3000EIGHT FROM QUEUE: ", queue2eight)
                    # 
                
                fire3000eight = queue2eight.get()
                  
                if ack2debug4eight is True:
                    print("\n (Step 8670F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE3000EIGHT: ", fire3000eight) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 8670F2/800) got" + "; fire3000eight-got-by-command2verb4zap: " + str(fire3000eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #     
                  
            else:
                print("\n (Step 8670F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8670F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8670F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [30] = fire3000eight        
  
        
    #============
    # 3100 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3100eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8671F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3100EIGHT FROM QUEUE: ", queue2eight) 
                    # 
                
                fire3100eight = queue2eight.get()
                if ack2debug4eight is True:
                    print("\n (Step 8671F3/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE3100EIGHT: ", fire3100eight) 
                    # 
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 8671F2/800) got" + "; fire3100eight-got-by-command2verb4zap: " + str(fire3100eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                #  
                  
            else:
                print("\n (Step 8671F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8671F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8671F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
    
    kb2fire [8] [31] = fire3100eight        
                 

        
    #============
    # 3200 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3200eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8672F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3200EIGHT FROM QUEUE: ", queue2eight)
                    # 
                fire3200eight = queue2eight.get()
                       
                if ack2debug4eight is True:
                    print("\n (Step 8672F3/800) OF COMMAND2VERB4ZAP - FIRE3200EIGHT: ", fire3200eight) 
                    # {'-100x-2126y-2388z': {'2xi': {1: 8, 2: 3200, 3: {1: 16084954.386379741, 2: '#EE8712', 3: 9, 4: 1787217.1540421934}, 4: 'dragon-100x-2126y-2388z', 5: '#E9BBBB', 6: 3233, 7: 33, 8: 3200, 9: 0, 10: 8, 11: '{started; sense-of-Cluster4Xi-started: 02:56:55 12/17/10 Pacific Standard Time}', 
                    #                               12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-100x-2126y-2388z', 18: '-100x-2126y-2388z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}
                if ack2dragontrace is True:
                    message2print = "{(Step 8672F2/800) got" + "; fire3200eight-got-by-command2verb4zap: " + str(fire3200eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                # {'-100x-2126y-2388z': {'2xi': {1: 8, 2: 3200, 3: {1: 16084954.386379741, 2: '#EE8712', 3: 9, 4: 1787217.1540421934}, 4: 'dragon-100x-2126y-2388z', 5: '#E9BBBB', 6: 3233, 7: 33, 8: 3200, 9: 0, 10: 8, 11: '{started; sense-of-Cluster4Xi-started: 15:14:22 12/18/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-100x-2126y-2388z', 18: '-100x-2126y-2388z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}}; time: 15:14:48 12/18/10 Pacific Standard Time}
 
            else:
                print("\n (Step 8672F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8672F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8672F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
    
    kb2fire [8] [32] = fire3200eight        
  
        
    #============
    # 3300 EIGHT
    #============
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire3300eight = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True: 

            if ack2eight4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug4eight is True:
                    print("\n (Step 8673F1/800) OF COMMAND2VERB4ZAP - TRYING TO GET FIRE3300EIGHT FROM QUEUE: ", queue2eight)   
                    # <queue4xi.Queue4Xi object at 0x0545BCD0>
                fire3300eight = queue2eight.get()
                if ack2debug4eight is True:
                    print("\n (Step 8673F2/800) OF COMMAND2VERB4ZAP -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE3300EIGHT: ", fire3300eight) 
                    # 
                    
                    
                if ack2dragontrace is True:
                    message2print = "{(Step 8673F2/800) got" + "; fire3300eight-got-by-command2verb4zap: " + str(fire3300eight)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                #
                  
            else:
                print("\n (Step 8673F4/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (Step 8673F5/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (Step 8673F6/800) OF COMMAND2VERB4ZAP ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
    
    kb2fire [8] [33] = fire3300eight        
                 
            
    # =========================================================================================================   
    # II/VIII EOF EIGHT DIRECTION - LAYERS 10, 100 ...3300 - QUEUE DIRECTORIES 
    # =========================================================================================================  
    if ack2debug is True:
        print("\n (Step 8633F7/800) OF COMMAND2VERB4ZAP - TRYING TO PRINT KB2FIRE")    
        try:
            print("\n (Step 8633F8/800) OF COMMAND2VERB4ZAP - GOT FROM DIRECTION EIGHT VIA QUEUE2EIGHT: ", queue2eight)
            keys2direction4fire = kb2fire.keys()                                                                              # 1 ... 8
            for key2direction4fire in keys2direction4fire:
                if key2direction4fire == 8:
                    temp2layerkb = kb2fire[key2direction4fire] 
                    keys2layer4temp = temp2layerkb.keys()
                    for key2layer4temp in keys2layer4temp:                                                                    # 0,1,2 ... 33
                        print("\n kb2fire [", key2direction4fire, "]: [", key2layer4temp,"]:", kb2fire [key2direction4fire] [key2layer4temp])
                        # 
                        
                        
        except:
            print("\n (Step 8633F9/800) OF COMMAND2VERB4ZAP *** FAILED TO PRINT KB2FIRE")  
                    
    # -------------------------------------------------------------------------------------
    # RETURN
    # ------------------------------------------------------------------------------------- 
    if ack2debug is True:        
        print('=' *70)        
        print('(Step 5B/21) OF COMMAND2VERB4ZAP - RETURNING ', time4xi())                                          # (Step 5B/21) OF COMMAND2ZAP4ACTOR - RETURNING  14:57:09 12/22/10 Pacific Standard Time  
                         
    return kb2fire                                      
        
#</function4xi>
            
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "zap2verb4xi" usage = "to zap verbs"> 
#<state4xi status = "ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def zap2verb4xi(scope2reasonfile): 
    '''
    zaps actors of given scope-reason-file                            
    '''
    # ---------------------------------------------------------------------------------------------
    # Colors for Layers 
    # ---------------------------------------------------------------------------------------------    
    global ColorKB2Layer4Xi 
    
    # ---------------------------------------------------------------------------------------------
    # ZAP KnowledgeBase to eight (8) direction with 33 distances (2, 100,200 ... 3300)
    # ---------------------------------------------------------------------------------------------   
    global Zap0KB4Xi
    global Zap1KB4Xi
    global Zap2KB4Xi
    global Zap3KB4Xi
    global Zap4KB4Xi
    global Zap5KB4Xi
    global Zap6KB4Xi
    global Zap7KB4Xi
    global Zap8KB4Xi
    global ZapKB4Xi
    # ---------------------------------------------------------------------------------------------
    # Keys to ZAP KnowledgeBase
    # ---------------------------------------------------------------------------------------------       
    global keys2zap0kb4xi      
    global keys2zap1kb4xi
    global keys2zap2kb4xi
    global keys2zap3kb4xi
    global keys2zap4kb4xi
    global keys2zap5kb4xi
    global keys2zap6kb4xi
    global keys2zap7kb4xi
    global keys2zap8kb4xi
    global keys2zapkb4xi
                             
    # -----------------------------------------------------------------------------------------
    # (Step 1/33) - START 
    # -----------------------------------------------------------------------------------------        
    ack2debug = True                                                                               # Normal print trace for module testing   
    ack2dragontrace = False                                                                        # Dragonized trace
    
    if ack2debug is True:
        print("(Step 1A/33) OF ZAP2ACTORS4XI STARTED: ", time4xi())                                #                              
        
    class2print  = 'zap2verb4xi'                                                                   # Dragonized trace - do NOT forget these two lines for each function and method!
    method2print = 'zap2verb4xi'
    
    try:
        if ack2dragontrace is True:    
            message2print = "{(Step 1A/33) started" + "; zap2verb4xi-started: " + str(zap2verb4xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                     # 
        
                                                                                                          
            message2print = "{(Step 1B/33) passed" + "; scope2reasonfile-passed-to-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                     # 
        
    
    except:
        print("(Step 1B/33) zap2verb4xi *** FAILED ***") 
   
                                    
        
    # -----------------------------------------------------------------------------------------
    # TAGS - MOST INITIALIZED WHERE USED
    # -----------------------------------------------------------------------------------------    
    start2domain = '<rdfs:domain>' 
    end2domain   = '</rdfs:domain>'
    
    # -----------------------------------------------------------------------------------------
    # ACKNOWLEDGEMENTS FOR PROCESSING
    # -----------------------------------------------------------------------------------------    
    ack2actor                   = False
    ack2cluster                 = False
    ack2color                   = False
    ack2coordinate              = False
    ack2deviation               = False    
    ack2direction               = False
    ack2distance                = False 
    ack2domain                  = False   
    ack2dragon                  = False
    ack2fire                    = False    
    ack2function                = False    
    ack2id                      = False         
    ack2message                 = False  
    ack2method                  = False
    ack2object                  = False
    ack2origin                  = False    
    ack2ray                     = False
    ack2skeleton                = False
    

    if ack2dragontrace is True:
        message2print = "{(Step 1C/33) set" + "; ACKS-set-by-zap2verb4xi to: False" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                         # (Step 1C/33) set; ACKS-set-by-zap2verb4xi to: False; time: 23:49:35 12/07/10 Pacific Standard Time 
    
    
                  
    # -----------------------------------------------------------------------------------------
    # MISCELLANEOUS
    # -----------------------------------------------------------------------------------------
    class2print                 = 'zap2verb4xi'                                                    # print4xi parameters for tracing
    method2print                = 'zap2verb4xi'
    origin2xi                   = '0x0y0z'
    order2xi                    = 0
    max2order                   = 0
    profile2coordinate          = 'origin'                                                         # origin; skeleton; method; function; cluster; super                       
    function2xi                 = 'dummy'
                                                              
    if ack2debug is True:
        print("(Step 2/33) OF ZAP2ACTORS4XI STARTED: ", time4xi())
                                                                        
    # -----------------------------------------------------------------------------------------
    # (Step 2/33) - CHECK INPUT XML FILE
    # -----------------------------------------------------------------------------------------        
    if ack2dragontrace is True:
        message2print = "{(Step 2A/33) checking" + "; scope2reasonfile-checking-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        
    try:
        name2xi = os.path.splitext(scope2reasonfile)
        if ack2dragontrace is True:
            message2print = "{(Step 2A/33) set" + "; name2xi-set-by-zap2verb4xi to: " + str(name2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                         # ('..//..//xml//scope-reason-test-skeleton-print4xi', '.xml') 
            message2print = "{(Step 2B/33) set" + "; name2xi[0]-set-by-zap2verb4xi to: " + str(name2xi[0])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                         # ..//..//xml//scope-reason-test-skeleton-print4xi
            message2print = "{(Step 2C/33)set" + "; name2xi[1]-set-by-zap2verb4xi to: " + str(name2xi[1])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                         # .xml          
        if name2xi[1] == '.xml':
            if ack2dragontrace is True:    
                message2print = "{(Step 2D/33) accepted" + "; scope2reasonfile-accepted-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
                        
        else:
            if ack2dragontrace is True:    
                message2print = "{(Step 2E/33) yielded" + "; scope2reasonfile-yielded-by-zap2verb4xi: " + str(scope2reasonfile)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print) 
            return None                       
    except:
        message2print = "{(Step 2E/33) raising" + "; scope2reasonfile-raising-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
        return None                  
             
    # -----------------------------------------------------------------------------------------
    # (Step 3/33) - OPEN INPUT XML-FILE
    # -----------------------------------------------------------------------------------------            
        
    if ack2dragontrace is True:
        message2print = "{(Step 3A/33) opening" + "; scope2reasonfile-opening-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                         # scope2reasonfile-opening-by-zap2verb4xi: ..//..//xml//scope-reason-test-zskeleton4xi.xml; time: 23:49:35 12/07/10 Pacific Standard Time
    try:
        input_fd2xi = open(scope2reasonfile)
                                                                                                   # scope-reason-test-zskeleton4xi.xml  
        if ack2dragontrace is True:
            message2print = "{(Step 3B/33) opened" + "; input-fd2xi-opened-by-zap2verb4xi: " + str(input_fd2xi) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)     
    except:
        message2print = "{(Step 3C/33) raising" + "; scope2reasonfile-raising-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
        code2return = None
        
        message2print = "{(Step 3D/33) returning" + "; code2return-returning-by-zap2verb4xi: " + str(code2return) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
               
        return code2return           
        
       
    # -----------------------------------------------------------------------------------------
    # (Step 4/33) - CREATE PATH TO OUTPUT ZAP-FILE 
    # -----------------------------------------------------------------------------------------            
    if ack2debug is True:    
        print("(Step 4/33) OF ZAP2ACTORS4XI STARTED: ", time4xi())      
    
    try:
        i_xi2=str.find(scope2reasonfile,'scope-')                                                   # ..//..//xml//zap-scope-reason-test-zskeleton4xi.xml
                                                                         
        output_name2xi = 'zap-' + scope2reasonfile[i_xi2+0:]                                        # zap-scope-reason-test-zskeleton4xi.xml       
    
        if ack2dragontrace is True:
            message2print = "{(Step 4A/33) set" + "; output-name2xi-set-by-zap2verb4xi to: " + str(output_name2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)  
                
        output_folder2xi = '..//..//zap//'                                                         # ..//..//zap//
        if ack2dragontrace is True:
            message2print = "{(Step 4B/33) set" + "; output-folder2xi-set-by-zap2verb4xi to: " + str(output_folder2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)  
                        
        output_path2xi =  output_folder2xi + output_name2xi   
                                                                                                   # ..//..//zap//zap-scope-reason-test-zskeleton4xi.xml         
        if ack2dragontrace is True:
            message2print = "{(Step 4C/33) set" + "; output-path2xi-set-by-zap2verb4xi to: " + str(output_path2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)  
            
        i2zap = str.find(output_name2xi,'zap-') 
        i2extension = str.find(output_name2xi,'.xml')
        galaxy2xi = output_name2xi[i2zap+4:i2extension]   
                                                                                                   # zap-scope-reason-test-zskeleton4xi            
        if ack2dragontrace is True:
            message2print = "{(Step 4D/33) set" + "; galaxy2xi-set-by-zap2verb4xi to: " + str(galaxy2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)  
    except:
        message2print = "{(Step 4E/33) raising" + "; scope2reasonfile-raising-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
        code2return = None
        
        message2print = "{(Step 4F/33) returning" + "; code2return-returning-by-zap2verb4xi: " + str(code2return) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
               
        return code2return    
                               
 
    linecount2xi = 0
    # -----------------------------------------------------------------------------------------------------------------
    # INPUT-FILE <DRAGONIZE>
    # ----------------------------------------------------------------------------------------------------------------- 
    while 1:
        # -------------------------------------------------------------------------------------------------------------
        # START OF INPUT FILE PROCESSING                                                               # zap-scope-reason-test-zskeleton4xi.xml
        # ------------------------------------------------------------------------------------------------------------- 
        input_line2xi = input_fd2xi.readline()                                                         # 
        if not input_line2xi:
            if ack2dragontrace is True:    
                message2print = "{(Step 11A/33) performed" + "; scope2reasonfile-performed-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                     # ..//..//xml//scope-reason-test-zskeleton4xi.xml
                message2print = "{(Step 11B/33) read" + "; scope2reasonfile-read-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                     # ..//..//xml//scope-reason-test-zskeleton4xi.xml
                        
            break                                                                                      # all lines read, finish
        else:
            if ack2debug is True:
                print("(Step 11C/33) OF ZAP2VERB4XI - INPUT-LINE2XI: " , input_line2xi)               # <?xml version="1.0"?>; <rdf:RDF; xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"    
                                                                                                       # <owl:OnProperty rdf:ID="0x0y-39z">
            # ---------------------------------------------------------------------------------------------------------
            # START OF LINE-PROCESSING 
            # ---------------------------------------------------------------------------------------------------------           
            while 1:
                if ack2debug is True:
                    print("(Step 11D/33) OF ZAP2VERB4XI - INPUT-LINE2XI: " , input_line2xi)           # <owl:OnProperty rdf:ID="0x0y-39z">    
                linecount2xi = linecount2xi + 1
                id2search  = 'rdf:ID='
                i2id = str.find(input_line2xi, id2search)                                              # <owl:Class rdf:ID="ActorWaves4Xi">; <owl:ObjectProperty rdf:ID="0x0y0z">; <owl:OnProperty rdf:ID="0x0y-39z">
                                                                                                       # <owl:Class rdf:ID="ClusterColorStatistics4Xi">; <owl:OnProperty rdf:ID="0x0y3199z">
                                                                                                       # <owl:Class rdf:ID="SuperClusterColorStatistics4Xi">; # <owl:OnProperty rdf:ID="0x0y3299z">
                if i2id == -1:
                    # -----------------------------------------------------------------------------------------------------
                    # NON-ID LINE
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2id = False                                                                     
                
                    # -----------------------------------------------------------------------------------------------------
                    # OBJECT ? 
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11E1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS OBJECT: " , input_line2xi)   
                                                                                                       # <rdf:object>ZSkeleton4Xi</rdf:object>                     
                                                                                                       # 0123456789012345678901234567890123456
                    core2tag = 'rdf:object'                                                            # rdf:object                                                     
                    # print('core2tag: ', core2tag)
                    start2search = '<' + core2tag + '>'                                                # <rdf:object>
                    # print('start2search: ', start2search)
                    start2tag = str.find(input_line2xi, start2search)                                  # 12              
                    # print('start2tag: ', start2tag)
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # OBJECT! 
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'                                             # </rdf:object>
                        # print('end2search: ', end2search)                                      
                        end2tag = str.find(input_line2xi, end2search)                                  # <rdf:object>ZSkeleton4Xi</rdf:object> 
                        # print('end2tag: ', end2tag)                                                  # 36
                        if end2tag == -1:                                                              # 0123456789012345678901234567890123456
                            pass                                                                       
                        else:
                            object2xi = input_line2xi[start2tag+len(start2search):end2tag]             # ZSkeleton4Xi
                            # print('object2xi - version3: ', object2xi)

                            if ack2dragontrace is True:
                                message2print = "{(Step 11E2/33) set" + "; object2xi-set-by-zap2verb4xi to: " + str(object2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                     # ZSkeleton4Xi; time: 00:18:28 11/19/10 Pacific Standard Time
                            ack2object  = True
                            ack2dragon  = True 
                            break

                    # -----------------------------------------------------------------------------------------------------
                    # COLOR ?
                    # -----------------------------------------------------------------------------------------------------                  
                    if ack2debug is True:                                                              # <color4xi>#0080FF</color4xi> 
                        print("(Step 11F1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS COLOR : " , input_line2xi)                     
                    core2tag = 'color4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # COLOR!
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # <color4xi>#0080FF</color4xi>
                        if end2tag == -1:
                            pass  
                        else:
                            color2xi = input_line2xi[start2tag+len(start2search):end2tag]              #0080FF
                            if ack2dragontrace is True:
                                message2print = "{(Step 11F2/33) set" + "; color2xi-set-by-zap2verb4xi to: " + str(color2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            ack2color  = True
                            break

                    # -----------------------------------------------------------------------------------------------------
                    # DIRECTION ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11G1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS DIRECTION: " , input_line2xi)                     
                    
                    core2tag = 'direct4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # DIRECTION!
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # <direct4xi>3</direct4xi>
                        if end2tag == -1:
                            pass  
                        else:
                            direction2xi = int(input_line2xi[start2tag+len(start2search):end2tag])     # 3
                            if ack2dragontrace is True:
                                message2print = "{(Step 11G2/33) set" + "; direction2xi-set-by-zap2verb4xi to: " + str(direction2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            ack2direction = True
                            break
             
                    # -----------------------------------------------------------------------------------------------------
                    # DISTANCE ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11G1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS DISTANCE: " , input_line2xi)                     
                    core2tag = 'distance4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # DISTANCE! 
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # <distance4xi>10</distance4xi>
                        if end2tag == -1:
                            pass  
                        else:
                            distance2xi = int(input_line2xi[start2tag+len(start2search):end2tag])      # 10
                            if ack2dragontrace is True:
                                message2print = "{(Step 11I1/33) set" + "; distance2xi-set-by-zap2verb4xi to: " + str(distance2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                     # 3200 = cluster 
                            ack2distance = True
                            if distance2xi == 3200:
                                profile2coordinate = 'cluster'
                                ray2xi = distance2xi
                                deviation2xi = 0
                                if fire2xi <= 3200:
                                    fire2xi = 3201
                                else:    
                                    fire2xi = fire2xi + 1
                            if distance2xi == 3300:
                                profile2coordinate = 'super'
                                ray2xi = distance2xi
                                deviation2xi = 0
                                if fire2xi <= 3300:
                                    fire2xi = 3301
                                else:    
                                    fire2xi = fire2xi + 1
                                
                            if ack2dragontrace is True:
                                message2print = "{(Step 11G2/33) set" + "; profile2coordinate-set-by-zap2verb4xi to: " + str(profile2coordinate)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                            break

                    # -----------------------------------------------------------------------------------------------------
                    # RAY ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11H1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS DISTANCE: " , input_line2xi)                     
                    core2tag = 'ray4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # RAY!
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # <ray4xi>29.1376045687</ray4xi>
                        if end2tag == -1:
                            pass  
                        else:
                            ray2xi = Decimal(input_line2xi[start2tag+len(start2search):end2tag])       # 29.1376045687
                            if ack2dragontrace is True:
                                message2print = "{(Step 11H2/33) set" + "; ray2xi-set-by-zap2verb4xi to: " + str(ray2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            ack2ray = True
                            break

                    # -----------------------------------------------------------------------------------------------------
                    # DEVIATION ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11I1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS DEVIATION: " , input_line2xi)                     
                    core2tag = 'deviate4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # DEVIATION!
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # <deviate4xi>29</deviate4xi>
                        if end2tag == -1:
                            pass  
                        else:
                            deviation2xi = Decimal(input_line2xi[start2tag+len(start2search):end2tag]) # 29
                            if ack2dragontrace is True:
                                message2print = "{(Step 11I2/33) set" + "; deviation2xi-set-by-zap2verb4xi to: " + str(deviation2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            ack2deviation = True
                            break

                    # -----------------------------------------------------------------------------------------------------
                    # CLUSTER ?
                    # -----------------------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("(Step 11J1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS CLUSTER: " , input_line2xi)                     
                    core2tag = 'cluster4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # CLUSTER!
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # <cluster4xi>3</cluster4xi>
                        if end2tag == -1:
                            pass  
                        else:
                            cluster2xi = int(input_line2xi[start2tag+len(start2search):end2tag])       # 3
                            if ack2dragontrace is True:
                                message2print = "{(Step 11J2/33) set" + "; cluster2xi-set-by-zap2verb4xi to: " + str(cluster2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            ack2cluster = True
                            ack2dragon  = True                        
                            break
             
                    # -----------------------------------------------------------------------------------------------------
                    # FIRE ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11K1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS CLUSTER: " , input_line2xi)                     
                    core2tag = 'fire4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # FIRE!
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # <fire4xi>15</fire4xi> 
                        if end2tag == -1:
                            pass  
                        else:
                            fire2xi = int(input_line2xi[start2tag+len(start2search):end2tag])          # 15
                            if ack2dragontrace is True:
                                message2print = "{(Step 11K2/33) set" + "; fire2xi-set-by-zap2verb4xi to: " + str(fire2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            ack2fire = True
                            ack2dragon  = True
                            break              
           
                    # -----------------------------------------------------------------------------------------------------
                    # METHOD ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11L1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS METHOD: " , input_line2xi)                     
                    core2tag = 'method4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # METHOD! 
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # ace 
                        if end2tag == -1:
                            pass
                        else:
                            method2xi = input_line2xi[start2tag+len(start2search):end2tag]            # __init__; ace
                            if ack2dragontrace is True:
                                message2print = "{(Step 11L2/33) set" + "; method2xi-set-by-zap2verb4xi to: " + str(method2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                                    
                            ack2method = True
                            ack2dragon  = True
                            profile2coordinate = 'method'                                     
                            ack2function = False
                            break
                    
                    # -----------------------------------------------------------------------------------------------------
                    # FUNCTION ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11M1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS FUNCTION: " , input_line2xi)                     
                    core2tag = 'function4xi'
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # FUNCTION!
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # init_zskeleton4xi 
                        if end2tag == -1:
                            pass
                        else:
                            function2xi = input_line2xi[start2tag+len(start2search):end2tag]           # init_zskeleton4xi
                            if ack2dragontrace is True:
                                message2print = "{(Step 11M2/33) set" + "; function2xi-set-by-zap2verb4xi to: " + str(function2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            ack2function = True
                            ack2dragon  = True                
                            profile2coordinate = 'function'                      
                            ack2method = False
                            break

                    # -----------------------------------------------------------------------------------------------------
                    # MESSAGE ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11N1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS MESSAGE: " , input_line2xi)                     
                    core2tag = 'message4xi'                                                            # <message4xi>{started; ace-of-ZSkeleton4Xi-started: 02:13:34 10/26/10 Pacific Daylight Time}</message4xi>
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        ack2message = False
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # MESSAGE!
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # 
                        if end2tag == -1:
                            pass  
                        else:
                            message2xi = input_line2xi[start2tag+len(start2search):end2tag]           # {(Step 1/3a) started; init-of-ZSkeleton4Xi-started: 18:58:34 11/11/10 Pacific Standard Time}
                            if ack2dragontrace is True:
                                message2print = "{(Step 11N2/33) set" + "; message-set-by-zap2verb4xi to: " + str(message2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                                    
                            ack2message = True
                            ack2dragon  = True 
                            break
                       

                    # -----------------------------------------------------------------------------------------------------
                    # CALCULATE ? 
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11N3/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS CALCULATE: " , input_line2xi)                     
                    core2tag = 'calculate4xi'                                                            # 
                    start2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        ack2message = False
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # CALCULATE! 
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</' + core2tag + '>'
                        end2tag = str.find(input_line2xi,end2search)                                   # <calculate4xi>6</calculate4xi>
                        if end2tag == -1:
                            pass  
                        else:
                            calculation2xi = int(input_line2xi[start2tag+len(start2search):end2tag])    
                            if ack2dragontrace is True:
                                message2print = "{(Step 11N4/33) set" + "; calculation2xi-set-by-zap2verb4xi to: " + str(calculation2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                     # 6; 80...
                                    
                            ack2calculation = True
                            ack2dragon  = True 
                            break

                    # -----------------------------------------------------------------------------------------------------
                    # DOMAIN ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11N5/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS DOMAIN: " , input_line2xi)                     
                    core2tag = 'domain'                                                                # <rdfs:domain>function</rdfs:domain> 
                    start2search = '<rdfs:' + core2tag + '>'                                           # <rdfs:domain>
                    start2tag = str.find(input_line2xi, start2search)               
                    if start2tag == -1:
                        ack2domain = False
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # DOMAIN! 
                        # -------------------------------------------------------------------------------------------------                   
                        end2search = '</rdfs:' + core2tag + '>'                                        # </rdfs:domain>
                        end2tag = str.find(input_line2xi,end2search)                                    
                        if end2tag == -1:
                            pass  
                        else:
                            domain2xi = input_line2xi[start2tag+len(start2search):end2tag]             
                            if ack2dragontrace is True:
                                message2print = "{(Step 11N6/33) set" + "; domain2xi-set-by-zap2verb4xi to: " + str(domain2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                         # function; class
                                                                                                           # method; 
                            ack2domain = True
                            ack2dragon  = True 
                            # ---------------------------------------------------------------------------------------------
                            # CLUSTER ?
                            # ---------------------------------------------------------------------------------------------                               
                            if profile2coordinate == 'cluster':
                                # -----------------------------------------------------------------------------------------
                                # CLUSTER!
                                # -----------------------------------------------------------------------------------------                               
                                object2xi = domain2xi
                                function2xi = 'cluster'
                                ack2function = True
                                message2xi = '{started' + '; sense-of-Cluster4Xi-started: ' + time4xi() + '}'
                                cluster2xi = 0
                                keys2cluster = ClusterColor4Xi.keys()                                  
                                for key2cluster in keys2cluster:
                                    if ClusterColor4Xi[key2cluster] [6] == domain2xi:                  # find key with name
                                        cluster2xi = key2cluster 
                                        if ack2dragontrace is True:
                                            message2print = "{(Step 11N7/33) set" + "; cluster2xi-set-by-zap2verb4xi to: " + str(cluster2xi)  + "; time: " + time4xi() + "}"
                                            print4xi(class2print, method2print, message2print)             # 1; 3
                            else:
                                pass            
                            # ---------------------------------------------------------------------------------------------
                            # SUPER ?
                            # ---------------------------------------------------------------------------------------------                                 
                            if profile2coordinate == 'super':
                                # -----------------------------------------------------------------------------------------
                                # SUPER!
                                # -----------------------------------------------------------------------------------------                             
                                object2xi = domain2xi        
                                function2xi = 'super'
                                ack2function = True 
                                message2xi = '{started' + '; sense-of-SuperCluster4Xi-started: ' + time4xi() + '}'                                                   
                                super2xi = 0
                                keys2super = SuperClusterColor4Xi.keys()                                  
                                for key2super in keys2super:
                                    if SuperClusterColor4Xi[key2super] [5] == domain2xi:               # method
                                        super2xi = key2super
                                        if ack2dragontrace is True:
                                            message2print = "{(Step 11N8/33) set" + "; super2xi-set-by-zap2verb4xi to: " + str(super2xi)  + "; time: " + time4xi() + "}"
                                            print4xi(class2print, method2print, message2print)             # 2
                            else:
                                pass     
                                                                                                                                              
                            break                       
                                                                                            
                    # -----------------------------------------------------------------------------------------------------
                    # START OF rdfs:subPropertyOf ?
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11N9/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS rdfs:subPropertyOf: " , input_line2xi)                     
     
                    core2tag = 'rdfs:subPropertyOf'                                                   # </owl:OnProperty>         <rdfs:subPropertyOf rdf:resource="#0x0y3199z">
                    tag2search = '<' + core2tag + '>'
                    start2tag = str.find(input_line2xi, tag2search)               
                    if start2tag == -1:
                        pass
                    else:
                        if ack2dragontrace is True:    
                            message2print = "{(Step 11N10/33) ignored" + "; tag2search-ignored-by-zap2verb4xi: " + str(tag2search) + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)
                        break

                    # -----------------------------------------------------------------------------------------------------
                    # END OF rdfs:subPropertyOf ?
                    # -----------------------------------------------------------------------------------------------------                        
                    if ack2debug is True:
                        print("(Step 11N11/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS END OF rdfs:subPropertyOf: " , input_line2xi)                     
                                                                                                      
                    core2tag = 'rdfs:subPropertyOf'                                                    
                    tag2search = '</' + core2tag + '>'
                    end2tag = str.find(input_line2xi, tag2search)               
                    if end2tag == -1:
                        pass
                    else:
                        if ack2dragontrace is True:    
                            message2print = "{(Step 11N12/33) ignored" + "; tag2search-ignored-by-zap2verb4xi: " + str(tag2search) + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                            # </rdfs:subPropertyOf>   
                        break

                                         
                    # -----------------------------------------------------------------------------------------------------
                    # END OF owl:OnProperty ? 
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2debug is True:
                        print("(Step 11N14/33) OF ZAP2VERB4XI - PROFILE2COORDINATE: " , profile2coordinate, " NON-ID LINE - TRYING TO CHECK IF IT IS END OF owl:OnProperty: " , input_line2xi)
                                                                                                      
                    core2tag = 'owl:OnProperty'                                                       # </owl:OnProperty>
                    tag2search = '</' + core2tag + '>'
                    end2tag = str.find(input_line2xi, tag2search)               
                    if end2tag == -1:
                        if ack2debug is True:                                                         # not end of owl:OnProperty
                            print("(Step 11N15/33) OF ZAP2VERB4XI - PROFILE2COORDINATE: " , profile2coordinate, " PASSED INPUT_LINE2XI: " , input_line2xi)                    
                        pass                              
                    else:
                        # ------------------------------------------------------------------------------------------------------
                        # END OF owl:OnProperty! - TIME TO SAVE BUILT DRAGON DATA TO KNOWLEDEGEBASE - CLUSTER AND SUPER SKIPPED !
                        # ------------------------------------------------------------------------------------------------------                  
                        if ack2debug is True:
                            print("(Step 11N16/33) OF ZAP2VERB4XI - ACK2DRAGON: ", ack2dragon, " LINE: " , input_line2xi)      # </owl:OnProperty> 
                                                                                                                                
                        if profile2coordinate == 'cluster': 
                            if ack2debug is True:
                                print("(Step 11N17/33) OF ZAP2VERB4XI - CLUSTER PROFILE: ", profile2coordinate, " - ACK2DRAGON: ", ack2dragon, " LINE: " , input_line2xi)  
                                # cluster  - ACK2DRAGON:  True  LINE:     </owl:OnProperty>
                                 
                        if profile2coordinate == 'super':
                            if ack2debug is True:
                                print("(Step 11N18/33) OF ZAP2VERB4XI - SUPER PROFILE: ", profile2coordinate, " - ACK2DRAGON: ", ack2dragon, " LINE: " , input_line2xi)  
                                # super  - ACK2DRAGON:  True  LINE:     </owl:OnProperty>                                             
                                   
                        if ack2dragon is True:
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S2/33) -  DRAGON TO BE SAVED EXISTS! 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            if ack2debug is True:
                                print("(Step 11S1b/33) OF ZAP2VERB4XI - DRAGON TO BE SAVED EXISTS - LINE: " , input_line2xi)   
                                                                                                                    # </owl:OnProperty>                           
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S2a/33) accepted" + "; object2xi-accepted-by-zap2verb4xi: " + str(object2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # ZSkeleton4Xi                        
                            
                                message2print = "{(Step 11S2b/33) accepted" + "; color2xi-accepted-by-zap2verb4xi: " + str(color2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # #0080FF                        
                                
                                message2print = "{(Step 11S2c/33) accepted" + "; direction2xi-accepted-by-zap2verb4xi: " + str(direction2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # 3
                            
                                message2print = "{(Step 11S2d/33) accepted" + "; distance2xi-accepted-by-zap2verb4xi: " + str(distance2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # 10                         
                                                          
                                message2print = "{(Step 11S2e/33) accepted" + "; ray2xi-accepted-by-zap2verb4xi: " + str(ray2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # 39.0 
                            
                                message2print = "{(Step 11S2fc/33) accepted" + "; deviation2xi-accepted-by-zap2verb4xi: " + str(deviation2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # 29 <-- ??? 39.0 once - 29 was given in parameter - deviation2xi was prompted!                               
                            
                                message2print = "{(Step 11S2g/33) accepted" + "; cluster2xi-accepted-by-zap2verb4xi: " + str(cluster2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # 3 
                            
                                message2print = "{(Step 11S2h/33) accepted" + "; fire2xi-accepted-by-zap2verb4xi: " + str(fire2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # 15
                            
                            if ack2debug is True:
                                try:
                                    print("(Step 11S22a/33) OF ZAP2VERB4XI - ACCEPTED OBJECT2XI: " , object2xi)        # ZSkeleton4Xi  
                                    print("(Step 11S22b/33) OF ZAP2VERB4XI - ACCEPTED COLOR2XI: " , color2xi)          # #0080FF                            
                                    print("(Step 11S22c/33) OF ZAP2VERB4XI - ACCEPTED DIRECTION2XI: " , direction2xi)  # 3 
                                    print("(Step 11S22d/33) OF ZAP2VERB4XI - ACCEPTED DISTANCE2XI: " , distance2xi)    # 10     
                                    print("(Step 11S22e/33) OF ZAP2VERB4XI - ACCEPTED RAY2XI: " , ray2xi)              # 39.0 
                                    print("(Step 11S22f/33) OF ZAP2VERB4XI - ACCEPTED DEVIATION2XI: " , deviation2xi)  # 29                            
                                    print("(Step 11S22g/33) OF ZAP2VERB4XI - ACCEPTED CLUSTER2XI: " , cluster2xi)      # 3 
                                    print("(Step 11S22h/33) OF ZAP2VERB4XI - ACCEPTED FIRE2XI: " , fire2xi)            # 15     
                                except:
                                    pass
                                                                                                    
                            if ack2method is True:
                                if ack2debug is True:
                                    print("(Step 11S2i1/33) OF ZAP2VERB4XI - ACCEPTED METHOD2XI: " , method2xi) 
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S2i1/33) accepted" + "; method2xi-accepted-by-zap2verb4xi: " + str(method2xi) + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                 # __init__ 
                                                                
                            if ack2function is True:
                                if ack2debug is True:
                                    print("(Step 11S2j1/33) OF ZAP2VERB4XI - ACCEPTED function2xi: " , function2xi)#  
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S2j2/33) accepted" + "; FUNCTION2XI-accepted-by-zap2verb4xi: " + str(function2xi) + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                 #    
                                                                                                    
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S2k/33) accepted" + "; message2xi-accepted-by-zap2verb4xi: " + str(message2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                     # {(Step 1/3a) started; init-of-ZSkeleton4Xi-started: 18:58:34 11/11/10 Pacific Standard Time} 
                                                                                                         
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S4/33) - SELECTING KNOWLEDGEBASE FOR DRAGON                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                            key2kb = direction2xi                                                               
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S4a/33) set" + "; key2kb-set-by-zap2verb4xi to: " + str(key2kb)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                     # 3  

                            if ack2dragontrace is True: 
                                message2print = "{(Step 11S4b/33) using" + "; ZapKB4Xi-using-by-zap2verb4xi: " + str(ZapKB4Xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                # 
                                
                                 
                            try:      
                                kb2zap = ZapKB4Xi[key2kb]                                                              # Zap1KB4Xi ... Zap8KB4Xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S4c/33) set" + "; kb2zap-set-by-zap2verb4xi to: " + str(kb2zap)  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                 # {'1x1y-1z': {'2xi': {1: 3, 2: {1: 6.283185307179586, 2: '#C3BDB7', 3: 1, 4: 6.283185307179586}, 3: 'skeleton3', 4: '#95652E', 5: 3, 6: 33, 7: 1.7325080757, 8: 0.267949192431, 9: 8, 10: {}}, '8xi': {}, '4xi': {}}}; time: 23:36:59 11/21/10 Pacific Standard Time}
                            except:
                                message2print = "{(Step 11S4d/33) raising" + "; key2kb-raising-by-zap2verb4xi: " + str(key2kb) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 
                                                     
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S5/33) - INITIALIZING DRAGON <DRAGONIZE>
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                            key2dragon = '-0x-0y-0z'
                            key2sense = '2xi'
                            key2reason = '4xi'
                            key2ace = '8xi'
                                                                                    
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S5a/33) trying" + "; key2dragon-trying-by-zap2verb4xi: " + str(key2dragon)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            try:
                                key2dragon = str(x2xi) + 'x' + str(y2xi) + 'y' + str(z2xi) + 'z'
                            
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S5b/33) set" + "; key2dragon-set-by-zap2verb4xi to: " + str(key2dragon)  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 0x19y-4z
                            except:
                                message2print = "{(Step 11S5c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 

                            if ack2dragontrace is True:
                                message2print = "{(Step 11S5d/33) trying" + "; key2dragon-trying-by-zap2verb4xi: " + str(key2dragon)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            try:                                                                                                  
                                 kb2zap[key2dragon] = {key2sense: {}, key2reason: {}, key2ace: {}} 
                                 kb2zap[key2dragon][key2sense] = {}
                                 kb2zap[key2dragon][key2reason] = {}
                                 kb2zap[key2dragon][key2ace] = {}                                 
                                 message2print = "{(Step 11S5e/33) set" + "; kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon])  + "; time: " + time4xi() + "}"
                                 print4xi(class2print, method2print, message2print)                                 # {'2xi': {}, '8xi': {}, '4xi': {}}
                            except:
                                message2print = "{(Step 11S5f/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                                 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S6/33) - DIRECTION [1] FOR DRAGON   
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S6a/33) trying" + "; direction2xi-trying-by-zap2verb4xi: " + str(direction2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                        
                            try:
                                kb2zap[key2dragon][key2sense][1] = direction2xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S6b/33) set" + "; direction-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][1])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 3                                   
                            except:
                                message2print = "{(Step 11S6c/33) raising" + "; direction-raising-by-zap2verb4xi: " + str(direction2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 
                                 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S7/33) - DISTANCE [2] FOR DRAGON   
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S7a/33) trying" + "; distance-trying-by-zap2verb4xi: " + str(distance2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                      # 10       
                                        
                            try:
                                kb2zap[key2dragon][key2sense][2] = distance2xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S7b/33) set" + "; distance-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][2])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 10                                   
                            except:
                                message2print = "{(Step 11S7c/33) raising" + "; distance-raising-by-zap2verb4xi: " + str(distance2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 
                                                                                                                                                                                        
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S8/33) - LAYER [3] SETTING FOR DRAGON 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S8a/33) trying" + "; key2dragon-trying-by-zap2verb4xi: " + str(key2dragon)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                            
                            try: 
                                kb2zap[key2dragon][key2sense][3] = {} 
                                
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S8b/33) set" + "; layer-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][3])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # {}        
                            except:
                                message2print = "{(Step 11S8c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 

                
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S9/33) - AREA OF LAYER [3][1] FOR DRAGON
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            area2layer = pi*2
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S9a/33) trying" + "; area2layer-trying-by-zap2verb4xi: " + str(area2layer)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                area2layer = (4 * pi * distance2xi**2) / 8
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S9b/33) calculated" + "; area2layer-of-kb2zap-calculated-by-zap2verb4xi: " + str(area2layer) + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 157.079632679
                            except:
                                message2print = "{(Step 11S9c/33) raising" + "; area2layer-raising-by-zap2verb4xi: " + str(area2layer) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 
                            try:                
                                kb2zap[key2dragon][key2sense][3][1] = area2layer
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S9d/33) set" + "; area2layer-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][3][1])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 157.079632679
                            except:
                                message2print = "{(Step 11S9e/33) raising" + "; area2layer-raising-by-zap2verb4xi: " + str(area2layer) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 
                              
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S10/33) - COLOR OF LAYER [3][2] FOR DRAGON 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S10a/33) trying" + "; direction2xi-trying-by-zap2verb4xi: " + str(direction2xi)  + "; time: " + time4xi() + "}" 
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                kb2zap[key2dragon][key2sense][3][2] = ColorKB2Layer4Xi[direction2xi]
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S10b/33) set" + "; color-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][3][2])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # #C3BDB7                          
                            except:
                                message2print = "{(Step 11S10c/33) raising" + "; direction2xi-raising-by-zap2verb4xi: " + str(direction2xi) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                             
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S11/33) - QUANTITY OF DRAGONS IN LAYER [3][3] FOR DRAGON
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S11a/33) trying" + "; quantity-of-object-trying-by-zap2verb4xi: " + str(0)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                if ((profile2coordinate ==  'cluster') or (profile2coordinate ==  'super')):
                                    kb2zap[key2dragon][key2sense][3][3] = calculation2xi              
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11S11b/33) initialized" + "; quantity-of-object-initialized-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][3][3])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                               # 6;80 ...
                                else:
                                    kb2zap[key2dragon][key2sense][3][3] = 100              
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11S11c/33) initialized" + "; quantity-of-object-initialized-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][3][3])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                                                                         
                            except:
                                message2print = "{(Step 11S11d/33) raising" + "; quantity-of-object-raising-by-zap2verb4xi: " + str(0) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                                       

                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S12/33) - AREA FOR EACH DRAGON IN LAYER [3][4] - TUNED IN LATER PHASE  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S12a/33) trying" + "; area-of-object-trying-by-zap2verb4xi: " + str(0)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                if ((profile2coordinate ==  'cluster') or (profile2coordinate ==  'super')):
                                    kb2zap[key2dragon][key2sense][3][4]  = 4*pi*distance2xi**2 / calculation2xi
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11S12b/33) initialized" + "; area-of-object-initialized-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][3][4])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                              # 1608495.43864 
                                else:
                                    kb2zap[key2dragon][key2sense][3][4]  = 4*pi*distance2xi**2 /8 / 100 
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11S12c/33) initialized" + "; area-of-object-initialized-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][3][4])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                              # 1.57079632679                                                                
                            except:
                                message2print = "{(Step 11S12d/33) raising" + "; area-of-object-raising-by-zap2verb4xi: " + str(0) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)   
                                                                                                                                                        
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S13/33) - IDENTITY [4] FOR DRAGON 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S13a/33) trying" + "; key2dragon-trying-by-zap2verb4xi: " + str(key2dragon)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                            
                            try: 
                                kb2zap[key2dragon][key2sense][4] = str('dragon') + str(key2dragon)
                                
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S13b/33) set" + "; identity-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][4])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # dragon0x0y-39z         
                            except:
                                message2print = "{(Step 11S13c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 
                                                                                                                                                        
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S14/33) - COLOR [5] FOR DRAGON 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S14a/33) trying" + "; key2dragon-trying-by-zap2verb4xi: " + str(key2dragon)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                            
                            try: 
                                kb2zap[key2dragon][key2sense][5] = color2xi
                                
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S14b/33) set" + "; color-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][5])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # #0080FF          
                            except:
                                message2print = "{(Step 11S14c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 
                                                                                                                                                                           
                                                                                                                                                        
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S15/33) - FIRE [6] FOR DRAGON 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S15a/33) trying" + "; key2dragon-trying-by-zap2verb4xi: " + str(key2dragon)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                            
                            try: 
                                kb2zap[key2dragon][key2sense][6] = fire2xi
                                
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S15b/33) set" + "; fire-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][6])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 15         
                            except:
                                message2print = "{(Step 11S15c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print) 
                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S16/33) - CLUSTER [7]  FOR DRAGON
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S16a/33) trying" + "; cluster-trying-by-zap2verb4xi: " + str(cluster2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                kb2zap[key2dragon][key2sense][7] = cluster2xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S16b/33) set" + "; cluster-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][7])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 3                             
                            except:
                                message2print = "{(Step 11S16c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                                  
                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S17/33) - RAY [8]  FOR DRAGON
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S17a/33) trying" + "; ray-trying-by-zap2verb4xi: " + str(ray2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                kb2zap[key2dragon][key2sense][8] = ray2xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S17b/33) set" + "; ray-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][8])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 39.0                             
                            except:
                                message2print = "{(Step 11S17c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                                     
                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S18/33) - DEVIATION [9]  FOR DRAGON
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S18a/33) trying" + "; deviation-trying-by-zap2verb4xi: " + str(deviation2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                kb2zap[key2dragon][key2sense][9] = deviation2xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S18b/33) set" + "; deviation-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][9])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 29                        
                            except:
                                message2print = "{(Step 11S18c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)    
                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S18/33) - SUPER [10]  FOR DRAGON
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S19a/33) trying" + "; super-trying-by-zap2verb4xi: " + str(direction2xi)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                kb2zap[key2dragon][key2sense][10] = direction2xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S19b/33) set" + "; super-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][10])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # 3                             
                            except:
                                message2print = "{(Step 11S19c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S20/33) - MESSAGE [11]  FOR DRAGON
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S20a/33) trying" + "; message-trying-by-zap2verb4xi: " + str('message')  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                               
                                    
                            try:
                                kb2zap[key2dragon][key2sense][11] = message2xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11S20b/33) set" + "; message-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][11])  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # {(Step 1/3a) started; init-of-ZSkeleton4Xi-started: 18:58:34 11/11/10 Pacific Standard Time}; time: 06:07:41 11/22/10 Pacific Standard Time}
                          
                            except:
                                message2print = "{(Step 11S20c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                                                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (Step 11S21/33) - ACTOR [12] WITH TYPE [13] FOR DRAGON                  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                 
                            if ack2dragontrace is True:
                                message2print = "{(Step 11S21a/33) trying" + "; actor-trying-by-zap2verb4xi: " + str('actor')  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                                    
                            try:
                                if ack2method is True:
                                    kb2zap[key2dragon][key2sense][12] = method2xi
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11S21b/33) set" + "; actor-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][12])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                              # __init__
                                    
                                    kb2zap[key2dragon][key2sense][13] = 2
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11S21c/33) set" + "; type-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][13])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                              # 2
                                                                        
                                else:
                                    if ack2function is True:
                                        kb2zap[key2dragon][key2sense][12] = function2xi
                                        if ack2dragontrace is True:
                                            message2print = "{(Step 11S21d/33) set" + "; actor-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][12])  + "; time: " + time4xi() + "}"
                                            print4xi(class2print, method2print, message2print)                          # get_zskeleton4xi
                                        
                                        kb2zap[key2dragon][key2sense][13] = 1
                                        if ack2dragontrace is True:
                                            message2print = "{(Step 11S21e/33) set" + "; type-of-kb2zap-set-by-zap2verb4xi to: " + str(kb2zap[key2dragon][key2sense][13])  + "; time: " + time4xi() + "}"
                                            print4xi(class2print, method2print, message2print)                          # 1                                      
                                        
                                    else:
                                        pass                                
                            except:
                                message2print = "{(Step 11S21c/33) raising" + "; key2dragon-raising-by-zap2verb4xi: " + str(key2dragon) + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                                                                                                          
                                                                           
                            # -------------------------------------------------------------------------------------------------
                            # END OF owl:OnProperty - DRAGON SAVED TO DICTIONARY! <DRAGONIZE>
                            # -------------------------------------------------------------------------------------------------                              
                            if ack2debug is True:
                                print("(Step 11S20a/33) OF ZAP2VERB4XI - LINE: " , input_line2xi)                  # </owl:OnProperty>
                                print("(Step 11S20b/33) OF ZAP2VERB4XI - DRAGON: " , kb2zap[key2dragon]['2xi'])    
                                # {1: 3,  
                                #  2: 10,
                                #  3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 1, 4: 1.5707963267948966}, 
                                #  4: 'dragon0x0y-39z',
                                #  5: '#0080FF', 
                                #  6: 15,
                                #  7: 3,
                                #  8: Decimal('39.0'),
                                #  9: Decimal('29'),
                                # 10: 3, 
                                # 11: '{(Step 1/3a) started; init-of-ZSkeleton4Xi-started: 18:58:34 11/11/10 Pacific Standard Time}', 
                                # 12: {}}



                            break
                        else:
                            break        
                        # -------------------------------------------------------------------------------------------------
                        # END OF owl:OnProperty - DONE <owl:OnProperty rdf:ID="...  - NON-ID LINE !
                        # -------------------------------------------------------------------------------------------------                             

                        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # XML VERSION ?  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                
                    if ack2debug is True:
                        print("(Step 11T1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS XML VERSION - LINE: " , input_line2xi)
                       
                    start2xmlversion  = '<?xml'                                                        # <?xml version="1.0"?>
                    end2xmlversion    = '?>'
                    core2xmlversion   = 'version'
                    i2start = str.find(input_line2xi, start2xmlversion)
                    if i2start == -1:
                        pass
                    else:
                        i2end = str.find(input_line2xi, end2xmlversion)    
                        if i2end == -1:
                            pass
                        else:
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # XML VERSION!  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                           
                            version2xml = input_line2xi[len(start2xmlversion)+10:i2end-1]               # 1.0   
                            if ack2dragontrace is True:
                                message2print = "{(Step 11T2/33) set" + "; version2xml-set-by-zap2verb4xi to: " + str(version2xml)  + "; time: " + time4xi() + "}" 
                                print4xi(class2print, method2print, message2print)
                            
                            break
                                                           
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # RDF ? 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                    if ack2debug is True:
                        print("(Step 11U1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS RDF - LINE: " , input_line2xi)

                    start2rdf = '<rdf:RDF'                                                             # <rdf:RDF
                    end2rdf   = '</rdf:RDF>'                                                           # </rdf:RDF>
                    i2start = str.find(input_line2xi, start2rdf)
                    i2end   = str.find(input_line2xi, end2rdf)
                    if i2start == -1:
                        pass
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # RDF! 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                     
                        if ack2dragontrace is True:
                            message2print = "{(Step 11U1/33) read" + "; RDF-Start-read-by-zap2verb4xi: " + "RDF" + "; time: " + time4xi() + "}" 
                            print4xi(class2print, method2print, message2print)
                        break  
                    if i2end == -1:
                       pass 
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # RDF! 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                      
                        if ack2dragontrace is True:
                            message2print = "{(Step 11U2/33) read" + "; RDF-End-read-by-zap2verb4xi: " + "RDF" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                             # [ACK] </rdf:RDF> 
                        break

                        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # END OF SUB-PROPERTY ? 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                    if ack2debug is True:
                        print("(Step 11U1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS END OF SUB-PROPERTY - LINE: " , input_line2xi)

                    end2subproperty   = '</rdfs:subPropertyOf>'                                          # </rdfs:subPropertyOf>
                    i2end   = str.find(input_line2xi, end2subproperty)
                    if i2end == -1:
                        pass
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # END OF SUB-PROPERTY! 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                       
                        if ack2dragontrace is True:
                            message2print = "{(Step 11U2/33) read" + "; subPropertyOf-End-read-by-zap2verb4xi: " + "subPropertyOf-End" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)
                        break

                        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # COPYRIGHT ? 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                    if ack2debug is True:
                        print("(Step 11V1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS COPYRIGHT - LINE: " , input_line2xi)

                    core2copyright   = 'Copyright'                                                       # <!-- Copyright Small & Smart Inc. All rights reserved. -->
                    i2core   = str.find(input_line2xi, core2copyright)
                    if i2core == -1:
                        pass
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # COPYRIGHT! 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                     
                        if ack2dragontrace is True:
                            message2print = "{(Step 11V2/33) read" + "; Copyright-read-by-zap2verb4xi: " + "Copyright" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print) 
                        break
         
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # END OF OWL CLASS ? 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                    if ack2debug is True:
                        print("(Step 11Y1/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS END OF OWL CLASS - LINE: " , input_line2xi)

                    end2class4owl   = '</owl:Class>'                                                    # </owl:Class>
                    i2end   = str.find(input_line2xi, end2class4owl)
                    if i2end == -1:
                        pass
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # END OF OWL CLASS! 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                       
                        if ack2dragontrace is True:
                            message2print = "{(Step 11Y2/33) read" + "; OWL-End-Class-read-by-zap2verb4xi: " + "OWL-End-Class" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)
                        break

                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # ONTOLOGY ? 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                    if ack2debug is True:
                        print("(Step 11Z1a/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS ONTOLOGY - LINE: " , input_line2xi)

                    start2ontology = '<owl:Ontology'                                                                # <owl:Ontology rdf:about="Actors4Xi">
                    end2ontology   = '</owl:Ontology>'                                                              # </owl:Ontology>
                    i2start = str.find(input_line2xi, start2ontology)
                    i2end   = str.find(input_line2xi, end2ontology)
                    if i2start == -1:
                        pass
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # ONTOLOGY START!   
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                      
                        if ack2dragontrace is True:
                            message2print = "{(Step 11Z1b/33) read" + "; Ontology-Start-read-by-zap2verb4xi: " + "Ontology" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                          # 
                        
                        i2end4tag   = str.find(input_line2xi, ">")
                        ontology2xi = input_line2xi[len(start2ontology)+15:i2end4tag-1]
                        
                        if ack2dragontrace is True:
                            message2print = "{(Step 11Z1c/33) set" + "; ontology2xi-set-by-zap2verb4xi to: " + str(ontology2xi)  + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                          # Actors4Xi 

                    if i2end == -1:
                       pass 
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # ONTOLOGY END!  
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                       
                        if ack2dragontrace is True:
                            message2print = "{(Step 11Z1d/33) read" + "; Ontology-End-read-by-zap2verb4xi: " + "Ontology" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                          # [ACK] </owl:Ontology>                 
                        
                        break                                       

                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # END OF ObjectProperty ? 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                    if ack2debug is True:
                        print("(Step 11Z2a/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS END OF ObjectProperty - LINE: " , input_line2xi)

                    end2objectproperty   = '</owl:ObjectProperty>'                                                  # </owl:ObjectProperty>
                    i2end   = str.find(input_line2xi, end2objectproperty)
                    if i2end == -1:
                       pass 
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # END OF ObjectProperty! 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                        
                        if ack2dragontrace is True:
                            message2print = "{(Step 11Z2b/33) read" + "; ObjectProperty-End-read-by-zap2verb4xi: " + "ObjectProperty-End" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                          # [ACK] </owl:ObjectProperty>
                        break
               
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # NAMESPACE?
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                    if ack2debug is True:
                        print("(Step 11Z3a/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS NAMESPACE - LINE: " , input_line2xi)

                    i2ns   = str.find(input_line2xi, 'xmlns:')
                    if i2ns == -1:
                       pass 
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # NAMESPACE!
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                       
                        if ack2dragontrace is True:
                            message2print = "{(Step 11Z3b/33) read" + "; Name-Space-read-by-zap2verb4xi: " + "Name-Space" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                          # xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                        break                
     
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # XML BASE? 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                    if ack2debug is True:
                        print("(Step 11Z4a/33) OF ZAP2VERB4XI - NON-ID LINE - TRYING TO CHECK IF IT IS XML BASE - LINE: " , input_line2xi)

                    i2base   = str.find(input_line2xi, 'xml:base')
                    if i2base == -1:
                       pass 
                    else:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # XML BASE! 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                        
                        if ack2dragontrace is True:
                            message2print = "{(Step 11Z4b/33) read" + "; XML-Base-read-by-zap2verb4xi: " + "XML-Base" + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                          # xml:base="http://www.yourdragonxi.org.com/web/lib/owl/actors4xi.owl">
                        break                                                                                                                                      

                    # -------------------------------------------------------------------------------------------------
                    # 
                    # -------------------------------------------------------------------------------------------------
                    if ack2debug is True:
                        print("(Step 11Z5/33) OF ZAP2VERB4XI - INPUT-LINE2XI: " , input_line2xi)                   # <owl:Ontology rdf:about="Actors4Xi">
                    break
                                                                                                                                                                    
                else:
                    # -----------------------------------------------------------------------------------------------------
                    # ID-LINE 
                    # -----------------------------------------------------------------------------------------------------                  
                    ack2coordinate = False
                    if ack2debug is True:
                        print("(Step 12A1/33) OF ZAP2VERB4XI - ID LINE: " , input_line2xi)
                        # <owl:Class rdf:ID="ActorWaves4Xi">; <owl:ObjectProperty rdf:ID="0x0y0z">; # <owl:ObjectProperty rdf:ID="1x1y1z">; <owl:OnProperty rdf:ID="0x0y-39z">
                        # <owl:Class rdf:ID="ClusterColorStatistics4Xi">; <owl:Class rdf:ID="SuperClusterColorStatistics4Xi">
                        # <owl:OnProperty rdf:ID="0x0y3299z">
    
      
                    # -----------------------------------------------------------------------------------------------------
                    # ID-LINE - IS IT (X,Y,Z)?                                                                      # <owl:ObjectProperty rdf:ID="0x0y0z">
                    # -----------------------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("(Step 12A2/33) OF ZAP2VERB4XI - ID LINE - TRYING TO CHECK IF IT IS (X,Y,Z) - LINE " , input_line2xi)
                    try:
                        if ack2dragontrace is True:    
                            message2print = "{(Step 12A2/33) analyzing" + "; input_line2xi-analyzing-by-zap2verb4xi: " + str(input_line2xi) + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                      # <owl:OnProperty rdf:ID="0x0y-39z">                
                        core2search = input_line2xi[i2id+len(id2search)+1:]                                         # 0x0y-39z">                   
                        i2x = str.find(core2search,'x')
                        i2y = str.find(core2search,'y')
                        i2z = str.find(core2search,'z')
                        if ack2debug is True:
                            print("(Step 12A3/33) OF ZAP2VERB4XI - I2X: " , i2x, " I2Y: ", i2y, " I2Z: ", i2z, " INPUT_LINE2XI: ", input_line2xi) 
                            # I2X:  1  I2Y:  3  I2Z:  5  INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="0x0y0z"> 
                    except:
                        print("(Step 12A4/33) OF ZAP2VERB4XI - ID LINE *** FAILED TO CHECK IF IS IT (X,Y,Z) - LINE " , input_line2xi)                    
                    
                    if ack2debug is True:                                                                           # <owl:ObjectProperty rdf:ID="0x0y0z">      
                        print("(Step 12A5/33) OF ZAP2VERB4XI - ID LINE - TRYING TO DECIDE IS IT COORDINATE - LINE " , input_line2xi) 
                    try:
                        if ((i2x == -1) or (i2y == -1) or (i2z == -1)):
                            ack2coordinate = False
                        else:
                            # -----------------------------------------------------------------------------------------------------
                            # (X,Y,Z)!
                            # -----------------------------------------------------------------------------------------------------                         
                            # <owl:ObjectProperty rdf:ID="0x0y0z">; <owl:ObjectProperty rdf:ID="1x1y1z">; <owl:OnProperty rdf:ID="0x0y-39z">; 
                            # <owl:OnProperty rdf:ID="0x0y3199z">;  <owl:OnProperty rdf:ID="0x0y3299z">
                            ack2coordinate = True
                            
                            x2xi = int(core2search[0:i2x])
                            y2xi = int(core2search[i2x+1:i2y])
                            z2xi = int(core2search[i2y+1:i2z]) 
                            if ack2debug is True:
                                print("(Step 12A6/33) OF ZAP2VERB4XI - (X,Y,Z) INTEGERS X: " , x2xi, " Y: ", y2xi, " Z: ", z2xi, " INPUT_LINE2XI: ", input_line2xi) 
                                # X:   0  Y:   0  Z:   0   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="0x0y0z">
                                # X:   1  Y:   1  Z:   1   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="1x1y1z">
                                # X:   1  Y:  -1  Z:  -1   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="1x-1y-1z">
                                # X:   1  Y:   1  Z:  -1   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="1x1y-1z"> 
                                # X:   1  Y:  -1  Z:   1   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="1x-1y1z">  
                                # X:  -1  Y:   1  Z:   1   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="-1x1y1z">
                                # X:  -1  Y:   1  Z:  -1   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="-1x1y-1z">
                                # X:  -1  Y:  -1  Z:   1   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="-1x-1y1z">
                                # X:  -1  Y:  -1  Z:  -1   INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="-1x-1y-1z">
                                # X:   0  Y:   0  Z:  -39  INPUT_LINE2XI:     <owl:OnProperty rdf:ID="0x0y-39z">
                                
                    except:
                        print("(Step 12A7/33) OF ZAP2VERB4XI - ID LINE *** FAILED TO DECIDE IS IT CORRDINATE - LINE " , input_line2xi)
                        
                    # ---------------------------------------------------------------------------------------------------------
                    # ID-LINE <DRAGONIZE>                                                                                             # ID LINE:     <owl:Class rdf:ID="ActorWaves4Xi">ACK2COORDINATE:  False
                    # ---------------------------------------------------------------------------------------------------------                                                   
                    if ack2debug is True:                                                                                       # <owl:OnProperty rdf:ID="0x0y-39z"> ACK2COORDINATE:  True
                        print("(Step 13A/33) OF ZAP2VERB4XI - ID LINE: " , input_line2xi, " ACK2COORDINATE: ", ack2coordinate) # <owl:ObjectProperty rdf:ID="1x1y1z"> ACK2COORDINATE:  True 
                    
                    if ack2coordinate is True:
                        if ack2debug is True: 
                            print("(Step 13B0/33) OF ZAP2VERB4XI - TRYING TO PROCESS COORDINATE - LINE: " , input_line2xi, " ACK2COORDINATE: ", ack2coordinate)
                        try:
                            # -----------------------------------------------------------------------------------------------------
                            # (X,Y,Z) - IS IT ORIGIN ? 
                            # -----------------------------------------------------------------------------------------------------                                                 
                            ack2origin = False
                            sum2coordinate = abs(x2xi) + abs(y2xi) + abs(z2xi)
                            if ack2debug is True:                                                                               # 3  - INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="1x1y1z"> 
                                print("(Step 13B1/33) OF ZAP2VERB4XI - CALCULATED SUM2COORDINATE: ", sum2coordinate, " - INPUT_LINE2XI: ", input_line2xi)                        
                            if sum2coordinate > 0:   
                                # -------------------------------------------------------------------------------------------------
                                # (X,Y,Z) - NOT ORIGIN - IS IT SKELETON ?  
                                # -------------------------------------------------------------------------------------------------                    
                                if ack2debug is True:                                                                           # <owl:ObjectProperty rdf:ID="1x1y1z">                                                                
                                    print("(Step 13B2/33) OF ZAP2VERB4XI - ACK2ORIGIN: ", ack2origin, " INPUT_LINE2XI: ", input_line2xi)  
                                if ((sum2coordinate < 3) or (sum2coordinate > 3)):                            
                                    pass
                                else: 
                                    if ack2debug is True:                                                                       # <owl:ObjectProperty rdf:ID="1x1y1z"> 
                                        print("(Step 13B3/33) OF ZAP2VERB4XI TRYING TO PROCESS SKELETON - INPUT_LINE2XI: ", input_line2xi)     
                                    ack2skeleton = True
                                    # -------------------------------------------------------------------------------------------------
                                    # SKELETON NODES
                                    # -------------------------------------------------------------------------------------------------                
                                    while 1:
                                        if ack2debug is True:
                                            print("(Step 13C/33) OF ZAP2VERB4XI - X2XI: " , x2xi, " Y2XI: ", y2xi, " Z2XI: ", z2xi, " INPUT_LINE2XI: ", input_line2xi) # X2XI:  1  Y2XI:  1  Z2XI:  1  INPUT_LINE2XI:     <owl:ObjectProperty rdf:ID="1x1y1z"> 
                                        if ((x2xi == - 1) and (y2xi == -1) and (z2xi == -1)):
                                            # -------------------------------------------------------------------------------------------------
                                            # [8] '-1x-1y-1z'
                                            # -------------------------------------------------------------------------------------------------                                                                 
                                            direction2skeleton = 8                                                            # [8] '-1x-1y-1z'
                                            coordinate2skeleton = '-1x-1y-1z'
                                            ack2actor = False                                                                 # <owl:ObjectProperty rdf:ID="-1x-1y-1z">
                                            ack2skeleton = True
                                            profile2coordinate = 'skeleton'
                                            if ack2debug is True:
                                                print("(Step 13D/33) OF ZAP2VERB4XI - I2X: " , i2x, " I2y: ", i2y, " I2Z: ", i2z, " DIRECTION2SKELETON: ", direction2skeleton, " INPUT_LINE2XI: ", input_line2xi)
                                            
                                            # -----------------------------------------------------------------------------------------------------
                                            # [8] '-1x-1y-1z'
                                            # -----------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 13T8A/33) OF ZAP2VERB4XI - SKELETON ID LINE: " , input_line2xi, " DIRECTION2SKELETON: ", direction2skeleton)    # <owl:ObjectProperty rdf:ID="1x1y1z"> KEY2SKELETON:  1                         
                                                print("(Step 13T8B/33) OF ZAP2VERB4XI - TRYING TO SET SKELETON KB  " , time4xi())
                                            try:     
                                                kb2try = ZapKB4Xi[direction2skeleton]
                                                keys2try = kb2try.keys()
                                                if ack2debug is True:
                                                    print("(Step 13T8C/33) OF ZAP2VERB4XI - SET SKELETON KB TO: " , kb2try)
                                            except:
                                                print("(Step 13T8D/33) OF ZAP2VERB4XI *** FAILED SET SKELETON KB ***  " , time4xi()) 
                                                  
                                            if ack2debug is True:
                                                print("(Step 13T8E/33) OF ZAP2VERB4XI - TRYING TO PRINT SKELETON KB  " , time4xi())                                                           
          
                                            try:                                   
                                                for key2try in keys2try:                                                              # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:
                                                        if ack2debug is True:
                                                            print("(Step 13T8F)/33) OF ZAP2VERB4XI - SKELETON: ", kb2try[key2try])   #
                                                        else:
                                                            pass 
                                                    pass              
                                            except:
                                                print("(Step 13T8G)/33) OF ZAP2VERB4XI *** FAILED TO PRINT KB: " , kb2try) 
                                                       
                                            if ack2debug is True:
                                                print("(Step 13T8H)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT SKELETON " , time4xi()) # 07:52:10 11/17/10 Pacific Standard Time
    
                                            try:
                                                key2sense  =  '2xi'           
                                                key2layer  =  3
                                                for key2try in keys2try:                                                                     # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:                                            
                                                        if ack2dragontrace is True:    
                                                            message2print = "{(Step 13T8I/33) set" + "; coordinate-set-by-zap2verb4xi to: "     + str(key2try)  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # -1x-1y-1z
                                                            message2print = "{(Step 13T8J/33) set" + "; direction-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8 
                                                            message2print = "{(Step 13T8K/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                                                              # 8
                                                            message2print = "{(Step 13T8L/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 13T8M/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(kb2try[key2try] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #7D7A77
                                                            message2print = "{(Step 13T8N/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(kb2try[key2try] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 13T8O/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 13T8P/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # skeleton8
                                                            message2print = "{(Step 13T8Q/33) set" + "; color-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #EE8712
                                                            message2print = "{(Step 13T8R/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8
                                                            message2print = "{(Step 13T8S/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 33
                                                            message2print = "{(Step 13T8T/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(kb2try[key2try] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1.7325080757
                                                            message2print = "{(Step 13T8U/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 0.267949192431
                                                            message2print = "{(Step 13T8V/33) set" + "; super-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8
                                                            message2print = "{(Step 13T8W/33) set" + "; message-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # {started; sense-of-8Skeleton4Xi-started: 00:01:18 11/24/10 Pacific Standard Time}                                                  
                                                            message2print = "{(Step 13T8X/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # sense
                                                            message2print = "{(Step 13T8Y/33) set" + "; type-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                       
                                            except:
                                                print("(Step 13T8Z)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT SKELETON " , time4xi()) 
                                                
                                                
                                            # -----------------------------------------------------------------------------------------------------
                                            # [8] '-1x-1y-1z'
                                            # -----------------------------------------------------------------------------------------------------        
                                            max2skip = 12
                                            count2skipped = 0
                                            while 1:
                                                input_line2xi = input_fd2xi.readline() 
                                                if not input_line2xi:
                                                    break
                                                else:
                                                    count2skipped = count2skipped + 1
                                                    if count2skipped >= max2skip:
                                                        break
                                            if ack2debug is True:
                                                print("(Step 13T8Y/33) OF ZAP2VERB4XI - SKIPPED COUNT2SKIPPED: " , count2skipped, " MAX2SKIP: ", max2skip, " LAST SKIPPED LINE: ", input_line2xi)
                                                #  12  MAX2SKIP:  12  LAST SKIPPED LINE:     </owl:ObjectProperty>                                                                                                                                                                                                                         
    
                                            # -------------------------------------------------------------------------------------------------
                                            # [8] '-1x-1y-1z' EOF KNOWLEDGEBASE OF SKELETON
                                            # -------------------------------------------------------------------------------------------------                                        
                                            break                                                    
                                        if ((x2xi == - 1) and (y2xi == -1) and (z2xi == 1)):
                                            # -----------------------------------------------------------------------------------------------
                                            # [7] '-1x-1y1z'
                                            # -------------------------------------------------------------------------------------------------                                                             
                                            direction2skeleton = 7                                                            # [7] '-1x-1y1z'
                                            coordinate2skeleton = '-1x-1y1z'
                                            ack2actor = False                                                                 # <owl:ObjectProperty rdf:ID="-1x-1y1z"> 
                                            ack2skeleton = True
                                            profile2coordinate = 'skeleton'
                                            if ack2debug is True:
                                                print("(Step 11T7A/33) OF ZAP2VERB4XI - DIRECTION2SKELETON: " , direction2skeleton, " COORDINATE2SKELETON: ", coordinate2skeleton, " INPUT_LINE2XI: ", input_line2xi)                                                          
                                            # -----------------------------------------------------------------------------------------------------
                                            # [7] '-1x-1y1z'
                                            # -----------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 11T7A/33) OF ZAP2VERB4XI - SKELETON ID LINE: " , input_line2xi, " DIRECTION2SKELETON: ", direction2skeleton)    # <owl:ObjectProperty rdf:ID="1x1y1z"> KEY2SKELETON:  1                         
                                                print("(Step 11T7B/33) OF ZAP2VERB4XI - TRYING TO SET SKELETON KB  " , time4xi())
                                            try:     
                                                kb2try = ZapKB4Xi[direction2skeleton]
                                                keys2try = kb2try.keys()
                                                if ack2debug is True:
                                                    print("(Step 11T7C/33) OF ZAP2VERB4XI - SET SKELETON KB TO: " , kb2try)
                                            except:
                                                print("(Step 11T7D/33) OF ZAP2VERB4XI *** FAILED SET SKELETON KB ***  " , time4xi()) 
                                                  
                                            if ack2debug is True:
                                                print("(Step 11T7E/33) OF ZAP2VERB4XI - TRYING TO PRINT SKELETON KB  " , time4xi())                                                           
          
                                            try:                                   
                                                for key2try in keys2try:                                                              # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:
                                                        if ack2debug is True:
                                                            print("(Step 11T7F)/33) OF ZAP2VERB4XI - SKELETON: ", kb2try[key2try])   #
                                                        else:
                                                            pass
                                                    pass              
                                            except:
                                                print("(Step 11T7G)/33) OF ZAP2VERB4XI *** FAILED TO PRINT KB: " , kb2try) 
                                                     
                                            if ack2debug is True:
                                                print("(Step 11T7H)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT SKELETON " , time4xi()) # 07:52:10 11/17/10 Pacific Standard Time
    
                                            try:
                                                key2sense  =  '2xi'            
                                                key2layer  =  3
                                                for key2try in keys2try:                                                                     # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:                                            
                                                        if ack2dragontrace is True:    
                                                            message2print = "{(Step 11T7A/33) set" + "; coordinate-set-by-zap2verb4xi to: "      + str(key2try)  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # -1x-1y1z
                                                            message2print = "{(Step 11T7B/33) set" + "; direction-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 7
                                                            message2print = "{(Step 11T7C/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                                                                           # 7
                                                            message2print = "{(Step 11T7D/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T7E/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(kb2try[key2try] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #8B8783
                                                            message2print = "{(Step 11T7F/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(kb2try[key2try] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T7G/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T7H/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # skeleton7
                                                            message2print = "{(Step 11T7I/33) set" + "; color-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #DF841B
                                                            message2print = "{(Step 11T7J/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 7
                                                            message2print = "{(Step 11T7K/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 33
                                                            message2print = "{(Step 11T7L/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(kb2try[key2try] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1.7325080757
                                                            message2print = "{(Step 11T7M/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 0.267949192431
                                                            message2print = "{(Step 11T7N/33) set" + "; super-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8
                                                            message2print = "{(Step 11T7O/33) set" + "; message-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # {started; sense-of-7Skeleton4Xi-started: 00:01:18 11/24/10 Pacific Standard Time}
                                                            message2print = "{(Step 11T7P/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # sense
                                                            message2print = "{(Step 11T7Q/33) set" + "; type-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                        
                                            except:
                                                print("(Step 11T7Z)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT SKELETON " , time4xi()) 
                                                
                                                
                                            # -----------------------------------------------------------------------------------------------------
                                            # [7] '-1x-1y1z'
                                            # -----------------------------------------------------------------------------------------------------                                                                                                 
                                            max2skip = 12
                                            count2skipped = 0
                                            while 1:
                                                input_line2xi = input_fd2xi.readline() 
                                                if not input_line2xi:
                                                    break
                                                else:
                                                    count2skipped = count2skipped + 1
                                                    if count2skipped >= max2skip:
                                                        break
                                            if ack2debug is True:
                                                print("(Step 11TZY/33) OF ZAP2VERB4XI - SKIPPED count2skipped: " , count2skipped, " MAX2SKIP: ", max2skip, " LAST SKIPPED LINE: ", input_line2xi)
    
                                            # -------------------------------------------------------------------------------------------------
                                            # [7] '-1x-1y1z' EOF KNOWLEDGEBASE FOR SKELETON
                                            # -------------------------------------------------------------------------------------------------                                       
                                            break    
                                        if ((x2xi == - 1) and (y2xi == 1) and (z2xi == -1)):
                                            # -------------------------------------------------------------------------------------------------
                                            # [6] '-1x1y-1z'
                                            # -------------------------------------------------------------------------------------------------                                                         
                                            direction2skeleton = 6                                                            # [6] '-1x1y-1z'
                                            coordinate2skeleton = '-1x1y-1z'
                                            ack2actor = False                                                                 # <owl:ObjectProperty rdf:ID="-1x1y-1z">
                                            ack2skeleton = True
                                            profile2coordinate = 'skeleton'
                                            if ack2debug is True:
                                                print("(Step 11T6A/33) OF ZAP2VERB4XI - DIRECTION2SKELETON: " , direction2skeleton, " COORDINATE2SKELETON: ", coordinate2skeleton, " INPUT_LINE2XI: ", input_line2xi)
                                            # -----------------------------------------------------------------------------------------------------
                                            # [6] '-1x1y-1z'
                                            # -----------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 11T6B/33) OF ZAP2VERB4XI - SKELETON ID LINE: " , input_line2xi, " DIRECTION2SKELETON: ", direction2skeleton)    # <owl:ObjectProperty rdf:ID="1x1y1z"> KEY2SKELETON:  1                         
                                                print("(Step 11T6C/33) OF ZAP2VERB4XI - TRYING TO SET SKELETON KB  " , time4xi())
                                            try:     
                                                kb2try = ZapKB4Xi[direction2skeleton]
                                                keys2try = kb2try.keys()
                                                if ack2debug is True:
                                                    print("(Step 11T6D/33) OF ZAP2VERB4XI - SET SKELETON KB TO: " , kb2try)
                                            except:
                                                print("(Step 11T6E/33) OF ZAP2VERB4XI *** FAILED SET SKELETON KB ***  " , time4xi()) 
                                                  
                                            if ack2debug is True:
                                                print("(Step 11T6F/33) OF ZAP2VERB4XI - TRYING TO PRINT SKELETON KB  " , time4xi())                                                           
          
                                            try:                                   
                                                for key2try in keys2try:                                                              # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:
                                                        if ack2debug is True:
                                                            print("(Step 11T6G)/33) OF ZAP2VERB4XI - SKELETON: ", kb2try[key2try])   #
                                                        else:
                                                            pass
                                                    pass              
                                            except:
                                                print("(Step 11T6Z)/33) OF ZAP2VERB4XI *** FAILED TO PRINT KB: " , kb2try) 
                                                     
                                            if ack2debug is True:
                                                print("(Step 11T6H)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT SKELETON " , time4xi()) # 07:52:10 11/17/10 Pacific Standard Time
    
                                            try:
                                                key2sense  =  '2xi'            
                                                key2layer  =  3
                                                for key2try in keys2try:                                                                     # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:                                            
                                                        if ack2dragontrace is True:    
                                                            message2print = "{(Step 11T6A/33) set" + "; coordinate-set-by-zap2verb4xi to: "      + str(key2try)  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # -1x1y-1z
                                                            message2print = "{(Step 11T6B/33) set" + "; direction-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6
                                                            message2print = "{(Step 11T6C/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                         
                                                            message2print = "{(Step 11T6D/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T6E/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(kb2try[key2try] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #9A9591
                                                            message2print = "{(Step 11T6F/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(kb2try[key2try] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T6G/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718   
                                                            message2print = "{(Step 11T6H/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # skeleton6
                                                            message2print = "{(Step 11T6I/33) set" + "; color-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #CB7C21
                                                            message2print = "{(Step 11T6J/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6
                                                            message2print = "{(Step 11T6K/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 33  
                                                            message2print = "{(Step 11T6L/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(kb2try[key2try] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1.7325080757
                                                            message2print = "{(Step 11T6M/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 0.267949192431
                                                            message2print = "{(Step 11T6N/33) set" + "; super-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8
                                                            message2print = "{(Step 11T6O/33) set" + "; message-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # {started; sense-of-6Skeleton4Xi-started: 00:10:48 11/24/10 Pacific Standard Time}                                                                                           # 8
                                                            message2print = "{(Step 11T6P/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # sense 
                                                            message2print = "{(Step 11T6Q/33) set" + "; type-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                         
                                            except:
                                                print("(Step 11T6Z)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT SKELETON " , time4xi()) 
                                                
                                                
                                            # -----------------------------------------------------------------------------------------------------
                                            # [6] '-1x1y-1z'
                                            # -----------------------------------------------------------------------------------------------------                                                                                                 
                                            max2skip = 12
                                            count2skipped = 0
                                            while 1:
                                                input_line2xi = input_fd2xi.readline() 
                                                if not input_line2xi:
                                                    break
                                                else:
                                                    count2skipped = count2skipped + 1
                                                    if count2skipped >= max2skip:
                                                        break
                                            if ack2debug is True:
                                                print("(Step 11T6Y/33) OF ZAP2VERB4XI - SKIPPED count2skipped: " , count2skipped, " MAX2SKIP: ", max2skip, " LAST SKIPPED LINE: ", input_line2xi)
    
                                            # -------------------------------------------------------------------------------------------------
                                            # EOF KNOWLEDGEBASE FOR SKELETON
                                            # -------------------------------------------------------------------------------------------------                                                       
                                            break                                                     
                                        if ((x2xi == - 1) and (y2xi == 1) and (z2xi == 1)):
                                            # -------------------------------------------------------------------------------------------------
                                            # [5] '-1x1y1z'
                                            # -------------------------------------------------------------------------------------------------                                                      
                                            direction2skeleton = 5                                                            # [5] '-1x1y1z'
                                            coordinate2skeleton = '-1x1y1z'
                                            ack2actor = False                                                                 # <owl:ObjectProperty rdf:ID="-1x1y1z">
                                            ack2skeleton = True
                                            profile2coordinate = 'skeleton'
                                            if ack2debug is True:
                                                print("(Step 13T5A/33) OF ZAP2VERB4XI - DIRECTION2SKELETON: " , direction2skeleton, " COORDINATE2SKELETON: ", coordinate2skeleton, " INPUT_LINE2XI: ", input_line2xi)
                                            # -----------------------------------------------------------------------------------------------------
                                            # [5] '-1x1y1z'
                                            # -----------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 11T5B/33) OF ZAP2VERB4XI - SKELETON ID LINE: " , input_line2xi, " DIRECTION2SKELETON: ", direction2skeleton)    # <owl:ObjectProperty rdf:ID="1x1y1z"> KEY2SKELETON:  1                         
                                                print("(Step 11T5C/33) OF ZAP2VERB4XI - TRYING TO SET SKELETON KB  " , time4xi())
                                            try:     
                                                kb2try = ZapKB4Xi[direction2skeleton]
                                                keys2try = kb2try.keys()
                                                if ack2debug is True:
                                                    print("(Step 11T5D/33) OF ZAP2VERB4XI - SET SKELETON KB TO: " , kb2try)
                                            except:
                                                print("(Step 11T5E/33) OF ZAP2VERB4XI *** FAILED SET SKELETON KB ***  " , time4xi()) 
                                                  
                                            if ack2debug is True:
                                                print("(Step 11T5F/33) OF ZAP2VERB4XI - TRYING TO PRINT SKELETON KB  " , time4xi())                                                           
          
                                            try:                                   
                                                for key2try in keys2try:                                                              # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:
                                                        if ack2debug is True:
                                                            print("(Step 11T5G)/33) OF ZAP2VERB4XI - SKELETON: ", kb2try[key2try])   #
                                                        else:
                                                            pass
                                                    pass              
                                            except:
                                                print("(Step 11T5Z)/33) OF ZAP2VERB4XI *** FAILED TO PRINT KB: " , kb2try) 
                                                     
                                            if ack2debug is True:
                                                print("(Step 11T5H)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT SKELETON " , time4xi()) # 07:52:10 11/17/10 Pacific Standard Time
    
                                            try:
                                                key2sense  =  '2xi'            
                                                key2layer  =  3
                                                for key2try in keys2try:                                                                     # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:                                            
                                                        if ack2dragontrace is True:    
                                                            message2print = "{(Step 11T5A/33) set" + "; coordinate-set-by-zap2verb4xi to: "      + str(key2try)  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # -1x1y1z
                                                            message2print = "{(Step 11T5B/33) set" + "; direction-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 5
                                                            message2print = "{(Step 11T5C/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2 
                                                            message2print = "{(Step 11T5D/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T5E/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(kb2try[key2try] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #A29E9A
                                                            message2print = "{(Step 11T5F/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(kb2try[key2try] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T5G/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718   
                                                            message2print = "{(Step 11T5H/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # skeleton5
                                                            message2print = "{(Step 11T5I/33) set" + "; color-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #BA7525
                                                            message2print = "{(Step 11T5J/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 5
                                                            message2print = "{(Step 11T5K/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 33  
                                                            message2print = "{(Step 11T5L/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(kb2try[key2try] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1.7325080757
                                                            message2print = "{(Step 11T5M/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 0.267949192431
                                                            message2print = "{(Step 11T5N/33) set" + "; super-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8
                                                            message2print = "{(Step 11T5O/33) set" + "; message-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # {started; sense-of-5Skeleton4Xi-started: 00:10:48 11/24/10 Pacific Standard Time}                                 #  
                                                            message2print = "{(Step 11T5P/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # sense
                                                            message2print = "{(Step 11T5Q/33) set" + "; type-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                       
                                            except:
                                                print("(Step 11T5Z)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT SKELETON " , time4xi()) 
                                                
                                                
                                            # -----------------------------------------------------------------------------------------------------
                                            # [5] '-1x1y1z'
                                            # -----------------------------------------------------------------------------------------------------                                                                                                 
                                            max2skip = 12
                                            count2skipped = 0
                                            while 1:
                                                input_line2xi = input_fd2xi.readline() 
                                                if not input_line2xi:
                                                    break
                                                else:
                                                    count2skipped = count2skipped + 1
                                                    if count2skipped >= max2skip:
                                                        break
                                            if ack2debug is True:
                                                print("(Step 11T5Y/33) OF ZAP2VERB4XI - SKIPPED count2skipped: " , count2skipped, " MAX2SKIP: ", max2skip, " LAST SKIPPED LINE: ", input_line2xi)
    
                                            # -------------------------------------------------------------------------------------------------
                                            # EOF KNOWLEDGEBASE FOR SKELETON
                                            # -------------------------------------------------------------------------------------------------                                                     
                                            break          
                                        if ((x2xi == 1) and (y2xi == -1) and (z2xi == 1)):
                                            # -------------------------------------------------------------------------------------------------
                                            # [4] '1x-1y1z'
                                            # -------------------------------------------------------------------------------------------------                                                   
                                            direction2skeleton = 4                                                            # [4] '1x-1y1z'
                                            coordinate2skeleton = '1x-1y1z'
                                            ack2actor = False                                                                 # <owl:ObjectProperty rdf:ID="1x-1y1z">
                                            ack2skeleton = True
                                            profile2coordinate = 'skeleton'
                                            if ack2debug is True:
                                                print("(Step 13T4A/33) OF ZAP2VERB4XI - DIRECTION2SKELETON: " , direction2skeleton, " COORDINATE2SKELETON: ", coordinate2skeleton, " INPUT_LINE2XI: ", input_line2xi)
                                            # -----------------------------------------------------------------------------------------------------
                                            # [4] '1x-1y1z'
                                            # -----------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 11T4B/33) OF ZAP2VERB4XI - SKELETON ID LINE: " , input_line2xi, " DIRECTION2SKELETON: ", direction2skeleton)    # <owl:ObjectProperty rdf:ID="1x1y1z"> KEY2SKELETON:  1                         
                                                print("(Step 11T4C/33) OF ZAP2VERB4XI - TRYING TO SET SKELETON KB  " , time4xi())
                                            try:     
                                                kb2try = ZapKB4Xi[direction2skeleton]
                                                keys2try = kb2try.keys()
                                                if ack2debug is True:
                                                    print("(Step 11T4D/33) OF ZAP2VERB4XI - SET SKELETON KB TO: " , kb2try)
                                            except:
                                                print("(Step 11T4E/33) OF ZAP2VERB4XI *** FAILED SET SKELETON KB ***  " , time4xi()) 
                                                  
                                            if ack2debug is True:
                                                print("(Step 11T4F/33) OF ZAP2VERB4XI - TRYING TO PRINT SKELETON KB  " , time4xi())                                                           
          
                                            try:                                   
                                                for key2try in keys2try:                                                              # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:
                                                        if ack2debug is True:
                                                            print("(Step 11T4G)/33) OF ZAP2VERB4XI - SKELETON: ", kb2try[key2try])   #
                                                        else:
                                                            pass
                                                    pass              
                                            except:
                                                print("(Step 11T4Z)/33) OF ZAP2VERB4XI *** FAILED TO PRINT KB: " , kb2try) 
                                                     
                                            if ack2debug is True:
                                                print("(Step 11T4H)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT SKELETON " , time4xi()) # 07:52:10 11/17/10 Pacific Standard Time
    
                                            try:
                                                key2sense  =  '2xi'            
                                                key2layer  =  3
                                                for key2try in keys2try:                                                                     # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:                                            
                                                        if ack2dragontrace is True:    
                                                            message2print = "{(Step 11T4A/33) set" + "; coordinate-set-by-zap2verb4xi to: "      + str(key2try)  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1x-1y1z
                                                            message2print = "{(Step 11T4B/33) set" + "; direction-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 4
                                                            message2print = "{(Step 11T8C/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2 
                                                            message2print = "{(Step 11T4D/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T4E/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(kb2try[key2try] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #AFAAA5
                                                            message2print = "{(Step 11T4F/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(kb2try[key2try] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T4G/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718   
                                                            message2print = "{(Step 11T4H/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # skeleton4
                                                            message2print = "{(Step 11T4I/33) set" + "; color-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #AB712F
                                                            message2print = "{(Step 11T4J/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 4
                                                            message2print = "{(Step 11T4K/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 33  
                                                            message2print = "{(Step 11T4L/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(kb2try[key2try] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1.7325080757
                                                            message2print = "{(Step 11T4M/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 0.267949192431
                                                            message2print = "{(Step 11T4N/33) set" + "; super-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8
                                                            message2print = "{(Step 11T4O/33) set" + "; message-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # {started; sense-of-4Skeleton4Xi-started: 00:10:48 11/24/10 Pacific Standard Time}                                
                                                            message2print = "{(Step 11T4P/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # sense
                                                            message2print = "{(Step 11T4Q/33) set" + "; type-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                        
                                            except:
                                                print("(Step 11T4Z)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT SKELETON " , time4xi()) 
                                                
                                                
                                            # -----------------------------------------------------------------------------------------------------
                                            # [4] '1x-1y1z'
                                            # -----------------------------------------------------------------------------------------------------                                                                                                 
                                            max2skip = 12
                                            count2skipped = 0
                                            while 1:
                                                input_line2xi = input_fd2xi.readline() 
                                                if not input_line2xi:
                                                    break
                                                else:
                                                    count2skipped = count2skipped + 1
                                                    if count2skipped >= max2skip:
                                                        break
                                            if ack2debug is True:
                                                print("(Step 11T4Y/33) OF ZAP2VERB4XI - SKIPPED count2skipped: " , count2skipped, " MAX2SKIP: ", max2skip, " LAST SKIPPED LINE: ", input_line2xi)
    
                                            # -------------------------------------------------------------------------------------------------
                                            # [4] '1x-1y1z' EOF KNOWLEDGEBASE FOR SKELETON
                                            # -------------------------------------------------------------------------------------------------                                                        
                                            break                                                 
                                        if ((x2xi == 1) and (y2xi == 1) and (z2xi == -1)):
                                            # -------------------------------------------------------------------------------------------------
                                            # [3] '1x1y-1z'
                                            # -------------------------------------------------------------------------------------------------                                           
                                            direction2skeleton = 3                                                            # [3] '1x1y-1z'
                                            coordinate2skeleton = '1x1y-1z'
                                            ack2actor = False                                                                 # <owl:ObjectProperty rdf:ID="1x1y-1z"> 
                                            ack2skeleton = True
                                            profile2coordinate = 'skeleton'
                                            if ack2debug is True:
                                                print("(Step 13T3A/33) OF ZAP2VERB4XI - DIRECTION2SKELETON: " , direction2skeleton, " COORDINATE2SKELETON: ", coordinate2skeleton, " INPUT_LINE2XI: ", input_line2xi) 
                                            # -----------------------------------------------------------------------------------------------------
                                            # [3] '1x1y-1z'
                                            # -----------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 11T3B/33) OF ZAP2VERB4XI - SKELETON ID LINE: " , input_line2xi, " DIRECTION2SKELETON: ", direction2skeleton)    # <owl:ObjectProperty rdf:ID="1x1y1z"> KEY2SKELETON:  1                         
                                                print("(Step 11T3C/33) OF ZAP2VERB4XI - TRYING TO SET SKELETON KB  " , time4xi())
                                            try:     
                                                kb2try = ZapKB4Xi[direction2skeleton]
                                                keys2try = kb2try.keys()
                                                if ack2debug is True:
                                                    print("(Step 11T3D/33) OF ZAP2VERB4XI - SET SKELETON KB TO: " , kb2try)
                                            except:
                                                print("(Step 11T3E/33) OF ZAP2VERB4XI *** FAILED SET SKELETON KB ***  " , time4xi()) 
                                                  
                                            if ack2debug is True:
                                                print("(Step 11T3F/33) OF ZAP2VERB4XI - TRYING TO PRINT SKELETON KB  " , time4xi())                                                           
          
                                            try:                                   
                                                for key2try in keys2try:                                                              # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:
                                                        if ack2debug is True:
                                                            print("(Step 11T3G)/33) OF ZAP2VERB4XI - SKELETON: ", kb2try[key2try])   #
                                                        else:
                                                            pass
                                                    pass              
                                            except:
                                                print("(Step 11T3Z)/33) OF ZAP2VERB4XI *** FAILED TO PRINT KB: " , kb2try) 
                                                     
                                            if ack2debug is True:
                                                print("(Step 11T3H)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT SKELETON " , time4xi()) # 07:52:10 11/17/10 Pacific Standard Time
    
                                            try:
                                                key2sense  =  '2xi'            
                                                key2layer  =  3
                                                for key2try in keys2try:                                                                     # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:                                            
                                                        if ack2dragontrace is True:    
                                                            message2print = "{(Step 11T3A/33) set" + "; coordinate-set-by-zap2verb4xi to: "      + str(key2try)  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1x1y-1z
                                                            message2print = "{(Step 11T3B/33) set" + "; direction-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 3
                                                            message2print = "{(Step 11T2C/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2
                                                            message2print = "{(Step 11T3D/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T3E/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(kb2try[key2try] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #C3BDB7
                                                            message2print = "{(Step 11T3F/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(kb2try[key2try] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T3G/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T3H/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # skeleton3
                                                            message2print = "{(Step 11T3I/33) set" + "; color-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #95652E
                                                            message2print = "{(Step 11T3J/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 3
                                                            message2print = "{(Step 11T3K/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 33
                                                            message2print = "{(Step 11T3L/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(kb2try[key2try] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1.7325080757
                                                            message2print = "{(Step 11T3M/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 0.267949192431
                                                            message2print = "{(Step 11T3N/33) set" + "; super-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8
                                                            message2print = "{(Step 11T3O/33) set" + "; message-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # {started; sense-of-3Skeleton4Xi-started: 00:10:48 11/24/10 Pacific Standard Time}
                                                            message2print = "{(Step 11T3P/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # sense
                                                            message2print = "{(Step 11T3Q/33) set" + "; type-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                        
                                            except:
                                                print("(Step 11T3)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT SKELETON " , time4xi()) 
                                                
                                                
                                            # -----------------------------------------------------------------------------------------------------
                                            # [3] '1x1y-1z'
                                            # -----------------------------------------------------------------------------------------------------                                                                                                 
                                            max2skip = 12
                                            count2skipped = 0
                                            while 1:
                                                input_line2xi = input_fd2xi.readline() 
                                                if not input_line2xi:
                                                    break
                                                else:
                                                    count2skipped = count2skipped + 1
                                                    if count2skipped >= max2skip:
                                                        break
                                            if ack2debug is True:
                                                print("(Step 11T3Y/33) OF ZAP2VERB4XI - SKIPPED count2skipped: " , count2skipped, " MAX2SKIP: ", max2skip, " LAST SKIPPED LINE: ", input_line2xi)
    
                                            # -------------------------------------------------------------------------------------------------
                                            # [3] '1x1y-1z' EOF KNOWLEDGEBASE FOR SKELETON
                                            # -------------------------------------------------------------------------------------------------                                                    
                                            break                                                             
                                        if ((x2xi == 1) and (y2xi == -1) and (z2xi == -1)):
                                            # -------------------------------------------------------------------------------------------------
                                            # [2] '1x-1y-1z'
                                            # -------------------------------------------------------------------------------------------------                                            
                                            direction2skeleton = 2                                                                 # [2] '1x-1y-1z'
                                            coordinate2skeleton = '1x-1y-1z'
                                            ack2actor = False                                                                      # <owl:ObjectProperty rdf:ID="1x-1y-1z">
                                            ack2skeleton = True
                                            profile2coordinate = 'skeleton'
                                            if ack2debug is True:
                                                print("(Step 13T2A/33) OF ZAP2VERB4XI - DIRECTION2SKELETON: " , direction2skeleton, " COORDINATE2SKELETON: ", coordinate2skeleton, " INPUT_LINE2XI: ", input_line2xi)
                                            # -----------------------------------------------------------------------------------------------------
                                            # [2] '1x-1y-1z'
                                            # -----------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 11T2B/33) OF ZAP2VERB4XI - SKELETON ID LINE: " , input_line2xi, " DIRECTION2SKELETON: ", direction2skeleton)    # <owl:ObjectProperty rdf:ID="1x1y1z"> KEY2SKELETON:  1                         
                                                print("(Step 11T2C/33) OF ZAP2VERB4XI - TRYING TO SET SKELETON KB  " , time4xi())
                                            try:     
                                                kb2try = ZapKB4Xi[direction2skeleton]
                                                keys2try = kb2try.keys()
                                                if ack2debug is True:
                                                    print("(Step 11T2D/33) OF ZAP2VERB4XI - SET SKELETON KB TO: " , kb2try)
                                            except:
                                                print("(Step 11T2E/33) OF ZAP2VERB4XI *** FAILED SET SKELETON KB ***  " , time4xi()) 
                                                  
                                            if ack2debug is True:
                                                print("(Step 11NT2F/33) OF ZAP2VERB4XI - TRYING TO PRINT SKELETON KB  " , time4xi())                                                           
          
                                            try:                                   
                                                for key2try in keys2try:                                                              # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:
                                                        if ack2debug is True:
                                                            print("(Step 11T2G)/33) OF ZAP2VERB4XI - SKELETON: ", kb2try[key2try])   #
                                                        else:
                                                            pass
                                                    pass              
                                            except:
                                                print("(Step 11T2Z)/33) OF ZAP2VERB4XI *** FAILED TO PRINT KB: " , kb2try) 
                                                     
                                            if ack2debug is True:
                                                print("(Step 11T2H)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT SKELETON " , time4xi()) # 07:52:10 11/17/10 Pacific Standard Time 
    
                                            try:
                                                key2sense  =  '2xi'            
                                                key2layer  =  3
                                                for key2try in keys2try:                                                                     # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:                                            
                                                        if ack2dragontrace is True:    
                                                            message2print = "{(Step 11T2A/33) set" + "; coordinate-set-by-zap2verb4xi to: "      + str(key2try)  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1x-1y-1z
                                                            message2print = "{(Step 11T2B/33) set" + "; direction-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2
                                                            message2print = "{(Step 11T2C/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2
                                                            message2print = "{(Step 11T2D/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T2E/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(kb2try[key2try] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #D7D0CA
                                                            message2print = "{(Step 11T2F/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(kb2try[key2try] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T2G/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T2H/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # skeleton2
                                                            message2print = "{(Step 11T2I/33) set" + "; color-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #7F5321
                                                            message2print = "{(Step 11T2J/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2
                                                            message2print = "{(Step 11T2K/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 33
                                                            message2print = "{(Step 11T2L/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(kb2try[key2try] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1.7325080757
                                                            message2print = "{(Step 11T2M/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 0.267949192431
                                                            message2print = "{(Step 11T2N/33) set" + "; super-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8 
                                                            message2print = "{(Step 11T2O/33) set" + "; message-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # {started; sense-of-2Skeleton4Xi-started: 00:10:48 11/24/10 Pacific Standard Time}
                                                            message2print = "{(Step 11T2P/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # sense
                                                            message2print = "{(Step 11T2Q/33) set" + "; type-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                       
                                            except:
                                                print("(Step 11T2Z)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT SKELETON " , time4xi()) 
                                                
                                                
                                            # -----------------------------------------------------------------------------------------------------
                                            # [2] '1x-1y-1z'
                                            # -----------------------------------------------------------------------------------------------------                                                                                                 
                                            max2skip = 12
                                            count2skipped = 0
                                            while 1:
                                                input_line2xi = input_fd2xi.readline() 
                                                if not input_line2xi:
                                                    break
                                                else:
                                                    count2skipped = count2skipped + 1
                                                    if count2skipped >= max2skip:
                                                        break
                                            if ack2debug is True:
                                                print("(Step 11T2Y/33) OF ZAP2VERB4XI - SKIPPED count2skipped: " , count2skipped, " MAX2SKIP: ", max2skip, " LAST SKIPPED LINE: ", input_line2xi)
    
                                            # -------------------------------------------------------------------------------------------------
                                            # [2] '1x-1y-1z' EOF KNOWLEDGEBASE FOR SKELETON 
                                            # -------------------------------------------------------------------------------------------------                                                    
                                            break                                       
                                        if ((x2xi == 1) and (y2xi == 1) and (z2xi == 1)):
                                            # -------------------------------------------------------------------------------------------------
                                            # [1] '1x1y1z'
                                            # -------------------------------------------------------------------------------------------------                                      
                                            direction2skeleton = 1                                                                     # [1] '1x1y1z'
                                            coordinate2skeleton = '1x1y1z'
                                            ack2actor = False                                                                          # <owl:ObjectProperty rdf:ID="1x1y1z">
                                            ack2skeleton = True
                                            profile2coordinate = 'skeleton' 
                                            if ack2debug is True: 
                                                print("(Step 11T1A/33) OF ZAP2VERB4XI - DIRECTION2SKELETON: " , direction2skeleton, " COORDINATE2SKELETON: ", coordinate2skeleton, " INPUT_LINE2XI: ", input_line2xi)                                  
                                                # 
                                            if ack2dragontrace is True:
                                                message2print = "{(Step 11T1B/33) set" + "; profile2coordinate-set-by-zap2verb4xi to: " + str(profile2coordinate)  + "; time: " + time4xi() + "}"
                                                print4xi(class2print, method2print, message2print)
                                            
                                            # -----------------------------------------------------------------------------------------------------
                                            # [1] '1x1y1z'
                                            # -----------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 11T1C/33) OF ZAP2VERB4XI - SKELETON ID LINE: " , input_line2xi, " DIRECTION2SKELETON: ", direction2skeleton)    # <owl:ObjectProperty rdf:ID="1x1y1z"> KEY2SKELETON:  1                         
                                                print("(Step 11T1D/33) OF ZAP2VERB4XI - TRYING TO SET SKELETON KB  " , time4xi())
                                            try:     
                                                kb2try = ZapKB4Xi[direction2skeleton]
                                                keys2try = kb2try.keys()
                                                if ack2debug is True:
                                                    print("(Step 11T1E/33) OF ZAP2VERB4XI - SET SKELETON KB TO: " , kb2try)
                                            except:
                                                print("(Step 11T1F/33) OF ZAP2VERB4XI *** FAILED SET SKELETON KB ***  " , time4xi()) 
                                                  
                                            if ack2debug is True:
                                                print("(Step 11T1G/33) OF ZAP2VERB4XI - TRYING TO PRINT SKELETON KB  " , time4xi())                                                           
          
                                            try:                                   
                                                for key2try in keys2try:                                                             # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:
                                                        if ack2debug is True:
                                                            print("(Step 11T1H/33) OF ZAP2VERB4XI - SKELETON: ", kb2try[key2try])   #
                                                        else:
                                                            pass
                                                    pass              
                                            except:
                                                print("(Step 11T1Z/33) OF ZAP2VERB4XI *** FAILED TO PRINT KB: " , kb2try) 
                                                     
                                            if ack2debug is True:
                                                print("(Step 11T1I)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT SKELETON " , time4xi()) # 06:50:19 11/17/10 Pacific Standard Time 
    
                                            try:
                                                key2sense  =  '2xi'            
                                                key2layer  =  3
                                                for key2try in keys2try:                                                                     # 
                                                    keys2try = kb2try.keys()
                                                    for key2try in keys2try:                                            
                                                        if ack2dragontrace is True:    
                                                            message2print = "{(Step 11T1A/33) set" + "; coordinate-set-by-zap2verb4xi to: "      + str(key2try)  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1x1y1z
                                                            message2print = "{(Step 11T1B/33) set" + "; direction-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T1C/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(kb2try[key2try] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2 
                                                            message2print = "{(Step 11T1D/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718
                                                            message2print = "{(Step 11T1E/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(kb2try[key2try] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #848484
                                                            message2print = "{(Step 11T1F/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(kb2try[key2try] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T1G/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 6.28318530718   
                                                            message2print = "{(Step 11T1H/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # skeleton1
                                                            message2print = "{(Step 11T1I/33) set" + "; color-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # #6F4A20
                                                            message2print = "{(Step 11T1J/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(kb2try[key2try] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1
                                                            message2print = "{(Step 11T1K/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 33  
                                                            message2print = "{(Step 11T1L/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(kb2try[key2try] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 1.7325080757
                                                            message2print = "{(Step 11T1M/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(kb2try[key2try] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 0.267949192431
                                                            message2print = "{(Step 11T1N/33) set" + "; super-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 8
                                                            message2print = "{(Step 11T1O/33) set" + "; message-set-by-zap2verb4xi to: "        + str(kb2try[key2try] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # {started; sense-of-1Skeleton4Xi-started: 00:13:26 11/24/10 Pacific Standard Time} 
                                                            message2print = "{(Step 11T1P/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # sense
                                                            message2print = "{(Step 11T1Q/33) set" + "; type-set-by-zap2verb4xi to: "          + str(kb2try[key2try] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                                            print4xi(class2print, method2print, message2print)                                   # 2                                                        
                                            except:
                                                print("(Step 11T1Z)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT SKELETON " , time4xi()) 
                                                
                                                
                                            # -----------------------------------------------------------------------------------------------------
                                            # [1] '1x1y1z'
                                            # -----------------------------------------------------------------------------------------------------                                                                                                 
                                            max2skip = 12
                                            count2skipped = 0
                                            while 1:
                                                input_line2xi = input_fd2xi.readline() 
                                                if not input_line2xi:
                                                    break
                                                else:
                                                    count2skipped = count2skipped + 1
                                                    if count2skipped >= max2skip:
                                                        break
                                            if ack2debug is True:
                                                print("(Step 11T1Y/33) OF ZAP2VERB4XI - SKIPPED count2skipped: " , count2skipped, " MAX2SKIP: ", max2skip, " LAST SKIPPED LINE: ", input_line2xi)
    
                                            # -------------------------------------------------------------------------------------------------
                                            # [1] '1x1y1z' EOF KNOWLEDGEBASE FOR SKELETON
                                            # -------------------------------------------------------------------------------------------------
                                            if ack2debug is True:
                                                print("(Step 11TZ1/33) OF ZAP2VERB4XI - LINE: ", input_line2xi)                                                                                                 
                                            break
                                        else:
                                            if ack2debug is True:
                                                print("(Step 11TZ2/33) OF ZAP2VERB4XI - LINE: ", input_line2xi)                                        
                                            break
                                        # ---------------------------------------------------------------------------------------------
                                        # WHILE FOR SKELETON
                                        # --------------------------------------------------------------------------------------------- 
                                                                                    
                                    # -------------------------------------------------------------------------------------------------
                                    # EOF WHILE FOR SKELETON
                                    # -------------------------------------------------------------------------------------------------      

                            else:
                                # -----------------------------------------------------------------------------------------------------
                                # (0,0,0)-ID !  ORIGIN - DATA ALREADY INITIALIZED IN DICTIONARY!
                                # -----------------------------------------------------------------------------------------------------                    
                                if ack2debug is True:
                                    print("(Step 11OR1/33) OF ZAP2VERB4XI - SUM2COORDINATE: ", sum2coordinate, " ORIGIN ID LINE: " , input_line2xi)           # <owl:ObjectProperty rdf:ID="0x0y0z">
                                    
                                ack2actor = False                                                                   #
                                profile2coordinate = 'origin'                                                            
                                ack2origin = True
                                
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11OR2/33) read" + "; origin-read-by-zap2verb4xi " + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # [ACK] <owl:ObjectProperty rdf:ID="0x0y0z">
                                
                                    message2print = "{(Step 11OR3/33) set" + "; profile2coordinate-set-by-zap2verb4xi to: " + str(profile2coordinate)  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                  # origin            
                                
                                # -----------------------------------------------------------------------------------------------------
                                # (0,0,0)-ID !  ORIGIN KEYS
                                # -----------------------------------------------------------------------------------------------------              
                                if ack2debug is True:
                                    print("(Step 11OR4)/33) OF ZAP2VERB4XI - TRYING TO SET KEYS2ZAPKB4XI " , time4xi())          
                                try:                          
                                    keys2zap0kb4xi = Zap0KB4Xi.keys()
                                    if ack2debug is True: 
                                        print("(Step 11OR5)/33) OF ZAP2VERB4XI - SET KEYS2ZAPKB4XI TO: " , keys2zap0kb4xi)    # dict_keys(['0x0y0z'])    
                                except:
                                    print("(Step 11OR6)/33) OF ZAP2VERB4XI *** FAILED SET KEYS2ZAPKB4XI " , time4xi())
                                    
                                # -----------------------------------------------------------------------------------------------------
                                # (0,0,0)-ID !  ORIGIN 
                                # -----------------------------------------------------------------------------------------------------                              
                                if ack2debug is True:
                                    print("(Step 11OR7a)/33) OF ZAP2VERB4XI - TRYING TO PRINT ZapKB4Xi ORIGIN " , time4xi())          
                                try:                                   
                                    for key2origin in keys2zap0kb4xi: 
                                        if ack2debug is True: 
                                            print("(Step 11OR7b)/33) OF ZAP2VERB4XI - KEY2ORIGIN: ", key2origin)        # 0x0y0z                                                                                       
                                        keys2dragon = Zap0KB4Xi[key2origin].keys()
                                        for key2dragon in keys2dragon:
                                            if ack2debug is True: 
                                                print("(Step 11OR7c)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon)    # 2xi, 4xi, 4xi
                                                print("(Step 11OR7d)/33) OF ZAP2VERB4XI - DRAGON: ", Zap0KB4Xi[key2origin] [key2dragon]) 
                                                # {1: 6, <--  DIRECTION
                                                #  2: 0, <--  DISTANCE
                                                #  3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 1, 4: 12.566370614359172}, <-- LAYER: AREA2LAYER, COLOR2LAYER,  QTY2LAYER, AREA2NODE
                                                #  4: 'dragon0x0y0z',  <-- IDENTITY
                                                #  5: '#E8DCD1',  <-- COLOR
                                                #  6: 0,  <-- FIRE
                                                #  7: 20, <-- CLUSTER 
                                                #  8: 1,  <-- RAY
                                                #  9: 0.4226973081, <-- DEVIATION 
                                                # 10: 6, <--  SUPER
                                                # 11: '{started; sense-of-Origin4Xi-started: 00:48:10 11/26/10 Pacific Standard Time}',  <-- MESSAGE
                                                # 12: 'sense',  <-- ACTOR
                                                # 13: 2} <-- TYPE 


                                except:
                                    print("(Step 11OR7d)/33) OF ZAP2VERB4XI *** FAILED TO PRINT ZapKB4Xi ORIGIN" , time4xi())     
                                if ack2debug is True:
                                    print("(Step 11OR7e)/33) OF ZAP2VERB4XI - TRYING TO SAVE TRACE ABOUT ORIGIN " , time4xi()) 
    
                                try:
                                    key2origin = '0x0y0z'
                                    key2sense  =  '2xi'            
                                    key2layer  =  3
                                    
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11OR8/33) set" + "; coordinate-set-by-zap2verb4xi to: "      + str(key2origin)  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 0x0y0z 
                                        message2print = "{(Step 11OR9/33) set" + "; direction-set-by-zap2verb4xi to: "       + str(Zap0KB4Xi[key2origin] [key2sense] [1])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 6 
                                        message2print = "{(Step 11OR10/33) set" + "; distance-set-by-zap2verb4xi to: "       + str(Zap0KB4Xi[key2origin] [key2sense] [2])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 0   
                                        message2print = "{(Step 11OR11/33) set" + "; are2layer-set-by-zap2verb4xi to: "      + str(Zap0KB4Xi[key2origin] [key2sense] [key2layer] [1])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 12.5663706144  
                                        message2print = "{(Step 11OR12/33) set" + "; color2layer-set-by-zap2verb4xi to: "    + str(Zap0KB4Xi[key2origin] [key2sense] [key2layer] [2])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # #AF8F8F 
                                        message2print = "{(Step 11OR13/33) set" + "; quantity2layer-set-by-zap2verb4xi to: " + str(Zap0KB4Xi[key2origin] [key2sense] [key2layer] [3])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 1  
                                        message2print = "{(Step 11OR14/33) set" + "; area2node-set-by-zap2verb4xi to: "      + str(Zap0KB4Xi[key2origin] [key2sense] [key2layer] [4])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 12.5663706144    
                                        message2print = "{(Step 11OR15/33) set" + "; identity-set-by-zap2verb4xi to: "      + str(Zap0KB4Xi[key2origin] [key2sense] [4])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # oregon  
                                        message2print = "{(Step 11OR16/33) set" + "; color-set-by-zap2verb4xi to: "          + str(Zap0KB4Xi[key2origin] [key2sense] [5])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # #E8DCD1  
                                        message2print = "{(Step 11OR17/33) set" + "; fire-set-by-zap2verb4xi to: "           + str(Zap0KB4Xi[key2origin] [key2sense] [6])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 0  
                                        message2print = "{(Step 11OR18/33) set" + "; cluster-set-by-zap2verb4xi to: "        + str(Zap0KB4Xi[key2origin] [key2sense] [7])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 20    
                                        message2print = "{(Step 11OR19/33) set" + "; ray-set-by-zap2verb4xi to: "            + str(Zap0KB4Xi[key2origin] [key2sense] [8])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 1  
                                        message2print = "{(Step 11OR20/33) set" + "; deviation-set-by-zap2verb4xi to: "      + str(Zap0KB4Xi[key2origin] [key2sense] [9])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 0.4226973081 
                                        message2print = "{(Step 11OR21/33) set" + "; super-set-by-zap2verb4xi to: "          + str(Zap0KB4Xi[key2origin] [key2sense] [10])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 6 
                                        message2print = "{(Step 11OR22/33) set" + "; message-set-by-zap2verb4xi to: "        + str(Zap0KB4Xi[key2origin] [key2sense] [11])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # {started; sense-of-Origin4Xi-started: 00:13:26 11/24/10 Pacific Standard Time} 
                                        message2print = "{(Step 11OR23/33) set" + "; actor-set-by-zap2verb4xi to: "          + str(Zap0KB4Xi[key2origin] [key2sense] [12])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # sense
                                        message2print = "{(Step 11OR24/33) set" + "; type-set-by-zap2verb4xi to: "           + str(Zap0KB4Xi[key2origin] [key2sense] [13])  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                   # 2                                                                                                                                 
                                except:
                                    print("(Step 11OR25)/33) OF ZAP2VERB4XI *** FAILED TO SAVE TRACE ABOUT ORIGIN" , time4xi())            
        
                            # -----------------------------------------------------------------------------------------------------
                            # ID - (X,Y,Z)!                                                                              <owl:OnProperty rdf:ID="0x0y-39z">
                            # ----------------------------------------------------------------------------------------------------- 
                            pass                                                                                         # data for dragon will follow and be captured!
                        except:
                            print("(Step 11OR26)/33) OF ZAP2VERB4XI *** FAILED TO PROCESS COORDINATE - LINE: " , input_line2xi)                                                                                                                                                                            
                    else:

                        # -----------------------------------------------------------------------------------------------------
                        # ID - NOT (X,Y,Z) - GUESS THE NEXT PROFILE FOR COORDINATES: NORMAL, CLUSTER OR SUPER <DRAGONIZE> 
                        # -----------------------------------------------------------------------------------------------------                    
                        # <owl:Class rdf:ID="ActorWaves4Xi">
                        # <owl:Class rdf:ID="ClusterColorStatistics4Xi">
                        # <owl:Class rdf:ID="SuperClusterColorStatistics4Xi">
                        if ack2debug is True:
                            print("(Step 11N30)/33) OF ZAP2VERB4XI - TRYING TO GUESS THE NEXT PROFILE FOR COORDINATES - LINE: " , input_line2xi)   
                                                                                                                     # <owl:Class rdf:ID="ClusterColorStatistics4Xi">
                        profile2search = 'ActorWaves4Xi'                                                             # [ACK] <owl:Class rdf:ID="ActorWaves4Xi">
                        i2profile = str.find(input_line2xi,profile2search)
                        
                        if i2profile == -1:
                            profile2search = 'ClusterColorStatistics4Xi'                                             # [ACK] <owl:Class rdf:ID="ClusterColorStatistics4Xi">
                            
                            if ack2dragontrace is True:
                                message2print = "{(Step 11N31a/33) set" + "; profile2search-set-by-zap2verb4xi to: " + str(profile2search)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                       # ClusterColorStatistics4Xi                         
                            
                            i2profile = str.find(input_line2xi,profile2search)
                            if i2profile == -1:
                                profile2search = 'SuperClusterColorStatistics4Xi'                                    # [ACK] <owl:Class rdf:ID="SuperClusterColorStatistics4Xi">
                                
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11N31b/33) set" + "; profile2search-set-by-zap2verb4xi to: " + str(profile2search)  + "; time: " + time4xi() + "}"                                
                                    print4xi(class2print, method2print, message2print)

                                i2profile = str.find(input_line2xi,profile2search)                                
                                if i2profile == -1: 
                                    # -----------------------------------------------------------------------------------------
                                    # METHOD!
                                    # -----------------------------------------------------------------------------------------                                   
                                    profile2coordinate = 'method'
                                    
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11N31c/33) set" + "; profile2coordinate-set-by-zap2verb4xi to: " + str(profile2coordinate)  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                    
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # SUPER!
                                    # -----------------------------------------------------------------------------------------                                 
                                    profile2coordinate = 'super'
                                    
                                    if ack2dragontrace is True:
                                        message2print = "{(Step 11N31d/33) set" + "; profile2coordinate-set-by-zap2verb4xi to: " + str(profile2coordinate)  + "; time: " + time4xi() + "}"
                                        print4xi(class2print, method2print, message2print)                                         
                            else:
                                # ---------------------------------------------------------------------------------------------
                                # CLUSTER!
                                # ---------------------------------------------------------------------------------------------                              
                                profile2coordinate = 'cluster'
                                
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11N31e/33) set" + "; profile2coordinate-set-by-zap2verb4xi to: " + str(profile2coordinate)  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                   # cluster                                    
                        else:
                            # -------------------------------------------------------------------------------------------------
                            # METHOD
                            # -------------------------------------------------------------------------------------------------                              
                            profile2coordinate = 'method'                                                            # guessed - methods come first in input             
                            if ack2dragontrace is True:
                                message2print = "{(Step 11N32/33) set" + "; profile2coordinate-set-by-zap2verb4xi to: " + str(profile2coordinate)  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
  
                        # -----------------------------------------------------------------------------------------------------
                        # ID - NOT (X,Y,Z) - SAVE DOMAIN OF CLUSTER OR SUPER-CLUSTER  (X,Y,Z)     
                        # -----------------------------------------------------------------------------------------------------                                  
                        if ack2debug is True:                                                                        # <owl:Class rdf:ID="ClusterColorStatistics4Xi"> 
                            print("(Step 11N34)/33) OF ZAP2VERB4XI - LINE: " , input_line2xi)   
                        try:                        
                            i2start = str.find(input_line2xi,start2domain)
                            if i2start == -1:
                                pass
                            else:
                                i2end   = str.find(input_line2xi,end2domain)
                                domain2xi = input_line2xi[len(start2domain):i2end]
                                ack2domain = True
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11N35/33) set" + "; domain2xi-set-by-zap2verb4xi to: " + str(domain2xi)  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)
                                
                                object2xi = domain2xi
                                if ack2dragontrace is True:
                                    message2print = "{(Step 11N36/33) set" + "; object2xi-set-by-zap2verb4xi to: " + str(object2xi)  + "; time: " + time4xi() + "}"
                                    print4xi(class2print, method2print, message2print)                                
                                
                        except:
                            print("(Step 11N36)/33) OF ZAP2VERB4XI *** FAILED TO SAVE DOMAIN OF CLUSTER OR SUPER-CLUSTER - LINE: " , input_line2xi)
                                             
                    # ---------------------------------------------------------------------------------------------------------
                    # LINE
                    # ---------------------------------------------------------------------------------------------------------                        
                    if ack2debug is True:                    
                        print("(Step 11N37/33) OF ZAP2VERB4XI - ACK2ACTOR: ", ack2actor, " LINE: " , input_line2xi)  # False  LINE:     <owl:Class rdf:ID="ActorWaves4Xi">    
                                                                                                                     # False  LINE:     <owl:ObjectProperty rdf:ID="0x0y0z">
                    if ack2actor is True:                                                                            # False  LINE:     </owl:ObjectProperty>; after skeletons
                        # -------------------------------------------------------------------------------------------------
                        # ACTOR! - PROFILE = NORMAL, CLUSTER OR SUPER (X,Y,Z) - NOT ORIGIN NOR SKELETON
                        # -------------------------------------------------------------------------------------------------                  
                        # <owl:OnProperty rdf:ID="0x0y-39z">
                        # <owl:OnProperty rdf:ID="0x0y3199z">; <owl:OnProperty rdf:ID="0x0y3299z">                                                                                                                     # <owl:OnProperty rdf:ID="1049x-1426y-2544z">
                        if ack2debug is True:                    
                            print("(Step 11N38/33) OF ZAP2VERB4XI - ACTOR IN ID LINE: " , input_line2xi)
                        
                        ack2dragon                  = False                                                          # no dragon data yet 
                        ack2coordinate              = True
                        
                        ack2cluster                 = False                                                          # expect attributes - some might missing
                        ack2color                   = False
                        ack2deviation               = False    
                        ack2direction               = False
                        ack2distance                = False    
                        ack2fire                    = False    
                        ack2function                = False    
                        ack2message                 = False  
                        ack2method                  = False
                        ack2object                  = False
                        ack2ray                     = False                        
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # LINE
                        # -------------------------------------------------------------------------------------------------                 
                        ack2dragon = False                                                                           # <owl:Class rdf:ID="ActorWaves4Xi">
                        ack2coordinate = False                                                                       # <owl:ObjectProperty rdf:ID="0x0y0z">
                        if ack2debug is True:                                                                        # </owl:ObjectProperty>; </rdfs:subPropertyOf> ...
                            print("(Step 14N39/33) OF ZAP2VERB4XI - LINE: " , input_line2xi)                         # <owl:OnProperty rdf:ID="0x0y-39z">
                                              
         
                    # ---------------------------------------------------------------------------------------------------------
                    # LINE
                    # ---------------------------------------------------------------------------------------------------------  
                    if ack2debug is True:
                        print("(Step 12A0/33) OF ZAP2VERB4XI - ACK2ACTOR: ", ack2actor, " ACK2DRAGON: ", ack2dragon, " ACK2COORDINATE: ", ack2coordinate, " LINE " , input_line2xi)                             
                        # ACK2ACTOR:  False  ACK2DRAGON:  False  ACK2COORDINATE:  False  LINE     <owl:Class rdf:ID="ActorWaves4Xi">
                        # ACK2ACTOR:  False  ACK2DRAGON:  False  ACK2COORDINATE:  False  LINE     <owl:ObjectProperty rdf:ID="0x0y0z">- oregon - not to be processed!
                        # ACK2ACTOR:  False  ACK2DRAGON:  False  ACK2COORDINATE:  False  LINE     <owl:OnProperty rdf:ID="0x0y-39z">  - ok     - not yet processed!
                                                                                                                                                                                           

                                
                    # -------------------------------------------------------------------------------------------------------------------------------------
                    # LINE DONE
                    # -------------------------------------------------------------------------------------------------------------------------------------                        
                    if ack2debug is True:
                        print("(Step 16B/33) OF ZAP2VERB4XI - LINE DONE - ACK2ACTOR: ", ack2actor, " ACK2DRAGON: ", ack2dragon, " ACK2COORDINATE: ", ack2coordinate, " LINE " , input_line2xi)  
                        # </owl:ObjectProperty> - after skeletons done, for example
                        # ACK2ACTOR:  False  ACK2DRAGON:  False  ACK2COORDINATE:  False  LINE     <owl:OnProperty rdf:ID="0x0y-39z"> - not yet processed
                    break
                        
            # -----------------------------------------------------------------------------------------------------------------------------------------
            # END OF LINE-PROCESSING
            # -----------------------------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("(Step 17/33) OF ZAP2VERB4XI - END OF LINE-PROCESSING - LINE " , input_line2xi)
                
        # ---------------------------------------------------------------------------------------------------------------------------------------------
        # EOF LINE 
        # ---------------------------------------------------------------------------------------------------------------------------------------------                 
        if ack2debug is True:
            print("(Step 18/33) OF ZAP2VERB4XI - EOF LINE - LINE " , input_line2xi) 

            
            
    # -----------------------------------------------------------------------------------------------------
    # EOF FILE <DRAGONIZE>
    # ----------------------------------------------------------------------------------------------------- 
    if ack2dragontrace is True:
        message2print = "{(Step 19A/33) done" + "; INPUT-FILE-done-by-zap2verb4xi: " + str("INPUT-FILE") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                            
 
                                             
    # -----------------------------------------------------------------------------------------
    # (Step 20/33) - INPUT FILE READ!  
    # -----------------------------------------------------------------------------------------
        
    if ack2dragontrace is True:
        message2print = "{(Step 20B/33) read" + "; scope2reasonfile-read-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                              # ..//..//xml//scope-reason-test-zskeleton4xi.xml

    max2order = fire2xi
    if ack2dragontrace is True:
        message2print = "{(Step 20C/33) calculated" + "; max2order-calculated-by-zap2verb4xi: " + str(max2order) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                              # 3309

    # -----------------------------------------------------------------------------------------
    # (Step 21/33)
    # -----------------------------------------------------------------------------------------
       
    if ack2dragontrace is True:
        message2print = "{(Step 21A/33) closing" + "; scope2reasonfile-closing-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                              # ..//..//xml//scope-reason-test-zskeleton4xi.xml  
    try:
        input_fd2xi.close()    
        if ack2dragontrace is True:
            message2print = "{(Step 21B/33) closed" + "; scope2reasonfile-closed-by-zap2verb4xi: " + str(scope2reasonfile) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # ..//..//xml//scope-reason-test-zskeleton4xi.xml
    except:
        message2print = "{(Step 21C/33) failed" + "; closing-failed-by-zap2verb4xi: " + "closing" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                 
                            
    # -----------------------------------------------------------------------------------------
    # (Step 22/33) - PRINT ZapKB4Xi
    # -----------------------------------------------------------------------------------------
    #     if ack2debug is True:
    #         print("(Step 22A)/33) OF ZAP2VERB4XI - TRYING TO PRINT ZapKB4Xi" , time4xi())          
    #     try:
    #         keys2direction = ZapKB4Xi.keys()
    #         for key2direction in keys2direction:
    #             if ack2debug is True: 
    #                 print('=' *70) 
    #                 print("DIRECTION: ", key2direction)
    #                 print('=' *70) 
    #             kb2dragon = ZapKB4Xi[key2direction]    
    #             keys2dragon = kb2dragon.keys()
    #             for key2dragon in keys2dragon:
    #                 if ack2debug is True:
    #                     print('=' *33)
    #                     print("KEY2DRAGON: ", key2dragon)    
    #                     print("DRAGON: ", kb2dragon [key2dragon]) 
    #                     #
    #     except:
    #         print("(Step 22Z/33) OF ZAP2VERB4XI *** FAILED TO PRINT ZapKB4Xi" , time4xi())
                            
    # -----------------------------------------------------------------------------------------
    # (Step 23/33) - INITIALIZE LAYER DATA
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(Step 23A)/33) OF ZAP2VERB4XI - TRYING TO INITIALIZE LAYER DATA IN ZapKB4Xi" , time4xi())          
    key2sense = '2xi'
    try:
        keys2direction = ZapKB4Xi.keys()
        for key2direction in keys2direction:
            kb2dragon = ZapKB4Xi[key2direction]    
            keys2dragon = kb2dragon.keys()                                                                          # NOTE: YOU CAN USE (X,Y,Z) NODES ALTHOUGH YOU DON NOT TRUST SUMS IN CLUSTER/SUPER!
            for key2dragon in keys2dragon:                                                                          # INITIALIZE ALSO CLUSTER AND SUPER-CLUSTER!
                kb2dragon [key2dragon] [key2sense] [3] [3] = 0                                                      # QTY2LAYER
                kb2dragon [key2dragon] [key2sense] [3] [4] = 0                                                      # AREA2NODE
               
    except:
        print("(Step 23Z/33) OF ZAP2VERB4XI *** FAILED TO INITIALIZE LAYER DATA IN ZapKB4Xi" , time4xi())  
                                    
    # -----------------------------------------------------------------------------------------
    # (Step 24/33) - PRINT ZapKB4Xi WITH LAYER DATA INITIALIZED
    # -----------------------------------------------------------------------------------------
    #     if ack2debug is True:
    #         print("(Step 24A)/33) OF ZAP2VERB4XI - TRYING TO PRINT ZapKB4Xi WITH LAYER DATA INITIALIZED" , time4xi())          
    #     try:
    #         keys2direction = ZapKB4Xi.keys()
    #         for key2direction in keys2direction:
    #             if ack2debug is True: 
    #                 print('=' *70) 
    #                 print("DIRECTION: ", key2direction)
    #                 print('=' *70) 
    #             kb2dragon = ZapKB4Xi[key2direction]    
    #             keys2dragon = kb2dragon.keys()
    #             for key2dragon in keys2dragon:
    #                 if ack2debug is True:
    #                     print('=' *33)
    #                     print("KEY2DRAGON: ", key2dragon)    
    #                     print("DRAGON: ", kb2dragon [key2dragon]) 
    #                     #
    #     except:
    #         print("(Step 24Z/33) OF ZAP2VERB4XI *** FAILED TO PRINT ZapKB4Xi WITH LAYER DATA INITIALIZED" , time4xi())
                                   
    # -----------------------------------------------------------------------------------------
    # (Step 25/33) - CALCULATE DRAGONS IN EACH LAYER OF ZapKB4Xi
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(Step 25A)/33) OF ZAP2VERB4XI - TRYING TO INITIALIZE QuantityKB2Layer4Xi" , time4xi())          
    try:
        QuantityKB2Direction0 = {}    
        QuantityKB2Direction1 = {}
        QuantityKB2Direction2 = {}
        QuantityKB2Direction3 = {}
        QuantityKB2Direction4 = {}
        QuantityKB2Direction5 = {}
        QuantityKB2Direction6 = {}
        QuantityKB2Direction7 = {}
        QuantityKB2Direction8 = {}
        QuantityKB2Layer4Xi = {0: QuantityKB2Direction0,
                               1: QuantityKB2Direction1, 2: QuantityKB2Direction2, 3: QuantityKB2Direction3, 4: QuantityKB2Direction4, 
                               5: QuantityKB2Direction5, 6: QuantityKB2Direction6, 7: QuantityKB2Direction7, 8: QuantityKB2Direction8}
    except:
        print("(Step 25B/33) OF ZAP2VERB4XI *** FAILED TO INITIALIZE QuantityKB2Layer4Xi" , time4xi())
    # -----------------------------------------------------------------------------------------
    #  
    # -----------------------------------------------------------------------------------------                                                                                                                                              
    if ack2debug is True:
        print('=' *70)     
        print("(Step 25C1)/33) OF ZAP2VERB4XI - CALCULATING DRAGONS IN LAYERS OF ZapKB4Xi" , time4xi()) 
        print('=' *70)                       
    try:
        # -------------------------------------------------------------------------------------------------------------
        #  
        # -------------------------------------------------------------------------------------------------------------                     
        keys2direction = ZapKB4Xi.keys()
        for key2direction in keys2direction:                                                                        # process all directions
            # ---------------------------------------------------------------------------------------------------------
            #  
            # ---------------------------------------------------------------------------------------------------------          
            kb2dragon   = ZapKB4Xi[key2direction]                                                                   # dragon knowledgebase selected based on direction  
            kb2quantity = QuantityKB2Layer4Xi[key2direction]                                                        # quantity knowledgebase selected based on direction   
            keys2dragon = kb2dragon.keys()
            for key2dragon in keys2dragon:
                # -----------------------------------------------------------------------------------------------------
                #  
                # -----------------------------------------------------------------------------------------------------              
                try:
                    key2quantity = kb2dragon [key2dragon] [key2sense] [2]                                           # pick the layer key to sum layer quantity
                    if ((key2quantity == 3200) or (key2quantity == 3300)):
                        pass                                                                                        # do not sum with cluster- and super-nodes to avoid summing twice!
                    else: 
                        # ---------------------------------------------------------------------------------------------
                        #  
                        # ---------------------------------------------------------------------------------------------                             
                        kb2quantity [key2quantity]  = kb2quantity [key2quantity] + 1                                # sum level quantities using node data
                        if ack2debug is True:
                            print("(Step 25D)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", key2quantity,"]: " , kb2quantity [key2quantity])
                        try: 
                            # -----------------------------------------------------------------------------------------
                            #  
                            # -----------------------------------------------------------------------------------------                           
                            if key2quantity > 1:                                                                    # do not count oregon  
                                kb2quantity [3200]  = kb2quantity [3200] + 1                                        # sum cluster quantity 
                                if ack2debug is True:
                                    print("(Step 25E)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", 3200,"]: " , kb2quantity [3200])
                            else:
                                pass        
                        except:
                            if key2quantity > 1:                                                                    # do not count oregon 
                                kb2quantity [3200]  = 1   
                                if ack2debug is True:
                                    print("(Step 25F)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", 3200,"]: " , kb2quantity [3200])
                            else:
                                pass 
                        # ---------------------------------------------------------------------------------------------
                        #  
                        # ---------------------------------------------------------------------------------------------                                         
                        try:
                            if key2quantity > 1:                                                                    # do not count oregon 
                                previous2quantity =  kb2quantity [3300]    
                                kb2quantity [3300]  = kb2quantity [3300] + 1                                        # sum super quantity
                                new2quantity =  kb2quantity [3300]
                                ok2new = previous2quantity + 1
                                if new2quantity == ok2new:
                                    pass
                                    # if ack2debug is True:
                                    #     print("(Step 25G1)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", 3300,"]: " , kb2quantity [3300])
                                    #     print("(Step 25G2)/33) OF ZAP2VERB4XI - OK2NEW: ", ok2new, " NEW2QUANTITY: ", new2quantity, " PREVIOUS2QUANTITY: " , previous2quantity)
                                else:
                                    print("(Step 25G3)/33) OF ZAP2VERB4XI *** FAILED - OK2NEW: ", ok2new, " NEW2QUANTITY: ", new2quantity, " PREVIOUS2QUANTITY: " , previous2quantity)           
                            else:
                                pass        
                        except:
                            if key2quantity > 1:                                                                    # do not count oregon 
                                kb2quantity [3300]  = 1   
                                if ack2debug is True:
                                    print("(Step 25G4)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", 3300,"]: " , kb2quantity [3300])
                            else:
                                pass 
                                
                        # ---------------------------------------------------------------------------------------------
                        #  
                        # --------------------------------------------------------------------------------------------- 
                                                          
                # -----------------------------------------------------------------------------------------------------
                #  
                # -----------------------------------------------------------------------------------------------------                                                                                                                                      
                except:
                    if ((key2quantity > 1) and (key2quantity < 3200)):                                               # do not count oregon, cluster and super3
                        try:
                            kb2quantity [key2quantity]  = kb2quantity [key2quantity] + 1
                            if ack2debug is True:
                                print("(Step 25H)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", key2quantity,"]: " , kb2quantity [key2quantity])                            
                        except:
                            kb2quantity [key2quantity]  = 1
                            if ack2debug is True:
                                print("(Step 25I)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", key2quantity,"]: " , kb2quantity [key2quantity])                              
                        try:    
                            kb2quantity [3200]  =  kb2quantity [3200] + 1
                            if ack2debug is True:
                                print("(Step 25J)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", 3200,"]: " , kb2quantity [3200]) 
                        except:
                            kb2quantity [3200]  =  1 
                            if ack2debug is True:
                                print("(Step 25K)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", 3200,"]: " , kb2quantity [3200])                             
                        try:
                            kb2quantity [3300]  =  kb2quantity [3300] + 1
                            if ack2debug is True:
                                print("(Step 25L)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", 3300,"]: " , kb2quantity [3300])
                        except:       
                            kb2quantity [3300]  =  1
                            if ack2debug is True:
                                print("(Step 25M)/33) OF ZAP2VERB4XI - KEY2DRAGON: ", key2dragon, " KEY2DIRECTION: ", key2direction, " KB2QUANTITY [", 3300,"]: " , kb2quantity [3300])                                                  
    except:
        print("(Step 25Z2/33) OF ZAP2VERB4XI *** FAILED TO CALCULATE DRAGONS IN LAYERS OF ZapKB4Xi" , time4xi()) 
        
    # -----------------------------------------------------------------------------------------
    # (Step 26/33) - PRINT QuantityKB2Layer4Xi
    # -----------------------------------------------------------------------------------------    
    #     if ack2debug is True:
    #         print("(Step 26A)/33) OF ZAP2VERB4XI - TRYING TO PRINT QuantityKB2Layer4Xi " , time4xi())             
    #     try:
    #         # -------------------------------------------------------------------------------------
    #         # 
    #         # -------------------------------------------------------------------------------------       
    #         keys2direction = ZapKB4Xi.keys()
    #         for key2direction in sorted(keys2direction):                                                                # process all directions 
    #             # ---------------------------------------------------------------------------------
    #             # 
    #             # ---------------------------------------------------------------------------------            
    #             if ack2debug is True: 
    #                 print('=' *70) 
    #                 print("DIRECTION: ", key2direction)
    # 
    #             kb2quantity = QuantityKB2Layer4Xi[key2direction]                                                        # quantity knowledgebase based on direction                                        
    #             keys2quantity = kb2quantity.keys()                                                              
    #             for key2quantity in sorted(keys2quantity):                                                              # all layers
    #                 # -----------------------------------------------------------------------------
    #                 # 
    #                 # -----------------------------------------------------------------------------                
    #                 if ack2debug is True: 
    #                     print('=' *33) 
    #                     print("LAYER: ", key2quantity, " QUANTITY: ", kb2quantity[key2quantity])
    #                     
    #                 if key2quantity == 3200:
    #                     try:
    #                         # print("(Step 26B1)/33) OF ZAP2VERB4XI - kb2quantity[3200]: ", kb2quantity[3200])
    #                         # print("(Step 26B2)/33) OF ZAP2VERB4XI - kb2quantity[3300]: ", kb2quantity[3300])
    #                         
    #                         if kb2quantity[3200] == kb2quantity[3300]:
    #                             pass
    #                             # if ack2debug is True:
    #                             #     print("(Step 26B3)/33) OF ZAP2VERB4XI - CLUSTER-LAYER QUANTITY: ", kb2quantity[3200], " EQUALS TO THAT OF SUPER: ", kb2quantity[3300]) 
    #                         else:
    #                             print("(Step 26B4)/33) OF ZAP2VERB4XI *** FAILED TO APPROVE: CLUSTER-LAYER QUANTITY: ", kb2quantity[3200], " DOES NOT EQUAL TO THAT OF SUPER: ", kb2quantity[3300], " ***")  
    #                     except:
    #                         print("(Step 26C)/33) OF ZAP2VERB4XI *** FAILED TO VERIFY LAYER: ", key2quantity, " QUANTITY: ", kb2quantity[key2quantity]) 
    #                 else:
    #                     pass                                                                               
    #             if ack2debug is True:         
    #                 print('=' *33)
    #     except:
    #         print("(Step 26Z)/33) OF ZAP2VERB4XI *** FAILED TO PRINT QuantityKB2Layer4Xi " , time4xi())
                             
    
    # -----------------------------------------------------------------------------------------
    # (Step 27/33) - UPDATE LAYER DATA FOR EACH DRAGON - ALSO CLUSTER AND SUPER NODES
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(Step 27A)/33) OF ZAP2VERB4XI - TRYING TO UPDATE LAYER DATA IN ZapKB4Xi" , time4xi())          
    try:
        keys2direction = ZapKB4Xi.keys()                                                                            # distribute to directions
        if ack2debug is True:
            print("(Step 27B)/33) OF ZAP2VERB4XI - KEYS2DIRECTION: " ,keys2direction)           
        for key2direction in keys2direction:
            if ack2debug is True:
                print("(Step 27C)/33) OF ZAP2VERB4XI - KEY2DIRECTION: " , key2direction)  
            if key2direction > 0:
                kb2dragon = ZapKB4Xi[key2direction]                                                                     # dragon knowledgebase based on direction 
                if ack2debug is True:
                    print("(Step 27D)/33) OF ZAP2VERB4XI - KB2DRAGON: " , kb2dragon)  
                kb2quantity = QuantityKB2Layer4Xi[key2direction] 
                if ack2debug is True:
                    print("(Step 27E)/33) OF ZAP2VERB4XI - KB2QUANTITY: " , kb2quantity)  
                                                                                                                        # quantity knowledgebase based on direction   
                keys2dragon = kb2dragon.keys()
                if ack2debug is True:
                    print("(Step 27F)/33) OF ZAP2VERB4XI - KEYS2DRAGON: " , keys2dragon)  
                                
                for key2dragon in keys2dragon: 
                    if ack2debug is True:
                        print('~' *100)
                        print("DRAGON: " , key2dragon, " TO DIRECTION: ",key2direction)                                 # 
                                      
                    key2quantity = kb2dragon [key2dragon] [key2sense] [2]                                               # pick key to QuantityKB2Layer4Xi 
                                                                                                                        # 1x1y1z
                          
                    kb2dragon [key2dragon] [key2sense] [3] [3] = kb2quantity [key2quantity]                             # qty2layer
      
                    area2layer = (pi * kb2dragon[key2dragon][key2sense][2]**2) / 2                                      # area2layer = 4*pi*r**2/8 = pi*distance**2/2, where 8 = number of directions
                                                                                
                    kb2dragon [key2dragon] [key2sense] [3] [4] = area2layer / kb2dragon [key2dragon] [key2sense] [3] [3]
                    if ack2debug is True:                                                                               # area2node = area2layer/qty2layer
                        print("AREA: " , kb2dragon [key2dragon] [key2sense] [3] [4], " FOR DRAGON: ", key2dragon, " AT LAYER: ", kb2dragon[key2dragon][key2sense][2], " WITH QTY: ", kb2dragon [key2dragon] [key2sense] [3] [3], " AND AREA: ", area2layer) 
                        print('~' *100)

                                                                                           
            else:
                print("(Step 27J)/33) OF ZAP2VERB4XI - PASSED KEY2DIRECTION: " , key2direction)            
    except:
        print("(Step 27Z/33) OF ZAP2VERB4XI *** FAILED TO UPDATE LAYER DATA IN ZapKB4Xi" , time4xi())  
        
    # -----------------------------------------------------------------------------------------
    # (Step 28/33) - PRINT ZapKB4Xi WITH LAYER DATA UPDATED 
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(Step 28A)/33) OF ZAP2VERB4XI - TRYING TO PRINT ZapKB4Xi WITH LAYER DATA UPDATED" , time4xi())            
    try:
        keys2direction = ZapKB4Xi.keys()                                                                            # all 8 directions
        for key2direction in keys2direction:
            if ack2debug is True: 
                print('=' *70) 
                print("DIRECTION: ", key2direction)
                print('=' *70) 
            kb2dragon = ZapKB4Xi[key2direction]                                                                     # direction knowledgebase   
            keys2dragon = kb2dragon.keys()                                                                          # (x,y,z) dragon
            for key2dragon in keys2dragon:
                if ack2debug is True:
                    print('=' *33)
                    print("KEY2DRAGON: ", key2dragon)                                                               # (x,y,z)    
                    print("DRAGON: ", kb2dragon [key2dragon]) 
                    #
        if ack2debug is True:
            print("(Step 28B)/33) OF ZAP2VERB4XI - PRINTED ZapKB4Xi WITH LAYER DATA UPDATED" , time4xi())                     
    except:
        print("(Step 28Z/33) OF ZAP2VERB4XI *** FAILED TO PRINT ZapKB4Xi WITH LAYER DATA UPDATED" , time4xi())

    # 
    
    # -----------------------------------------------------------------------------------------
    # (Step 29/33) - COMMAND AND CONTROL!
    # -----------------------------------------------------------------------------------------    
    if ack2debug is True:
        print("(Step 29A)/33) OF ZAP2VERB4XI - TRYING TO PERFORM command2verb4zap " , time4xi())      
            
    if ack2dragontrace is True:
        message2print = "{(Step 29A/33) trying" + "; command2verb4zap-trying-by-zap2verb4xi: " + str(command2verb4zap)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
            
    try:
        kb2control = command2verb4zap() 
        
        if ack2debug is True:
            print("(Step 29B)/33) OF ZAP2VERB4XI - PERFORMED command2verb4zap " , time4xi())  
                
        if ack2dragontrace is True:
            message2print = "{(Step 29B/33) performed" + "; command2verb4zap-performed-by-zap2verb4xi: " + str(command2verb4zap) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)             
                                                                                                                    # command2verb4zap-performed-by-zap2verb4xi: <function command2verb4zap at 0x048F86F0>; time: 14:57:09 12/22/10 Pacific Standard Time}          
    except:
        message2print = "{(Step 29C/33) yielded" + "; command2verb4zap-yielded-by-zap2verb4xi: " + str(command2verb4zap)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
    
    # -----------------------------------------------------------------------------------------
    # (Step 30A/33) - SphereKB4Xi INITIALIZING
    # -----------------------------------------------------------------------------------------    
    SphereKB4Xi = {}
    
    if ack2dragontrace is True:
        message2print = "{(Step 30A1/33) trying" + "; SphereKB4Xi-initializing-trying-by-zap2verb4xi: " + str(SphereKB4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         

    try:
                
        # -----------------------------------------------------------------------------------------
        # LAYERS MAY HAVE GOT FROM QUEUES IN ANY ORDER ! 
        # -----------------------------------------------------------------------------------------            
        # ONE
        # [ 1 ]: [ 1 ]:  {'1x1y99z':    {'2xi': {1: 1, 2: 100, 3: {1: 15707.963267948966 ...
        # [ 1 ]: [ 2 ]:  {'0x2y199z':   {'2xi': {1: 1, 2: 200, 3: {1: 62831.853071795864 ..
        # [ 1 ]: [ 32 ]: {'0x0y3199z':  {'2xi': {1: 1, 2: 3200 ...
        # [ 1 ]: [ 33 ]: {'0x0y3299z':  {'2xi': {1: 1, 2: 3300 ...
        
        # TWO
        # [ 2 ]: [ 0 ]: {}
        # [ 2 ]: [ 32 ]: {'1004x-694y-2957z':  {'2xi': {1: 2, 2: 3200
        # [ 2 ]: [ 33 ]: {'1001x-859y-3024z':  {'2xi': {1: 2, 2: 3300
        
        # THREE
        # [ 3 ]: [ 32 ]: {'0x3106y-769z':      {'2xi': {1: 3, 2: 3200
        # [ 3 ]: [ 33 ]: {}
        
        # FOUR
        # [ 4 ]: [ 32 ]: {'1002x-1179y2800z':  {'2xi': {1: 4, 2: 3200
        # [ 4 ]: [ 33 ]: {'1001x-3083y614z':   {'2xi': {1: 4, 2: 3300
        
        # FIVE
        # [ 5 ]: [ 32 ]: {'-1006x1915y2357z':  {'2xi': {1: 5, 2: 3200
        # [ 5 ]: [ 33 ]: {'-1001x2946y1098z':  {'2xi': {1: 5, 2: 3300
        
        # SIX
        # [ 6 ]: [ 0 ]: {'-25x46y-59z':        {'2xi': {1: 6, 2: 10
        # [ 6 ]: [ 5 ]: {'-167x108y-12z':      {'2xi': {1: 6, 2: 200
        # [ 6 ]: [ 7 ]: {'-31x58y-74z':        {'2xi': {1: 6, 2: 100
        # [ 6 ]: [ 9 ]: {'-189x232y0z':        {'2xi': {1: 6, 2: 300
        # [ 6 ]: [ 13 ]: {'-278x242y-154z':    {'2xi': {1: 6, 2: 400
        # [ 6 ]: [ 15 ]: {'-24x196y-458z':     {'2xi': {1: 6, 2: 500
        # [ 6 ]: [ 32 ]: {'-1002x1878y-2389z': {'2xi': {1: 6, 2: 3200
        # [ 6 ]: [ 33 ]: {'-1029x2984y-961z':  {'2xi': {1: 6, 2: 3300
        
        # SEVEN
        # [ 7 ]: [ 0 ]: {'-11x-47y87z':        {'2xi': {1: 7, 2: 100   <-- layer 100 got as first non empty dictionary !
        # [ 7 ]: [ 6 ]: {'-150x-131y12z':      {'2xi': {1: 7, 2: 200
        # [ 7 ]: [ 7 ]: {'-40x-68y0z':         {'2xi': {1: 7, 2: 10    <-- layer 10 has had many nodes and got as third non empty dictionary ! 
        # [ 7 ]: [ 9 ]: {'-111x-104y258z':     {'2xi': {1: 7, 2: 300
        # [ 7 ]: [ 32 ]: {'-1089x-2838y998z':  {'2xi': {1: 7, 2: 3200
        # [ 7 ]: [ 33 ]: {'-1009x-2675y1646z': {'2xi': {1: 7, 2: 3300
        
        # EIGHT
        # [ 8 ]: [ 32 ]: {'-100x-2126y-2388z': {'2xi': {1: 8, 2: 3200
        # [ 8 ]: [ 33 ]: {'-1010x-495y-3102z': {'2xi': {1: 8, 2: 3300
                                                                          
        # ------------------------------------------------------------------------------------- 
        # 
        # -------------------------------------------------------------------------------------     
        key2sense       = '2xi'
        key2reason      = '4xi'
        key2ace         = '8xi'
                        
        # ------------------------------------------------------------------------------------- 
        # INITIALIZE SphereKB4Xi
        # -------------------------------------------------------------------------------------
        index2direction = 1
        while index2direction < 9:
            SphereKB4Xi[index2direction] = {}
            
            index2layer = 0
            while index2layer < 34:
                if index2layer == 0:
                    key2layer = 10
                if ((index2layer >= 1) and (index2layer <= 9)):
                    key2layer = index2layer * 100 
                if ((index2layer >= 10) and (index2layer <= 19)):
                    key2layer = index2layer * 100 
                if ((index2layer >= 20) and (index2layer <= 29)):
                    key2layer = index2layer * 100 
                if ((index2layer >= 30) and (index2layer <= 33)):
                    key2layer = index2layer * 100
                                                             
                SphereKB4Xi [index2direction] [key2layer] = {}
                
                index2layer = index2layer + 1
                
            index2direction = index2direction + 1 
        if ack2debug is True:
            print("(Step 30A2)/33) OF ZAP2VERB4XI - INITIALIZED SphereKB4Xi: " , SphereKB4Xi)                       
            # {1: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 3300: {}, 1500: {}, 2400: {}, 100: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 2: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 3300: {}, 1500: {}, 2400: {}, 100: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 3: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 3300: {}, 1500: {}, 2400: {}, 100: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 4: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 3300: {}, 1500: {}, 2400: {}, 100: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 5: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 3300: {}, 1500: {}, 2400: {}, 100: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 6: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 3300: {}, 1500: {}, 2400: {}, 100: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 7: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 3300: {}, 1500: {}, 2400: {}, 100: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 8: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 3300: {}, 1500: {}, 2400: {}, 100: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}}

    except:
        message2print = "{(Step 30Z1/33) yielded" + "; initializing-yielded-by-zap2verb4xi: " + str("initializing")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
    # ----------------------------------------------------------------------------------------- 
    # (Step 30B/33) - ORIGIN UPDATING IN Zap0KB4Xi
    # -----------------------------------------------------------------------------------------        
    if ack2dragontrace is True:
        message2print = "{(Step 30B1/33) trying" + "; origin-updating-trying-by-zap2verb4xi: " + str("origin-updating")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
    
       
    # ------------------------------------------------------------------------------------- 
    # CONSTANTS VALID FOR ANY ZAP-KOWLEDGEBASE  
    # -------------------------------------------------------------------------------------     
    key2sense       = '2xi'
    key2reason      = '4xi'
    key2ace         = '8xi'
    key2direction   = 1
    key2distance    = 2
    key2layer       = 3
    
    key2area4layer  = 1
    key2color4layer = 2
    key2qty4layer   = 3
    key2area4node   = 4
    
    key2identity    = 4 
    key2color       = 5
    key2fire        = 6
    key2cluster     = 7
    key2ray         = 8
    key2deviation   = 9 
    key2super       = 10
    key2message     = 11
    key2actor       = 12
    key2type        = 13
    key2home        = 14
    key2previous    = 15
    key2next        = 16
    key2last        = 17
    key2first       = 18
    key2module      = 19 
       
    try:
        if ack2debug is True:
            print("(Step 30B2/33) OF ZAP2VERB4XI - Zap0KB4Xi: ", Zap0KB4Xi)
                                                                                                                    # {'0x0y0z': {'2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 05:46:45 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}}
    except:
        message2print = "{(Step 30Z0/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
    
    try:
        keys2origin = Zap0KB4Xi.keys()
        if ack2debug is True:
            print("(Step 30B3/33)  OF ZAP2VERB4XI - KEYS2ORIGIN: ", keys2origin)                                    # dict_keys(['0x0y0z'])
    except:
        message2print = "{(Step 30Z1/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
    for key2origin in keys2origin:                                                                                  # 0x0y0z
        try:
            kb2update = Zap0KB4Xi[key2origin]
            if ack2debug is True:
                print("(Step 30B4/33)  OF ZAP2VERB4XI - KB2UPDATE: ", kb2update, " KEY2ORIGIN: ", key2origin)       # KB2UPDATE:   {'2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 05:46:45 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}  
                                                                                                                    # KEY2ORIGIN:  0x0y0z
        except:
            message2print = "{(Step 30Z2/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
                 
        try:            
            Zap0KB4Xi [key2origin] [key2sense] [key2home]      = '0x0y0z'                                           # HOME = ORIGIN 
        except:
            message2print = "{(Step 30Z4/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
        try:                     
            Zap0KB4Xi [key2origin] [key2sense] [key2previous]  = '-1x-1y-1z'                                        # PREVIOUS = SKELETON NODE AT DIRECTION EIGHT
                                                                                                                    #          - NAVIGATION IN SKELETON   
        except:
            message2print = "{(Step 30Z5/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
        try:                    
            Zap0KB4Xi [key2origin] [key2sense] [key2next]      = '1x1y1z'                                           # NEXT = SKELETON NODE AT DIRECTION ONE
                                                                                                                    #      - NAVIGATION IN SKELETON             
        except:
            message2print = "{(Step 30Z6/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
        try:                    
            Zap0KB4Xi [key2origin] [key2sense] [key2last]      = '-1x-1y-1z'                                        # LAST = SKELETON NODE AT DIRECTION EIGHT
                                                                                                                    #      OR SUPER NODE AT DIRECTION EIGHT
                                                                                                                    #      - NAVIGATION TO UPPER MOST SUPER LAYER                                                                                                                    
        except:
            message2print = "{(Step 30Z7/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
        try:                    
            Zap0KB4Xi [key2origin] [key2sense] [key2first]     = '1x1y1z'                                           # FIRST = SKELETON NODE AT DIRECTION ONE
                                                                                                                    #       OR NEAREST NODE AT A DIRECTION
                                                                                                                    #      - NAVIGATION TO INNER MOST DATA LAYER                                                                                                                    
        except:
            message2print = "{(Step 30Z8/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
        try:                    
            Zap0KB4Xi [key2origin] [key2sense] [key2module]    = '__init__.py'                                      # MODULE
        except:
            message2print = "{(Step 30Z9/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
                                                
    if ack2debug is True:
        try:
            print("(Step 30B4/33)  OF ZAP2VERB4XI - UPDATED Zap0KB4Xi: ", Zap0KB4Xi)                                # {'0x0y0z': {'2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 06:24:58 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 
                                                                                                                    #                    14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}}
        except:
            message2print = "{(Step 30Z10/33) yielded" + "; origin-updating-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
        
    # ----------------------------------------------------------------------------------------- 
    # (Step 30C/33) - ORIGIN MOVING FROM Zap0KB4Xi TO SphereKB4Xi 
    # ----------------------------------------------------------------------------------------- 
    
    message2print = "{(Step 30C1/33) trying" + "; origin-moving-trying-by-zap2verb4xi: " + str("origin-moving")  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)              
    try:
        key2direction = 0 
        key2layer     = 0
        SphereKB4Xi [key2direction]                        = {}
        SphereKB4Xi [key2direction] [key2layer]            = {} 
        SphereKB4Xi [key2direction] [key2layer] [key2origin] = Zap0KB4Xi [key2origin]                
        if ack2debug is True:
            print("(Step 30C2/33) OF ZAP2VERB4XI - SphereKB4Xi [", key2direction, "] [", key2layer, "] [", key2origin, "]: ", SphereKB4Xi [key2direction] [key2layer] [key2origin])
                                                                                                                    # SphereKB4Xi [ 0 ] [ 0 ] [ 0x0y0z ]:  
                                                                                                                    #            {'2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 06:45:29 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 
                                                                                                                    #                    14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}

    except:
        message2print = "{(Step 30Z11/33) yielded" + "; origin-moving-yielded-by-zap2verb4xi: " + str("origin")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        
    # ----------------------------------------------------------------------------------------- 
    # (Step 30D/33) - SKELETONS UPDATING
    # ----------------------------------------------------------------------------------------- 
    
    if ack2dragontrace is True:
        message2print = "{(Step 30D1/33) trying" + "; core-creation-trying-by-zap2verb4xi: " + str("core-creation")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)              
    try:                                                          
        CoreKB4Xi                       = {}
        
        CoreKB4Xi [1]                   = {}                                                                        # DIRECTION ONE                                                              
        CoreKB4Xi [1] [2]               = {}                                                                        # LAYER 2  
        CoreKB4Xi [1] [2] ['1x1y1z']    = Zap1KB4Xi['1x1y1z']
        CoreKB4Xi [1] [2] ['1x1y1z'] [key2sense] [key2home]          = '0x0y0z'                                     # HOME = ORIGIN 
        CoreKB4Xi [1] [2] ['1x1y1z'] [key2sense] [key2previous]      = '0x0y0z'                                     # PREVIOUS = HOME
        CoreKB4Xi [1] [2] ['1x1y1z'] [key2sense] [key2next]          = '1x-1y-1z'                                   # NEXT = SKELETON NODE AT DIRECTION TWO
        CoreKB4Xi [1] [2] ['1x1y1z'] [key2sense] [key2last]          = '-1x-1y-1z'                                  # LAST = SKELETON NODE AT DIRECTION EIGHT
        CoreKB4Xi [1] [2] ['1x1y1z'] [key2sense] [key2first]         = '1x1y1z'                                     # FIRST = THIS NODE
        CoreKB4Xi [1] [2] ['1x1y1z'] [key2sense] [key2module]        = 'zap0000one4xi.py'                           # MODULE

        
        CoreKB4Xi [2]                   = {}                                                                        # DIRECTION TWO      
        CoreKB4Xi [2] [2]               = {}                                                                        # LAYER 2   
        CoreKB4Xi [2] [2] ['1x-1y-1z']  = Zap2KB4Xi['1x-1y-1z']
        CoreKB4Xi [2] [2] ['1x-1y-1z'] [key2sense] [key2home]        = '0x0y0z'                                     # HOME = ORIGIN 
        CoreKB4Xi [2] [2] ['1x-1y-1z'] [key2sense] [key2previous]    = '1x1y1z'                                     # PREVIOUS = SKELETON NODE AT DIRECTION ONE
        CoreKB4Xi [2] [2] ['1x-1y-1z'] [key2sense] [key2next]        = '1x1y-1z'                                    # NEXT = SKELETON NODE AT DIRECTION THREE                                     
        CoreKB4Xi [2] [2] ['1x-1y-1z'] [key2sense] [key2last]        = '-1x-1y-1z'                                  # LAST = SKELETON NODE AT DIRECTION EIGHT
        CoreKB4Xi [2] [2] ['1x-1y-1z'] [key2sense] [key2first]       = '1x1y1z'                                     # FIRST = SKELETON NODE AT DIRECTION ONE
        CoreKB4Xi [2] [2] ['1x-1y-1z'] [key2sense] [key2module]      = 'zap0000two4xi.py'                           # MODULE
                                                        
        CoreKB4Xi [3]                   = {}                                                                        # DIRECTION THREE      
        CoreKB4Xi [3] [2]               = {}                                                                        # LAYER 2   
        CoreKB4Xi [3] [2] ['1x1y-1z']   = Zap3KB4Xi['1x1y-1z']
        CoreKB4Xi [3] [2] ['1x1y-1z'] [key2sense] [key2home]        = '0x0y0z'                                      # HOME = ORIGIN  
        CoreKB4Xi [3] [2] ['1x1y-1z'] [key2sense] [key2previous]    = '1x-1y-1z'                                    # PREVIOUS = SKELETON NODE AT DIRECTION TWO 
        CoreKB4Xi [3] [2] ['1x1y-1z'] [key2sense] [key2next]        = '1x-1y1z'                                     # NEXT = SKELETON NODE AT DIRECTION FOUR
        CoreKB4Xi [3] [2] ['1x1y-1z'] [key2sense] [key2last]        = '-1x-1y-1z'                                   # LAST = SKELETON NODE AT DIRECTION EIGHT 
        CoreKB4Xi [3] [2] ['1x1y-1z'] [key2sense] [key2first]       = '1x1y1z'                                      # FIRST = SKELETON NODE AT DIRECTION ONE 
        CoreKB4Xi [3] [2] ['1x1y-1z'] [key2sense] [key2module]      = 'zap0000three4xi.py'                          # MODULE                 
        
        CoreKB4Xi [4]                   = {}                                                                        # DIRECTION FOUR      
        CoreKB4Xi [4] [2]               = {}                                                                        # LAYER 2   
        CoreKB4Xi [4] [2] ['1x-1y1z']   = Zap4KB4Xi['1x-1y1z']
        CoreKB4Xi [4] [2] ['1x-1y1z'] [key2sense] [key2home]        = '0x0y0z'                                      # HOME = ORIGIN 
        CoreKB4Xi [4] [2] ['1x-1y1z'] [key2sense] [key2previous]    = '1x1y-1z'                                     # PREVIOUS = SKELETON NODE AT DIRECTION THREE 
        CoreKB4Xi [4] [2] ['1x-1y1z'] [key2sense] [key2next]        = '-1x1y1z'                                     # NEXT = SKELETON NODE AT DIRECTION FIVE 
        CoreKB4Xi [4] [2] ['1x-1y1z'] [key2sense] [key2last]        = '-1x-1y-1z'                                   # LAST = SKELETON NODE AT DIRECTION EIGHT
        CoreKB4Xi [4] [2] ['1x-1y1z'] [key2sense] [key2first]       = '1x1y1z'                                      # FIRST = SKELETON NODE AT DIRECTION ONE
        CoreKB4Xi [4] [2] ['1x-1y1z'] [key2sense] [key2module]      = 'zap0000four4xi.py'                           # MODULE
                                                        
        CoreKB4Xi [5]                   = {}                                                                        # DIRECTION FIVE       
        CoreKB4Xi [5] [2]               = {}                                                                        # LAYER 2  
        CoreKB4Xi [5] [2] ['-1x1y1z']   = Zap5KB4Xi['-1x1y1z']
        CoreKB4Xi [5] [2] ['-1x1y1z'] [key2sense] [key2home]        = '0x0y0z'                                      # HOME = ORIGIN 
        CoreKB4Xi [5] [2] ['-1x1y1z'] [key2sense] [key2previous]    = '1x-1y1z'                                     # PREVIOUS = SKELETON NODE AT DIRECTION FOUR 
        CoreKB4Xi [5] [2] ['-1x1y1z'] [key2sense] [key2next]        = '-1x1y-1z'                                    # NEXT = SKELETON NODE AT DIRECTION SIX 
        CoreKB4Xi [5] [2] ['-1x1y1z'] [key2sense] [key2last]        = '-1x-1y-1z'                                   # LAST = SKELETON NODE AT DIRECTION EIGHT
        CoreKB4Xi [5] [2] ['-1x1y1z'] [key2sense] [key2first]       = '1x1y1z'                                      # FIRST = SKELETON NODE AT DIRECTION ONE
        CoreKB4Xi [5] [2] ['-1x1y1z'] [key2sense] [key2module]      = 'zap0000five4xi.py'                           # MODULE
        
        CoreKB4Xi [6]                   = {}                                                                        # DIRECTION SIX       
        CoreKB4Xi [6] [2]               = {}                                                                        # LAYER 2  
        CoreKB4Xi [6] [2] ['-1x1y-1z']  = Zap6KB4Xi['-1x1y-1z']                          
        CoreKB4Xi [6] [2] ['-1x1y-1z'] [key2sense] [key2home]        = '0x0y0z'                                     # HOME = ORIGIN  
        CoreKB4Xi [6] [2] ['-1x1y-1z'] [key2sense] [key2previous]    = '-1x1y1z'                                    # PREVIOUS = SKELETON NODE AT DIRECTION FIVE  
        CoreKB4Xi [6] [2] ['-1x1y-1z'] [key2sense] [key2next]        = '-1x-1y1z'                                   # NEXT = SKELETON NODE AT DIRECTION SEVEN  
        CoreKB4Xi [6] [2] ['-1x1y-1z'] [key2sense] [key2last]        = '-1x-1y-1z'                                  # LAST = SKELETON NODE AT DIRECTION EIGHT 
        CoreKB4Xi [6] [2] ['-1x1y-1z'] [key2sense] [key2first]       = '1x1y1z'                                     # FIRST = SKELETON NODE AT DIRECTION ONE 
        CoreKB4Xi [6] [2] ['-1x1y-1z'] [key2sense] [key2module]      = 'zap0000six4xi.py'                           # MODULE 
        
        CoreKB4Xi [7]                   = {}                                                                        # DIRECTION SEVEN       
        CoreKB4Xi [7] [2]               = {}                                                                        # LAYER 2  
        CoreKB4Xi [7] [2] ['-1x-1y1z']  = Zap7KB4Xi['-1x-1y1z']     
        CoreKB4Xi [7] [2] ['-1x-1y1z'] [key2sense] [key2home]        = '0x0y0z'                                     # HOME = ORIGIN  
        CoreKB4Xi [7] [2] ['-1x-1y1z'] [key2sense] [key2previous]    = '-1x1y-1z'                                   # PREVIOUS = SKELETON NODE AT DIRECTION SIX   
        CoreKB4Xi [7] [2] ['-1x-1y1z'] [key2sense] [key2next]        = '-1x-1y-1z'                                  # NEXT = SKELETON NODE AT DIRECTION EIGHT  
        CoreKB4Xi [7] [2] ['-1x-1y1z'] [key2sense] [key2last]        = '-1x-1y-1z'                                  # LAST = SKELETON NODE AT DIRECTION EIGHT 
        CoreKB4Xi [7] [2] ['-1x-1y1z'] [key2sense] [key2first]       = '1x1y1z'                                     # FIRST = SKELETON NODE AT DIRECTION ONE 
        CoreKB4Xi [7] [2] ['-1x-1y1z'] [key2sense] [key2module]      = 'zap0000seven4xi.py'                         # MODULE 
        
        CoreKB4Xi [8]                   = {}                                                                        # DIRECTION EIGHT       
        CoreKB4Xi [8] [2]               = {}                                                                        # LAYER 2  
        CoreKB4Xi [8] [2] ['-1x-1y-1z'] = Zap8KB4Xi['-1x-1y-1z']
        CoreKB4Xi [8] [2] ['-1x-1y-1z'] [key2sense] [key2home]        = '0x0y0z'                                    # HOME = ORIGIN 
        CoreKB4Xi [8] [2] ['-1x-1y-1z'] [key2sense] [key2previous]    = '-1x-1y1z'                                  # PREVIOUS = SKELETON NODE AT DIRECTION SEVEN 
        CoreKB4Xi [8] [2] ['-1x-1y-1z'] [key2sense] [key2next]        = '1x1y1z'                                    # NEXT = SKELETON NODE AT DIRECTION ONE 
        CoreKB4Xi [8] [2] ['-1x-1y-1z'] [key2sense] [key2last]        = '-1x-1y-1z'                                 # LAST = THIS NODE AT DIRECTION EIGHT
        CoreKB4Xi [8] [2] ['-1x-1y-1z'] [key2sense] [key2first]       = '1x1y1z'                                    # FIRST = SKELETON NODE AT DIRECTION ONE
        CoreKB4Xi [8] [2] ['-1x-1y-1z'] [key2sense] [key2module]      = 'zap0000eight4xi.py'                        # MODULE

        # ====================================================================================
        #
        # ====================================================================================
                
        SphereKB4Xi [1] [2] = CoreKB4Xi [1] [2]
        SphereKB4Xi [2] [2] = CoreKB4Xi [2] [2]
        SphereKB4Xi [3] [2] = CoreKB4Xi [3] [2]
        SphereKB4Xi [4] [2] = CoreKB4Xi [4] [2]
        SphereKB4Xi [5] [2] = CoreKB4Xi [5] [2]
        SphereKB4Xi [6] [2] = CoreKB4Xi [6] [2]
        SphereKB4Xi [7] [2] = CoreKB4Xi [7] [2]
        SphereKB4Xi [8] [2] = CoreKB4Xi [8] [2]

        CoreKB4Xi = {}                                                                                              # RELEASE MEMORY            
        # ====================================================================================
        #
        # ====================================================================================
            
    except:
        message2print = "{(Step 30Z30/33) yielded" + "; core-creation-yielded-by-zap2verb4xi: " + str("core-creation")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                                   
    # ----------------------------------------------------------------------------------------- 
    #  (Step 31/33) - MOVE TO SphereKB4Xi
    # -----------------------------------------------------------------------------------------        
    if ack2dragontrace is True:
        message2print = "{(Step 31A/33) trying" + "; moving-trying-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
    

    try:
        # ------------------------------------------------------------------------------------- 
        # MINIMUM AND MAXIMUN DISTANCE FOR EACH DIRECTION TO UPDATE SKELETON LINKS
        # -------------------------------------------------------------------------------------          
        NodeKB4Skeleton = {}
        NodeKB4Skeleton [1] = '1x1y1z'
        NodeKB4Skeleton [2] = '1x-1y-1z'
        NodeKB4Skeleton [3] = '1x1y-1z'
        NodeKB4Skeleton [4] = '1x-1y1z'
        NodeKB4Skeleton [5] = '-1x1y1z'
        NodeKB4Skeleton [6] = '-1x1y-1z'
        NodeKB4Skeleton [7] = '-1x-1y1z'
        NodeKB4Skeleton [8] = '-1x-1y-1z'        
        
        MinimumKB4distance = {}
        MaximumKB4distance = {}
        index2direction = 1
        while index2direction < 9: 
            MinimumKB4distance [index2direction] = 3300
            MaximumKB4distance [index2direction] = 0
            index2direction = index2direction + 1
        
        # ------------------------------------------------------------------------------------- 
        # MOVE LAYERS WITH DATA TO CORRECT LAYER IN SphereKB4Xi
        # -------------------------------------------------------------------------------------                                
        index2direction = 1
        if ack2dragontrace is True:
            message2print = "{(Step 31B/33) set" + "; direction-set-by-zap2verb4xi to: " + str(index2direction)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # 1           
                                                                                    
        while index2direction < 9:                                                                                 
            # --------------------------------------------------------------------------------- 
            # DIRECTION
            # ---------------------------------------------------------------------------------           
            index2layer = 0
            if ack2dragontrace is True:
                message2print = "{(Step 31C/33) set" + "; layer-set-by-zap2verb4xi to: " + str(index2layer)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # 1                                                                                                    
            
            while index2layer < 34:
                # ----------------------------------------------------------------------------- 
                # LAYER NODES WITH DATA  
                # -----------------------------------------------------------------------------            
                try:
                    if ack2debug is True:
                        pass
                        # print("(Step 31E1)/33) OF ZAP2VERB4XI - INDEX2DIRECTION: " , index2direction)              # 1
                        # print("(Step 31E2)/33) OF ZAP2VERB4XI - INDEX2LAYER: " , index2layer)                      # 1
                        # print("(Step 31E3)/33) OF ZAP2VERB4XI - KB2CONTROL [", index2direction, "] [", index2layer, "]:", kb2control [index2direction] [index2layer]) 
                        # KB2CONTROL [ 1 ] [ 1 ]: {
                        # '1x1y99z':   {'2xi': {1: 1, 2: 100, 3: {1: 15707.963267948966, 2: '#848484', 3: 32, 4: 490.8738521234052}, 4: 'dragon1x1y99z', 5: '#9BA2A2', 6: 147, 7: 1, 8: Decimal('99.0101004948'), 9: Decimal('0'), 10: 1, 11: '{returning; set-terminate-process4xi-returning: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'set_terminate_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '1x0y199z', 16: '13x61y77z', 17: '0x3y99z', 18: '10x63y76z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
                        # '0x3y99z':   {'2xi': {1: 1, 2: 100, 3: {1: 15707.963267948966, 2: '#848484', 3: 32, 4: 490.8738521234052}, 4: 'dragon0x3y99z', 5: '#9BA2A2', 6: 167, 7: 1, 8: Decimal('99.0454441153'), 9: Decimal('0'), 10: 1, 11: '{returning; set-exitcode-to-name4xi-returning: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'set_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '0x2y99z', 16: '+0x+0y+0z', 17: '0x3y99z', 18: '10x63y76z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},

                except:
                    message2print = "{(Step 31Z1/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
             
                try:    
                    if len(kb2control [index2direction] [index2layer]) > 0:                                          # [ 1 ]: [ 1 ]:  {'1x1y99z':    {'2xi': {1: 1, 2: 100, 3: {1: 15707.963267948966 ...
                        try:
                            kb2node  = kb2control [index2direction] [index2layer]                                    # {'1x1y99z':    {'2xi': {1: 1, 2: 100, 3: {1: 15707.963267948966 ...
                            keys2node = kb2node.keys()
                            if ack2debug is True:
                                pass
                                # print("(Step 31E4)/33) OF ZAP2VERB4XI - KB2NODE: " , kb2node)
                                # print("(Step 31E5)/33) OF ZAP2VERB4XI - KEYS2NODE: " , keys2node)                  # dict_keys(['1x1y99z', '0x3y99z', '0x11y99z', '18x79y58z', '0x5y99z', '1x3y99z', '0x0y99z', '0x90y43z', '13x87y46z', '17x71y67z', '0x2y99z', '14x80y57z', '0x12y99z', '17x90y39z', '10x81y56z', '19x58y78z', '0x1y99z', '10x74y65z', '0x66y74z', '10x63y76z', '0x4y99z', '12x91y38z', '1x7y99z', '1x2y99z', '0x10y99z', '13x61y77z', '16x60y78z', '1x4y99z', '0x13y99z', '1x0y199z', '18x86y47z', '14x73y66z'])
                        except:
                            message2print = "{(Step 31Z2/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                                                           
                        for key2node in keys2node:                                                                   # '1x1y99z', '0x3y99z', '0x11y99z' ...
                            try:
                                if ack2debug is True:
                                    pass
                                    # print("(Step 31E5)/33) OF ZAP2VERB4XI - KEY2NODE: " , key2node)              #    
                            except:
                                message2print = "{(Step 31Z3/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                     
                            try:
                                if ack2debug is True:
                                    pass
                                    # print("(Step 31E6)/33) OF ZAP2VERB4XI - KB2NODE: " , kb2node)                #    
                            except:
                                message2print = "{(Step 31Z4/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                            try:
                                if ack2debug is True:
                                    pass
                                    # print("(Step 31E7)/33) OF ZAP2VERB4XI - INDEX2DIRECTION: " , index2direction)  #  1  
                            except:
                                message2print = "{(Step 31Z5/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                                
                            try:
                                if ack2debug is True:
                                    pass
                                    # print("(Step 31E9)/33) OF ZAP2VERB4XI - SphereKB4Xi: " , SphereKB4Xi)          
                                    # {1: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 1500: {}, 2400: {}, 3300: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 2: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 1500: {}, 2400: {}, 3300: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 3: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 1500: {}, 2400: {}, 3300: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 4: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 1500: {}, 2400: {}, 3300: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 5: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 1500: {}, 2400: {}, 3300: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 6: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 1500: {}, 2400: {}, 3300: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 7: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 1500: {}, 2400: {}, 3300: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}, 8: {3200: {}, 900: {}, 1800: {}, 10: {}, 2700: {}, 400: {}, 1300: {}, 2200: {}, 3100: {}, 800: {}, 1700: {}, 2600: {}, 300: {}, 1200: {}, 2100: {}, 3000: {}, 700: {}, 1600: {}, 2500: {}, 200: {}, 1100: {}, 2000: {}, 2900: {}, 600: {}, 1500: {}, 2400: {}, 3300: {}, 1000: {}, 1900: {}, 2800: {}, 500: {}, 1400: {}, 2300: {}}}
                            except:
                                message2print = "{(Step 31Z7/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)
                            
                            try:
                               key2save = kb2node [key2node] [key2sense] [2]                                        # the real layer value
                               
                               message2print = "{(Step 31F/33) set" + "; key2save-set-by-zap2verb4xi to: " + str(key2save)  + "; time: " + time4xi() + "}"
                               print4xi(class2print, method2print, message2print)                                   # 100, 200     
                            except:
                                message2print = "{(Step 31Z8/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)                                
                                                                                                                                                 
                            try:
                                # ==================================================================================
                                #
                                # ==================================================================================     
                                SphereKB4Xi [index2direction] [key2save] [key2node] = kb2node [key2node]            # SphereKB4Xi [ 1 ] [100] ['1x1y99z'] = {'1x1y99z': {'2xi': {1: 1, 2: 100, 3: {1: 15707.963267948966 ...
                                
                                
                                # ==================================================================================
                                #
                                # ==================================================================================  
                            except:
                                message2print = "{(Step 31Z9a/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)  
                            try:                                    
                                if int(key2save) < MinimumKB4distance [index2direction]:
                                    MinimumKB4distance [index2direction] = int(key2save)                            # NEAREST LAYER TO ORIGIN AT THIS DIRECTION
                                    key2skeleton = NodeKB4Skeleton [index2direction]                                # SKELETON NODE
                                    SphereKB4Xi [index2direction] [2]  [key2skeleton] [key2sense] [key2first] = key2node 
                                                                                                                    # SKELETON NODE'S FIRST OF THIS DIRECTION POINTS TO THIS NODE
                                if int(key2save) > MaximumKB4distance [index2direction]:
                                    MaximumKB4distance [index2direction] = int(key2save)                            # MOST FAR AWAY LAYER AT THIS DIRECTION
                                    key2skeleton = NodeKB4Skeleton [index2direction]                                # SKELETON NODE
                                    SphereKB4Xi [index2direction] [2]  [key2skeleton] [key2sense] [key2last] = key2node
                                                                                                                    # SKELETON NODE'S LAST OF THIS DIRECTION POINTS TO THIS NODE    
                            except:
                                message2print = "{(Step 31Z9b/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)         
                            try:
                                if ack2debug is True:
                                    print("SphereKB4Xi[", index2direction, "][", key2save, "][", key2node, "]: ", SphereKB4Xi [index2direction] [key2save] [key2node])
                                    # SphereKB4Xi[ 1 ][ 100 ][ 1x1y99z ]:   {'2xi': {1: 1, 2: 100 ...
                                    # SphereKB4Xi[ 1 ][ 200 ][ 0x2y199z ]:  {'2xi': {1: 1, 2: 200 ...
                            except:
                                message2print = "{(Step 31Z10/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                                print4xi(class2print, method2print, message2print)     
                    else:
                        pass
                except:
                    message2print = "{(Step 31Z11/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                                                                      
                index2layer = index2layer + 1
                if ack2dragontrace is True:
                    message2print = "{(Step 31G/33) set" + "; index2layer-set-by-zap2verb4xi to: " + str(index2layer)  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                  # 1 
                    
            index2direction = index2direction + 1
            if ack2dragontrace is True:
                message2print = "{(Step 31H/33) set" + "; index2direction-set-by-zap2verb4xi to: " + str(index2direction)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)
             
        # ==========================================================================================================
        #
        # ==========================================================================================================
        kb2control = {}                                                                                             # RELEASE MEMORY
                                                                                    
    except:
        message2print = "{(Step 31Z12/33) yielded" + "; moving-yielded-by-zap2verb4xi: " + str("moving")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        

    # -----------------------------------------------------------------------------------------
    # (Step 32A/33) - PRINT SphereKB4Xi 
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(Step 32A)/33) OF ZAP2VERB4XI - TRYING TO PRINT SphereKB4Xi ")
        # 
      
        try:
            keys2direction = SphereKB4Xi.keys()                                                                         # directions 1 ...8 
            for key2direction in sorted(keys2direction):
                if ack2debug is True: 
                    print('=' *70) 
                    print("DIRECTION: ", key2direction)
                    print('=' *70)
                     
                kb2layer = SphereKB4Xi[key2direction]                                                                   # layer knowledgebase   
                keys2layer = kb2layer.keys()                                                                            
                
                for key2layer in sorted(keys2layer):
                    kb2node = SphereKB4Xi[key2direction] [key2layer]
                    keys2node = kb2node.keys()
                    
                    for key2node in sorted(keys2node):                                                                  # (x,y,z) knowledgebase 
                        print("SphereKB4Xi[", key2direction, "][", key2layer, "][", key2node, "]: ", SphereKB4Xi[key2direction] [key2layer] [key2node])
                        # ======================================================================
                        # DIRECTION:  0
                        # ======================================================================
                        # SphereKB4Xi[ 0 ][ 0 ][ 0x0y0z ]:  {'2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 06:45:29 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
                        # ======================================================================
                        
                        # ======================================================================
                        # DIRECTION:  1
                        # ======================================================================
                        # SphereKB4Xi[ 1 ][ 2 ][ 1x1y1z ]:  {'2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586, 2: '#848484', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y1z', 5: '#6F4A20', 6: 1, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-1Skeleton4Xi-started: 10:06:05 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '0x0y0z', 16: '1x-1y-1z', 
                        # LAST                                     17: '0x0y3299z', 
                        # FIRST                                    18: '1x1y99z', 19: 'zap0000one4xi.py'}, '8xi': {}, '4xi': {}}

                        # SphereKB4Xi[ 1 ][ 100 ][ 1x1y99z ]:       {'2xi': {1: 1, 2: 100, 3: {1: 15707.963267948966, 2: '#848484', 3: 32, 4: 490.8738521234052}, 4: 'dragon1x1y99z', 5: '#9BA2A2', 6: 147, 7: 1, 8: Decimal('99.0101004948'), 9: Decimal('0'), 10: 1, 11: '{returning; set-terminate-process4xi-returning: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'set_terminate_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '1x0y199z', 16: '13x61y77z', 17: '0x3y99z', 18: '10x63y76z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 1 ][ 100 ][ 0x0y99z ]:       {'2xi': {1: 1, 2: 100, 3: ...
                        # SphereKB4Xi[ 1 ][ 200 ][ 0x132y149z ]:    {'2xi': {1: 1, 2: 200, 3: ...
                        # SphereKB4Xi[ 1 ][ 300 ][ 105x250y127z ]:  {'2xi': {1: 1, 2: 300, 3: ...
                        # SphereKB4Xi[ 1 ][ 400 ][ 147x236y287z ]:  {'2xi': {1: 1, 2: 400, 3: ...
                     
                        # ======================================================================
                        # DIRECTION:  2
                        # ======================================================================
                        # SphereKB4Xi[ 2 ][ 2 ][ 1x-1y-1z ]:  {'2xi': {1: 2, 2: 2, 3: {1: 6.283185307179586, 2: '#D7D0CA', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y-1z', 5: '#7F5321', 6: 2, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-2Skeleton4Xi-started: 10:06:05 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y1z', 16: '1x1y-1z', 
                        #                                             17: '1001x-859y-3024z', 
                        #                                             18: '1004x-694y-2957z', 19: 'zap0000two4xi.py'}, '8xi': {}, '4xi': {}}

                        # SphereKB4Xi[ 2 ][ 3200 ][ 1004x-694y-2957z ]:  {'2xi': {1: 2, 2: 3200, 3: {1: 16084954.386379741, 2: '#D7D0CA', 3: 1, 4: 16084954.386379741}, 4: 'dragon1004x-694y-2957z', 5: '#F55A5A', 6: 3202, 7: 2, 8: 3200, 9: 0, 10: 2, 11: '{started; sense-of-Cluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1004x-694y-2957z', 18: '1004x-694y-2957z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 2 ][ 3300 ][ 1001x-859y-3024z ]:  {'2xi': {1: 2, 2: 3300, 3: {1: 17105971.998796422, 2: '#D7D0CA', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-859y-3024z', 5: '#0080FF', 6: 3303, 7: 1, 8: 3300, 9: 0, 10: 2, 11: '{started; sense-of-SuperCluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-859y-3024z', 18: '1001x-859y-3024z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        
                        # ======================================================================
                        # DIRECTION:  3
                        # ======================================================================
                        # SphereKB4Xi[ 3 ][ 2 ][ 1x1y-1z ]:  {'2xi': {1: 3, 2: 2, 3: {1: 6.283185307179586, 2: '#C3BDB7', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y-1z', 5: '#95652E', 6: 3, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-3Skeleton4Xi-started: 10:06:05 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y-1z', 16: '1x-1y1z', 
                        #                                            17: '0x3106y-769z', 
                        #                                            18: '0x3106y-769z', 19: 'zap0000three4xi.py'}, '8xi': {}, '4xi': {}}

                        
                        # SphereKB4Xi[ 3 ][ 3200 ][ 0x3106y-769z ]:  {'2xi': {1: 3, 2: 3200, 3: {1: 16084954.386379741, 2: '#C3BDB7', 3: 1, 4: 16084954.386379741}, 4: 'dragon0x3106y-769z', 5: '#0080FF', 6: 3203, 7: 3, 8: 3200, 9: 0, 10: 3, 11: '{started; sense-of-Cluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x3106y-769z', 18: '0x3106y-769z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        
                        # ======================================================================
                        # DIRECTION:  4
                        # ======================================================================
                        # SphereKB4Xi[ 4 ][ 2 ][ 1x-1y1z ]:  {'2xi': {1: 4, 2: 2, 3: {1: 6.283185307179586, 2: '#AFAAA5', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y1z', 5: '#AB712F', 6: 4, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-4Skeleton4Xi-started: 10:06:05 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y-1z', 16: '-1x1y1z', 
                        #                                            17: '1001x-3083y614z', 
                        #                                            18: '1002x-1179y2800z', 19: 'zap0000four4xi.py'}, '8xi': {}, '4xi': {}}

                        # SphereKB4Xi[ 4 ][ 3200 ][ 1002x-1179y2800z ]: {'2xi': {1: 4, 2: 3200, 3: {1: 16084954.386379741, 2: '#AFAAA5', 3: 1, 4: 16084954.386379741}, 4: 'dragon1002x-1179y2800z', 5: '#F3F947', 6: 3207, 7: 7, 8: 3200, 9: 0, 10: 4, 11: '{started; sense-of-Cluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1002x-1179y2800z', 18: '1002x-1179y2800z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 4 ][ 3300 ][ 1001x-3083y614z ]:  {'2xi': {1: 4, 2: 3300, 3: {1: 17105971.998796422, 2: '#AFAAA5', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-3083y614z', 5: '#9292A1', 6: 3305, 7: 1, 8: 3300, 9: 0, 10: 4, 11: '{started; sense-of-SuperCluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-3083y614z', 18: '1001x-3083y614z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        
                        # ======================================================================
                        # DIRECTION:  5
                        # ======================================================================
                        # SphereKB4Xi[ 5 ][ 2 ][ -1x1y1z ]:  {'2xi': {1: 5, 2: 2, 3: {1: 6.283185307179586, 2: '#A29E9A', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y1z', 5: '#BA7525', 6: 5, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-5Skeleton4Xi-started: 10:06:05 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y1z', 16: '-1x1y-1z', 
                        #                                            17: '-1001x2946y1098z', 
                        #                                            18: '-1006x1915y2357z', 19: 'zap0000five4xi.py'}, '8xi': {}, '4xi': {}}

                        # SphereKB4Xi[ 5 ][ 3200 ][ -1006x1915y2357z ]:  {'2xi': {1: 5, 2: 3200, 3: {1: 16084954.386379741, 2: '#A29E9A', 3: 1, 4: 16084954.386379741}, 4: 'dragon-1006x1915y2357z', 5: '#DF0101', 6: 3206, 7: 8, 8: 3200, 9: 0, 10: 5, 11: '{started; sense-of-Cluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1006x1915y2357z', 18: '-1006x1915y2357z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 5 ][ 3300 ][ -1001x2946y1098z ]:  {'2xi': {1: 5, 2: 3300, 3: {1: 17105971.998796422, 2: '#A29E9A', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1001x2946y1098z', 5: '#0B6138', 6: 3306, 7: 1, 8: 3300, 9: 0, 10: 5, 11: '{started; sense-of-SuperCluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1001x2946y1098z', 18: '-1001x2946y1098z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        
                        # ======================================================================
                        # DIRECTION:  6
                        # ======================================================================
                        # SphereKB4Xi[ 6 ][ 2 ][ -1x1y-1z ]:  {'2xi': {1: 6, 2: 2, 3: {1: 6.283185307179586, 2: '#9A9591', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y-1z', 5: '#CB7C21', 6: 6, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-6Skeleton4Xi-started: 10:06:05 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y1z', 16: '-1x-1y1z', 
                        #                                             17: '-1029x2984y-961z', 
                        #                                             18: '-25x46y-59z', 19: 'zap0000six4xi.py'}, '8xi': {}, '4xi': {}}
                     
                        # SphereKB4Xi[ 6 ][ 10 ][ -25x46y-59z ]:  {'2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 42, 4: 3.7399912542735634}, 4: 'dragon-25x46y-59z', 5: '#4C7094', 6: 68, 7: 30, 8: Decimal('78.8796551717'), 9: Decimal('68'), 10: 6, 11: '{passed; get-exitcode-to-name4xi-param1-passed-to-get-exitcode-to-name4xi: -4; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-25x3y-14z', 16: '-25x5y-14z', 17: '-2x9y-3z', 18: '-34x36y-62z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 6 ][ 500 ] [ -419x133y-236z ]:    {'2xi': {1: 6, 2: 500, 3: {1: 392699.0816987241, 2: '#9A9591', 3: 76, 4: 5167.09318024637}, 4: 'dragon-419x133y-236z', 5: '#BEF781', 6: 558, 7: 10, 8: Decimal('498.944886736'), 9: Decimal('-1'), 10: 6, 11: '{passed; object-passed-to-sense-object4xi: constant_process4xi.ConstantProcess4Xi object at 0x02BA6610; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'sense_object4xi', 13: 1, 14: '-0x-0y-0z', 15: '-414x156y-232z', 16: '-419x270y-31z', 17: '-101x467y-144z', 18: '-390x222y-218z', 19: 'sense_object4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 6 ][ 500 ] [ -419x270y-31z ]:     {'2xi': {1: 6, 2: 500, 3: {1: 392699.0816987241, 2: '#9A9591', 3: 76, 4: 5167.09318024637}, 4: 'dragon-419x270y-31z', 5: '#BEF781', 6: 559, 7: 10, 8: Decimal('499.421665529'), 9: Decimal('0'), 10: 6, 11: "{returning; kb2xi-returning-by-sense-object4xi: {'object': constant_process4xi.ConstantProcess4Xi object at 0x02BA6610}; time: 08:11:13 10/21/10 Pacific Daylight Time}", 12: 'sense_object4xi', 13: 1, 14: '-0x-0y-0z', 15: '-419x133y-236z', 16: '-249x155y-404z', 17: '-101x467y-144z', 18: '-390x222y-218z', 19: 'sense_object4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 6 ][ 3200 ][ -1002x1878y-2389z ]: {'2xi': {1: 6, 2: 3200, 3: {1: 16084954.386379741, 2: '#9A9591', 3: 339, 4: 47448.243027668854}, 4: 'dragon-1002x1878y-2389z', 5: '#4C7094', 6: 3230, 7: 30, 8: 3200, 9: 0, 10: 6, 11: '{started; sense-of-Cluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1002x1878y-2389z', 18: '-1002x1878y-2389z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 6 ][ 3300 ][ -1029x2984y-961z ]:  {'2xi': {1: 6, 2: 3300, 3: {1: 17105971.998796422, 2: '#9A9591', 3: 339, 4: 50460.09439172986}, 4: 'dragon-1029x2984y-961z', 5: '#F55A5A', 6: 3307, 7: 1, 8: 3300, 9: 0, 10: 6, 11: '{started; sense-of-SuperCluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1029x2984y-961z', 18: '-1029x2984y-961z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        
                        # ======================================================================
                        # DIRECTION:  7
                        # ======================================================================
                        # SphereKB4Xi[ 7 ][ 2 ][ -1x-1y1z ]:  {'2xi': {1: 7, 2: 2, 3: {1: 6.283185307179586, 2: '#8B8783', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y1z', 5: '#DF841B', 6: 7, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-7Skeleton4Xi-started: 10:06:05 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y-1z', 16: '-1x-1y-1z', 
                        #                                             17: '-1009x-2675y1646z', 
                        #                                             18: '-40x-68y0z', 19: 'zap0000seven4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 7 ][ 10 ][ -40x-68y0z ]:  {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 57, 4: 2.7557830294647307}, 4: 'dragon-40x-68y0z', 5: '#7F7263', 6: 10, 7: 15, 8: Decimal('78.8923316933'), 9: Decimal('68'), 10: 7, 11: '{passed; init-terminate-process4xi-param-passed-to-init-terminate-process4xi: 2; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'init_terminate_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-40x-26y35z', 16: '-44x-66y0z', 17: '-27x-42y31z', 18: '-29x-40y32z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 7 ][ 3200 ][ -1089x-2838y998z ]:  {'2xi': {1: 7, 2: 3200, 3: {1: 16084954.386379741, 2: '#8B8783', 3: 138, 4: 116557.64048101261}, 4: 'dragon-1089x-2838y998z', 5: '#E14747', 6: 3232, 7: 32, 8: 3200, 9: 0, 10: 7, 11: '{started; sense-of-Cluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1089x-2838y998z', 18: '-1089x-2838y998z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 7 ][ 3300 ][ -1009x-2675y1646z ]: {'2xi': {1: 7, 2: 3300, 3: {1: 17105971.998796422, 2: '#8B8783', 3: 138, 4: 123956.31883185814}, 4: 'dragon-1009x-2675y1646z', 5: '#EE4545', 6: 3308, 7: 1, 8: 3300, 9: 0, 10: 7, 11: '{started; sense-of-SuperCluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1009x-2675y1646z', 18: '-1009x-2675y1646z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        
                        # ======================================================================
                        # DIRECTION:  8
                        # ======================================================================
                        # SphereKB4Xi[ 8 ][ 2 ][ -1x-1y-1z ]:  {'2xi': {1: 8, 2: 2, 3: {1: 6.283185307179586, 2: '#7D7A77', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y-1z', 5: '#EE8712', 6: 8, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-8Skeleton4Xi-started: 10:06:05 12/28/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y1z', 16: '1x1y1z', 
                        #                                              17: '-1010x-495y-3102z', 
                        #                                              18: '-100x-2126y-2388z', 19: 'zap0000eight4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 8 ][ 3200 ][ -100x-2126y-2388z ]: {'2xi': {1: 8, 2: 3200, 3: {1: 16084954.386379741, 2: '#EE8712', 3: 1, 4: 16084954.386379741}, 4: 'dragon-100x-2126y-2388z', 5: '#E9BBBB', 6: 3233, 7: 33, 8: 3200, 9: 0, 10: 8, 11: '{started; sense-of-Cluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-100x-2126y-2388z', 18: '-100x-2126y-2388z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
                        # SphereKB4Xi[ 8 ][ 3300 ][ -1010x-495y-3102z ]: {'2xi': {1: 8, 2: 3300, 3: {1: 17105971.998796422, 2: '#EE8712', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1010x-495y-3102z', 5: '#DE9ABC', 6: 3309, 7: 1, 8: 3300, 9: 0, 10: 8, 11: '{started; sense-of-SuperCluster4Xi-started: 09:40:28 12/27/10 Pacific Standard Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1010x-495y-3102z', 18: '-1010x-495y-3102z', 19: 'xml_trace_sense4xi.py'}, '8xi': {}, '4xi': {}}
    
        except:
            print("(Step 32Z2/33) OF ZAP2VERB4XI *** FAILED TO PRINT SphereKB4Xi " , time4xi()) 

    # ---------------------------------------------------------------------------------------------
    # (STEP 32F1/33) - DEFINE FILE 
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(Step 32F1/33) OF ZAP2VERB4XI - TRYING TO DEFINE FILE " , time4xi())                                  #        
    
    if ack2dragontrace is True:
        message2print = "{(Step 32F1/33) trying" + "; definition-trying-by-zap2verb4xi: " + str("definition")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
    try:
        name2scope = os.path.splitext(scope2reasonfile)                                                              # ('..//..//xml//scope-reason-test-constant-process4xi', '.xml')
        if ack2dragontrace is True:
            message2print = "{(Step 32F1/33) set" + "; name2scope-set-by-zap2verb4xi to: " + str(name2scope)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
        if ack2debug is True:
            print("(Step 32F1/33) OF ZAP2NOUN4XI - NAME2SCOPE-SET-BY-ZAP2VERB4XI TO " , name2scope)                  #                      
    except:
        message2print = "{(Step 32Z1/33) failed" + "; definition-failed-by-zap2verb4xi: " + str("definition") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
    # ---------------------------------------------------------------------------------------------
    # (STEP 32F1/33) - EXAMINE BEGINNING OF INPUT FILE
    # ---------------------------------------------------------------------------------------------                  
    try:            
        start2mine = 'scope-reason-' 
        index2mine4start = str.find(name2scope[0], start2mine)
        if ack2dragontrace is True:
            message2print = "{(Step 32F2/33) set" + "; index2mine4start-set-by-zap2verb4xi to: " + str(index2mine4start)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # 13          
    except:
        message2print = "{(Step 32Z2/33) failed" + "; definition-failed-by-zap2verb4xi: " + str("definition") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
    try:              
        if index2mine4start == -1:
            file2scope = 'dummy4xi.py'
        else:
            file2scope = name2scope [0] [index2mine4start+len(start2mine):] + '-zap.py'
        if ack2dragontrace is True:
            message2print = "{(Step 32F3/33) set" + "; file2scope-set-by-zap2verb4xi to: " + str(file2scope)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
                          
    except:
        message2print = "{(Step 32Z3/33) failed" + "; definition-failed-by-zap2verb4xi: " + str("definition") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        
    # ---------------------------------------------------------------------------------------------
    # (STEP 32F2/33) - DEFINE FULL PATH OF OUTPUT FILE
    # ---------------------------------------------------------------------------------------------            
    try:                                   
        path2zap = '..//..//zap//reason-'
        filepath2xi = path2zap + file2scope                                                                         # 
        filepath2xi = filepath2xi.replace("-","_")                                                                  # change name suitable for compiler
        if ack2debug is True:
            print("(Step 32F2/33) OF ZAP2VERB - SET FILEPATH2XI TO:" , filepath2xi)                                 # ..//..//zap//reason_test_zskeleton4xi_zap.py     
                
        if ack2dragontrace is True:
            message2print = "{(Step 32F2/33) set" + "; filepath2xi-set-by-zap2verb4xi to: " + str(filepath2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
    except:
        message2print = "{(Step 32Z3/33) failed" + "; definition-failed-by-zap2verb4xi: " + str("definition") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  

    # ---------------------------------------------------------------------------------------------
    # (STEP 32F2/33) - OPEN FILE
    # ---------------------------------------------------------------------------------------------         
    if ack2dragontrace is True:
        message2print = "{(Step 32F2/33) trying" + "; opening-trying-by-zap2verb4xi: " + str("opening")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
    try: 
        f2xi = open(filepath2xi, 'w')
        if ack2debug is True:
            print("(Step 32F2/33) OF ZAP2VERB - OPENED FILE: " , filepath2xi)                                       # ..//..//zap//reason_test_zskeleton4xi_zap.py  
                       
        if ack2dragontrace is True:
            message2print = "{opened" + "; f2xi-opened-by-zap2verb4xi: " + str(f2xi) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)  
    except:
        message2print = "{(Step 32Z2/33) failed" + "; opening-failed-by-zap2verb4xi: " + str("opening") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  

    # ---------------------------------------------------------------------------------------------
    # (STEP 32F3/33) - WRITE BEGINNING OF FILE
    # ---------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("(Step 32F2/33) OF ZAP2VERB - TRYING WRITE BEGINNING OF FILE: " , filepath2xi)                        # ..//..//zap//reason_test_zskeleton4xi_zap.py  
            
    if ack2dragontrace is True:
        message2print = "{(Step 32F3/33) trying" + "; writing-trying-by-zap2verb4xi: " + str("writing")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
      
    try:       
        end2line = "\n"
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line         
        f2xi.write(line2write)
        content2line = '#<profile4xi profile = "11" />'
        line2write = content2line + end2line
        f2xi.write(line2write) 
        content2line = '#<program4xi program = "' + file2scope.replace("-","_") + '">'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<abstract4xi abstract = "Provides Verb SphereKB4Xi for TeleScope4Xi"/>'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<refer4xi reference = "zap2verb4xi.py"/>'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = ''
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = ''
        line2write = content2line + end2line
        f2xi.write(line2write)        
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# Public API'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# ------------------------------------------------------------------------------------------------- '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<interface4xi interface = " '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '__all__ = [ "None" ]'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#/>'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = ''
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# Standard Imports                          '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<standardize4xi standard = "'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = 'from decimal import *'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = 'from math import pi'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = 'from math import sin'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = 'from math import cos '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = 'from math import fabs'
        line2write = content2line + end2line
        f2xi.write(line2write)        
            
        content2line = ''
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#/>'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = ''
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# Multiprocessing Imports                          '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<process4xi process = "'
        line2write = content2line + end2line
        f2xi.write(line2write)

        content2line = '#"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#/>'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = ''
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = ''
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# DragonXi imports                              '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<dragonize4xi dragonization = "'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = 'from time4xi import time4xi'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#/>'
        line2write = content2line + end2line
        f2xi.write(line2write)


        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# Settings - functions, classes and ALL class methods with possible synonyms for XML'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        
    except:
        message2print = "{(Step 32Z3/33) failed" + "; writing-failed-by-zap2verb4xi: " + str("writing") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     

    # ---------------------------------------------------------------------------------------------
    # (STEP 32F4/33) - INITIALIZING SphereKB4Xi
    # ---------------------------------------------------------------------------------------------         
    if ack2dragontrace is True:
        message2print = "{(Step 32F3/33) trying" + "; initializing-SphereKB4Xi-trying-by-zap2verb4xi: " + str("initializing-SphereKB4Xi")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
              
    try:            
        # -----------------------------------------------------------------------------------------------------------------
        # DICTIONARY SphereKB4Xi
        # ----------------------------------------------------------------------------------------------------------------- 
        content2line = 'SphereKB4Xi = {'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '    }'
        line2write = content2line + end2line
        f2xi.write(line2write)
    except:
        message2print = "{(Step 32Z4/33) failed" + "; initializing-SphereKB4Xi-failed-by-zap2verb4xi: " + str("initializing-SphereKB4Xi") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
         
    # ---------------------------------------------------------------------------------------------
    # (STEP 32F5/33) - INITIALIZING DIRECTIONS TO SphereKB4Xi
    # --------------------------------------------------------------------------------------------- 
    if ack2dragontrace is True:
        message2print = "{(Step 32F5/33) trying" + "; initializing-directions-of-SphereKB4Xi-trying-by-zap2verb4xi: " + str("initializing-directions-of-SphereKB4Xi")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
    try:    
        # -----------------------------------------------------------------------------------------------------------------
        # DIRECTION INITIALIZING TO DICTIONARY SphereKB4Xi
        # -----------------------------------------------------------------------------------------------------------------                 
        keys2direction = SphereKB4Xi.keys()                                                                         # directions 1 ...8 
        for key2direction in sorted(keys2direction):               
            content2line = 'SphereKB4Xi[' + str(key2direction) + '] = {}' 
            line2write = content2line + end2line
            f2xi.write(line2write)
    except:
        message2print = "{(Step 32Z5/33) failed" + "; initializing-directions-of-SphereKB4Xi-failed-by-zap2verb4xi: " + str("initializing-directions-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)

    # ---------------------------------------------------------------------------------------------
    # (STEP 32F6/33) - INITIALIZING LAYERS TO SphereKB4Xi
    # --------------------------------------------------------------------------------------------- 
    if ack2dragontrace is True:
        message2print = "{(Step 32F6/33) trying" + "; initializing-layers-of-SphereKB4Xi-trying-by-zap2verb4xi: " + str("initializing-layers")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                   
    try:
        # -----------------------------------------------------------------------------------------------------------------
        # LAYER INITIALIZING TO DICTIONARY SphereKB4Xi
        # -----------------------------------------------------------------------------------------------------------------                 
        keys2direction = SphereKB4Xi.keys()                                                                         # directions 1 ...8 
        for key2direction in sorted(keys2direction):
            kb2layer = SphereKB4Xi[key2direction]                                                                   # layer knowledgebase   
            keys2layer = kb2layer.keys()                                                                            
                
            for key2layer in sorted(keys2layer):
                content2line = 'SphereKB4Xi[' + str(key2direction) + '][' + str(key2layer) + ']  = {}' 
                line2write = content2line + end2line
                f2xi.write(line2write)
    except:
        message2print = "{(Step 32Z6/33) failed" + "; initializing-layers-failed-by-zap2verb4xi: " + str("initializing-layers") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        
    # ---------------------------------------------------------------------------------------------
    # (STEP 32F7/33) - SETTING NODES TO SphereKB4Xi
    # --------------------------------------------------------------------------------------------- 
    if ack2dragontrace is True:
        message2print = "{(Step 32F7/33) trying" + "; setting-nodes-of-SphereKB4Xi-trying-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
    try:                                            
        # -----------------------------------------------------------------------------------------------------------------
        # DICTIONARY SphereKB4Xi
        # -----------------------------------------------------------------------------------------------------------------         
        try:
            keys2direction = SphereKB4Xi.keys()                                                                         
            if ack2debug is True:
                print("(Step 32Z71/33) of ZAP2VERB4XI - KEYS2DIRECTION: ", keys2direction )                        # dict_keys([0, 1, 2, 3, 4, 5, 6, 7, 8])      
        except:
            message2print = "{(Step 32Z71/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)        
            
        for key2direction in sorted(keys2direction):
            # -------------------------------------------------------------------------------------------------------------
            # 
            # -------------------------------------------------------------------------------------------------------------        
            if ack2debug is True:
                print("(Step 32Z72/33) OF ZAP2VERB4XI - KEY2DIRECTION: ", key2direction)                           # 0
            try:        
                kb2layer = SphereKB4Xi[key2direction]                                                                   
                if ack2debug is True:
                    print("(Step 32Z73/33) OF ZAP2VERB4XI - KB2LAYER: ", kb2layer)                                 # {0: {'0x0y0z': {'2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 05:45:23 12/29/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}}}

            except:
                message2print = "{(Step 32Z72/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)
            
            try:                                
                keys2layer = kb2layer.keys()                                                                            
                if ack2debug is True:
                    print("(Step 32Z74/33) OF ZAP2VERB4XI - KEYS2LAYER: ", keys2layer)                             # dict_keys([0])
            except:
                message2print = "{(Step 32Z73/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                    
            for key2layer in sorted(keys2layer):
                # ---------------------------------------------------------------------------------------------------------
                # 
                # ---------------------------------------------------------------------------------------------------------             
                if ack2debug is True:
                    print("(Step 32Z75/33) OF ZAP2VERB4XI - KEY2LAYER: ", key2layer)                               # 0
                try:    
                    kb2node = SphereKB4Xi[key2direction] [key2layer]
                    if ack2debug is True:
                        print("(Step 32Z76/33) OF ZAP2VERB4XI - KB2NODE: ", kb2node)                               # {'0x0y0z': {'2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 05:45:23 12/29/10 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}}

                except:
                    message2print = "{(Step 32Z74/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                
                keys2node = kb2node.keys()                          
                for key2node in sorted(keys2node):
                    # -----------------------------------------------------------------------------------------------------
                    # 
                    # -----------------------------------------------------------------------------------------------------                                                                                   
                    if ack2debug is True:
                        try:
                            print("(Step 32Z77/33) OF ZAP2VERB4XI - KEY2NODE: ", key2node)                             # 0x0y0z
                        except:
                            message2print = "{(Step 32Z75/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)
                        try:     
                            print("(Step 32Z78/33) OF ZAP2VERB4XI - KEY2NODE: ", kb2node [key2node])
                        except:
                            message2print = "{(Step 32Z76/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)     
                    try:    
                        content2line = 'SphereKB4Xi[' + str(key2direction) + '][' + str(key2layer) + ']["' + str(key2node) + '"] = ' + str(kb2node [key2node])                     
                        line2write = content2line + end2line
                        f2xi.write(line2write)
                    except:
                        message2print = "{(Step 32Z77/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
                        print4xi(class2print, method2print, message2print)                      
                       
                    if ack2debug is True:
                        try:
                            print("SphereKB4Xi[", key2direction, "][", key2layer, "][", key2node, "]: ", kb2node [key2node])
                        except:
                            message2print = "{(Step 32Z78/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)                                
                    if ack2debug is True:
                        try:
                            print("(Step 32Z78/33) OF ZAP2VERB4XI - CONTENT2LINE: ", content2line)
                        except:
                            message2print = "{(Step 32Z79/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
                            print4xi(class2print, method2print, message2print)
                    
    except:
        message2print = "{(Step 32Z80/33) failed" + "; setting-nodes-failed-by-zap2verb4xi: " + str("setting-nodes-of-SphereKB4Xi") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        
    # ---------------------------------------------------------------------------------------------
    # (STEP 32F9/33) - SELF-TEST WRITING
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(Step 32F9/33) OF ZAP2VERB - TRYING SELF-TEST WRITING TO FILE: " , filepath2xi)                      # ..//..//zap//reason-test-zskeleton4xi-zap.py 
                
    if ack2dragontrace is True:
        message2print = "{(Step 32F10/33) trying" + "; self-test-writing-trying-by-zap2verb4xi: " + str("self-test-writing")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
    
    try:      
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<note4xi note = "created automatically by zap2verb4xi.py ' + time4xi() + '"/>'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        
        content2line = 'ack2debug = False' 
        line2write = content2line + end2line
        f2xi.write(line2write)
               
    
        content2line = 'if ack2debug is True:' 
        line2write = content2line + end2line
        f2xi.write(line2write)
            
        content2line = '    print("(Step 1A)/33) - TRYING TO PRINT SphereKB4Xi ")' 
        line2write = content2line + end2line
        f2xi.write(line2write)         
      
        
        content2line = '    try:' 
        line2write = content2line + end2line
        f2xi.write(line2write) 
                
            
        content2line = '        keys2direction = SphereKB4Xi.keys()' 
        line2write = content2line + end2line
        f2xi.write(line2write) 
                                                                                            
            
        content2line = '        for key2direction in sorted(keys2direction):' 
        line2write = content2line + end2line
        f2xi.write(line2write)             
            
        content2line = '            if ack2debug is True:' 
        line2write = content2line + end2line
        f2xi.write(line2write)
        

        content2line = '                print("=" *70)' 
        line2write = content2line + end2line
        f2xi.write(line2write)

        content2line = '                print("DIRECTION: ", key2direction)' 
        line2write = content2line + end2line
        f2xi.write(line2write) 
                           
        content2line = '                print("=" *70)' 
        line2write = content2line + end2line
        f2xi.write(line2write)

        content2line = '            kb2layer = SphereKB4Xi[key2direction]' 
        line2write = content2line + end2line
        f2xi.write(line2write)

        content2line = '            keys2layer = kb2layer.keys()' 
        line2write = content2line + end2line
        f2xi.write(line2write)
                                                 
                
        content2line = '            for key2layer in sorted(keys2layer):' 
        line2write = content2line + end2line
        f2xi.write(line2write)                

        content2line = '                kb2node = SphereKB4Xi[key2direction] [key2layer]' 
        line2write = content2line + end2line
        f2xi.write(line2write)

        content2line = '                keys2node = kb2node.keys()' 
        line2write = content2line + end2line
        f2xi.write(line2write)                    

        content2line = '                for key2node in sorted(keys2node):' 
        line2write = content2line + end2line
        f2xi.write(line2write)                                                                                        
                        
        content2line = '                    print("SphereKB4Xi[", key2direction, "][", key2layer, "][", key2node, "]: ", kb2node [key2node])' 
        line2write = content2line + end2line
        f2xi.write(line2write)                          
                    

        content2line = '    except:' 
        line2write = content2line + end2line
        f2xi.write(line2write) 
            
        content2line = '        print("(Step 1A)/33) *** FAILED to print SphereKB4Xi ")' 
        line2write = content2line + end2line
        f2xi.write(line2write)
        
        if ack2debug is True:
            print("(Step 32F10/33) OF ZAP2VERB - PERFORMED SELF-TEST WRITING TO FILE: " , filepath2xi)                          # ..//..//zap//reason-test-zskeleton4xi-zap.py        
             
    except:
        message2print = "{(Step 32Z10/33) failed" + "; self-test-writing-failed-by-zap2verb4xi: " + str("self-test-writing") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                                       
    # ---------------------------------------------------------------------------------------------
    # (STEP 32F11/33) - WRITE END OF FILE
    # ---------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("(Step 32F11/33) OF ZAP2VERB - TRYING END WRITING TO FILE: " , filepath2xi)                                       # ..//..//zap//reason-test-zskeleton4xi-zap.py    
    
    if ack2dragontrace is True:
        message2print = "{(Step 32F11/33) trying" + "; end-writing-trying-by-zap2verb4xi: " + str("end-writing")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
      
    try:                               
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line     
        content2line = '#</program4xi>'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write) 
        content2line = '# Recorded History                             '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# ------------------------------------------------------------------------------------------------- '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<record4xi record = "'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   zap*4xi.py'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   test_zap2verb4xi.txt'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   also compiled with ack2debug = True'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#>'
        line2write = content2line + end2line
        f2xi.write(line2write)

        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# Legal Notice                             '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# ------------------------------------------------------------------------------------------------- '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#<protect4xi protection = "copyright"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   owner = "Small & Smart"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   rights = "All rights reserved"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   state = "California"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   country = "United States of America"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   codes = "Codes established in California and applicable to corporations in California"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   compliance = "The California Law"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#/>'
        line2write = content2line + end2line
        f2xi.write(line2write)
 

        content2line = '#<end4xi end = "'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# -------------------------------------------------------------------------------------------------'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# end of ' + file2scope.replace("-","_")
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '# ------------------------------------------------------------------------------------------------- '
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#"'
        line2write = content2line + end2line
        f2xi.write(line2write)
        content2line = '#/>        '
        line2write = content2line + end2line
        f2xi.write(line2write)
        
        if ack2debug is True:
            print("(Step 32F12/33) OF ZAP2VERB - WROTE END TO FILE: " , filepath2xi)                                # ..//..//zap//reason-test-zskeleton4xi-zap.py         
                                
    except:
        message2print = "{(Step 32Z11/33) failed" + "; end-writing-failed-by-zap2verb4xi: " + str("end-writing") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
              
    # ---------------------------------------------------------------------------------------------
    # (STEP 32F12/33) - CLOSE FILE  
    # ---------------------------------------------------------------------------------------------          
    if ack2debug is True:
        print("(Step 32F12/33) OF ZAP2VERB - TRYING CLOSING FILE: " , filepath2xi)                                  # ..//..//zap//reason-test-zskeleton4xi-zap.py     
    
    if ack2dragontrace is True:
        message2print = "{(Step 32F12/33) trying" + "; closing-trying-by-zap2verb4xi: " + str("closing")  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
    try:        
        f2xi.close()
         
        if ack2debug is True:
            print("(Step 32F13/33) OF ZAP2VERB - CLOSED FILE: " , filepath2xi)                                      # ..//..//zap//reason-test-zskeleton4xi-zap.py      
           
        message2print = "{(Step 32F12/33) closed" + "; f2xi-closed-by-zap2verb4xi: " + str(f2xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
   
    except:
        message2print = "{(Step 32Z12/33) failed" + "; closing-failed-by-zap2verb4xi: " + str("closing") + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                               
    # -----------------------------------------------------------------------------------------
    # (Step 33/33)
    # -----------------------------------------------------------------------------------------
    SphereKB4Xi = {}                                                                                                # RELEASE MEMORY
    
    message2print = "{(Step 33/33) returning" + "; zap2verb4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)                                                              # 
    
    if ack2debug is True:
        print("(Step 32/33) OF ZAP2VERB4XI - RETURNING " , time4xi())                                               # 05:06:08 01/08/11 Pacific Standard Time   
              
    return 
        
#</function4xi>
            

# -------------------------------------------------------------------------------------------------
#<function4xi function = "sense_zap2verb4xi" usage = "senses zap verb knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def sense_zap2verb4xi():
    '''
    sense_zap2verb4xi senses zap verb knowledgebase
    '''

    global ZapKB4Xi
    
     
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------      
    class2print  = 'sense_zap2verb4xii'
    method2print = 'sense_zap2verb4xii'
    
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------        
              
    return ZapKB4Xi                                                     
    
    
#</function4xi>
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "reason_zap2verb4xi" usage = "reasons zap verb knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
 
def reason_zap2verb4xi():
    '''
    reason_zap2verb4xi reasons zap verb knowledgebase
    '''

    global ZapKB4Xi
    
     
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------      
    class2print  = 'reason_zap2verb4xii'
    method2print = 'reason_zap2verb4xii'
    
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------        
              
    return ZapKB4Xi  


#</function4xi>
  
 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "ace_zap2verb4xi" usage = "aces zap verb knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

def ace_zap2verb4xi():
    '''
    verb4xi aces zap verb knowledgebase
    '''
    

    global ZapKB4Xi
     
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------      
    class2print  = 'ace_zap2verb4xii'
    method2print = 'ace_zap2verb4xii'
    
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------        
              
    return ZapKB4Xi     
    
    
#</function4xi>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "xml_zap2verb4xi" usage = "creates XML file from verbs knowledgebase">
#<state4xi status = "ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
      
 
def xml_zap2verb4xi (context_param = 
    {'file_path4xi': '..\\..\\xml\\reason-zap2verb4xi.xml',
     'name_space4xi': '   xmlns="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
     'xml_base4xi': '   xml:base="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
     'ontology_about4xi': '   <owl:Ontology rdf:about="Reasoning Verbs of Multiprocessing4Xi">\n',
     'ontology_comment4xi': '      <define4xi xml:lang="en">Verbs</define4xi>\n',
     'operation_comment4xi': '      <define4xi xml:lang="en">Available verbs.</define4xi>\n',
     'class0_id4xi': '   <owl:Class rdf:ID="ReasonDragon4Xi#000000">\n',
     'class0_comment4xi': '      <define4xi xml:lang="en">Verbs for actions.</define4xi>\n',
     'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="reason#000000">\n',
     'object_property_comment4xi': '       <define4xi xml:lang="en">reason</define4xi>\n',
     'debug4xi': True}):  #<-- update this to debug
    
    
    '''
    xml_zap2verb4xi creates XML file from verbs knowledgebase
    
    '''       
    
   
    c2xi = context_param
    
    keys2context = c2xi.keys()
    
    # ---------------------------------------------------------------------------------------------
    # tailor 
    # ---------------------------------------------------------------------------------------------     
    if 'debug4xi' in keys2context:
        debug2xi = c2xi['debug4xi']     
    else:
        debug2xi = False
    # ---------------------------------------------------------------------------------------------
    # end of tailoring 
    # ---------------------------------------------------------------------------------------------     
 
    
    # ---------------------------------------------------------------------------------------------
    # REASON
    # --------------------------------------------------------------------------------------------- 
    
    if debug2xi is True:
        print(33*("="))
        print("(STEP 1/33) OF XML_VERB4XI: REASONING") 
        print(33*("="))
        print("")
        print("(STEP 2/33) OF XML_VERB4XI: set c2xi to: ", c2xi)
        # {'object_property_comment4xi': '       <define4xi xml:lang="en">reason</define4xi>\n',
        #      'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="reason#000000">\n', 
        #                'class0_id4xi': '   <owl:Class rdf:ID="ReasonDragon4Xi#000000">\n',
        #           'class0_comment4xi': '      <define4xi xml:lang="en">Verbs for actions.</define4xi>\n', 
        #               'name_space4xi': '   xmlns="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl#"\n', 
        #                'file_path4xi': '..\\..\\xml\\reason-zap2verb4xi.xml',
        #                 'xml_base4xi': '   xml:base="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
        #         'ontology_comment4xi': '      <define4xi xml:lang="en">Verbs</define4xi>\n', 
        #                    'debug4xi': True,
        #        'operation_comment4xi': '      <define4xi xml:lang="en">Available verbs.</define4xi>\n', 
        #           'ontology_about4xi': '   <owl:Ontology rdf:about="Reasoning Verbs of Multiprocessing4Xi">\n'}

        print("")
                    
    reasonKB4Xi = reason_zap2verb4xi()       
    if debug2xi is True:
        print(33*("-"))   
        print("(STEP 3/33) OF XML_VERB4XI: GOT REASONKB4XI ")
        print(33*("-"))   
        # color-activating, cluster-schemed                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    (STEP 3/33) OF XML_VERB4XI: GOT REASONKB4XI:  {'reference-clustered': 'reference-clustered', 'definition-zip': 'definition-zip', 'color-activating': 'color-activating', 'color-built': 'color-built', 'cluster-schemed': 'cluster-schemed', 'sleep': 'sleep', 'reference-yearned': 'reference-yearned', 'scheming': 'scheming', 'color-build': 'color-build', 'cluster-entered': 'cluster-entered', 'definition-verbalize': 'definition-verbalize', 'definition-rename': 'definition-rename', 'color-scheming': 'color-scheming', 'calculate': 'calculate', 'cluster-compared': 'cluster-compared', 'voted': 'voted', 'color-fly': 'color-fly', 'cluster-removed': 'cluster-removed', 'reference-warned': 'reference-warned', 'definition-parse': 'definition-parse', 'reference-aced': 'reference-aced', 'color-checking': 'color-checking', 'rise': 'rise', 'symbol-indicating': 'symbol-indicating', 'symbol-contextualizing': 'symbol-contextualizing', 'symbol-ignoring': 'symbol-ignoring', 'tagging': 'tagging', 'color-verged': 'color-verged', 'color-end': 'color-end', 'definition-measure': 'definition-measure', 'commented': 'commented', 'cluster-unioned': 'cluster-unioned', 'winded': 'winded', 'definition-accept': 'definition-accept', 'color-releasing': 'color-releasing', 'symbol-classing': 'symbol-classing', 'definition-profile': 'definition-profile', 'symbol-deciding': 'symbol-deciding', 'taken-into-account': 'taken-into-account', 'cluster-checked': 'cluster-checked', 'color-web': 'color-web', 'symbol-standardizing': 'symbol-standardizing', 'reference-reset': 'reference-reset', 'selected': 'selected', 'color-pass': 'color-pass', 'color-delivered': 'color-delivered', 'net': 'net', 'color-xraying': 'color-xraying', 'told': 'told', 'color-reset': 'color-reset', 'symbol-washing': 'symbol-washing', 'wrapping': 'wrapping', 'symbol-queuing': 'symbol-queuing', 'color-globalized': 'color-globalized', 'reference-pickled': 'reference-pickled', 'symbol-tagging': 'symbol-tagging', 'color-zipping': 'color-zipping', 'ignoring': 'ignoring', 'cluster-walked': 'cluster-walked', 'ventured': 'ventured', 'symbol-scoping': 'symbol-scoping', 'color-wondering': 'color-wondering', 'definition-manoeuvre': 'definition-manoeuvre', 'symbol-clearing': 'symbol-clearing', 'color-idled': 'color-idled', 'cluster-functioned': 'cluster-functioned', 'noting': 'noting', 'call': 'call', 'type': 'type', 'tell': 'tell', 'cluster-defined': 'cluster-defined', 'standardized': 'standardized', 'expose': 'expose', 'warp': 'warp', 'warn': 'warn', 'color-scoping': 'color-scoping', 'color-abbreviated': 'color-abbreviated', 'zeroed': 'zeroed', 'reference-netted': 'reference-netted', 'reference-listed': 'reference-listed', 'join': 'join', 'symbol-specializing': 'symbol-specializing', 'color-ignored': 'color-ignored', 'took-off': 'took-off', 'color-used': 'color-used', 'color-commented': 'color-commented', 'definition-round': 'definition-round', 'reference-terminated': 'reference-terminated', 'definition-dispatch': 'definition-dispatch', 'indicated': 'indicated', 'color-assert': 'color-assert', 'want': 'want', 'color-appending': 'color-appending', 'cluster-imported': 'cluster-imported', 'color-hatch': 'color-hatch', 'definition-show': 'definition-show', 'color-writing': 'color-writing', 'end': 'end', 'verify': 'verify', 'color-flied': 'color-flied', 'definition-wander': 'definition-wander', '_pertained': '_pertained', 'definition-hit': 'definition-hit', 'cluster-polled': 'cluster-polled', 'color-program': 'color-program', 'color-hitting': 'color-hitting', 'typed': 'typed', 'cluster-raised': 'cluster-raised', 'color-try': 'color-try', 'reference-upgraded': 'reference-upgraded', 'symbol-weaving': 'symbol-weaving', 'definition-calculate': 'definition-calculate', 'reference-built': 'reference-built', 'definition-weigh': 'definition-weigh', 'cluster-dumped': 'cluster-dumped', 'enter': 'enter', 'operate': 'operate', 'wing': 'wing', 'wind': 'wind', 'hatching': 'hatching', 'vary': 'vary', 'reference-sorted': 'reference-sorted', 'symbol-recording': 'symbol-recording', 'cluster-watched': 'cluster-watched', 'color-protecting': 'color-protecting', 'color-standardize': 'color-standardize', 'borned': 'borned', 'writing': 'writing', 'reference-flew': 'reference-flew', 'color-joined': 'color-joined', 'cluster-broken': 'cluster-broken', 'color-clustered': 'color-clustered', 'color-put': 'color-put', 'woken': 'woken', 'color-breaking': 'color-breaking', 'symbol-flushing': 'symbol-flushing', 'zoning': 'zoning', 'break': 'break', 'color-closed': 'color-closed', 'methodizing': 'methodizing', 'color-landed': 'color-landed', 'color-took-into-account': 'color-took-into-account', 'definition-start': 'definition-start', 'cluster-landed': 'cluster-landed', 'queued': 'queued', 'color-write': 'color-write', 'dumping': 'dumping', 'color-bear': 'color-bear', 'schemed': 'schemed', 'color-methodizing': 'color-methodizing', 'webbed': 'webbed', 'symbol-returning': 'symbol-returning', 'definition-perform': 'definition-perform', 'color-verbalize': 'color-verbalize', 'color-wing': 'color-wing', 'color-wind': 'color-wind', 'reference-quitted': 'reference-quitted', 'waive': 'waive', 'washed': 'washed', 'definition-expose': 'definition-expose', 'got': 'got', 'symbol-winding': 'symbol-winding', 'color-manoeuvre': 'color-manoeuvre', 'free': 'free', 'scoped': 'scoped', 'mastering': 'mastering', 'symbol-zipping': 'symbol-zipping', 'wanted': 'wanted', 'color-hit': 'color-hit', 'exposing': 'exposing', 'created': 'created', 'symbol-acting': 'symbol-acting', 'color-operated': 'color-operated', 'cluster-zeroed': 'cluster-zeroed', 'color-parsing': 'color-parsing', 'cluster-waived': 'cluster-waived', 'symbol-verifying': 'symbol-verifying', 'color-standardized': 'color-standardized', 'warped': 'warped', 'cluster-commanded': 'cluster-commanded', 'reference-xrayed': 'reference-xrayed', 'definition-yearn': 'definition-yearn', 'symbol-programming': 'symbol-programming', 'color-called': 'color-called', 'reference-served': 'reference-served', 'color-building': 'color-building', 'symbol-voting': 'symbol-voting', 'master': 'master', 'listed': 'listed', 'color-perform': 'color-perform', 'color-compare': 'color-compare', 'color-shared': 'color-shared', 'color-woken': 'color-woken', 'color-reasoned': 'color-reasoned', 'serve': 'serve', 'definition-finalize': 'definition-finalize', 'color-waiting': 'color-waiting', 'color-terminate': 'color-terminate', 'symbol-operating': 'symbol-operating', 'color-typing': 'color-typing', 'definition-assert': 'definition-assert', 'cluster-stated': 'cluster-stated', 'showed': 'showed', 'color-wrapping': 'color-wrapping', 'idle': 'idle', 'reference-opened': 'reference-opened', 'reference-scoped': 'reference-scoped', 'color-watch': 'color-watch', 'abstracting': 'abstracting', 'color-programming': 'color-programming', 'definition-try': 'definition-try', 'color-profiling': 'color-profiling', 'cluster-created': 'cluster-created', 'color-cleared': 'color-cleared', 'color-starting': 'color-starting', 'symbol-idling': 'symbol-idling', 'color-define': 'color-define', 'symbol-yielding': 'symbol-yielding', 'cluster-washed': 'cluster-washed', 'color-_pertained': 'color-_pertained', 'reference-disconnected': 'reference-disconnected', 'color-waiving': 'color-waiving', 'color-launching': 'color-launching', 'color-abstracting': 'color-abstracting', 'reference-unioned': 'reference-unioned', 'commanding': 'commanding', 'symbol-spawning': 'symbol-spawning', 'reference-referred': 'reference-referred', 'calculated': 'calculated', 'symbol-flying': 'symbol-flying', 'color-deleted': 'color-deleted', 'symbol-releasing': 'symbol-releasing', 'voting': 'voting', 'color-closing': 'color-closing', 'reference-printed': 'reference-printed', 'color-visit': 'color-visit', 'symbol-warping': 'symbol-warping', 'color-clear': 'color-clear', 'ending': 'ending', 'color-warped': 'color-warped', 'color-wrap': 'color-wrap', 'reference-skipped': 'reference-skipped', 'stepping': 'stepping', 'definition-web': 'definition-web', 'cluster-listed': 'cluster-listed', 'appended': 'appended', 'reference-mastered': 'reference-mastered', 'zipping': 'zipping', 'color-washing': 'color-washing', 'disconnecting': 'disconnecting', 'do': 'do', 'definition-type': 'definition-type', 'watch': 'watch', 'symbol-methodizing': 'symbol-methodizing', 'symbol-waiting': 'symbol-waiting', 'symbol-dragonizing': 'symbol-dragonizing', 'definition-comment': 'definition-comment', 'color-doing': 'color-doing', 'color-weaved': 'color-weaved', 'color-accept': 'color-accept', 'release': 'release', 'symbol-terminating': 'symbol-terminating', 'color-ended': 'color-ended', 'cluster-exposed': 'cluster-exposed', 'zoned': 'zoned', 'color-contextualize': 'color-contextualize', 'testing': 'testing', 'symbol-checking': 'symbol-checking', 'decided': 'decided', 'symbol-showing': 'symbol-showing', 'color-resetting': 'color-resetting', 'color-reasoning': 'color-reasoning', 'symbol-finalizing': 'symbol-finalizing', 'cluster-contextualized': 'cluster-contextualized', 'symbol-pickling': 'symbol-pickling', 'cluster-returned': 'cluster-returned', 'color-performed': 'color-performed', 'color-acquired': 'color-acquired', 'color-terminated': 'color-terminated', 'color-watching': 'color-watching', 'color-spawn': 'color-spawn', 'symbol-creating': 'symbol-creating', 'received': 'received', 'protect': 'protect', 'definition-xray': 'definition-xray', 'reference-woke': 'reference-woke', 'synopsize': 'synopsize', 'reference-informed': 'reference-informed', 'color-concluded': 'color-concluded', 'definition-contextualize': 'definition-contextualize', 'abbreviate': 'abbreviate', 'cluster-told': 'cluster-told', 'color-compared': 'color-compared', 'color-checked': 'color-checked', 'color-create': 'color-create', 'cluster-taken-into-account': 'cluster-taken-into-account', 'definition-analyze': 'definition-analyze', 'color-zoned': 'color-zoned', 'taken-off': 'taken-off', 'union': 'union', 'reference-hatched': 'reference-hatched', 'color-calculate': 'color-calculate', 'definition-weave': 'definition-weave', 'entered': 'entered', 'color-flushing': 'color-flushing', 'color-dispatch': 'color-dispatch', 'color-tell': 'color-tell', 'reference-ignored': 'reference-ignored', 'definition-reason': 'definition-reason', 'reference-contextualized': 'reference-contextualized', 'reference-indicated': 'reference-indicated', 'color-examining': 'color-examining', 'color-renamed': 'color-renamed', 'cluster-tested': 'cluster-tested', 'cluster-measured': 'cluster-measured', 'winding': 'winding', 'cluster-upgraded': 'cluster-upgraded', 'definition-import': 'definition-import', 'definition-hatch': 'definition-hatch', 'cluster-zoned': 'cluster-zoned', 'cluster-proxied': 'cluster-proxied', 'launched': 'launched', 'spawn': 'spawn', 'definition-embed': 'definition-embed', 'reference-zapped': 'reference-zapped', 'color-sharing': 'color-sharing', 'manoeuvring': 'manoeuvring', 'dumped': 'dumped', 'skipping': 'skipping', 'color-weigh': 'color-weigh', 'synopsized': 'synopsized', 'verged': 'verged', 'reference-profiled': 'reference-profiled', 'perform': 'perform', 'color-queuing': 'color-queuing', 'color-killing': 'color-killing', 'definition-tag': 'definition-tag', '_pertaining': '_pertaining', 'cluster-discarded': 'cluster-discarded', 'symbol-warning': 'symbol-warning', 'color-zone': 'color-zone', 'tune': 'tune', 'inherit': 'inherit', 'color-classing': 'color-classing', 'rotated': 'rotated', 'symbol-typing': 'symbol-typing', 'cluster-printed': 'cluster-printed', 'cluster-skipped': 'cluster-skipped', 'reference-zipped': 'reference-zipped', 'adding': 'adding', 'cluster-methodized': 'cluster-methodized', 'color-skipping': 'color-skipping', 'cluster-hatched': 'cluster-hatched', 'color-passed': 'color-passed', 'color-spawning': 'color-spawning', 'color-yearning': 'color-yearning', 'symbol-telling': 'symbol-telling', 'symbol-embedding': 'symbol-embedding', 'symbol-tuning': 'symbol-tuning', 'rotate': 'rotate', 'clustered': 'clustered', 'symbol-wandering': 'symbol-wandering', 'cluster-rounded': 'cluster-rounded', 'symbol-analyzing': 'symbol-analyzing', 'hunt': 'hunt', 'renamed': 'renamed', 'warping': 'warping', 'color-finalize': 'color-finalize', 'performing': 'performing', 'color-share': 'color-share', 'born': 'born', 'color-queue': 'color-queue', 'reference-returned': 'reference-returned', 'reference-protected': 'reference-protected', 'reference-walked': 'reference-walked', 'definition-poll': 'definition-poll', 'color-indicated': 'color-indicated', 'deleted': 'deleted', 'reference-spawned': 'reference-spawned', 'color-process': 'color-process', 'color-weighed': 'color-weighed', 'color-view': 'color-view', 'definition-disconnect': 'definition-disconnect', 'reference-varied': 'reference-varied', 'cluster-scoped': 'cluster-scoped', 'color-vote': 'color-vote', 'cluster-calculated': 'cluster-calculated', 'raised': 'raised', 'parsing': 'parsing', 'color-list': 'color-list', 'cluster-acted': 'cluster-acted', 'wrap': 'wrap', 'color-served': 'color-served', 'verbalized': 'verbalized', 'color-clustering': 'color-clustering', 'dispatching': 'dispatching', 'color-sorting': 'color-sorting', 'symbol-printing': 'symbol-printing', 'symbol-zapping': 'symbol-zapping', 'launching': 'launching', 'manoeuvred': 'manoeuvred', 'color-receive': 'color-receive', 'definition-reset': 'definition-reset', 'reference-idled': 'reference-idled', 'landing': 'landing', 'definition-ace': 'definition-ace', 'definition-wind': 'definition-wind', 'definition-wing': 'definition-wing', 'reference-tagged': 'reference-tagged', 'reference-winded': 'reference-winded', 'color-took-off': 'color-took-off', 'symbol-building': 'symbol-building', 'removed': 'removed', 'definition-act': 'definition-act', 'reset': 'reset', 'definition-union': 'definition-union', 'discarding': 'discarding', 'verging': 'verging', 'delete': 'delete', 'definition-abbreviate': 'definition-abbreviate', 'abstract': 'abstract', 'definition-wire': 'definition-wire', 'reference-connected': 'reference-connected', 'color-mastering': 'color-mastering', 'color-hunting': 'color-hunting', 'reference-broke': 'reference-broke', 'check': 'check', 'color-sleep': 'color-sleep', 'reference-did': 'reference-did', 'cluster-appended': 'cluster-appended', 'color-typed': 'color-typed', 'setting': 'setting', 'test': 'test', 'color-concluding': 'color-concluding', 'symbol-commanding': 'symbol-commanding', 'delivered': 'delivered', 'color-dragonizing': 'color-dragonizing', 'definition-refer': 'definition-refer', 'flushed': 'flushed', 'cluster-interfaced': 'cluster-interfaced', 'reference-slept': 'reference-slept', 'color-flushed': 'color-flushed', 'symbol-listing': 'symbol-listing', 'cluster-wised': 'cluster-wised', 'color-launched': 'color-launched', 'cluster-yearned': 'cluster-yearned', 'definition-sleep': 'definition-sleep', 'color-wake': 'color-wake', 'color-importing': 'color-importing', 'skip': 'skip', 'activated': 'activated', 'definition-call': 'definition-call', 'color-specializing': 'color-specializing', 'functioned': 'functioned', 'color-set': 'color-set', 'cluster-done': 'cluster-done', 'definition-discover': 'definition-discover', 'zone': 'zone', 'definition-verge': 'definition-verge', 'zeroing': 'zeroing', 'symbol-measuring': 'symbol-measuring', 'symbol-performing': 'symbol-performing', 'color-loop': 'color-loop', 'discovering': 'discovering', 'symbol-importing': 'symbol-importing', 'cluster-sorted': 'cluster-sorted', 'color-programmed': 'color-programmed', 'color-winded': 'color-winded', 'cluster-typed': 'cluster-typed', 'reference-watched': 'reference-watched', 'symbol-looping': 'symbol-looping', 'color-test': 'color-test', 'color-warn': 'color-warn', 'taking-off': 'taking-off', 'symbol-unresolving': 'symbol-unresolving', 'color-linked': 'color-linked', 'did': 'did', 'color-free': 'color-free', 'color-embedding': 'color-embedding', 'symbol-processing': 'symbol-processing', 'symbol-verging': 'symbol-verging', 'round': 'round', 'color-started': 'color-started', 'discover': 'discover', 'initialized': 'initialized', 'cluster-verbalized': 'cluster-verbalized', 'definition-remove': 'definition-remove', 'color-waking': 'color-waking', 'color-showed': 'color-showed', 'definition-watch': 'definition-watch', 'color-register': 'color-register', 'shared': 'shared', 'reference-parsed': 'reference-parsed', 'wait': 'wait', 'sending': 'sending', 'symbol-taking-off': 'symbol-taking-off', 'cluster-closed': 'cluster-closed', 'definition-inherit': 'definition-inherit', 'color-raised': 'color-raised', 'reference-activated': 'reference-activated', 'definition-hunt': 'definition-hunt', 'color-raise': 'color-raise', 'symbol-visiting': 'symbol-visiting', 'verge': 'verge', 'cluster-commented': 'cluster-commented', 'symbol-resetting': 'symbol-resetting', 'reference-showed': 'reference-showed', 'cluster-built': 'cluster-built', 'wondering': 'wondering', 'scope': 'scope', 'cluster-quitted': 'cluster-quitted', 'cluster-spawn': 'cluster-spawn', 'sharing': 'sharing', 'appending': 'appending', 'definition-record': 'definition-record', 'color-tagged': 'color-tagged', 'reference-abstracted': 'reference-abstracted', 'symbol-rounding': 'symbol-rounding', 'color-schemed': 'color-schemed', 'fly': 'fly', 'color-delivering': 'color-delivering', 'color-connect': 'color-connect', 'color-dragonized': 'color-dragonized', 'printing': 'printing', 'cluster-woken': 'cluster-woken', 'pickle': 'pickle', 'color-wandered': 'color-wandered', 'color-exposing': 'color-exposing', 'performed': 'performed', 'symbol-borning': 'symbol-borning', 'definition-kill': 'definition-kill', 'watching': 'watching', 'write': 'write', 'definition-rotate': 'definition-rotate', 'reference-warped': 'reference-warped', 'reference-verged': 'reference-verged', 'color-killed': 'color-killed', 'color-round': 'color-round', 'take-into-account': 'take-into-account', 'color-verging': 'color-verging', 'cluster-sent': 'cluster-sent', 'yielding': 'yielding', 'color-start': 'color-start', 'reference-sent': 'reference-sent', 'color-stated': 'color-stated', 'color-quit': 'color-quit', 'tagged': 'tagged', 'serving': 'serving', 'unioned': 'unioned', 'color-examined': 'color-examined', 'definition-scheme': 'definition-scheme', 'ended': 'ended', 'yearn': 'yearn', 'color-unresolve': 'color-unresolve', 'definition-specialize': 'definition-specialize', 'disconnect': 'disconnect', 'acknowledge': 'acknowledge', 'color-manoeuvred': 'color-manoeuvred', 'color-rise': 'color-rise', 'listing': 'listing', 'renaming': 'renaming', 'color-wandering': 'color-wandering', 'definition-wise': 'definition-wise', 'reference-set': 'reference-set', 'symbol-killing': 'symbol-killing', 'color-rename': 'color-rename', 'sorted': 'sorted', 'color-initialize': 'color-initialize', 'killed': 'killed', 'cluster-finalized': 'cluster-finalized', 'inheriting': 'inheriting', 'color-sent': 'color-sent', 'definition-proxy': 'definition-proxy', 'color-send': 'color-send', 'definition-create': 'definition-create', 'symbol-polling': 'symbol-polling', 'entering': 'entering', 'definition-queue': 'definition-queue', 'tuned': 'tuned', 'shown': 'shown', 'color-enter': 'color-enter', 'opened': 'opened', 'reference-renamed': 'reference-renamed', 'rounding': 'rounding', 'reference-methodized': 'reference-methodized', 'color-walk': 'color-walk', 'receiving': 'receiving', 'color-spawned': 'color-spawned', 'symbol-inheriting': 'symbol-inheriting', 'color-venturing': 'color-venturing', 'dispatched': 'dispatched', 'reference-globalized': 'reference-globalized', 'color-pickling': 'color-pickling', 'reference-defined': 'reference-defined', 'symbol-taking-into-account': 'symbol-taking-into-account', 'color-contextualized': 'color-contextualized', 'definition-take-off': 'definition-take-off', 'programming': 'programming', 'cluster-hit': 'cluster-hit', 'color-linking': 'color-linking', 'waited': 'waited', 'color-delete': 'color-delete', 'definition-open': 'definition-open', 'color-ignore': 'color-ignore', 'cluster-clustered': 'cluster-clustered', 'vote': 'vote', 'definition-protect': 'definition-protect', 'open': 'open', 'zap': 'zap', 'checked': 'checked', 'slept': 'slept', 'color-deliver': 'color-deliver', 'indicate': 'indicate', 'typing': 'typing', 'color-sorted': 'color-sorted', 'symbol-selecting': 'symbol-selecting', 'cluster-ignored': 'cluster-ignored', 'cluster-weight': 'cluster-weight', 'color-quitting': 'color-quitting', 'color-tuning': 'color-tuning', 'released': 'released', 'reference-polled': 'reference-polled', 'reference-weaved': 'reference-weaved', 'reference-passed': 'reference-passed', 'analyze': 'analyze', 'cluster-initialized': 'cluster-initialized', 'definition-select': 'definition-select', 'color-verbalized': 'color-verbalized', 'protected': 'protected', 'venture': 'venture', 'wandering': 'wandering', 'symbol-rising': 'symbol-rising', 'color-removed': 'color-removed', 'acknowledged': 'acknowledged', 'cluster-embedded': 'cluster-embedded', 'color-removing': 'color-removing', 'color-wanting': 'color-wanting', 'definition-register': 'definition-register', 'cluster-operated': 'cluster-operated', 'cluster-xrayed': 'cluster-xrayed', 'color-defined': 'color-defined', 'reference-discarded': 'reference-discarded', 'upgrading': 'upgrading', 'definition-append': 'definition-append', 'definition-warn': 'definition-warn', 'note': 'note', 'definition-warp': 'definition-warp', 'color-join': 'color-join', 'definition-skip': 'definition-skip', 'reference-examined': 'reference-examined', 'wanting': 'wanting', 'color-acting': 'color-acting', 'symbol-initializing': 'symbol-initializing', 'pickling': 'pickling', 'proxied': 'proxied', 'printed': 'printed', 'synopsizing': 'synopsizing', 'color-written': 'color-written', 'cleared': 'cleared', 'symbol-profiling': 'symbol-profiling', 'color-done': 'color-done', 'color-methodized': 'color-methodized', 'color-pickle': 'color-pickle', 'reference-checked': 'reference-checked', 'color-told': 'color-told', 'color-tried': 'color-tried', 'symbol-getting': 'symbol-getting', 'walking': 'walking', 'cluster-called': 'cluster-called', 'show': 'show', 'symbol-passing': 'symbol-passing', 'discovered': 'discovered', 'color-trying': 'color-trying', 'rounded': 'rounded', 'color-waited': 'color-waited', 'color-calculating': 'color-calculating', 'reference-manoeuvred': 'reference-manoeuvred', 'reference-specialized': 'reference-specialized', 'upgrade': 'upgrade', 'color-waive': 'color-waive', 'color-reason': 'color-reason', 'manoeuvre': 'manoeuvre', 'cluster-flushed': 'cluster-flushed', 'reference-closed': 'reference-closed', 'color-rotate': 'color-rotate', 'closed': 'closed', 'color-viewed': 'color-viewed', 'get': 'get', 'color-dump': 'color-dump', 'color-get': 'color-get', 'cluster-wrapped': 'cluster-wrapped', 'cluster-looped': 'cluster-looped', 'symbol-trying': 'symbol-trying', 'symbol-watching': 'symbol-watching', 'yield': 'yield', 'symbol-wising': 'symbol-wising', 'ignored': 'ignored', 'color-wait': 'color-wait', 'color-launch': 'color-launch', 'color-commanding': 'color-commanding', 'definition-abstract': 'definition-abstract', 'reference-wired': 'reference-wired', 'wonder': 'wonder', 'definition-clear': 'definition-clear', 'registering': 'registering', 'symbol-skipping': 'symbol-skipping', 'activating': 'activating', 'color-globalizing': 'color-globalizing', 'color-walked': 'color-walked', 'import': 'import', 'color-expose': 'color-expose', 'color-discovering': 'color-discovering', 'killing': 'killing', 'analyzed': 'analyzed', 'symbol-exposing': 'symbol-exposing', 'cluster-set': 'cluster-set', 'acquiring': 'acquiring', 'color-idling': 'color-idling', 'color-zipped': 'color-zipped', 'color-tag': 'color-tag', 'embedding': 'embedding', 'color-unresolving': 'color-unresolving', 'dispatch': 'dispatch', 'color-flying': 'color-flying', 'color-taking-into-account': 'color-taking-into-account', 'poll': 'poll', 'specializing': 'specializing', 'color-idle': 'color-idle', 'reference-ended': 'reference-ended', 'tuning': 'tuning', 'symbol-venturing': 'symbol-venturing', 'informed': 'informed', 'symbol-writing': 'symbol-writing', 'defined': 'defined', 'cluster-waved': 'cluster-waved', 'color-scoped': 'color-scoped', 'symbol-noting': 'symbol-noting', 'definition-unresolve': 'definition-unresolve', 'wake': 'wake', 'symbol-sleeping': 'symbol-sleeping', 'disconnected': 'disconnected', 'color-acquire': 'color-acquire', 'warning': 'warning', 'profiled': 'profiled', 'color-examine': 'color-examine', 'reference-interfaced': 'reference-interfaced', 'reference-waved': 'reference-waved', 'reference-removed': 'reference-removed', 'sleeping': 'sleeping', 'parse': 'parse', 'cluster': 'cluster', 'color-wired': 'color-wired', 'commanded': 'commanded', 'cluster-released': 'cluster-released', 'verified': 'verified', 'symbol-informing': 'symbol-informing', 'color-inherit': 'color-inherit', 'wiring': 'wiring', 'color-import': 'color-import', 'definition-view': 'definition-view', 'cluster-opened': 'cluster-opened', 'cluster-recorded': 'cluster-recorded', 'color-print': 'color-print', 'stepped': 'stepped', 'color-verge': 'color-verge', 'symbol-hunting': 'symbol-hunting', 'running': 'running', 'wired': 'wired', 'color-record': 'color-record', 'color-returned': 'color-returned', 'weave': 'weave', 'color-creating': 'color-creating', 'color-add': 'color-add', 'definition-zero': 'definition-zero', 'color-tuned': 'color-tuned', 'definition-sort': 'definition-sort', 'symbol-landing': 'symbol-landing', 'color-receiving': 'color-receiving', 'definition-end': 'definition-end', 'kill': 'kill', 'symbol-wondering': 'symbol-wondering', 'color-abbreviate': 'color-abbreviate', 'rose': 'rose', 'symbol-wrapping': 'symbol-wrapping', 'color-analyzing': 'color-analyzing', 'cluster-inherited': 'cluster-inherited', 'color-wander': 'color-wander', 'color-appended': 'color-appended', 'cluster-accepted': 'cluster-accepted', 'color-zapping': 'color-zapping', 'symbol-closing': 'symbol-closing', 'reference-acquired': 'reference-acquired', 'using': 'using', 'reference-concluded': 'reference-concluded', 'accepted': 'accepted', 'color-verbalizing': 'color-verbalizing', 'cluster-_pertained': 'cluster-_pertained', 'color-woke': 'color-woke', 'reference-stepped': 'reference-stepped', 'symbol-manoeuvring': 'symbol-manoeuvring', 'discarded': 'discarded', 'definition-receive': 'definition-receive', 'definition-wash': 'definition-wash', 'waiving': 'waiving', 'served': 'served', 'color-state': 'color-state', 'reference-wondered': 'reference-wondered', 'color-entered': 'color-entered', 'reference-acted': 'reference-acted', 'reference-analyzed': 'reference-analyzed', 'exposed': 'exposed', 'pickled': 'pickled', 'cluster-parsed': 'cluster-parsed', 'color-winged': 'color-winged', 'definition-break': 'definition-break', 'color-function': 'color-function', 'color-verified': 'color-verified', 'symbol-reasoning': 'symbol-reasoning', 'cluster-tried': 'cluster-tried', 'color-show': 'color-show', 'calculating': 'calculating', 'symbol-acing': 'symbol-acing', 'recorded': 'recorded', 'reference-noted': 'reference-noted', 'quitting': 'quitting', 'refer': 'refer', 'measuring': 'measuring', 'definition-put': 'definition-put', 'definition-program': 'definition-program', 'color-finalized': 'color-finalized', 'color-class': 'color-class', 'reference-ventured': 'reference-ventured', 'definition-send': 'definition-send', 'borning': 'borning', 'ace': 'ace', 'definition-initialize': 'definition-initialize', 'color-comment': 'color-comment', 'reference-inherited': 'reference-inherited', 'informing': 'informing', 'act': 'act', 'freeing': 'freeing', 'interfacing': 'interfacing', 'definition-connect': 'definition-connect', 'reference-tried': 'reference-tried', 'rising': 'rising', 'color-accepting': 'color-accepting', 'cluster-killed': 'cluster-killed', 'color-discarding': 'color-discarding', 'definition-check': 'definition-check', 'removing': 'removing', 'start': 'start', 'color-rising': 'color-rising', 'color-functioned': 'color-functioned', 'yearned': 'yearned', 'color-hunted': 'color-hunted', 'color-opening': 'color-opening', 'reference-webbed': 'reference-webbed', 'symbol-asserting': 'symbol-asserting', 'cluster-varied': 'cluster-varied', 'color-zeroed': 'color-zeroed', 'cluster-launched': 'cluster-launched', 'trying': 'trying', 'color-discard': 'color-discard', 'embedded': 'embedded', 'color-skipped': 'color-skipped', 'reference-shared': 'reference-shared', 'color-testing': 'color-testing', 'netting': 'netting', 'embed': 'embed', 'definition-test': 'definition-test', 'color-acquiring': 'color-acquiring', 'color-waived': 'color-waived', 'definition-standardize': 'definition-standardize', 'aced': 'aced', 'color-manoeuvring': 'color-manoeuvring', 'examine': 'examine', 'importing': 'importing', 'cluster-wired': 'cluster-wired', 'color-wiring': 'color-wiring', 'taking-into-account': 'taking-into-account', 'color-interfaced': 'color-interfaced', 'terminating': 'terminating', 'standardize': 'standardize', 'waving': 'waving', 'color-using': 'color-using', 'building': 'building', 'color-acted': 'color-acted', 'waived': 'waived', 'definition-flush': 'definition-flush', 'reference-raised': 'reference-raised', 'color-embed': 'color-embed', 'reference-delivered': 'reference-delivered', 'starting': 'starting', 'reference-accepted': 'reference-accepted', 'looped': 'looped', 'definition-terminate': 'definition-terminate', 'cluster-ventured': 'cluster-ventured', 'color-zeroing': 'color-zeroing', 'globalize': 'globalize', 'reasoning': 'reasoning', 'referring': 'referring', 'hunting': 'hunting', 'acting': 'acting', 'program': 'program', 'color-want': 'color-want', 'reference-took-off': 'reference-took-off', 'reference-received': 'reference-received', 'returned': 'returned', 'returning': 'returning', 'zapping': 'zapping', 'decide': 'decide', 'washing': 'washing', 'color-take-into-account': 'color-take-into-account', 'list': 'list', 'joined': 'joined', 'color-sense': 'color-sense', 'color-comparing': 'color-comparing', 'abbreviated': 'abbreviated', 'abstracted': 'abstracted', 'color-yearned': 'color-yearned', 'zero': 'zero', 'unioning': 'unioning', 'pass': 'pass', 'functioning': 'functioning', 'color-synopsizing': 'color-synopsizing', 'imported': 'imported', 'reference-waited': 'reference-waited', 'definition-waive': 'definition-waive', 'cluster-ended': 'cluster-ended', 'verbalize': 'verbalize', 'cluster-run': 'cluster-run', 'color-operate': 'color-operate', 'color-abbreviating': 'color-abbreviating', 'reference-zoned': 'reference-zoned', 'definition-compare': 'definition-compare', 'operating': 'operating', 'concluding': 'concluding', 'definition-rise': 'definition-rise', 'definition-decide': 'definition-decide', 'color-acknowledging': 'color-acknowledging', 'color-decided': 'color-decided', 'specialize': 'specialize', 'reference-killed': 'reference-killed', 'color-stepping': 'color-stepping', 'put': 'put', 'analyzing': 'analyzing', 'reference-yielded': 'reference-yielded', 'cluster-freed': 'cluster-freed', 'symbol-synopsizing': 'symbol-synopsizing', 'spawned': 'spawned', 'select': 'select', 'comparing': 'comparing', 'symbol-commenting': 'symbol-commenting', 'symbol-proxying': 'symbol-proxying', 'flawn': 'flawn', 'symbol-clustering': 'symbol-clustering', 'symbol-waiving': 'symbol-waiving', 'tested': 'tested', 'landed': 'landed', 'reference-looped': 'reference-looped', 'broke': 'broke', 'varying': 'varying', 'color-xray': 'color-xray', 'reference-rose': 'reference-rose', 'take-off': 'take-off', 'color-discover': 'color-discover', 'specialized': 'specialized', 'definition-note': 'definition-note', 'compare': 'compare', 'stated': 'stated', 'color-acing': 'color-acing', 'share': 'share', 'accept': 'accept', 'color-listing': 'color-listing', 'color-rounding': 'color-rounding', 'symbol-calculating': 'symbol-calculating', 'sense': 'sense', 'wising': 'wising', 'reference-unresolved': 'reference-unresolved', 'breaking': 'breaking', 'color-union': 'color-union', 'color-terminating': 'color-terminating', 'reference-created': 'reference-created', 'reference-calculated': 'reference-calculated', 'dragonizing': 'dragonizing', 'color-raising': 'color-raising', 'cluster-sensed': 'cluster-sensed', 'acknowledging': 'acknowledging', 'color-registered': 'color-registered', 'definition-land': 'definition-land', 'tried': 'tried', 'symbol-sending': 'symbol-sending', 'cluster-concluded': 'cluster-concluded', 'cluster-winded': 'cluster-winded', 'resetting': 'resetting', 'cluster-shared': 'cluster-shared', 'register': 'register', 'reference-entered': 'reference-entered', 'symbol-registering': 'symbol-registering', 'reference-recorded': 'reference-recorded', 'symbol-wanting': 'symbol-wanting', 'color-looping': 'color-looping', 'wandered': 'wandered', 'color-activated': 'color-activated', 'color-netted': 'color-netted', 'finalized': 'finalized', 'winged': 'winged', 'reference-wised': 'reference-wised', 'reference-dispatched': 'reference-dispatched', 'color-calling': 'color-calling', 'symbol-hatching': 'symbol-hatching', 'contextualizing': 'contextualizing', 'color-rounded': 'color-rounded', 'symbol-concluding': 'symbol-concluding', 'color-close': 'color-close', 'initializing': 'initializing', 'color-wonder': 'color-wonder', 'color-functioning': 'color-functioning', 'definition-build': 'definition-build', 'skipped': 'skipped', 'return': 'return', 'definition-synopsize': 'definition-synopsize', 'reference-discovered': 'reference-discovered', 'color-visiting': 'color-visiting', 'color-abstracted': 'color-abstracted', 'hunted': 'hunted', 'color-returning': 'color-returning', 'wash': 'wash', 'cluster-referred': 'cluster-referred', 'color-released': 'color-released', 'reference-selected': 'reference-selected', 'mastered': 'mastered', 'reference-washed': 'reference-washed', 'referred': 'referred', 'contextualize': 'contextualize', 'color-dispatching': 'color-dispatching', 'weight': 'weight', 'dragonize': 'dragonize', 'color-serving': 'color-serving', 'color-kill': 'color-kill', 'connect': 'connect', 'color-measured': 'color-measured', 'cluster-hunted': 'cluster-hunted', 'wondered': 'wondered', 'color-slept': 'color-slept', 'color-indicate': 'color-indicate', 'symbol-acknowledging': 'symbol-acknowledging', 'definition-inform': 'definition-inform', 'color-created': 'color-created', 'print': 'print', 'color-noting': 'color-noting', 'risen': 'risen', 'xrayed': 'xrayed', 'symbol-mastering': 'symbol-mastering', 'symbol-hitting': 'symbol-hitting', 'reason': 'reason', 'proxy': 'proxy', 'cluster-written': 'cluster-written', 'color-link': 'color-link', 'color-zero': 'color-zero', 'cluster-winged': 'cluster-winged', 'definition-operate': 'definition-operate', 'unresolved': 'unresolved', 'unresolve': 'unresolve', 'launch': 'launch', 'definition-tune': 'definition-tune', 'definition-examine': 'definition-examine', 'definition-zap': 'definition-zap', 'reference-told': 'reference-told', 'reference-took-into-account': 'reference-took-into-account', 'definition-define': 'definition-define', 'color-sleeping': 'color-sleeping', 'color-wave': 'color-wave', 'netted': 'netted', 'linking': 'linking', 'done': 'done', 'reference-put': 'reference-put', 'scoping': 'scoping', 'symbol-stepping': 'symbol-stepping', 'color-warping': 'color-warping', 'reference-called': 'reference-called', 'symbol-testing': 'symbol-testing', 'reference-wrote': 'reference-wrote', 'passed': 'passed', 'definition-wait': 'definition-wait', 'scheme': 'scheme', 'color-finalizing': 'color-finalizing', 'color-wising': 'color-wising', 'symbol-weighing': 'symbol-weighing', 'color-step': 'color-step', 'definition-wrap': 'definition-wrap', 'color-call': 'color-call', 'cluster-mastered': 'cluster-mastered', 'recording': 'recording', 'reference-compared': 'reference-compared', 'deciding': 'deciding', 'idled': 'idled', 'reference-tested': 'reference-tested', 'classing': 'classing', 'color-winding': 'color-winding', 'definition-zone': 'definition-zone', 'color-unresolved': 'color-unresolved', 'cluster-profiled': 'cluster-profiled', 'built': 'built', 'symbol-quitting': 'symbol-quitting', 'color-broken': 'color-broken', 'reference-dragonized': 'reference-dragonized', 'build': 'build', 'cluster-terminated': 'cluster-terminated', 'added': 'added', 'symbol-launching': 'symbol-launching', 'accepting': 'accepting', 'measured': 'measured', 'color-indicating': 'color-indicating', 'cluster-dispatched': 'cluster-dispatched', 'cluster-passed': 'cluster-passed', 'color-sensing': 'color-sensing', 'clear': 'clear', 'color-note': 'color-note', 'symbol-upgrading': 'symbol-upgrading', 'weigh': 'weigh', 'color-skip': 'color-skip', 'color-initializing': 'color-initializing', 'color-refer': 'color-refer', 'symbol-discarding': 'symbol-discarding', 'color-connecting': 'color-connecting', 'color-protected': 'color-protected', 'reference-standardized': 'reference-standardized', 'definition-idle': 'definition-idle', 'symbol-deleting': 'symbol-deleting', 'color-inheriting': 'color-inheriting', 'symbol-freeing': 'symbol-freeing', 'reference-schemed': 'reference-schemed', 'hit': 'hit', 'color-commanded': 'color-commanded', 'color-decide': 'color-decide', 'classed': 'classed', 'color-stepped': 'color-stepped', 'color-ventured': 'color-ventured', 'verbalizing': 'verbalizing', 'reference-finalized': 'reference-finalized', 'weaved': 'weaved', 'remove': 'remove', 'symbol-waving': 'symbol-waving', 'color-analyzed': 'color-analyzed', 'reference-imported': 'reference-imported', 'reference-voted': 'reference-voted', 'set': 'set', 'dump': 'dump', 'color-acknowledge': 'color-acknowledge', 'contextualized': 'contextualized', 'color-viewing': 'color-viewing', 'definition-indicate': 'definition-indicate', 'close': 'close', 'cluster-dragonized': 'cluster-dragonized', 'visiting': 'visiting', 'reference-processed': 'reference-processed', 'definition-wave': 'definition-wave', 'cluster-abbreviated': 'cluster-abbreviated', 'unresolving': 'unresolving', 'color-washed': 'color-washed', 'profiling': 'profiling', 'creating': 'creating', 'definition-acknowledge': 'definition-acknowledge', 'zipped': 'zipped', 'definition-spawn': 'definition-spawn', 'interface': 'interface', 'color-hatching': 'color-hatching', 'interfaced': 'interfaced', 'color-asserting': 'color-asserting', 'color-referring': 'color-referring', 'color-did': 'color-did', 'cluster-deleted': 'cluster-deleted', 'upgraded': 'upgraded', 'color-append': 'color-append', 'color-return': 'color-return', 'color-zoning': 'color-zoning', 'acted': 'acted', 'reference-flushed': 'reference-flushed', 'color-specialize': 'color-specialize', 'asserted': 'asserted', 'color-deciding': 'color-deciding', 'weaving': 'weaving', 'raise': 'raise', 'create': 'create', 'color-taken-off': 'color-taken-off', 'hitting': 'hitting', 'definition-verify': 'definition-verify', 'definition-join': 'definition-join', 'color-defining': 'color-defining', 'woke': 'woke', 'reference-synopsized': 'reference-synopsized', 'symbol-globalizing': 'symbol-globalizing', 'reference-initialized': 'reference-initialized', 'definition-conclude': 'definition-conclude', 'color-webbing': 'color-webbing', 'reference-exposed': 'reference-exposed', 'color-dumped': 'color-dumped', 'definition-master': 'definition-master', 'color-voting': 'color-voting', 'color-winging': 'color-winging', 'color-recording': 'color-recording', 'symbol-serving': 'symbol-serving', 'symbol-connecting': 'symbol-connecting', 'color-run': 'color-run', 'definition-vote': 'definition-vote', 'cluster-abstracted': 'cluster-abstracted', 'loop': 'loop', 'color-selecting': 'color-selecting', 'color-exposed': 'color-exposed', 'reference-used': 'reference-used', 'cluster-synopsized': 'cluster-synopsized', 'reference-hunted': 'reference-hunted', 'cluster-aced': 'cluster-aced', 'symbol-running': 'symbol-running', 'queue': 'queue', 'color-embedded': 'color-embedded', 'cluster-put': 'cluster-put', 'reference-waived': 'reference-waived', 'color-type': 'color-type', 'used': 'used', 'cluster-delivered': 'cluster-delivered', 'definition-discard': 'definition-discard', 'viewing': 'viewing', 'symbol-using': 'symbol-using', 'color-added': 'color-added', 'color-opened': 'color-opened', 'definition-take-into-account': 'definition-take-into-account', 'color-looped': 'color-looped', 'reference-winged': 'reference-winged', 'symbol-walking': 'symbol-walking', 'idling': 'idling', 'color-wire': 'color-wire', 'color-got': 'color-got', 'definition-vary': 'definition-vary', 'cluster-queued': 'cluster-queued', 'stating': 'stating', 'symbol-calling': 'symbol-calling', 'color-waved': 'color-waved', 'polled': 'polled', 'color-operating': 'color-operating', 'color-inherited': 'color-inherited', 'symbol-unioning': 'symbol-unioning', 'definition-pickle': 'definition-pickle', 'color-serve': 'color-serve', 'color-proxy': 'color-proxy', 'cluster-protected': 'cluster-protected', 'wised': 'wised', 'reference-operated': 'reference-operated', 'finalize': 'finalize', 'definition-_pertain': 'definition-_pertain', 'color-taken-into-account': 'color-taken-into-account', 'showing': 'showing', 'hatch': 'hatch', 'cluster-warped': 'cluster-warped', 'color-netting': 'color-netting', 'symbol-netting': 'symbol-netting', 'reference-rotated': 'reference-rotated', 'sorting': 'sorting', 'ignore': 'ignore', 'color-watched': 'color-watched', 'symbol-referring': 'symbol-referring', 'color-selected': 'color-selected', 'reference-landed': 'reference-landed', 'color-ending': 'color-ending', 'symbol-setting': 'symbol-setting', 'cluster-activated': 'cluster-activated', 'color-stating': 'color-stating', 'reference-tuned': 'reference-tuned', 'symbol-scheming': 'symbol-scheming', 'color-yielding': 'color-yielding', 'color-waving': 'color-waving', 'connecting': 'connecting', 'color-command': 'color-command', 'run': 'run', 'processing': 'processing', 'cluster-got': 'cluster-got', 'step': 'step', 'cluster-linked': 'cluster-linked', 'color-measuring': 'color-measuring', 'asserting': 'asserting', 'symbol-sorting': 'symbol-sorting', 'color-contextualizing': 'color-contextualizing', 'cluster-selected': 'cluster-selected', 'hatched': 'hatched', 'cluster-indicated': 'cluster-indicated', 'flying': 'flying', 'visit': 'visit', 'color-accepted': 'color-accepted', 'color-noted': 'color-noted', 'symbol-adding': 'symbol-adding', 'clustering': 'clustering', 'cluster-voted': 'cluster-voted', 'color-imported': 'color-imported', 'color-putting': 'color-putting', 'color-gotten': 'color-gotten', 'cluster-used': 'cluster-used', 'cluster-viewed': 'cluster-viewed', 'color-parsed': 'color-parsed', 'color-broke': 'color-broke', 'spawning': 'spawning', 'cluster-wondered': 'cluster-wondered', 'color-zip': 'color-zip', 'registered': 'registered', 'cluster-classed': 'cluster-classed', 'reference-wanted': 'reference-wanted', 'color-deleting': 'color-deleting', 'reference-rounded': 'reference-rounded', 'link': 'link', 'symbol-wiring': 'symbol-wiring', 'raising': 'raising', 'definition-run': 'definition-run', 'color-sort': 'color-sort', 'color-cluster': 'color-cluster', 'color-classed': 'color-classed', 'color-dumping': 'color-dumping', 'symbol-putting': 'symbol-putting', 'symbol-examining': 'symbol-examining', 'color-dragonize': 'color-dragonize', 'called': 'called', 'color-conclude': 'color-conclude', 'cluster-pickled': 'cluster-pickled', 'color-interfacing': 'color-interfacing', 'color-aced': 'color-aced', 'definition-activate': 'definition-activate', 'color-listed': 'color-listed', 'parsed': 'parsed', 'cluster-received': 'cluster-received', 'color-wise': 'color-wise', 'definition-wake': 'definition-wake', 'color-yearn': 'color-yearn', 'color-flush': 'color-flush', 'color-weighing': 'color-weighing', 'definition-set': 'definition-set', 'cluster-processed': 'cluster-processed', 'color-specialized': 'color-specialized', 'cluster-idled': 'cluster-idled', 'color-setting': 'color-setting', 'symbol-abbreviating': 'symbol-abbreviating', 'color-methodize': 'color-methodize', 'definition-use': 'definition-use', 'definition-wonder': 'definition-wonder', 'cluster-analyzed': 'cluster-analyzed', 'webbing': 'webbing', 'symbol-viewing': 'symbol-viewing', 'color-webbed': 'color-webbed', 'color-polling': 'color-polling', 'land': 'land', 'reasoned': 'reasoned', 'cluster-taken-off': 'cluster-taken-off', 'walked': 'walked', 'symbol-acquiring': 'symbol-acquiring', 'joining': 'joining', 'color-mastered': 'color-mastered', 'symbol-verbalizing': 'symbol-verbalizing', 'cluster-stepped': 'cluster-stepped', 'cluster-zipped': 'cluster-zipped', 'color-unioning': 'color-unioning', 'cluster-verged': 'cluster-verged', 'send': 'send', 'definition-return': 'definition-return', 'definition-print': 'definition-print', 'color-acknowledged': 'color-acknowledged', 'color-rose': 'color-rose', 'color-warning': 'color-warning', 'reference-embedded': 'reference-embedded', 'reference-reasoned': 'reference-reasoned', 'indicating': 'indicating', 'reference-verbalized': 'reference-verbalized', 'definition-yield': 'definition-yield', 'cluster-acknowledged': 'cluster-acknowledged', 'wave': 'wave', 'symbol-delivering': 'symbol-delivering', 'putting': 'putting', 'telling': 'telling', 'symbol-zeroing': 'symbol-zeroing', 'definition-methodize': 'definition-methodize', 'symbol-functioning': 'symbol-functioning', 'color-clearing': 'color-clearing', 'try': 'try', 'polling': 'polling', 'freed': 'freed', 'deleting': 'deleting', 'noted': 'noted', 'concluded': 'concluded', 'cluster-served': 'cluster-served', 'color-discovered': 'color-discovered', 'symbol-zoning': 'symbol-zoning', 'definition-raise': 'definition-raise', 'waking': 'waking', 'symbol-joining': 'symbol-joining', 'reference-registered': 'reference-registered', 'cluster-rotated': 'cluster-rotated', 'acing': 'acing', 'append': 'append', 'color-act': 'color-act', 'waiting': 'waiting', 'color-varying': 'color-varying', 'definition-deliver': 'definition-deliver', 'color-ace': 'color-ace', 'definition-list': 'definition-list', 'reference-asserted': 'reference-asserted', 'cluster-unresolved': 'cluster-unresolved', 'reference-decided': 'reference-decided', 'delivering': 'delivering', 'color-parse': 'color-parse', 'color-yield': 'color-yield', 'symbol-activating': 'symbol-activating', 'abbreviating': 'abbreviating', 'definition-launch': 'definition-launch', 'broken': 'broken', 'receive': 'receive', 'color-break': 'color-break', 'examining': 'examining', 'color-tagging': 'color-tagging', 'cluster-examined': 'cluster-examined', 'color-freeing': 'color-freeing', 'definition-bear': 'definition-bear', 'cluster-visited': 'cluster-visited', 'cluster-warned': 'cluster-warned', 'cluster-acquired': 'cluster-acquired', 'definition-scope': 'definition-scope', 'use': 'use', 'zip': 'zip', 'cluster-informed': 'cluster-informed', 'color-polled': 'color-polled', 'color-asserted': 'color-asserted', 'sort': 'sort', 'definition-do': 'definition-do', 'reference-weighed': 'reference-weighed', 'started': 'started', 'color-interface': 'color-interface', 'color-net': 'color-net', 'color-proxied': 'color-proxied', 'color-initialized': 'color-initialized', 'cluster-flawn': 'cluster-flawn', 'color-running': 'color-running', 'tag': 'tag', 'symbol-waking': 'symbol-waking', 'closing': 'closing', 'color-entering': 'color-entering', 'proxying': 'proxying', 'color-varied': 'color-varied', 'process': 'process', 'symbol-ending': 'symbol-ending', 'color-printing': 'color-printing', 'varied': 'varied', 'symbol-defining': 'symbol-defining', 'symbol-breaking': 'symbol-breaking', 'dragonized': 'dragonized', 'color-joining': 'color-joining', 'definition-interface': 'definition-interface', 'color-hunt': 'color-hunt', 'profile': 'profile', 'yielded': 'yielded', 'definition-get': 'definition-get', 'cluster-decided': 'cluster-decided', 'zapped': 'zapped', 'color-born': 'color-born', 'cluster-verified': 'cluster-verified', 'color-zapped': 'color-zapped', 'definition-loop': 'definition-loop', 'definition-dump': 'definition-dump', 'cluster-waited': 'cluster-waited', 'looping': 'looping', 'color-unioned': 'color-unioned', 'color-xrayed': 'color-xrayed', 'cluster-discovered': 'cluster-discovered', 'definition-link': 'definition-link', 'color-telling': 'color-telling', 'color-discarded': 'color-discarded', 'color-freed': 'color-freed', 'flew': 'flew', 'color-wanted': 'color-wanted', 'color-processed': 'color-processed', 'color-printed': 'color-printed', 'symbol-yearning': 'symbol-yearning', 'verifying': 'verifying', 'cluster-tagged': 'cluster-tagged', 'color-activate': 'color-activate', 'color-received': 'color-received', 'finalizing': 'finalizing', 'activate': 'activate', 'cluster-webbed': 'cluster-webbed', 'doing': 'doing', 'programmed': 'programmed', 'definition-write': 'definition-write', 'measure': 'measure', 'color-pickled': 'color-pickled', 'standardizing': 'standardizing', 'reference-launched': 'reference-launched', 'color-analyze': 'color-analyze', 'color-adding': 'color-adding', 'color-synopsize': 'color-synopsize', 'reference-started': 'reference-started', 'flushing': 'flushing', 'color-borned': 'color-borned', 'reference-joined': 'reference-joined', 'cluster-wandered': 'cluster-wandered', 'symbol-xraying': 'symbol-xraying', 'color-_pertain': 'color-_pertain', 'color-wrapped': 'color-wrapped', 'symbol-discovering': 'symbol-discovering', 'cluster-cleared': 'cluster-cleared', 'color-proxying': 'color-proxying', 'initialize': 'initialize', '_pertain': '_pertain', 'definition-free': 'definition-free', 'reference-wrapped': 'reference-wrapped', 'color-visited': 'color-visited', 'wrote': 'wrote', 'reference-verified': 'reference-verified', 'cluster-shown': 'cluster-shown', 'reference-proxied': 'reference-proxied', 'color-rotating': 'color-rotating', 'color-zap': 'color-zap', 'symbol-comparing': 'symbol-comparing', 'color-borning': 'color-borning', 'color-commenting': 'color-commenting', 'color-scheme': 'color-scheme', 'color-take-off': 'color-take-off', 'color-upgraded': 'color-upgraded', 'color-ignoring': 'color-ignoring', 'wrapped': 'wrapped', 'color-warned': 'color-warned', 'definition-process': 'definition-process', 'cluster-weaved': 'cluster-weaved', 'definition-add': 'definition-add', 'reference-functioned': 'reference-functioned', 'acquire': 'acquire', 'definition-venture': 'definition-venture', 'color-verifying': 'color-verifying', 'color-renaming': 'color-renaming', 'color-registering': 'color-registering', 'symbol-accepting': 'symbol-accepting', 'visited': 'visited', 'symbol-interfacing': 'symbol-interfacing', 'color-landing': 'color-landing', 'color-informed': 'color-informed', 'reference-zeroed': 'reference-zeroed', 'color-informing': 'color-informing', 'color-calculated': 'color-calculated', 'linked': 'linked', 'viewed': 'viewed', 'cluster-registered': 'cluster-registered', 'venturing': 'venturing', 'inform': 'inform', 'color-protect': 'color-protect', 'color-poll': 'color-poll', 'took-into-account': 'took-into-account', 'cluster-performed': 'cluster-performed', 'definition-command': 'definition-command', 'color-synopsized': 'color-synopsized', 'reference-programmed': 'reference-programmed', 'connected': 'connected', 'class': 'class', 'symbol-disconnecting': 'symbol-disconnecting', 'reference-stated': 'reference-stated', 'definition-pass': 'definition-pass', 'color-open': 'color-open', 'definition-ignore': 'definition-ignore', 'symbol-_pertaining': 'symbol-_pertaining', 'reference-run': 'reference-run', 'sent': 'sent', 'terminate': 'terminate', 'color-warp': 'color-warp', 'rotating': 'rotating', 'cluster-netted': 'cluster-netted', 'reference-visited': 'reference-visited', 'cluster-born': 'cluster-born', 'reference-commented': 'reference-commented', 'definition-net': 'definition-net', 'reference-classed': 'reference-classed', 'inherited': 'inherited', 'color-sending': 'color-sending', 'symbol-starting': 'symbol-starting', 'color-upgrade': 'color-upgrade', 'color-do': 'color-do', 'symbol-linking': 'symbol-linking', 'bear': 'bear', 'symbol-sharing': 'symbol-sharing', 'reference-abbreviated': 'reference-abbreviated', 'calling': 'calling', 'color-connected': 'color-connected', 'cluster-standardized': 'cluster-standardized', 'xraying': 'xraying', 'processed': 'processed', 'cluster-slept': 'cluster-slept', 'view': 'view', 'cluster-tuned': 'cluster-tuned', 'cluster-reset': 'cluster-reset', 'acquired': 'acquired', 'color-showing': 'color-showing', 'yearning': 'yearning', 'operated': 'operated', 'symbol-appending': 'symbol-appending', 'color-land': 'color-land', 'cluster-yielded': 'cluster-yielded', 'wire': 'wire', 'clearing': 'clearing', 'xray': 'xray', 'state': 'state', 'definition-enter': 'definition-enter', 'weighing': 'weighing', 'opening': 'opening', 'reference-viewed': 'reference-viewed', 'reference-linked': 'reference-linked', 'deliver': 'deliver', 'color-recorded': 'color-recorded', 'commenting': 'commenting', 'definition-globalize': 'definition-globalize', 'definition-upgrade': 'definition-upgrade', 'definition-visit': 'definition-visit', 'reference-appended': 'reference-appended', 'reference-freed': 'reference-freed', 'methodized': 'methodized', 'passing': 'passing', 'definition-step': 'definition-step', 'quitted': 'quitted', 'comment': 'comment', 'conclude': 'conclude', 'walk': 'walk', 'waved': 'waved', 'color-profiled': 'color-profiled', 'symbol-stating': 'symbol-stating', 'color-profile': 'color-profile', 'quit': 'quit', 'cluster-noted': 'cluster-noted', 'cluster-started': 'cluster-started', 'cluster-reasoned': 'cluster-reasoned', 'color-taking-off': 'color-taking-off', 'define': 'define', 'symbol-receiving': 'symbol-receiving', 'color-globalize': 'color-globalize', 'releasing': 'releasing', 'assert': 'assert', 'color-_pertaining': 'color-_pertaining', 'sensed': 'sensed', 'definition-sense': 'definition-sense', 'cluster-renamed': 'cluster-renamed', 'definition-function': 'definition-function', 'defining': 'defining', 'reference-wandered': 'reference-wandered', 'color-quitted': 'color-quitted', 'queuing': 'queuing', 'cluster-joined': 'cluster-joined', 'reference-got': 'reference-got', 'reference-borned': 'reference-borned', 'rename': 'rename', 'definition-release': 'definition-release', 'globalizing': 'globalizing', 'color-processing': 'color-processing', 'cluster-connected': 'cluster-connected', 'reference-hit': 'reference-hit', 'color-select': 'color-select', 'weighed': 'weighed', 'color-tested': 'color-tested', 'examined': 'examined', 'color-wrote': 'color-wrote', 'watched': 'watched', 'color-disconnecting': 'color-disconnecting', 'color-hatched': 'color-hatched', 'color-standardizing': 'color-standardizing', 'reference-performed': 'reference-performed', 'color-upgrading': 'color-upgrading', 'definition-state': 'definition-state', 'command': 'command', 'methodize': 'methodize', 'sensing': 'sensing', 'cluster-specialized': 'cluster-specialized', 'reference-sensed': 'reference-sensed', 'color-dispatched': 'color-dispatched', 'definition-delete': 'definition-delete', 'color-voted': 'color-voted', 'color-queued': 'color-queued', 'color-performing': 'color-performing', 'protecting': 'protecting', 'web': 'web', 'color-weaving': 'color-weaving', 'color-verify': 'color-verify', 'reference-queued': 'reference-queued', 'add': 'add', 'symbol-webbing': 'symbol-webbing', 'symbol-entering': 'symbol-entering', 'symbol-removing': 'symbol-removing', 'reference-commanded': 'reference-commanded', 'checking': 'checking', 'cluster-manoeuvred': 'cluster-manoeuvred', 'color-wised': 'color-wised', 'cluster-added': 'cluster-added', 'definition-walk': 'definition-walk', 'definition-acquire': 'definition-acquire', 'warned': 'warned', 'cluster-risen': 'cluster-risen', 'symbol-rotating': 'symbol-rotating', 'color-tune': 'color-tune', 'color-vary': 'color-vary', 'reference-added': 'reference-added', 'reference-released': 'reference-released', 'color-risen': 'color-risen', 'flush': 'flush', 'color-master': 'color-master', 'symbol-winging': 'symbol-winging', 'symbol-opening': 'symbol-opening', 'definition-close': 'definition-close', 'color-rotated': 'color-rotated', 'reference-acknowledged': 'reference-acknowledged', 'definition-dragonize': 'definition-dragonize', 'definition-tell': 'definition-tell', 'color-disconnect': 'color-disconnect', 'color-remove': 'color-remove', 'definition-class': 'definition-class', 'color-venture': 'color-venture', 'selecting': 'selecting', 'color-wash': 'color-wash', 'cluster-wanted': 'cluster-wanted', 'color-passing': 'color-passing', 'color-release': 'color-release', 'color-wondered': 'color-wondered', 'getting': 'getting', 'definition-want': 'definition-want', 'symbol-dumping': 'symbol-dumping', 'discard': 'discard', 'color-check': 'color-check', 'reference-typed': 'reference-typed', 'color-disconnected': 'color-disconnected', 'globalized': 'globalized', 'definition-share': 'definition-share', 'winging': 'winging', 'symbol-protecting': 'symbol-protecting', 'reference-deleted': 'reference-deleted', 'color-referred': 'color-referred', 'terminated': 'terminated', 'cluster-disconnected': 'cluster-disconnected', 'color-measure': 'color-measure', 'function': 'function', 'cluster-programmed': 'cluster-programmed', 'color-abstract': 'color-abstract', 'symbol-sensing': 'symbol-sensing', 'symbol-dispatching': 'symbol-dispatching', 'wise': 'wise', 'color-walking': 'color-walking', 'reference-_pertained': 'reference-_pertained', 'record': 'record', 'symbol-doing': 'symbol-doing', 'color-inform': 'color-inform', 'color-use': 'color-use', 'reference-measured': 'reference-measured', 'reference-cleared': 'reference-cleared', 'color-sensed': 'color-sensed', 'definition-cluster': 'definition-cluster', 'compared': 'compared', 'definition-fly': 'definition-fly', 'wander': 'wander', 'symbol-parsing': 'symbol-parsing', 'definition-quit': 'definition-quit', 'symbol-varying': 'symbol-varying', 'definition-serve': 'definition-serve', 'cluster-globalized': 'cluster-globalized', 'reference-dumped': 'reference-dumped', 'color-yielded': 'color-yielded', 'cluster-asserted': 'cluster-asserted', 'cluster-zapped': 'cluster-zapped', 'symbol-abstracting': 'symbol-abstracting', 'symbol-raising': 'symbol-raising', 'symbol-renaming': 'symbol-renaming', 'color-scope': 'color-scope', 'color-weave': 'color-weave', 'color-getting': 'color-getting'}---------------------------------
                    
    len2kb= len(reasonKB4Xi)
    if debug2xi is True:
        print(33*("-"))   
        print("(STEP 4/33) OF XML_VERB4XI: LEN2KB: ", len2kb)
        print(33*("-"))   
            
    keys2kb = reasonKB4Xi.keys()            
    if debug2xi is True:
        print(33*("-"))       
        print("(STEP 5/33) OF XML_VERB4XI: KEYS2KB: ", keys2kb) 
        # dict_keys(['looped', 'skip', 'zeroed', 'activated', 'sleep', 'scheming', 'functioned', 'globalize', 'reasoning', 'calculate', 'hunting', 'zeroing', 'send', 'program', 
        # 'voted', 'discovering', 'indicating', 'taken-into-account', 'returned', 'returning', 'rise', 'zapping', 'wave', 'putting', 'hatching', 'telling', 'tagging', 'rotating',
        # 'taking-off', 'washing', 'did', 'list', 'joined', 'try', 'polling', 'freed', 'deleting', 'noted', 'concluded', 'abbreviated', 'winded', 'abstracted', 'discover', 'waking',
        # 'zero', 'pass', 'initialized', 'functioning', 'acing', 'append', 'imported', 'selected', 'verbalize', 'waiting', 'shared', 'net',
        # 'told', 'wrapping', 'delivering', 'upgrade', 'operating', 'web', 'concluding', 'ignore', 'abbreviating', 'referring', 'sending', 'colored',
        # 'receive', 'specialized', 'round', 'queue', 'launched', 'specialize', 'ventured', 'examining', 'initializing', 'put', 'analyzing', 'verge',
        # 'spawned', 'select', 'use', 'zip', 'visit', 'distancing', 'dispatching', 'noting', 'call', 'wondering', 'flawn', 'type',
        # 'tell', 'sort', 'sharing', 'standardized', 'started', 'appending', 'expose', 'warp', 'warn', 'tested', 'landed', 'broke',
        # 'varying', 'fly', 'weighed', 'join', 'take-off', 'created', 'took-off', 'printing', 'sent', 'closing', 'pickle', 'proxying',
        # 'compare', 'indicated', 'stated', 'process', 'share', 'accept', 'tag', 'performed', 'want', 'sense', 'wising', 'verged',
        # 'end', 'varied', 'verify', 'wandered', 'breaking', 'dragonized', 'write', 'dragonizing', '_pertained', 'zone', 'profile', 'tried',
        # 'typed', 'take-into-account', 'register', 'acknowledged', 'yielding', 'inform', 'writing', 'enter', 'operate', 'wing', 'wind', 'tagged',
        # 'serving', 'rounded', 'decide', 'finalized', 'winged', 'vary', 'ended', 'yearn', 'activating', 'disconnect', 'acknowledge', 'trying',
        # 'borned', 'contextualizing', 'listing', 'coordinated', 'defining', 'renaming', 'skipped', 'return', 'woken', 'zoning', 'flew', 'break',
        # 'methodizing', 'sorted', 'hunted', 'killed', 'inheriting', 'wash', 'verifying', 'warned', 'deciding', 'mastered', 'queued', 'referred',
        # 'contextualize', 'acknowledging', 'activate', 'fired', 'weight', 'dragonize', 'dumping', 'programmed', 'wrap', 'schemed', 'connect', 'entering',
        # 'measure', 'webbed', 'tuned', 'wander', 'standardizing', 'shown', 'opened', 'wondered', 'rounding', 'waive', 'washed', 'acting',
        # 'flushing', 'print', 'got', 'receiving', 'weave', 'unioning', 'risen', 'xrayed', 'dispatched', 'free', 'reason', 'proxy',
        # 'scoped', 'mastering', 'initialize', 'wanted', '_pertain', 'unresolved', 'exposing', 'unresolve', 'launch', 'impose', 'programming', 'viewing',
        # 'commented', 'timed', 'resetting', 'waited', 'netted', 'linking', 'clear', 'warped', 'done', 'vote', 'scoping', 'open',
        # 'zap', 'checked', 'start', 'slept', 'indicate', 'spawn', 'master', 'listed', 'passed', 'typing', 'wrapped', 'scheme',
        # 'acquire', 'serve', 'yield', 'released', 'imposing', 'distance', 'spawning', 'classed', 'showed', 'recording', 'idle', 'protected',
        # 'venture', 'visited', 'wandering', 'function', 'idled', 'abstracting', 'classing', 'winding', 'linked', 'viewed', 'built', 'upgrading',
        # 'note', 'took-into-account', 'build', 'hatch', 'wanting', 'added', 'pickling', 'proxied', 'connected', 'printed', 'synopsizing', 'commanding',
        # 'accepting', 'cleared', 'measured', 'class', 'discarding', 'calculated', 'weigh', 'voting', 'joining', 'walking', 'show', 'terminate',
        # 'ending', 'discovered', 'stepping', 'unioned', 'coloring', 'appended', 'manoeuvre', 'zipping', 'inherited', 'watching', 'disconnecting', 'do',
        # 'hit', 'get', 'watch', 'bear', 'yielded', 'zapped', 'coordinating', 'timing', 'unresolving', 'verbalizing', 'looping', 'weaved',
        # 'remove', 'calling', 'xraying', 'processed', 'release', 'wrote', 'view', 'ignored', 'set', 'dump', 'zoned', 'acquired',
        # 'testing', 'contextualized', 'yearning', 'decided', 'operated', 'close', 'wonder', 'wire', 'registering', 'visiting', 'clearing', 'xray',
        # 'state', 'closed', 'import', 'profiling', 'weighing', 'creating', 'opening', 'zipped', 'deliver', 'killing', 'analyzed', 'interfaced',
        # 'received', 'protect', 'commenting', 'acquiring', 'synopsize', 'embedding', 'methodized', 'passing', 'quitted', 'comment', 'abbreviate', 'conclude',
        # 'color', 'acted', 'dispatch', 'walk', 'interface', 'waved', 'asserted', 'poll', 'specializing', 'quit', 'weaving', 'raise',
        # 'union', 'create', 'informed', 'hitting', 'entered', 'wait', 'woke', 'define', 'fire', 'releasing', 'assert', 'sensed',
        # 'disconnected', 'queuing', 'cast', 'profiled', 'loop', 'rename', 'globalizing', 'manoeuvring', 'dumped', 'sleeping', 'parse', 'skipping',
        # 'examined', 'commanded', 'synopsized', 'ignoring', 'verified', 'perform', 'wiring', 'check', 'stepped', '_pertaining', 'used', 'running',
        # 'wired', 'tune', 'venturing', 'idling', 'inherit', 'command', 'coordinate', 'methodize', 'sensing', 'stating', 'upgraded', 'polled',
        # 'rotated', 'kill', 'distanced', 'protecting', 'adding', 'rose', 'add', 'terminating', 'wised', 'casting', 'finalize', 'checking',
        # 'showing', 'sorting', 'using', 'accepted', 'rotate', 'imposed', 'hunt', 'discarded', 'renamed', 'waiving', 'served', 'warping',
        # 'performing', 'exposed', 'pickled', 'born', 'flush', 'delivered', 'webbing', 'recorded', 'connecting', 'quitting', 'refer', 'measuring',
        # 'taken-off', 'run', 'deleted', 'selecting', 'processing', 'broken', 'step', 'tuning', 'asserting', 'borning', 'ace', 'getting',
        # 'firing', 'informing', 'act', 'discard', 'hatched', 'freeing', 'raised', 'interfacing', 'parsing', 'globalized', 'rising', 'finalizing',
        # 'winging', 'verbalized', 'terminated', 'comparing', 'removing', 'flying', 'doing', 'analyze', 'launching', 'manoeuvred', 'yearned', 'registered',
        # 'landing', 'link', 'scope', 'removed', 'raising', 'reset', 'wise', 'embedded', 'record', 'netting', 'verging', 'embed',
        # 'called', 'delete', 'defined', 'abstract', 'aced', 'examine', 'warning', 'importing', 'watched', 'parsed', 'compared', 'taking-into-account',
        # 'setting', 'test', 'standardize', 'calculating', 'waving', 'flushed', 'building', 'land', 'reasoned', 'waived', 'walked', 'time',
        # 'wake', 'starting'])
        print(33*("-"))    
            
    verb2xi = 'dragonized'
                                            

    # ---------------------------------------------------------------------------------------------
    # tailor 
    # ---------------------------------------------------------------------------------------------       
    if 'file_path4xi' in keys2context:
        filepath2xi = c2xi['file_path4xi']
    else:
        filepath2xi = '..\\..\\xml\\reason-zap2verb4xi.xml'
    f2xi=open(filepath2xi, 'w')
    if debug2xi is True:
        print(33*("="))       
        print("(STEP 6/33) OF XML_VERB4XI: OPENED FILE: ", filepath2xi)
        print(33*("="))    
            
    # ---------------------------------------------------------------------------------------------
    # end of tailoring 
    # --------------------------------------------------------------------------------------------- 
  
    if debug2xi is True:
        
        print(33*("-"))
        print("(STEP 7/33) OF XML_VERB4XI: create header for XML file")     
        print(33*("-"))    
                
    f2xi.write('<?xml version="1.0"?>\n')
    f2xi.write('<rdf:RDF\n')
    f2xi.write('   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"\n')
    f2xi.write('   xmlns:xsd="http://www.w3.org/2001/XMLSchema#"\n')
    f2xi.write('   xmlns:owl="http://www.w3.org/2002/07/owl#"\n')
    f2xi.write('   xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   xmlns="http://www.yourdragonxi.org/web/lib/owl/DefaultReason4Xi.owl#"\n')
    if 'name_space4xi' in keys2context:
        namespace2xi = c2xi['name_space4xi'] 
    else:
        namespace2xi = '   xmlns="http://www.yourdragonxi.org/web/lib/owl/VerbReason4Xi.owl#"\n'     
    f2xi.write(namespace2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
        
    f2xi.write('   xmlns:p1="http://www.owl-ontologies.com/assert.owl#"\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   xml:base="http://www.yourdragonxi.org.com/web/lib/owl/reason-default4xi.owl">\n')
    if 'xml_base4xi' in keys2context: 
        xmlbase2xi = c2xi['xml_base4xi'] 
    else:
        xmlbase2xi = '   xml:base="http://www.yourdragonxi.org.com/web/lib/owl/reason-verb4xi.owl">\n'
    f2xi.write(xmlbase2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------             
    #f2xi.write('   <owl:Ontology rdf:about="DefaultReason4Xi">\n')
    if 'ontology_about4xi' in keys2context: 
        ontology_about2xi = c2xi['ontology_about4xi']
    else:
        ontology_about2xi = '   <owl:Ontology rdf:about="DefaultReason4Xi">\n'
    f2xi.write(ontology_about2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('      <define4xi xml:lang="en">reason-default4xi</define4xi>\n')
    if 'ontology_comment4xi' in keys2context:
        ontology_comment2xi = c2xi['ontology_comment4xi']
    else:
        ontology_comment2xi = '      <define4xi xml:lang="en">reason-verb4xi</define4xi>\n'    
    f2xi.write(ontology_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
            
    f2xi.write('      <owl:versionInfo xml:lang="en">Version ' + strftime("%a, %d %b %Y %H:%M:%S",localtime()) + '</owl:versionInfo>\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------        
    #f2xi.write('   <owl:Class rdf:ID="reasoned#0000000">\n')
    if 'class0_id4xi' in keys2context:    
        class2xi = c2xi['class0_id4xi']    
    else:
        class2xi = '   <owl:Class rdf:ID="reasoned#000000">\n'
    f2xi.write(class2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # ---------------------------------------------------------------------------------------------     
    
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('      <define4xi xml:lang="en">Operations</define4xi>\n')
    if 'operation_comment4xi' in keys2context:
        operation_comment2xi = c2xi['operation_comment4xi']
    else:
        operation_comment2xi = '      <define4xi xml:lang="en">Verbs</define4xi>\n'
    f2xi.write(operation_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
            
    f2xi.write('   </owl:Class>\n')
    
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   <owl:ObjectProperty rdf:ID="reasoning#0">\n')
    if 'object_property_rdf4xi' in keys2context:
        object_property2xi = c2xi['object_property_rdf4xi']
    else:
        object_property2xi = '   <owl:ObjectProperty rdf:ID="reasoning#0">\n'
    f2xi.write(object_property2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('       <define4xi xml:lang="en">reason</define4xi>\n')
    if 'object_property_comment4xi' in keys2context:
        object_property_comment2xi = c2xi['object_property_comment4xi']
    else:
        object_property_comment2xi = '       <define4xi xml:lang="en">reason</define4xi>\n'    
    f2xi.write(object_property_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
        
    f2xi.write('   </owl:ObjectProperty>\n')
    
    orderIRI2xi = "#0"
    classIRI2xi = "to-be-solved-class"
    methodIRI2xi = "to-be-solved-method"
        
    classPropertyID2xi = 1
    classComment2xi = "Comment of Class "
    objectPropertID2Xi = 1
    objectPropertComment2xi = "Comment of Object Property "     
    

    # ---------------------------------------------------------------------------------------------
    # 
    # --------------------------------------------------------------------------------------------- 
    for key2kb in sorted(keys2kb):                                          # 'looped': 'looped', 'rounded': 'rounded', 'freeing': 'freeing'....
          
        print("(STEP 9/33) OF XML_VERB4XI: PROCESSING KEY2KB: ", key2kb) 
       
        try:
            f2xi.write('   <owl:Class rdf:ID="' + key2kb + '">\n')              # <owl:Class rdf:ID="added#900>

     
            f2xi.write('      <define4xi xml:lang="en">' + reasonKB4Xi[key2kb] + '</define4xi>\n')  
        
            f2xi.write('   </owl:Class>\n')
            
            print("(STEP 10/33) OF XML_VERB4XI: WROTE ID TO KEY2KB: ", key2kb)  # _pertain ...
        except:
            print("(STEP 11/33) OF XML_VERB4XI *** FAILED TO WRITE ID TO KEY2KB: ", key2kb)  
               
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------             
    if debug2xi is True:
        print(33*("-"))
        print("(STEP 10/33) OF XML_VERB4XI: CREATING END FOR XML FILE REASON-VERB4XI.XML")     
        print(33*("-"))          
                
    f2xi.write('   </owl:Ontology>\n')
    f2xi.write('</rdf:RDF>\n')
    f2xi.write('<!-- Copyright Small & Smart Inc. All rights reserved. -->\n')

                  
    f2xi.close()        

    
    if debug2xi is True:
        print(33*("-"))
        print("(STEP 11/33) OF XML_VERB4XI: CLOSED XML FILE REASON-VERB4XI.XML")     
        print(33*("-"))
                
#</function4xi>
    
              
# =================================================================================================
#<class4xi class = "Zap2Verb4Xi" base = "object" child = "None" synopsis = "
#   Offers methods for zap verb knowledgebase
#"
#>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
#
class Zap2Verb4Xi(object): 
    '''
    Zap2Verb4Xi class offers methods for zap verb knowledgebase
    '''
       
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi exposure = " 
    _exposed_ = ('sense', 'reason', 'ace')          
    #"
    #/>
                                
      
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-Zap2Verb4Xi" usage = "initializes">
    # ---------------------------------------------------------------------------------------------
    def __init__(self, context2xi = {}):
        
        
        # -----------------------------------------------------------------------------------------
        # __init__                              
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = '__init__'
        
        
    #</methodize4xi> 
    
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "analyze-verb-of-Zap2Verb4Xi" usage = "analyzes">
    # ---------------------------------------------------------------------------------------------
    def analyze_verb(self):
        '''
        analyzes verb knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return analyzed knowledge
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = 'analyze_verb'
            
        return analyze_verb4xi()
        
    #</methodize4xi> 
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "wave-verb-of-Zap2Verb4Xi" usage = "waves">
    # ---------------------------------------------------------------------------------------------
    def wave_verb(self):
        '''
        waves verb knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return waves
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = 'wave_verb'
            
        return wave_verb4xi()
        
    #</methodize4xi>                  

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "color-tenses-of-Zap2Verb4Xi" usage = "colors">
    # ---------------------------------------------------------------------------------------------
    def color_tenses(self):
        '''
        return colors of tenses
        '''
        
        # -----------------------------------------------------------------------------------------
        # return colors of all tenses
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = 'color_tenses'
            
        return command2verb4zap()
        
    #</methodize4xi> 

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "coordinate-tenses" usage = "coordinates">
    # ---------------------------------------------------------------------------------------------
    def coordinate_tenses(self, file):
        '''
        coordinates tenses
        '''
        
        # -----------------------------------------------------------------------------------------
        # return coordinate for tenses
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = 'coordinate_tenses'
            
        return coordinate_tenses4xi(file)
        
    #</methodize4xi>              


                
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-verb-of-Zap2Verb4Xi" usage = "senses">
    # ---------------------------------------------------------------------------------------------
    def sense_verb(self):
        '''
        sense_verbi senses verb knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = 'sense_verb'
            
        return sense_zap2verb4xi()
    #</methodize4xi> 
                    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-verb-of-Zap2Verb4Xi" usage = "reasons">
    # ---------------------------------------------------------------------------------------------
    def reason_verb(self):
        '''
        reason_verb reasons verb knowledgebase
        '''
            
      
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = 'reason_verb'
            
        return reason_zap2verb4xi()
    #</methodize4xi> 
            
      
     
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-verb-of-Zap2Verb4Xi" usage = "aces">
    # ---------------------------------------------------------------------------------------------
    def ace_verb(self):
        '''
        ace_verb aces verb knowledgebase
        '''
       
        
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = 'ace_verb'
            
        return ace_zap2verb4xi()
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
    #</methodize4xi> 
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "xml-verb-of-Zap2Verb4Xi" usage = "xmls">
    # ---------------------------------------------------------------------------------------------
    def xml_verb(self):
        '''
        xml_verb creates xml file from verb knowledgebase
        '''
       
        
        # -----------------------------------------------------------------------------------------
        # verb knowledge to xml
        # -----------------------------------------------------------------------------------------        
        class2print = 'Zap2Verb4Xi'
        method2print = 'xml_verb'
            
        xml_zap2verb4xi()
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
    #</methodize4xi> 
    
#</class4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   reason-zap2verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of zap2verb4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

                                        